// Copyright (c) 2019 Marshall A. Greenblatt. All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are
// met:
//
//    * Redistributions of source code must retain the above copyright
// notice, this list of conditions and the following disclaimer.
//    * Redistributions in binary form must reproduce the above
// copyright notice, this list of conditions and the following disclaimer
// in the documentation and/or other materials provided with the
// distribution.
//    * Neither the name of Google Inc. nor the name Chromium Embedded
// Framework nor the names of its contributors may be used to endorse
// or promote products derived from this software without specific prior
// written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
// A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
// OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
// SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
// LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
// DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
// THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
// (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
// OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//
// ---------------------------------------------------------------------------
//
// This file is generated by the make_pack_header.py tool.
//

#ifndef CEF_INCLUDE_CEF_PACK_STRINGS_H_
#define CEF_INCLUDE_CEF_PACK_STRINGS_H_
#pragma once

// ---------------------------------------------------------------------------
// From cef_strings.h:

#define IDS_TEXT_FILES 32000
#define IDS_CONTENT_CONTEXT_NO_SPELLING_SUGGESTIONS 32001

// ---------------------------------------------------------------------------
// From chromium_strings.h:

#define IDS_SETTINGS_ABOUT_PROGRAM 400
#define IDS_SETTINGS_GET_HELP_USING_CHROME 401
#define IDS_SETTINGS_UPGRADE_UPDATING 402
#define IDS_SETTINGS_UPGRADE_UPDATING_PERCENT 403
#define IDS_SETTINGS_UPGRADE_SUCCESSFUL_RELAUNCH 404
#define IDS_SETTINGS_UPGRADE_UP_TO_DATE 405
#define IDS_SETTINGS_GOOGLE_PAYMENTS_CACHED 406
#define IDS_SETTINGS_DEFAULT_BROWSER_DEFAULT 407
#define IDS_SETTINGS_DEFAULT_BROWSER_MAKE_DEFAULT 408
#define IDS_SETTINGS_DEFAULT_BROWSER_ERROR 409
#define IDS_SETTINGS_DEFAULT_BROWSER_SECONDARY 410
#define IDS_SETTINGS_IMPROVE_BROWSING_EXPERIENCE 411
#define IDS_SETTINGS_SPELLING_DESCRIPTION_UNIFIED_CONSENT 412
#define IDS_SETTINGS_NON_PERSONALIZED_SERVICES_SECTION_DESC 413
#define IDS_SETTINGS_RESTART_TO_APPLY_CHANGES 414
#define IDS_SETTINGS_SIGNIN_ALLOWED 415
#define IDS_SETTINGS_SIGNIN_ALLOWED_DESC 416
#define IDS_SETTINGS_SYNC_DISABLED_BY_ADMINISTRATOR 417
#define IDS_SETTINGS_SYNC_DISCONNECT_DELETE_PROFILE_WARNING_WITH_COUNTS_SINGULAR 418
#define IDS_SETTINGS_SYNC_DISCONNECT_DELETE_PROFILE_WARNING_WITH_COUNTS_PLURAL 419
#define IDS_SETTINGS_SYNC_DISCONNECT_DELETE_PROFILE_WARNING_WITHOUT_COUNTS 420
#define IDS_SETTINGS_PROFILE_NAME_AND_PICTURE 421
#define IDS_SETTINGS_PEOPLE_SIGN_IN_PROMPT_SECONDARY_WITH_ACCOUNT 422
#define IDS_SETTINGS_SYNC_SIGNIN 423
#define IDS_SETTINGS_SYNC_DATA_ENCRYPTED_TEXT 424
#define IDS_SETTINGS_SYNC_DISCONNECT_TITLE 425
#define IDS_DRIVE_SUGGEST_PREF_DESC 426
#define IDS_SETTINGS_SYNC_SIGN_IN_PROMPT_WITH_NO_ACCOUNT 427
#define IDS_SETTINGS_SYNC_SIGN_IN_PROMPT_WITH_ACCOUNT 428
#define IDS_SETTINGS_LANGUAGES_IS_DISPLAYED_IN_THIS_LANGUAGE 429
#define IDS_SETTINGS_LANGUAGES_DISPLAY_IN_THIS_LANGUAGE 430
#define IDS_SETTINGS_SYSTEM_BACKGROUND_APPS_LABEL 431
#define IDS_SETTINGS_RESET_PROFILE_FEEDBACK 432
#define IDS_PROFILES_DISCONNECT_MANAGED_PROFILE_TEXT 433
#define IDS_PRODUCT_NAME 434
#define IDS_SHORT_PRODUCT_NAME 435
#define IDS_SHORT_PRODUCT_LOGO_ALT_TEXT 442
#define IDS_PRODUCT_LOGO_ENTERPRISE_ALT_TEXT 443
#define IDS_BOOKMARK_SYNC_PROMO_LINK 445
#define IDS_TASK_MANAGER_TITLE 446
#define IDS_SESSION_CRASHED_VIEW_UMA_OPTIN 447
#define IDS_BROWSER_WINDOW_TITLE_FORMAT 448
#define IDS_ACCESSIBLE_BROWSER_WINDOW_TITLE_FORMAT 449
#define IDS_ACCESSIBLE_BETA_BROWSER_WINDOW_TITLE_FORMAT 450
#define IDS_ACCESSIBLE_DEV_BROWSER_WINDOW_TITLE_FORMAT 451
#define IDS_ACCESSIBLE_CANARY_BROWSER_WINDOW_TITLE_FORMAT 452
#define IDS_GET_HELP_USING_CHROME 453
#define IDS_ABOUT_VERSION_COMPANY_NAME 454
#define IDS_ABOUT_VERSION_COPYRIGHT 455
#define IDS_ABOUT_TERMS_OF_SERVICE 459
#define IDS_ACCNAME_APP 462
#define IDS_FR_CUSTOMIZE_DEFAULT_BROWSER 467
#define IDS_STATUS_TRAY_KEEP_CHROME_RUNNING_IN_BACKGROUND 469
#define IDS_CANT_WRITE_USER_DIRECTORY_SUMMARY 470
#define IDS_PROFILE_TOO_NEW_ERROR 472
#define IDS_PREFERENCES_UNREADABLE_ERROR 473
#define IDS_PREFERENCES_CORRUPT_ERROR 474
#define IDS_CRASH_RECOVERY_TITLE 475
#define IDS_PASSWORD_GENERATION_PROMPT 477
#define IDS_PASSWORD_MANAGER_TITLE_BRAND 478
#define IDS_DEFAULT_BROWSER_INFOBAR_TEXT 497
#define IDS_PRINT_PREVIEW_NO_PLUGIN 504
#define IDS_DOWNLOAD_STATUS_CRX_INSTALL_RUNNING 505
#define IDS_PROMPT_DOWNLOAD_CHANGES_SETTINGS 506
#define IDS_PROMPT_MALICIOUS_DOWNLOAD_URL 507
#define IDS_PROMPT_MALICIOUS_DOWNLOAD_CONTENT 508
#define IDS_BLOCK_REASON_DANGEROUS_DOWNLOAD 509
#define IDS_BLOCK_REASON_UNWANTED_DOWNLOAD 510
#define IDS_ABANDON_DOWNLOAD_DIALOG_BROWSER_MESSAGE 511
#define IDS_MISSING_GOOGLE_API_KEYS 513
#define IDS_UPGRADE_SUCCESSFUL_RELAUNCH 514
#define IDS_UPGRADE_UP_TO_DATE 516
#define IDS_UPGRADE_UPDATING 517
#define IDS_EXTENSION_INLINE_INSTALL_PROMPT_TITLE 519
#define IDS_EXTENSION_INSTALLED_HEADING 520
#define IDS_EXTENSION_INSTALLED_SYNC_PROMO_LINK_NEW 521
#define IDS_EXTENSIONS_HIDE_BUTTON_IN_MENU 522
#define IDS_REPORT_BUBBLE_TEXT 523
#define IDS_EXTENSIONS_INCOGNITO_WARNING 524
#define IDS_EXTENSIONS_UNINSTALL 525
#define IDS_MD_EXTENSIONS_SHORTCUT_SCOPE_IN_CHROME 526
#define IDS_EXTENSIONS_MULTIPLE_UNSUPPORTED_DISABLED_BODY 527
#define IDS_EXTENSIONS_SINGLE_UNSUPPORTED_DISABLED_BODY 528
#define IDS_APPMENU_TOOLTIP 529
#define IDS_APPMENU_TOOLTIP_UPDATE_AVAILABLE 530
#define IDS_OPEN_IN_CHROME 531
#define IDS_ABOUT 532
#define IDS_UPDATE_NOW 533
#define IDS_CHROME_SIGNIN_TITLE 537
#define IDS_PROFILES_DICE_SIGNIN_PROMO 538
#define IDS_PROFILES_DICE_SYNC_PROMO 539
#define IDS_PROFILES_CONFIRM_SIGNIN_TUTORIAL_TITLE 540
#define IDS_PROFILES_WELCOME_UPGRADE_TUTORIAL_TITLE 541
#define IDS_PROFILES_WELCOME_UPGRADE_TUTORIAL_CONTENT_TEXT 542
#define IDS_PROFILES_ACCOUNT_REMOVAL_TEXT 543
#define IDS_PROFILES_PRIMARY_ACCOUNT_REMOVAL_TEXT 544
#define IDS_ONE_CLICK_SIGNIN_DIALOG_TITLE_NEW 545
#define IDS_ONE_CLICK_SIGNIN_DIALOG_MESSAGE_NEW 546
#define IDS_ONE_CLICK_SIGNIN_BUBBLE_SYNC_DISABLED_MESSAGE 547
#define IDS_SYNC_WRONG_EMAIL 548
#define IDS_ONE_CLICK_SIGNIN_CONFIRM_EMAIL_DIALOG_MESSAGE 549
#define IDS_SYNC_USED_PROFILE_ERROR 550
#define IDS_ENTERPRISE_SIGNIN_TITLE 551
#define IDS_ENTERPRISE_SIGNIN_EXPLANATION_WITHOUT_PROFILE_CREATION 552
#define IDS_ENTERPRISE_SIGNIN_EXPLANATION_WITH_PROFILE_CREATION 553
#define IDS_ENTERPRISE_FORCE_SIGNOUT_EXPLANATION 554
#define IDS_ENTERPRISE_FORCE_SIGNOUT_EXPLANATION_WITHOUT_USER_NAME 555
#define IDS_SIGNIN_EMAIL_CONFIRMATION_TITLE 556
#define IDS_SYNC_PASSPHRASE_ERROR_BUBBLE_VIEW_MESSAGE 558
#define IDS_SYNC_SIGN_IN_ERROR_BUBBLE_VIEW_MESSAGE 559
#define IDS_SYNC_UNAVAILABLE_ERROR_BUBBLE_VIEW_MESSAGE 560
#define IDS_SYNC_OTHER_SIGN_IN_ERROR_BUBBLE_VIEW_MESSAGE 561
#define IDS_AUTOFILL_DIALOG_SAVE_LOCALLY_CHECKBOX 562
#define IDS_AUTOFILL_DIALOG_SAVE_LOCALLY_TOOLTIP 563
#define IDS_AUTOFILL_DESCRIBE_LOCAL_COPY 564
#define IDS_APP_SHORTCUTS_SUBDIR_NAME 571
#define IDS_APP_SHORTCUTS_SUBDIR_NAME_CANARY 572
#define IDS_MEDIA_STREAM_STATUS_TRAY_TEXT_AUDIO_AND_VIDEO 576
#define IDS_MEDIA_STREAM_STATUS_TRAY_TEXT_AUDIO_ONLY 577
#define IDS_MEDIA_STREAM_STATUS_TRAY_TEXT_VIDEO_ONLY 578
#define IDS_PROFILE_IN_USE_POSIX 579
#define IDS_SUPERVISED_USER_CREATED_TEXT 581
#define IDS_SUPERVISED_USERS_DEPRECATED_MESSAGE 582
#define IDS_LOGIN_POD_USER_REMOVE_WARNING_SYNC 583
#define IDS_USER_MANAGER_TUTORIAL_SLIDE_INTRO_TITLE 584
#define IDS_USER_MANAGER_TUTORIAL_SLIDE_INTRO_TEXT 585
#define IDS_USER_MANAGER_TUTORIAL_SLIDE_YOUR_CHROME_TITLE 586
#define IDS_USER_MANAGER_TUTORIAL_SLIDE_YOUR_CHROME_TEXT 587
#define IDS_USER_MANAGER_TUTORIAL_SLIDE_GUEST_TEXT 588
#define IDS_USER_MANAGER_TUTORIAL_SLIDE_FRIENDS_TEXT 589
#define IDS_USER_MANAGER_TUTORIAL_SLIDE_OUTRO_TEXT 590
#define IDS_USER_MANAGER_TUTORIAL_SLIDE_OUTRO_ADD_USER 591
#define IDS_EXTENSIONS_SETTINGS_API_FIRST_LINE_START_PAGES_SPECIFIC 592
#define IDS_EXTENSIONS_SETTINGS_API_FIRST_LINE_START_PAGES 593
#define IDS_EXTENSIONS_SETTINGS_API_SECOND_LINE_START_PAGES 594
#define IDS_EXTENSIONS_SETTINGS_API_SECOND_LINE_START_AND_HOME 595
#define IDS_EXTENSIONS_SETTINGS_API_SECOND_LINE_START_AND_SEARCH 596
#define IDS_WEBSTORE_APP_DESCRIPTION 597
#define IDS_CONTENT_CONTEXT_SPELLING_BUBBLE_TEXT 606
#define IDS_CONTENT_CONTEXT_OPENLINKNEWTAB_INAPP 607
#define IDS_CONTENT_CONTEXT_OPENLINKOFFTHERECORD_INAPP 608
#define IDS_RESET_PROFILE_SETTINGS_FEEDBACK 609
#define IDS_UPDATE_RECOMMENDED_DIALOG_TITLE 610
#define IDS_UPDATE_RECOMMENDED 611
#define IDS_RELAUNCH_AND_UPDATE 612
#define IDS_REINSTALL_APP 613
#define IDS_UPGRADE_BUBBLE_MENU_ITEM 614
#define IDS_UPGRADE_BUBBLE_TITLE 615
#define IDS_UPGRADE_BUBBLE_TEXT 616
#define IDS_SYNC_ERROR_USER_MENU_SUPERVISED_SIGNIN_MESSAGE 617
#define IDS_SYNC_ERROR_USER_MENU_UPGRADE_MESSAGE 618
#define IDS_SYNC_ERROR_USER_MENU_UPGRADE_BUTTON 619
#define IDS_SYNC_UPGRADE_CLIENT 620
#define IDS_SYNC_UPGRADE_CLIENT_LINK_LABEL 621
#define IDS_RECOVERY_BUBBLE_TITLE 622
#define IDS_RUN_RECOVERY 623
#define IDS_RECOVERY_BUBBLE_TEXT 624
#define IDS_CRITICAL_NOTIFICATION_TITLE 625
#define IDS_CRITICAL_NOTIFICATION_TITLE_ALTERNATE 626
#define IDS_CRITICAL_NOTIFICATION_TEXT 627
#define IDS_FEEDBACK_SERVICE_DIALOG_TITLE 628
#define IDS_FEEDBACK_SERVICE_DIALOG_EXPLANATION 629
#define IDS_DESKTOP_MEDIA_PICKER_SOURCE_TYPE_TAB 630
#define IDS_PLUGIN_RESTART_REQUIRED 631
#define IDS_PASSWORD_MANAGER_DESKTOP_TO_IOS_PROMO_TEXT 632
#define IDS_PASSWORD_MANAGER_DESKTOP_TO_IOS_PROMO_TEXT_WITH_PHONE_NUMBER 633
#define IDS_PASSWORD_MANAGER_DESKTOP_TO_IOS_PROMO_TEXT_V2 634
#define IDS_PASSWORD_MANAGER_DESKTOP_TO_IOS_PROMO_TEXT_WITH_PHONE_NUMBER_V2 635
#define IDS_FOOTNOTE_DESKTOP_TO_IOS_PROMO_LINK 636
#define IDS_WELCOME_HEADER 651
#define IDS_WELCOME_HEADER_AFTER_FIRST_RUN 652
#define IDS_DICE_WELCOME_SECOND_HEADER 653
#define IDS_DICE_WELCOME_DECLINE_BUTTON 654
#define IDS_DICE_WELCOME_DESCRIPTION 655
#define IDS_RELAUNCH_RECOMMENDED_TITLE 663
#define IDS_RELAUNCH_RECOMMENDED_BODY 664
#define IDS_RELAUNCH_REQUIRED_TITLE_DAYS 665
#define IDS_RELAUNCH_REQUIRED_TITLE_HOURS 666
#define IDS_RELAUNCH_REQUIRED_TITLE_MINUTES 667
#define IDS_RELAUNCH_REQUIRED_TITLE_SECONDS 668
#define IDS_RELAUNCH_REQUIRED_BODY 669
#define IDS_ENTERPRISE_STARTUP_CLOUD_POLICY_ENROLLMENT_TOOLTIP 670
#define IDS_ENTERPRISE_STARTUP_CLOUD_POLICY_ENROLLMENT_ERROR 671
#define IDS_ENTERPRISE_STARTUP_RELAUNCH_BUTTON 672
#define IDS_ENTERPRISE_STARTUP_CANCEL_BUTTON 673

// ---------------------------------------------------------------------------
// From components_strings.h:

#define IDS_JAVASCRIPT_MESSAGEBOX_TITLE 15100
#define IDS_JAVASCRIPT_MESSAGEBOX_TITLE_IFRAME 15101
#define IDS_JAVASCRIPT_MESSAGEBOX_TITLE_NONSTANDARD_URL 15102
#define IDS_JAVASCRIPT_MESSAGEBOX_TITLE_NONSTANDARD_URL_IFRAME 15103
#define IDS_JAVASCRIPT_MESSAGEBOX_SUPPRESS_OPTION 15104
#define IDS_BEFOREUNLOAD_MESSAGEBOX_TITLE 15105
#define IDS_BEFOREUNLOAD_APP_MESSAGEBOX_TITLE 15106
#define IDS_BEFOREUNLOAD_MESSAGEBOX_OK_BUTTON_LABEL 15107
#define IDS_BEFOREUNLOAD_MESSAGEBOX_MESSAGE 15108
#define IDS_BEFORERELOAD_MESSAGEBOX_TITLE 15109
#define IDS_BEFORERELOAD_APP_MESSAGEBOX_TITLE 15110
#define IDS_BEFORERELOAD_MESSAGEBOX_OK_BUTTON_LABEL 15111
#define IDS_AUTOFILL_CLEAR_FORM_MENU_ITEM 15112
#define IDS_AUTOFILL_CLEAR_LOCAL_COPY_BUTTON 15113
#define IDS_AUTOFILL_WARNING_PAYMENT_DISABLED 15114
#define IDS_AUTOFILL_WARNING_INSECURE_CONNECTION 15115
#define IDS_AUTOFILL_CREDIT_CARD_SIGNIN_PROMO 15116
#define IDS_AUTOFILL_SIGNIN_PROMO_MESSAGE 15117
#define IDS_AUTOFILL_SYNC_PROMO_MESSAGE 15118
#define IDS_AUTOFILL_SIGNIN_PROMO_MESSAGE_DICE_DISABLED 15119
#define IDS_AUTOFILL_SIGNIN_PROMO_LINK_DICE_DISABLED 15120
#define IDS_AUTOFILL_DELETE_AUTOCOMPLETE_SUGGESTION_CONFIRMATION_BODY 15121
#define IDS_AUTOFILL_DELETE_CREDIT_CARD_SUGGESTION_CONFIRMATION_BODY 15122
#define IDS_AUTOFILL_DELETE_PROFILE_SUGGESTION_CONFIRMATION_BODY 15123
#define IDS_AUTOFILL_CC_AMEX 15124
#define IDS_AUTOFILL_CC_AMEX_SHORT 15125
#define IDS_AUTOFILL_CC_DINERS 15126
#define IDS_AUTOFILL_CC_DISCOVER 15127
#define IDS_AUTOFILL_CC_ELO 15128
#define IDS_AUTOFILL_CC_GOOGLE_PAY 15129
#define IDS_AUTOFILL_CC_JCB 15130
#define IDS_AUTOFILL_CC_MASTERCARD 15131
#define IDS_AUTOFILL_CC_MIR 15132
#define IDS_AUTOFILL_CC_UNION_PAY 15133
#define IDS_AUTOFILL_CC_VISA 15134
#define IDS_AUTOFILL_CC_GENERIC 15135
#define IDS_AUTOFILL_ADDRESS_SUMMARY_SEPARATOR 15136
#define IDS_AUTOFILL_FIELD_LABEL_STATE 15137
#define IDS_AUTOFILL_FIELD_LABEL_AREA 15138
#define IDS_AUTOFILL_FIELD_LABEL_COUNTY 15139
#define IDS_AUTOFILL_FIELD_LABEL_DEPARTMENT 15140
#define IDS_AUTOFILL_FIELD_LABEL_DISTRICT 15141
#define IDS_AUTOFILL_FIELD_LABEL_EMIRATE 15142
#define IDS_AUTOFILL_FIELD_LABEL_ISLAND 15143
#define IDS_AUTOFILL_FIELD_LABEL_PARISH 15144
#define IDS_AUTOFILL_FIELD_LABEL_PREFECTURE 15145
#define IDS_AUTOFILL_FIELD_LABEL_PROVINCE 15146
#define IDS_AUTOFILL_FIELD_LABEL_ZIP_CODE 15147
#define IDS_AUTOFILL_FIELD_LABEL_POSTAL_CODE 15148
#define IDS_AUTOFILL_MANAGE 15149
#define IDS_AUTOFILL_MANAGE_ADDRESSES 15150
#define IDS_AUTOFILL_MANAGE_PAYMENT_METHODS 15151
#define IDS_AUTOFILL_MANAGE_PASSWORDS 15152
#define IDS_AUTOFILL_SCAN_CREDIT_CARD 15153
#define IDS_AUTOFILL_SHOW_ALL_SAVED_FALLBACK 15154
#define IDS_AUTOFILL_SAVE_CARD_PROMPT_ACCEPT 15158
#define IDS_AUTOFILL_SAVE_CARD_PROMPT_NEXT 15159
#define IDS_AUTOFILL_SAVE_CARD_PROMPT_CONFIRM 15160
#define IDS_AUTOFILL_SAVE_CARD_PROMPT_TITLE_LOCAL 15161
#define IDS_AUTOFILL_SAVE_CARD_PROMPT_TITLE_TO_CLOUD 15162
#define IDS_AUTOFILL_SAVE_CARD_PROMPT_TITLE_TO_CLOUD_V3 15163
#define IDS_AUTOFILL_CARD_SAVED 15164
#define IDS_AUTOFILL_MANAGE_CARDS 15165
#define IDS_AUTOFILL_DONE 15166
#define IDS_AUTOFILL_SAVE_CARD_PROMPT_UPLOAD_EXPLANATION 15167
#define IDS_AUTOFILL_SAVE_CARD_PROMPT_UPLOAD_EXPLANATION_V3 15168
#define IDS_AUTOFILL_SAVE_CARD_PROMPT_UPLOAD_EXPLANATION_V3_WITH_DEVICE 15169
#define IDS_AUTOFILL_SAVE_CARD_PROMPT_UPLOAD_EXPLANATION_V3_WITH_NAME 15170
#define IDS_AUTOFILL_SAVE_CARD_PROMPT_UPLOAD_EXPLANATION_V3_WITH_NAME_AND_DEVICE 15171
#define IDS_AUTOFILL_SAVE_CARD_PROMPT_CARDHOLDER_NAME 15172
#define IDS_AUTOFILL_SAVE_CARD_PROMPT_CARDHOLDER_NAME_TOOLTIP 15173
#define IDS_AUTOFILL_GOOGLE_PAY_LOGO_ACCESSIBLE_NAME 15174
#define IDS_AUTOFILL_LOCAL_CARD_MIGRATION_BUBBLE_TITLE 15175
#define IDS_AUTOFILL_LOCAL_CARD_MIGRATION_BUBBLE_BUTTON_LABEL 15176
#define IDS_AUTOFILL_LOCAL_CARD_MIGRATION_BUBBLE_BODY_TEXT 15177
#define IDS_AUTOFILL_LOCAL_CARD_MIGRATION_DIALOG_TITLE_OFFER 15178
#define IDS_AUTOFILL_LOCAL_CARD_MIGRATION_DIALOG_TITLE_DONE 15179
#define IDS_AUTOFILL_LOCAL_CARD_MIGRATION_DIALOG_TITLE_FIX 15180
#define IDS_AUTOFILL_LOCAL_CARD_MIGRATION_DIALOG_MESSAGE_OFFER 15181
#define IDS_AUTOFILL_LOCAL_CARD_MIGRATION_DIALOG_MESSAGE_DONE 15182
#define IDS_AUTOFILL_LOCAL_CARD_MIGRATION_DIALOG_MESSAGE_FIX 15183
#define IDS_AUTOFILL_LOCAL_CARD_MIGRATION_DIALOG_BUTTON_LABEL_SAVE 15184
#define IDS_AUTOFILL_LOCAL_CARD_MIGRATION_DIALOG_BUTTON_LABEL_CANCEL 15185
#define IDS_AUTOFILL_LOCAL_CARD_MIGRATION_DIALOG_BUTTON_LABEL_DONE 15186
#define IDS_AUTOFILL_LOCAL_CARD_MIGRATION_DIALOG_BUTTON_LABEL_VIEW_CARDS 15187
#define IDS_AUTOFILL_CREDIT_CARD_EXPIRATION_DATE_ABBR 15188
#define IDS_AUTOFILL_CREDIT_CARD_EXPIRATION_DATE_ABBR_V2 15189
#define IDS_AUTOFILL_CREDIT_CARD_EXPIRATION_DATE_LABEL_AND_ABBR 15190
#define IDS_AUTOFILL_CREDIT_CARD_TWO_LINE_LABEL_FROM_NAME 15191
#define IDS_AUTOFILL_CREDIT_CARD_TWO_LINE_LABEL_FROM_CARD_NUMBER 15192
#define IDS_AUTOFILL_CARD_UNMASK_PROMPT_ERROR_TRY_AGAIN_CVC 15193
#define IDS_AUTOFILL_CARD_UNMASK_PROMPT_ERROR_TRY_AGAIN_EXPIRATION_DATE 15194
#define IDS_AUTOFILL_CARD_UNMASK_PROMPT_ERROR_TRY_AGAIN_CVC_AND_EXPIRATION 15195
#define IDS_AUTOFILL_CARD_UNMASK_PROMPT_ERROR_TRY_AGAIN_EXPIRATION_MONTH 15196
#define IDS_AUTOFILL_CARD_UNMASK_PROMPT_ERROR_TRY_AGAIN_EXPIRATION_YEAR 15197
#define IDS_AUTOFILL_CARD_UNMASK_PROMPT_ERROR_PERMANENT 15198
#define IDS_AUTOFILL_CARD_UNMASK_PROMPT_ERROR_NETWORK 15199
#define IDS_AUTOFILL_CARD_UNMASK_PROMPT_TITLE 15200
#define IDS_AUTOFILL_CARD_UNMASK_PROMPT_EXPIRED_TITLE 15201
#define IDS_AUTOFILL_CARD_UNMASK_PROMPT_INSTRUCTIONS 15202
#define IDS_AUTOFILL_CARD_UNMASK_PROMPT_INSTRUCTIONS_LOCAL_CARD 15203
#define IDS_AUTOFILL_CARD_UNMASK_CVC_IMAGE_DESCRIPTION 15204
#define IDS_AUTOFILL_CARD_UNMASK_PROMPT_STORAGE_CHECKBOX 15207
#define IDS_AUTOFILL_CARD_UNMASK_PROMPT_STORAGE_TOOLTIP 15208
#define IDS_AUTOFILL_CARD_UNMASK_CONFIRM_BUTTON 15209
#define IDS_AUTOFILL_CARD_UNMASK_EXPIRATION_MONTH 15210
#define IDS_AUTOFILL_CARD_UNMASK_EXPIRATION_YEAR 15211
#define IDS_AUTOFILL_CARD_UNMASK_VERIFICATION_IN_PROGRESS 15212
#define IDS_AUTOFILL_CARD_UNMASK_VERIFICATION_SUCCESS 15213
#define IDS_AUTOFILL_CARD_UNMASK_INVALID_EXPIRATION_DATE 15214
#define IDS_AUTOFILL_CARD_UNMASK_EXPIRATION_DATE_SEPARATOR 15215
#define IDS_AUTOFILL_CARD_UNMASK_NEW_CARD_LINK 15216
#define IDS_AUTOFILL_DIALOG_PLACEHOLDER_CVC 15217
#define IDS_AUTOFILL_LOADING_REGIONS 15218
#define IDS_AUTOFILL_FAILED_LOADING_REGIONS 15219
#define IDS_AUTOFILL_SELECT 15220
#define IDS_AUTOFILL_NO_SAVED_ADDRESS 15221
#define IDS_AUTOFILL_ADDRESSES 15222
#define IDS_AUTOFILL_ENABLE_PROFILES_TOGGLE_SUBLABEL 15223
#define IDS_AUTOFILL_ENABLE_CREDIT_CARDS_TOGGLE_SUBLABEL 15224
#define IDS_AUTOFILL_ADDRESSES_SETTINGS_TITLE 15225
#define IDS_AUTOFILL_PAYMENT_METHODS 15226
#define IDS_AUTOFILL_ENABLE_PROFILES_TOGGLE_LABEL 15227
#define IDS_AUTOFILL_ENABLE_CREDIT_CARDS_TOGGLE_LABEL 15228
#define IDS_AUTOFILL_ENABLE_PAYMENTS_INTEGRATION_CHECKBOX_LABEL 15229
#define IDS_AUTOFILL_WALLET_MANAGEMENT_LINK_TEXT 15230
#define IDS_AUTOFILL_FROM_GOOGLE_ACCOUNT_LONG 15231
#define IDS_BOOKMARK_BAR_FOLDER_NAME 15232
#define IDS_BOOKMARK_BAR_MOBILE_FOLDER_NAME 15233
#define IDS_BOOKMARK_BAR_OTHER_FOLDER_NAME 15234
#define IDS_BOOKMARK_BAR_MANAGED_FOLDER_DOMAIN_NAME 15235
#define IDS_BOOKMARK_BAR_MANAGED_FOLDER_DEFAULT_NAME 15236
#define IDS_BOOKMARK_EDITOR_TITLE 15237
#define IDS_BOOKMARK_EDITOR_NEW_FOLDER_NAME 15238
#define IDS_BOOKMARK_BUBBLE_REMOVE_BOOKMARK 15239
#define IDS_BOOKMARK_MANAGER_NAME_INPUT_PLACE_HOLDER 15240
#define IDS_BOOKMARK_MANAGER_URL_INPUT_PLACE_HOLDER 15241
#define IDS_TOOLTIP_STAR 15243
#define IDS_CLEAR_BROWSING_DATA_CALCULATING 15244
#define IDS_DEL_BROWSING_HISTORY_COUNTER 15245
#define IDS_DEL_BROWSING_HISTORY_COUNTER_SYNCED 15246
#define IDS_DEL_CACHE_COUNTER_UPPER_ESTIMATE 15247
#define IDS_DEL_CACHE_COUNTER_ALMOST_EMPTY 15248
#define IDS_DEL_CACHE_COUNTER_BASIC 15249
#define IDS_DEL_CACHE_COUNTER_UPPER_ESTIMATE_BASIC 15250
#define IDS_DEL_CACHE_COUNTER_ALMOST_EMPTY_BASIC 15251
#define IDS_DEL_PASSWORDS_COUNTER 15252
#define IDS_DEL_PASSWORDS_COUNTER_SYNCED 15253
#define IDS_DEL_SIGNIN_DATA_COUNTER 15254
#define IDS_DEL_PASSWORDS_AND_SIGNIN_DATA_COUNTER_NONE 15255
#define IDS_DEL_PASSWORDS_AND_SIGNIN_DATA_COUNTER_COMBINATION 15256
#define IDS_DEL_SITE_SETTINGS_COUNTER 15257
#define IDS_DEL_AUTOFILL_COUNTER_EMPTY 15258
#define IDS_DEL_AUTOFILL_COUNTER_CREDIT_CARDS 15259
#define IDS_DEL_AUTOFILL_COUNTER_ADDRESSES 15260
#define IDS_DEL_AUTOFILL_COUNTER_SUGGESTIONS 15261
#define IDS_DEL_AUTOFILL_COUNTER_SUGGESTIONS_LONG 15262
#define IDS_DEL_AUTOFILL_COUNTER_SUGGESTIONS_SHORT 15263
#define IDS_DEL_AUTOFILL_COUNTER_ONE_TYPE_SYNCED 15264
#define IDS_DEL_AUTOFILL_COUNTER_TWO_TYPES 15265
#define IDS_DEL_AUTOFILL_COUNTER_TWO_TYPES_SYNCED 15266
#define IDS_DEL_AUTOFILL_COUNTER_THREE_TYPES 15267
#define IDS_DEL_AUTOFILL_COUNTER_THREE_TYPES_SYNCED 15268
#define IDS_DEL_COOKIES_COUNTER 15269
#define IDS_DEL_COOKIES_COUNTER_ADVANCED 15270
#define IDS_DEL_COOKIES_COUNTER_ADVANCED_WITH_EXCEPTION 15271
#define IDS_DEL_DOWNLOADS_COUNTER 15272
#define IDS_DEL_HOSTED_APPS_COUNTER 15273
#define IDS_DEL_HOSTED_APPS_COUNTER_AND_X_MORE 15274
#define IDS_DEL_MEDIA_LICENSES_COUNTER_GENERAL_COMMENT 15275
#define IDS_DEL_MEDIA_LICENSES_COUNTER_SITE_COMMENT 15276
#define IDS_DEL_CLEAR_COOKIES_SUMMARY_BASIC 15277
#define IDS_DEL_CLEAR_COOKIES_SUMMARY_BASIC_WITH_EXCEPTION 15278
#define IDS_DEL_CLEAR_COOKIES_SUMMARY_BASIC_WITH_MEDIA_LICENSES 15279
#define IDS_DEL_CLEAR_COOKIES_SUMMARY_BASIC_WITH_EXCEPTION_AND_MEDIA_LICENSES 15280
#define IDS_SETTINGS_TITLE 15281
#define IDS_SETTINGS_HIDE_ADVANCED_SETTINGS 15282
#define IDS_SETTINGS_SHOW_ADVANCED_SETTINGS 15283
#define IDS_NETWORK_PREDICTION_ENABLED_DESCRIPTION 15284
#define IDS_OPTIONS_PROXIES_CONFIGURE_BUTTON 15285
#define IDS_CRASH_TITLE 15286
#define IDS_CRASH_CRASH_COUNT_BANNER_FORMAT 15287
#define IDS_CRASH_CRASH_HEADER_FORMAT 15288
#define IDS_CRASH_CRASH_HEADER_FORMAT_LOCAL_ONLY 15289
#define IDS_CRASH_UPLOAD_TIME_FORMAT 15290
#define IDS_CRASH_CAPTURE_AND_UPLOAD_TIME_FORMAT 15291
#define IDS_CRASH_CRASH_NOT_UPLOADED 15292
#define IDS_CRASH_CRASH_PENDING 15293
#define IDS_CRASH_CRASH_USER_REQUESTED 15294
#define IDS_CRASH_BUG_LINK_LABEL 15295
#define IDS_CRASH_NO_CRASHES_MESSAGE 15296
#define IDS_CRASH_DISABLED_HEADER 15297
#define IDS_CRASH_UPLOAD_MESSAGE 15298
#define IDS_CRASH_UPLOAD_NOW_LINK_TEXT 15299
#define IDS_CRASH_SIZE_MESSAGE 15300
#define IDS_HTTP_POST_WARNING_TITLE 15301
#define IDS_HTTP_POST_WARNING 15302
#define IDS_HTTP_POST_WARNING_RESEND 15303
#define IDS_DOM_DISTILLER_JAVASCRIPT_DISABLED_CONTENT 15304
#define IDS_DOM_DISTILLER_WEBUI_ENTRY_URL 15305
#define IDS_DOM_DISTILLER_WEBUI_ENTRY_ADD 15306
#define IDS_DOM_DISTILLER_WEBUI_ENTRY_ADD_FAILED 15307
#define IDS_DOM_DISTILLER_WEBUI_VIEW_URL 15308
#define IDS_DOM_DISTILLER_WEBUI_VIEW_URL_FAILED 15309
#define IDS_DOM_DISTILLER_WEBUI_REFRESH 15310
#define IDS_DOM_DISTILLER_WEBUI_FETCHING_ENTRIES 15311
#define IDS_DOM_DISTILLER_VIEWER_CLOSE_READER_VIEW 15312
#define IDS_DOM_DISTILLER_VIEWER_FAILED_TO_FIND_ARTICLE_TITLE 15313
#define IDS_DOM_DISTILLER_VIEWER_FAILED_TO_FIND_ARTICLE_CONTENT 15314
#define IDS_DOM_DISTILLER_VIEWER_LOADING_TITLE 15315
#define IDS_DOM_DISTILLER_VIEWER_NO_DATA_CONTENT 15316
#define IDS_DOM_DISTILLER_QUALITY_QUESTION 15317
#define IDS_DOM_DISTILLER_QUALITY_ANSWER_YES 15318
#define IDS_DOM_DISTILLER_QUALITY_ANSWER_NO 15319
#define IDS_DOM_DISTILLER_WEBUI_TITLE 15320
#define IDS_ERRORPAGE_NET_BUTTON_DETAILS 15321
#define IDS_ERRORPAGE_NET_BUTTON_HIDE_DETAILS 15322
#define IDS_ERRORPAGES_BUTTON_RELOAD 15323
#define IDS_ERRORPAGES_BUTTON_SHOW_SAVED_COPY 15324
#define IDS_ERRORPAGES_BUTTON_SHOW_SAVED_COPY_HELP 15325
#define IDS_ERRORPAGE_FUN_DISABLED 15326
#define IDS_ERRORPAGES_SUGGESTION_VISIT_GOOGLE_CACHE 15334
#define IDS_ERRORPAGES_SUGGESTION_CORRECTED_URL 15335
#define IDS_ERRORPAGES_SUGGESTION_ALTERNATE_URL 15336
#define IDS_ERRORPAGES_SUGGESTION_RELOAD_REPOST_SUMMARY 15337
#define IDS_ERRORPAGES_SUGGESTION_CHECK_CONNECTION_HEADER 15338
#define IDS_ERRORPAGES_SUGGESTION_CHECK_CONNECTION_BODY 15339
#define IDS_ERRORPAGES_SUGGESTION_DNS_CONFIG_HEADER 15340
#define IDS_ERRORPAGES_SUGGESTION_DNS_CONFIG_BODY 15341
#define IDS_ERRORPAGES_SUGGESTION_NETWORK_PREDICTION_HEADER 15342
#define IDS_ERRORPAGES_SUGGESTION_FIREWALL_CONFIG_BODY 15343
#define IDS_ERRORPAGES_SUGGESTION_PROXY_CONFIG_HEADER 15344
#define IDS_ERRORPAGES_SUGGESTION_PROXY_CONFIG_BODY 15345
#define IDS_ERRORPAGES_SUGGESTION_VIEW_POLICIES_HEADER 15347
#define IDS_ERRORPAGES_SUGGESTION_VIEW_POLICIES_BODY 15348
#define IDS_ERRORPAGES_SUGGESTION_UNSUPPORTED_CIPHER_HEADER 15349
#define IDS_ERRORPAGES_SUGGESTION_UNSUPPORTED_CIPHER_BODY 15350
#define IDS_ERRORPAGES_SUGGESTION_NAVIGATE_TO_ORIGIN 15351
#define IDS_ERRORPAGES_HEADING_NOT_AVAILABLE 15352
#define IDS_ERRORPAGES_HEADING_NETWORK_ACCESS_DENIED 15353
#define IDS_ERRORPAGES_HEADING_INTERNET_DISCONNECTED 15354
#define IDS_ERRORPAGES_HEADING_CACHE_READ_FAILURE 15355
#define IDS_ERRORPAGES_HEADING_CONNECTION_INTERRUPTED 15356
#define IDS_ERRORPAGES_HEADING_NOT_FOUND 15357
#define IDS_ERRORPAGES_HEADING_FILE_NOT_FOUND 15358
#define IDS_ERRORPAGES_HEADING_BLOCKED 15359
#define IDS_ERRORPAGES_SUMMARY_NOT_AVAILABLE 15360
#define IDS_ERRORPAGES_SUMMARY_TIMED_OUT 15361
#define IDS_ERRORPAGES_SUMMARY_CONNECTION_RESET 15362
#define IDS_ERRORPAGES_SUMMARY_CONNECTION_CLOSED 15363
#define IDS_ERRORPAGES_SUMMARY_CONNECTION_FAILED 15364
#define IDS_ERRORPAGES_SUMMARY_NETWORK_CHANGED 15365
#define IDS_ERRORPAGES_SUMMARY_CONNECTION_REFUSED 15366
#define IDS_ERRORPAGES_SUMMARY_NAME_NOT_RESOLVED 15367
#define IDS_ERRORPAGES_SUMMARY_ICANN_NAME_COLLISION 15368
#define IDS_ERRORPAGES_SUMMARY_ADDRESS_UNREACHABLE 15369
#define IDS_ERRORPAGES_SUMMARY_FILE_ACCESS_DENIED 15370
#define IDS_ERRORPAGES_SUMMARY_NETWORK_ACCESS_DENIED 15371
#define IDS_ERRORPAGES_SUMMARY_PROXY_CONNECTION_FAILED 15372
#define IDS_ERRORPAGES_SUMMARY_CACHE_READ_FAILURE 15373
#define IDS_ERRORPAGES_SUMMARY_NETWORK_IO_SUSPENDED 15374
#define IDS_ERRORPAGES_SUMMARY_NOT_FOUND 15375
#define IDS_ERRORPAGES_SUMMARY_FILE_NOT_FOUND 15376
#define IDS_ERRORPAGES_SUMMARY_TOO_MANY_REDIRECTS 15377
#define IDS_ERRORPAGES_SUMMARY_EMPTY_RESPONSE 15378
#define IDS_ERRORPAGES_SUMMARY_INVALID_RESPONSE 15379
#define IDS_ERRORPAGES_SUMMARY_DNS_PROBE_RUNNING 15380
#define IDS_ERRORPAGES_HEADING_ACCESS_DENIED 15381
#define IDS_ERRORPAGES_HEADING_FILE_ACCESS_DENIED 15382
#define IDS_ERRORPAGES_SUMMARY_FORBIDDEN 15383
#define IDS_ERRORPAGES_SUMMARY_GONE 15384
#define IDS_ERRORPAGES_HEADING_PAGE_NOT_WORKING 15385
#define IDS_ERRORPAGES_SUMMARY_CONTACT_SITE_OWNER 15386
#define IDS_ERRORPAGES_SUMMARY_WEBSITE_CANNOT_HANDLE_REQUEST 15387
#define IDS_ERRORPAGES_SUMMARY_GATEWAY_TIMEOUT 15388
#define IDS_ERRORPAGES_SUMMARY_SSL_SECURITY_ERROR 15389
#define IDS_ERRORPAGES_SUMMARY_SSL_VERSION_OR_CIPHER_MISMATCH 15390
#define IDS_ERRORPAGES_HEADING_INSECURE_CONNECTION 15391
#define IDS_ERRORPAGES_SUMMARY_BAD_SSL_CLIENT_AUTH_CERT 15392
#define IDS_ERRORPAGES_SUMMARY_BLOCKED_BY_EXTENSION 15393
#define IDS_ERRORPAGES_SUMMARY_BLOCKED_BY_XSS_AUDITOR 15394
#define IDS_ERRORPAGES_SUMMARY_BLOCKED_BY_ADMINISTRATOR 15395
#define IDS_ERRORPAGES_HTTP_POST_WARNING 15396
#define IDS_ERRORPAGES_SUGGESTION_LIST_HEADER 15397
#define IDS_ERRORPAGES_SUGGESTION_CHECK_CONNECTION_SUMMARY 15398
#define IDS_ERRORPAGES_SUGGESTION_CHECK_PROXY_FIREWALL_DNS_SUMMARY 15399
#define IDS_ERRORPAGES_SUGGESTION_CHECK_FIREWALL_ANTIVIRUS_SUMMARY 15400
#define IDS_ERRORPAGES_SUGGESTION_CHECK_PROXY_FIREWALL_SUMMARY 15401
#define IDS_ERRORPAGES_SUGGESTION_CHECK_PROXY_ADDRESS_SUMMARY 15402
#define IDS_ERRORPAGES_SUGGESTION_CONTACT_ADMIN_SUMMARY 15403
#define IDS_ERRORPAGES_SUGGESTION_CONTACT_ADMIN_SUMMARY_STANDALONE 15404
#define IDS_ERRORPAGES_SUGGESTION_LEARNMORE_SUMMARY 15405
#define IDS_ERRORPAGES_SUGGESTION_LEARNMORE_SUMMARY_STANDALONE 15406
#define IDS_ERRORPAGES_SUGGESTION_CLEAR_COOKIES_SUMMARY 15407
#define IDS_ERRORPAGES_SUGGESTION_CHECK_HARDWARE_SUMMARY 15411
#define IDS_ERRORPAGES_SUGGESTION_CHECK_WIFI_SUMMARY 15412
#define IDS_ERRORPAGES_SUGGESTION_DIAGNOSE_CONNECTION_SUMMARY 15413
#define IDS_ERRORPAGES_SUGGESTION_COMPLETE_SETUP_SUMMARY 15414
#define IDS_ERRORPAGES_SUGGESTION_DISABLE_EXTENSION_SUMMARY 15415
#define IDS_ERRORPAGES_SUGGESTION_GOOGLE_SEARCH_SUMMARY 15416
#define IDS_FIND_IN_PAGE_COUNT 15420
#define IDS_FIND_IN_PAGE_PREVIOUS_TOOLTIP 15421
#define IDS_FIND_IN_PAGE_NEXT_TOOLTIP 15422
#define IDS_FIND_IN_PAGE_CLOSE_TOOLTIP 15423
#define IDS_HISTORY_ACTION_MENU_DESCRIPTION 15424
#define IDS_HISTORY_CANCEL_EDITING_BUTTON 15425
#define IDS_HISTORY_DATE_WITH_RELATIVE_TIME 15426
#define IDS_HISTORY_DELETE_PRIOR_VISITS_CONFIRM_BUTTON 15427
#define IDS_HISTORY_DELETE_PRIOR_VISITS_WARNING 15428
#define IDS_HISTORY_DELETE_SELECTED_ENTRIES_BUTTON 15429
#define IDS_HISTORY_ENTRY_ACCESSIBILITY_DELETE 15430
#define IDS_HISTORY_ENTRY_ACCESSIBILITY_LABEL 15431
#define IDS_HISTORY_ENTRY_BOOKMARKED 15432
#define IDS_HISTORY_ENTRY_SUMMARY 15433
#define IDS_HISTORY_FOUND_SEARCH_RESULTS 15434
#define IDS_HISTORY_OTHER_FORMS_OF_HISTORY 15435
#define IDS_HISTORY_LOADING 15436
#define IDS_HISTORY_MORE_FROM_SITE 15437
#define IDS_HISTORY_NO_RESULTS 15438
#define IDS_HISTORY_NO_SEARCH_RESULTS 15439
#define IDS_HISTORY_OPEN_CLEAR_BROWSING_DATA_DIALOG 15440
#define IDS_HISTORY_OTHER_SESSIONS_COLLAPSE_SESSION 15441
#define IDS_HISTORY_OTHER_SESSIONS_EXPAND_SESSION 15442
#define IDS_HISTORY_OTHER_SESSIONS_HIDE_FOR_NOW 15443
#define IDS_HISTORY_OTHER_SESSIONS_OPEN_ALL 15444
#define IDS_HISTORY_REMOVE_BOOKMARK 15445
#define IDS_HISTORY_REMOVE_PAGE 15446
#define IDS_HISTORY_REMOVE_SELECTED_ITEMS 15447
#define IDS_HISTORY_SEARCH_BUTTON 15448
#define IDS_HISTORY_SEARCH_RESULT 15449
#define IDS_HISTORY_SEARCH_RESULTS 15450
#define IDS_HISTORY_SHOW_HISTORY 15451
#define IDS_HISTORY_SHOWFULLHISTORY_LINK 15452
#define IDS_HISTORY_START_EDITING_BUTTON 15453
#define IDS_HISTORY_TITLE 15454
#define IDS_HISTORY_UNKNOWN_DEVICE 15455
#define IDS_LOGIN_DIALOG_TITLE 15456
#define IDS_LOGIN_DIALOG_OK_BUTTON_LABEL 15457
#define IDS_LOGIN_DIALOG_AUTHORITY 15458
#define IDS_LOGIN_DIALOG_PROXY_AUTHORITY 15459
#define IDS_LOGIN_DIALOG_NOT_PRIVATE 15460
#define IDS_LOGIN_DIALOG_USERNAME_FIELD 15461
#define IDS_LOGIN_DIALOG_PASSWORD_FIELD 15462
#define IDS_DEFAULT_TAB_TITLE 15463
#define IDS_DOWNLOAD_TAB_TITLE 15464
#define IDS_SAD_TAB_TITLE 15465
#define IDS_SAD_TAB_MESSAGE 15466
#define IDS_SAD_TAB_HELP_MESSAGE 15467
#define IDS_SAD_TAB_HELP_LINK 15468
#define IDS_SAD_TAB_RELOAD_LABEL 15469
#define IDS_SAD_TAB_RELOAD_TITLE 15472
#define IDS_SAD_TAB_OOM_MESSAGE_TABS 15473
#define IDS_SAD_TAB_OOM_MESSAGE_NOTABS 15474
#define IDS_SAD_TAB_RELOAD_TRY 15475
#define IDS_SAD_TAB_RELOAD_INCOGNITO 15476
#define IDS_SAD_TAB_RELOAD_CLOSE_TABS 15478
#define IDS_SAD_TAB_RELOAD_CLOSE_NOTABS 15479
#define IDS_SAD_TAB_RELOAD_RESTART_BROWSER 15480
#define IDS_SAD_TAB_RELOAD_RESTART_DEVICE 15481
#define IDS_NEW_TAB_TITLE 15483
#define IDS_NEW_TAB_OTR_HEADING 15484
#define IDS_NEW_TAB_OTR_DESCRIPTION 15485
#define IDS_NEW_TAB_OTR_LEARN_MORE_LINK 15486
#define IDS_NEW_TAB_OTR_MESSAGE_WARNING 15487
#define IDS_NEW_TAB_UNDO_THUMBNAIL_REMOVE 15488
#define IDS_NEW_TAB_OTR_TITLE 15489
#define IDS_NEW_TAB_PRIVATE_TITLE 15490
#define IDS_NEW_TAB_OTR_SUBTITLE 15491
#define IDS_NEW_TAB_OTR_NOT_SAVED 15492
#define IDS_NEW_TAB_OTR_VISIBLE 15493
#define IDS_NTP_ARTICLE_SUGGESTIONS_NOT_AVAILABLE 15495
#define IDS_NTP_ARTICLE_SUGGESTIONS_SECTION_HEADER 15496
#define IDS_NTP_ARTICLE_SUGGESTIONS_SECTION_EMPTY 15497
#define IDS_NTP_BOOKMARK_SUGGESTIONS_SECTION_HEADER 15498
#define IDS_NTP_BOOKMARK_SUGGESTIONS_SECTION_EMPTY 15499
#define IDS_NTP_PHYSICAL_WEB_PAGE_SUGGESTIONS_SECTION_HEADER 15500
#define IDS_NTP_PHYSICAL_WEB_PAGE_SUGGESTIONS_SECTION_EMPTY 15501
#define IDS_NTP_READING_LIST_SUGGESTIONS_SECTION_HEADER 15502
#define IDS_NTP_READING_LIST_SUGGESTIONS_SECTION_EMPTY 15503
#define IDS_NTP_RECENT_TAB_SUGGESTIONS_SECTION_HEADER 15504
#define IDS_NTP_RECENT_TAB_SUGGESTIONS_SECTION_EMPTY 15505
#define IDS_NTP_NOTIFICATIONS_READ_THIS_STORY_AND_MORE 15506
#define IDS_AUTOCOMPLETE_SEARCH_DESCRIPTION 15507
#define IDS_EMPTY_KEYWORD_VALUE 15508
#define IDS_LINK_FROM_CLIPBOARD 15509
#define IDS_SECURE_CONNECTION_EV 15510
#define IDS_SECURE_VERBOSE_STATE 15511
#define IDS_NOT_SECURE_VERBOSE_STATE 15512
#define IDS_DANGEROUS_VERBOSE_STATE 15513
#define IDS_OFFLINE_VERBOSE_STATE 15514
#define IDS_OMNIBOX_TAB_SUGGEST_HINT 15516
#define IDS_OMNIBOX_TAB_SUGGEST_SHORT_HINT 15517
#define IDS_PHYSICAL_WEB_OVERFLOW_DESCRIPTION 15518
#define IDS_PHYSICAL_WEB_OVERFLOW 15519
#define IDS_PHYSICAL_WEB_OVERFLOW_EMPTY_TITLE 15520
#define IDS_OMNIBOX_FILE 15521
#define IDS_DRIVE_SUGGESTION_DOCUMENT 15522
#define IDS_DRIVE_SUGGESTION_FORM 15523
#define IDS_DRIVE_SUGGESTION_SPREADSHEET 15524
#define IDS_DRIVE_SUGGESTION_PRESENTATION 15525
#define IDS_DRIVE_SUGGESTION_GENERAL 15526
#define IDS_DRIVE_SUGGESTION_DESCRIPTION_TEMPLATE 15527
#define IDS_OMNIBOX_PEDAL_CLEAR_BROWSING_DATA_HINT 15528
#define IDS_OMNIBOX_PEDAL_CLEAR_BROWSING_DATA_HINT_SHORT 15529
#define IDS_OMNIBOX_PEDAL_CLEAR_BROWSING_DATA_SUGGESTION_CONTENTS 15530
#define IDS_OMNIBOX_PEDAL_CHANGE_SEARCH_ENGINE_HINT 15531
#define IDS_OMNIBOX_PEDAL_CHANGE_SEARCH_ENGINE_HINT_SHORT 15532
#define IDS_OMNIBOX_PEDAL_CHANGE_SEARCH_ENGINE_SUGGESTION_CONTENTS 15533
#define IDS_OMNIBOX_PEDAL_MANAGE_PASSWORDS_HINT 15534
#define IDS_OMNIBOX_PEDAL_MANAGE_PASSWORDS_HINT_SHORT 15535
#define IDS_OMNIBOX_PEDAL_MANAGE_PASSWORDS_SUGGESTION_CONTENTS 15536
#define IDS_OMNIBOX_PEDAL_CHANGE_HOME_PAGE_HINT 15537
#define IDS_OMNIBOX_PEDAL_CHANGE_HOME_PAGE_HINT_SHORT 15538
#define IDS_OMNIBOX_PEDAL_CHANGE_HOME_PAGE_SUGGESTION_CONTENTS 15539
#define IDS_OMNIBOX_PEDAL_UPDATE_CREDIT_CARD_HINT 15540
#define IDS_OMNIBOX_PEDAL_UPDATE_CREDIT_CARD_HINT_SHORT 15541
#define IDS_OMNIBOX_PEDAL_UPDATE_CREDIT_CARD_SUGGESTION_CONTENTS 15542
#define IDS_OMNIBOX_PEDAL_TRANSLATE_HINT 15543
#define IDS_OMNIBOX_PEDAL_TRANSLATE_HINT_SHORT 15544
#define IDS_OMNIBOX_PEDAL_TRANSLATE_SUGGESTION_CONTENTS 15545
#define IDS_ACC_AUTOCOMPLETE_HISTORY 15546
#define IDS_ACC_AUTOCOMPLETE_SEARCH_HISTORY 15547
#define IDS_ACC_AUTOCOMPLETE_SEARCH 15548
#define IDS_ACC_AUTOCOMPLETE_SUGGESTED_SEARCH 15549
#define IDS_ACC_AUTOCOMPLETE_SUGGESTED_SEARCH_ENTITY 15550
#define IDS_ACC_AUTOCOMPLETE_QUICK_ANSWER 15551
#define IDS_ACC_AUTOCOMPLETE_BOOKMARK 15552
#define IDS_ACC_AUTOCOMPLETE_CLIPBOARD 15553
#define IDS_ACC_SEARCH_ICON 15554
#define IDS_ACC_AUTOCOMPLETE_N_OF_M 15555
#define IDS_ACC_TAB_SWITCH_SUFFIX 15556
#define IDS_ACC_TAB_SWITCH_BUTTON_FOCUSED_PREFIX 15557
#define IDS_ACC_TAB_SWITCH_BUTTON 15558
#define IDS_PAGE_INFO_SECURE_SUMMARY 15559
#define IDS_PAGE_INFO_MIXED_CONTENT_SUMMARY 15560
#define IDS_PAGE_INFO_NOT_SECURE_SUMMARY 15561
#define IDS_PAGE_INFO_MALWARE_SUMMARY 15562
#define IDS_PAGE_INFO_SOCIAL_ENGINEERING_SUMMARY 15563
#define IDS_PAGE_INFO_UNWANTED_SOFTWARE_SUMMARY 15564
#define IDS_PAGE_INFO_EXTENSION_PAGE 15565
#define IDS_PAGE_INFO_VIEW_SOURCE_PAGE 15566
#define IDS_PAGE_INFO_FILE_PAGE 15567
#define IDS_PAGE_INFO_SECURE_DETAILS 15568
#define IDS_PAGE_INFO_MIXED_CONTENT_DETAILS 15569
#define IDS_PAGE_INFO_NOT_SECURE_DETAILS 15570
#define IDS_PAGE_INFO_MALWARE_DETAILS 15571
#define IDS_PAGE_INFO_SOCIAL_ENGINEERING_DETAILS 15572
#define IDS_PAGE_INFO_UNWANTED_SOFTWARE_DETAILS 15573
#define IDS_PAGE_INFO_SECURITY_TAB_INSECURE_IDENTITY 15574
#define IDS_PAGE_INFO_INVALID_CERTIFICATE_DESCRIPTION 15576
#define IDS_PAGE_INFO_RESET_INVALID_CERTIFICATE_DECISIONS_BUTTON 15577
#define IDS_PAGE_INFO_HELP_CENTER_LINK 15578
#define IDS_PAGE_INFO_SECURITY_TAB_DEPRECATED_SIGNATURE_ALGORITHM 15579
#define IDS_PAGE_INFO_SECURITY_TAB_ENCRYPTED_CONNECTION_TEXT 15580
#define IDS_PAGE_INFO_SECURITY_TAB_ENCRYPTED_INSECURE_CONTENT_ERROR 15581
#define IDS_PAGE_INFO_SECURITY_TAB_ENCRYPTED_INSECURE_CONTENT_WARNING 15582
#define IDS_PAGE_INFO_SECURITY_TAB_ENCRYPTED_INSECURE_FORM_WARNING 15583
#define IDS_PAGE_INFO_SECURITY_TAB_ENCRYPTED_SENTENCE_LINK 15584
#define IDS_PAGE_INFO_SECURITY_TAB_ENCRYPTION_DETAILS 15585
#define IDS_PAGE_INFO_SECURITY_TAB_ENCRYPTION_DETAILS_AEAD 15586
#define IDS_PAGE_INFO_SECURITY_TAB_NON_UNIQUE_NAME 15587
#define IDS_PAGE_INFO_SECURITY_TAB_NOT_ENCRYPTED_CONNECTION_TEXT 15588
#define IDS_PAGE_INFO_SECURITY_TAB_NO_REVOCATION_MECHANISM 15589
#define IDS_PAGE_INFO_SECURITY_TAB_SSL_VERSION 15590
#define IDS_PAGE_INFO_SECURITY_TAB_UNABLE_TO_CHECK_REVOCATION 15591
#define IDS_PAGE_INFO_SECURITY_TAB_UNKNOWN_PARTY 15592
#define IDS_PAGE_INFO_SECURITY_TAB_WEAK_ENCRYPTION_CONNECTION_TEXT 15593
#define IDS_PAGE_INFO_CERT_INFO_BUTTON 15594
#define IDS_PAGE_INFO_ADDRESS 15595
#define IDS_PAGE_INFO_PARTIAL_ADDRESS 15596
#define IDS_PAGE_INFO_SECURITY_TAB_SECURE_IDENTITY_EV_VERIFIED 15597
#define IDS_PAGE_INFO_CERTIFICATE 15598
#define IDS_PAGE_INFO_CERTIFICATE_VALID_LINK 15599
#define IDS_PAGE_INFO_CERTIFICATE_INVALID_LINK 15600
#define IDS_PAGE_INFO_CERTIFICATE_BUTTON_TEXT 15601
#define IDS_PAGE_INFO_CERTIFICATE_VALID_PARENTHESIZED 15602
#define IDS_PAGE_INFO_CERTIFICATE_INVALID_PARENTHESIZED 15603
#define IDS_PAGE_INFO_CERTIFICATE_VALID_LINK_TOOLTIP 15604
#define IDS_PAGE_INFO_CERTIFICATE_INVALID_LINK_TOOLTIP 15605
#define IDS_PAGE_INFO_COOKIES 15606
#define IDS_PAGE_INFO_NUM_COOKIES 15607
#define IDS_PAGE_INFO_COOKIES_BUTTON_TEXT 15608
#define IDS_PAGE_INFO_NUM_COOKIES_PARENTHESIZED 15609
#define IDS_PAGE_INFO_COOKIES_TOOLTIP 15610
#define IDS_PAGE_INFO_TYPE_ADS 15611
#define IDS_PAGE_INFO_TYPE_AUTOPLAY 15612
#define IDS_PAGE_INFO_TYPE_BACKGROUND_SYNC 15613
#define IDS_PAGE_INFO_TYPE_IMAGES 15614
#define IDS_PAGE_INFO_TYPE_JAVASCRIPT 15615
#define IDS_PAGE_INFO_TYPE_POPUPS_REDIRECTS 15616
#define IDS_PAGE_INFO_TYPE_FLASH 15617
#define IDS_PAGE_INFO_TYPE_LOCATION 15618
#define IDS_PAGE_INFO_TYPE_NOTIFICATIONS 15619
#define IDS_PAGE_INFO_TYPE_MIC 15620
#define IDS_PAGE_INFO_TYPE_CAMERA 15621
#define IDS_PAGE_INFO_TYPE_MIDI_SYSEX 15622
#define IDS_PAGE_INFO_TYPE_SOUND 15623
#define IDS_PAGE_INFO_TYPE_CLIPBOARD 15624
#define IDS_PAGE_INFO_TYPE_SENSORS 15625
#define IDS_PAGE_INFO_TYPE_USB 15626
#define IDS_PAGE_INFO_BUTTON_TEXT_ALLOWED_BY_USER 15627
#define IDS_PAGE_INFO_BUTTON_TEXT_BLOCKED_BY_USER 15628
#define IDS_PAGE_INFO_BUTTON_TEXT_MUTED_BY_USER 15629
#define IDS_PAGE_INFO_BUTTON_TEXT_ASK_BY_USER 15630
#define IDS_PAGE_INFO_BUTTON_TEXT_DETECT_IMPORTANT_CONTENT_BY_USER 15631
#define IDS_PAGE_INFO_BUTTON_TEXT_ALLOWED_BY_DEFAULT 15632
#define IDS_PAGE_INFO_BUTTON_TEXT_AUTOMATIC_BY_DEFAULT 15633
#define IDS_PAGE_INFO_BUTTON_TEXT_BLOCKED_BY_DEFAULT 15634
#define IDS_PAGE_INFO_BUTTON_TEXT_MUTED_BY_DEFAULT 15635
#define IDS_PAGE_INFO_BUTTON_TEXT_ASK_BY_DEFAULT 15636
#define IDS_PAGE_INFO_BUTTON_TEXT_DETECT_IMPORTANT_CONTENT_BY_DEFAULT 15637
#define IDS_PAGE_INFO_MENU_ITEM_DEFAULT_ALLOW 15638
#define IDS_PAGE_INFO_MENU_ITEM_DEFAULT_BLOCK 15639
#define IDS_PAGE_INFO_MENU_ITEM_DEFAULT_ASK 15640
#define IDS_PAGE_INFO_MENU_ITEM_DEFAULT_DETECT_IMPORTANT_CONTENT 15641
#define IDS_PAGE_INFO_MENU_ITEM_ALLOW 15642
#define IDS_PAGE_INFO_MENU_ITEM_BLOCK 15643
#define IDS_PAGE_INFO_MENU_ITEM_ASK 15644
#define IDS_PAGE_INFO_MENU_ITEM_DETECT_IMPORTANT_CONTENT 15645
#define IDS_PAGE_INFO_MENU_ITEM_ADS_BLOCK 15646
#define IDS_PAGE_INFO_SELECTOR_TOOLTIP 15647
#define IDS_PAGE_INFO_USB_DEVICE_LABEL 15648
#define IDS_PAGE_INFO_USB_DEVICE_SECONDARY_LABEL 15649
#define IDS_PAGE_INFO_DELETE_USB_DEVICE 15650
#define IDS_PAGE_INFO_SITE_SETTINGS_LINK 15651
#define IDS_PAGE_INFO_SITE_SETTINGS_TOOLTIP 15652
#define IDS_PAGE_INFO_PERMISSION_ALLOWED_BY_POLICY 15653
#define IDS_PAGE_INFO_PERMISSION_BLOCKED_BY_POLICY 15654
#define IDS_PAGE_INFO_PERMISSION_ASK_BY_POLICY 15655
#define IDS_PAGE_INFO_PERMISSION_ALLOWED_BY_EXTENSION 15656
#define IDS_PAGE_INFO_PERMISSION_BLOCKED_BY_EXTENSION 15657
#define IDS_PAGE_INFO_PERMISSION_ASK_BY_EXTENSION 15658
#define IDS_PAGE_INFO_PERMISSION_AUTOMATICALLY_BLOCKED 15659
#define IDS_PAGE_INFO_PERMISSION_ADS_SUBTITLE 15660
#define IDS_PAGE_INFO_INFOBAR_TEXT 15661
#define IDS_PAGE_INFO_INFOBAR_BUTTON 15662
#define IDS_PAGE_INFO_CHANGE_PASSWORD_SUMMARY 15663
#define IDS_PAGE_INFO_CHANGE_PASSWORD_DETAILS 15664
#define IDS_PAGE_INFO_CHANGE_PASSWORD_DETAILS_ENTERPRISE 15665
#define IDS_PAGE_INFO_CHANGE_PASSWORD_DETAILS_ENTERPRISE_WITH_ORG_NAME 15666
#define IDS_PAGE_INFO_CHANGE_PASSWORD_BUTTON 15667
#define IDS_PAGE_INFO_IGNORE_PASSWORD_WARNING_BUTTON 15668
#define IDS_PAGE_INFO_WHITELIST_PASSWORD_REUSE_BUTTON 15669
#define IDS_PAGE_INFO_BILLING_SUMMARY 15670
#define IDS_PAGE_INFO_BILLING_DETAILS 15671
#define IDS_MANAGE_PASSWORDS_AUTO_SIGNIN_TITLE 15672
#define IDS_PASSWORD_MANAGER_EMPTY_LOGIN 15673
#define IDS_PASSWORD_MANAGER_MANAGE_PASSWORDS 15674
#define IDS_PASSWORD_MANAGER_GENERATE_PASSWORD 15675
#define IDS_PASSWORD_MANAGER_EXCEPTIONS_TAB_TITLE 15676
#define IDS_PASSWORD_MANAGER_SHOW_PASSWORDS_TAB_TITLE 15677
#define IDS_PASSWORD_MANAGER_SMART_LOCK 15678
#define IDS_PASSWORD_MANAGER_DEFAULT_EXPORT_FILENAME 15679
#define IDS_PAYMENTS_TITLE 15680
#define IDS_PAYMENTS_ERROR_MESSAGE_DIALOG_TITLE 15681
#define IDS_PAYMENTS_METHOD_OF_PAYMENT_LABEL 15682
#define IDS_PAYMENTS_CONTACT_DETAILS_LABEL 15683
#define IDS_PAYMENTS_ADD_CONTACT_DETAILS_LABEL 15684
#define IDS_PAYMENTS_EDIT_CONTACT_DETAILS_LABEL 15685
#define IDS_PAYMENTS_ADD_CARD_LABEL 15686
#define IDS_PAYMENTS_ADD_BILLING_ADDRESS 15687
#define IDS_PAYMENTS_ADD_NAME_ON_CARD 15688
#define IDS_PAYMENTS_ADD_VALID_CARD_NUMBER 15689
#define IDS_PAYMENTS_ADD_MORE_INFORMATION 15690
#define IDS_PAYMENTS_EDIT_CARD 15691
#define IDS_PAYMENTS_ADD_PHONE_NUMBER 15692
#define IDS_PAYMENTS_ADD_RECIPIENT 15693
#define IDS_PAYMENTS_ADD_VALID_ADDRESS 15694
#define IDS_PAYMENTS_ADD_EMAIL 15695
#define IDS_PAYMENTS_ADD_NAME 15696
#define IDS_PAYMENTS_ORDER_SUMMARY_LABEL 15697
#define IDS_PAYMENT_REQUEST_PAYMENT_METHOD_SECTION_NAME 15698
#define IDS_PAYMENT_REQUEST_CONTACT_INFO_SECTION_NAME 15699
#define IDS_PAYMENTS_SHIPPING_SUMMARY_LABEL 15700
#define IDS_PAYMENTS_SHIPPING_ADDRESS_LABEL 15701
#define IDS_PAYMENTS_SHIPPING_OPTION_LABEL 15702
#define IDS_PAYMENTS_DELIVERY_SUMMARY_LABEL 15703
#define IDS_PAYMENTS_DELIVERY_ADDRESS_LABEL 15704
#define IDS_PAYMENTS_DELIVERY_OPTION_LABEL 15705
#define IDS_PAYMENTS_PICKUP_SUMMARY_LABEL 15706
#define IDS_PAYMENTS_PICKUP_ADDRESS_LABEL 15707
#define IDS_PAYMENTS_PICKUP_OPTION_LABEL 15708
#define IDS_PAYMENTS_EDIT_BUTTON 15709
#define IDS_PAYMENTS_PAY_BUTTON 15710
#define IDS_PAYMENTS_ADD_CONTACT 15711
#define IDS_PAYMENTS_ADD_CARD 15712
#define IDS_PAYMENTS_ADD_ADDRESS 15713
#define IDS_PAYMENTS_EDIT_ADDRESS 15714
#define IDS_PAYMENTS_CANCEL_PAYMENT 15715
#define IDS_PAYMENTS_NAME_FIELD_IN_CONTACT_DETAILS 15716
#define IDS_PAYMENTS_PHONE_FIELD_IN_CONTACT_DETAILS 15717
#define IDS_PAYMENTS_EMAIL_FIELD_IN_CONTACT_DETAILS 15718
#define IDS_PAYMENTS_SAVE_CARD_TO_DEVICE_CHECKBOX 15719
#define IDS_PAYMENTS_ACCEPTED_CARDS_LABEL 15720
#define IDS_PAYMENTS_ACCEPTED_CREDIT_CARDS_LABEL 15721
#define IDS_PAYMENTS_ACCEPTED_DEBIT_CARDS_LABEL 15722
#define IDS_PAYMENTS_ACCEPTED_PREPAID_CARDS_LABEL 15723
#define IDS_PAYMENTS_ACCEPTED_CREDIT_DEBIT_CARDS_LABEL 15724
#define IDS_PAYMENTS_ACCEPTED_CREDIT_PREPAID_CARDS_LABEL 15725
#define IDS_PAYMENTS_ACCEPTED_DEBIT_PREPAID_CARDS_LABEL 15726
#define IDS_PAYMENTS_CREDIT_CARD_EXPIRATION_DATE_ABBR 15727
#define IDS_PAYMENTS_LOADING_MESSAGE 15728
#define IDS_PAYMENTS_PROCESSING_MESSAGE 15729
#define IDS_PAYMENTS_CHECKING_OPTION 15730
#define IDS_PAYMENTS_UPDATED_LABEL 15731
#define IDS_PAYMENTS_CREDIT_CARDS_ARE_ACCEPTED_LABEL 15732
#define IDS_PAYMENTS_DEBIT_CARDS_ARE_ACCEPTED_LABEL 15733
#define IDS_PAYMENTS_PREPAID_CARDS_ARE_ACCEPTED_LABEL 15734
#define IDS_PAYMENTS_CREDIT_DEBIT_CARDS_ARE_ACCEPTED_LABEL 15735
#define IDS_PAYMENTS_CREDIT_PREPAID_CARDS_ARE_ACCEPTED_LABEL 15736
#define IDS_PAYMENTS_DEBIT_PREPAID_CARDS_ARE_ACCEPTED_LABEL 15737
#define IDS_PAYMENTS_ERROR_MESSAGE 15738
#define IDS_PAYMENTS_CARD_AND_ADDRESS_SETTINGS 15739
#define IDS_PAYMENTS_CARD_AND_ADDRESS_SETTINGS_SIGNED_IN 15740
#define IDS_PAYMENTS_CARD_AND_ADDRESS_SETTINGS_SIGNED_OUT 15741
#define IDS_SETTINGS_CAN_MAKE_PAYMENT_TOGGLE_LABEL 15742
#define IDS_PAYMENTS_REQUIRED_FIELD_MESSAGE 15761
#define IDS_PAYMENTS_VALIDATION_INVALID_NAME 15762
#define IDS_PAYMENTS_VALIDATION_INVALID_CREDIT_CARD_EXPIRATION_YEAR 15763
#define IDS_PAYMENTS_VALIDATION_INVALID_CREDIT_CARD_EXPIRATION_MONTH 15764
#define IDS_PAYMENTS_VALIDATION_INVALID_CREDIT_CARD_EXPIRED 15765
#define IDS_PAYMENTS_VALIDATION_UNSUPPORTED_CREDIT_CARD_TYPE 15766
#define IDS_PAYMENTS_VALIDATION_ALREADY_USED_CREDIT_CARD_NUMBER 15767
#define IDS_PAYMENTS_PHONE_INVALID_VALIDATION_MESSAGE 15768
#define IDS_PAYMENTS_EMAIL_INVALID_VALIDATION_MESSAGE 15769
#define IDS_PAYMENTS_CARD_NUMBER_INVALID_VALIDATION_MESSAGE 15770
#define IDS_PAYMENTS_CARD_EXPIRATION_INVALID_VALIDATION_MESSAGE 15771
#define IDS_PAYMENTS_INVALID_ADDRESS 15772
#define IDS_PAYMENTS_BILLING_ADDRESS_REQUIRED 15773
#define IDS_PAYMENTS_NAME_ON_CARD_REQUIRED 15774
#define IDS_PAYMENTS_CARD_BILLING_ADDRESS_REQUIRED 15775
#define IDS_PAYMENTS_MORE_INFORMATION_REQUIRED 15776
#define IDS_PAYMENTS_PHONE_NUMBER_REQUIRED 15777
#define IDS_PAYMENTS_RECIPIENT_REQUIRED 15778
#define IDS_PAYMENTS_EMAIL_REQUIRED 15779
#define IDS_PAYMENTS_NAME_REQUIRED 15780
#define IDS_PREF_EDIT_DIALOG_FIELD_REQUIRED_VALIDATION_MESSAGE 15781
#define IDS_PAYMENT_REQUEST_ORDER_SUMMARY_SECTION_TOTAL_FORMAT 15782
#define IDS_PAYMENT_REQUEST_ORDER_SUMMARY_SHEET_TOTAL_FORMAT 15783
#define IDS_PAYMENT_REQUEST_ORDER_SUMMARY_MORE_ITEMS 15784
#define IDS_PAYMENT_REQUEST_ORDER_SUMMARY_MULTIPLE_CURRENCY_INDICATOR 15785
#define IDS_PAYMENTS_SELECT_SHIPPING_ADDRESS_FOR_SHIPPING_METHODS 15786
#define IDS_PAYMENTS_UNSUPPORTED_SHIPPING_ADDRESS 15787
#define IDS_PAYMENTS_UNSUPPORTED_SHIPPING_OPTION 15788
#define IDS_PAYMENTS_SELECT_DELIVERY_ADDRESS_FOR_DELIVERY_METHODS 15789
#define IDS_PAYMENTS_UNSUPPORTED_DELIVERY_ADDRESS 15790
#define IDS_PAYMENTS_UNSUPPORTED_DELIVERY_OPTION 15791
#define IDS_PAYMENTS_SELECT_PICKUP_ADDRESS_FOR_PICKUP_METHODS 15792
#define IDS_PAYMENTS_UNSUPPORTED_PICKUP_ADDRESS 15793
#define IDS_PAYMENTS_UNSUPPORTED_PICKUP_OPTION 15794
#define IDS_PAYMENTS_ANDROID_APP_ERROR 15795
#define IDS_UTILITY_PROCESS_PAYMENT_MANIFEST_PARSER_NAME 15796
#define IDS_PAYMENT_REQUEST_PAYMENT_METHODS_PREVIEW 15799
#define IDS_PAYMENT_REQUEST_SHIPPING_ADDRESSES_PREVIEW 15800
#define IDS_PAYMENT_REQUEST_SHIPPING_OPTIONS_PREVIEW 15801
#define IDS_PAYMENT_REQUEST_CONTACTS_PREVIEW 15802
#define IDS_PAYMENTS_BACK 15803
#define IDS_PAYMENTS_EDIT 15804
#define IDS_PAYMENTS_ROW_ACCESSIBLE_NAME_FORMAT 15805
#define IDS_PAYMENTS_ROW_ACCESSIBLE_NAME_SELECTED_FORMAT 15806
#define IDS_PAYMENTS_PROFILE_LABELS_ACCESSIBLE_FORMAT 15807
#define IDS_PAYMENTS_ACCESSIBLE_LABEL_WITH_ERROR 15808
#define IDS_PAYMENTS_ORDER_SUMMARY_ACCESSIBLE_LABEL 15809
#define IDS_PDF_NEED_PASSWORD 15810
#define IDS_PDF_PASSWORD_DIALOG_TITLE 15811
#define IDS_PDF_PASSWORD_SUBMIT 15812
#define IDS_PDF_PASSWORD_INVALID 15813
#define IDS_PDF_PAGE_LOADING 15814
#define IDS_PDF_ERROR_DIALOG_TITLE 15815
#define IDS_PDF_PAGE_LOAD_FAILED 15816
#define IDS_PDF_PAGE_RELOAD_BUTTON 15817
#define IDS_PDF_BOOKMARKS 15818
#define IDS_PDF_TOOLTIP_ROTATE_CW 15819
#define IDS_PDF_TOOLTIP_DOWNLOAD 15820
#define IDS_PDF_TOOLTIP_PRINT 15821
#define IDS_PDF_TOOLTIP_FIT_PAGE 15822
#define IDS_PDF_TOOLTIP_FIT_WIDTH 15823
#define IDS_PDF_TOOLTIP_ZOOM_IN 15824
#define IDS_PDF_TOOLTIP_ZOOM_OUT 15825
#define IDS_PDF_LABEL_PAGE_NUMBER 15826
#define IDS_PDF_PAGE_INDEX 15827
#define IDS_POLICY_DM_STATUS_SUCCESS 15828
#define IDS_POLICY_DM_STATUS_REQUEST_INVALID 15829
#define IDS_POLICY_DM_STATUS_REQUEST_FAILED 15830
#define IDS_POLICY_DM_STATUS_TEMPORARY_UNAVAILABLE 15831
#define IDS_POLICY_DM_STATUS_HTTP_STATUS_ERROR 15832
#define IDS_POLICY_DM_STATUS_RESPONSE_DECODING_ERROR 15833
#define IDS_POLICY_DM_STATUS_SERVICE_MANAGEMENT_NOT_SUPPORTED 15834
#define IDS_POLICY_DM_STATUS_SERVICE_DEVICE_NOT_FOUND 15835
#define IDS_POLICY_DM_STATUS_SERVICE_MANAGEMENT_TOKEN_INVALID 15836
#define IDS_POLICY_DM_STATUS_SERVICE_ACTIVATION_PENDING 15837
#define IDS_POLICY_DM_STATUS_SERVICE_INVALID_SERIAL_NUMBER 15838
#define IDS_POLICY_DM_STATUS_SERVICE_DEVICE_ID_CONFLICT 15839
#define IDS_POLICY_DM_STATUS_SERVICE_MISSING_LICENSES 15840
#define IDS_POLICY_DM_STATUS_SERVICE_DEPROVISIONED 15841
#define IDS_POLICY_DM_STATUS_SERVICE_POLICY_NOT_FOUND 15842
#define IDS_POLICY_DM_STATUS_UNKNOWN_ERROR 15843
#define IDS_POLICY_DM_STATUS_SERVICE_DOMAIN_MISMATCH 15844
#define IDS_POLICY_DM_STATUS_CANNOT_SIGN_REQUEST 15845
#define IDS_POLICY_DM_STATUS_CONSUMER_ACCOUNT_WITH_PACKAGED_LICENSE 15846
#define IDS_POLICY_VALIDATION_OK 15847
#define IDS_POLICY_VALIDATION_BAD_INITIAL_SIGNATURE 15848
#define IDS_POLICY_VALIDATION_BAD_SIGNATURE 15849
#define IDS_POLICY_VALIDATION_ERROR_CODE_PRESENT 15850
#define IDS_POLICY_VALIDATION_PAYLOAD_PARSE_ERROR 15851
#define IDS_POLICY_VALIDATION_WRONG_POLICY_TYPE 15852
#define IDS_POLICY_VALIDATION_WRONG_SETTINGS_ENTITY_ID 15853
#define IDS_POLICY_VALIDATION_BAD_TIMESTAMP 15854
#define IDS_POLICY_VALIDATION_BAD_DM_TOKEN 15855
#define IDS_POLICY_VALIDATION_BAD_DEVICE_ID 15856
#define IDS_POLICY_VALIDATION_BAD_USER 15857
#define IDS_POLICY_VALIDATION_POLICY_PARSE_ERROR 15858
#define IDS_POLICY_VALIDATION_BAD_KEY_VERIFICATION_SIGNATURE 15859
#define IDS_POLICY_VALIDATION_VALUE_WARNING 15860
#define IDS_POLICY_VALIDATION_VALUE_ERROR 15861
#define IDS_POLICY_VALIDATION_UNKNOWN_ERROR 15862
#define IDS_POLICY_STORE_STATUS_OK 15863
#define IDS_POLICY_STORE_STATUS_LOAD_ERROR 15864
#define IDS_POLICY_STORE_STATUS_STORE_ERROR 15865
#define IDS_POLICY_STORE_STATUS_PARSE_ERROR 15866
#define IDS_POLICY_STORE_STATUS_SERIALIZE_ERROR 15867
#define IDS_POLICY_STORE_STATUS_VALIDATION_ERROR 15868
#define IDS_POLICY_STORE_STATUS_BAD_STATE 15869
#define IDS_POLICY_STORE_STATUS_UNKNOWN_ERROR 15870
#define IDS_POLICY_ASSOCIATION_STATE_ACTIVE 15871
#define IDS_POLICY_ASSOCIATION_STATE_UNMANAGED 15872
#define IDS_POLICY_ASSOCIATION_STATE_DEPROVISIONED 15873
#define IDS_POLICY_TYPE_ERROR 15874
#define IDS_POLICY_OUT_OF_RANGE_ERROR 15875
#define IDS_POLICY_VALUE_FORMAT_ERROR 15876
#define IDS_POLICY_DEFAULT_SEARCH_DISABLED 15877
#define IDS_POLICY_NOT_SPECIFIED_ERROR 15878
#define IDS_POLICY_SUBKEY_ERROR 15879
#define IDS_POLICY_LIST_ENTRY_ERROR 15880
#define IDS_POLICY_SCHEMA_VALIDATION_ERROR 15881
#define IDS_POLICY_INVALID_JSON_ERROR 15882
#define IDS_POLICY_INVALID_SEARCH_URL_ERROR 15883
#define IDS_POLICY_INVALID_PROXY_MODE_ERROR 15884
#define IDS_POLICY_INVALID_UPDATE_URL_ERROR 15885
#define IDS_POLICY_OFF_CWS_URL_ERROR 15886
#define IDS_POLICY_PROXY_MODE_DISABLED_ERROR 15887
#define IDS_POLICY_PROXY_MODE_AUTO_DETECT_ERROR 15888
#define IDS_POLICY_PROXY_MODE_PAC_URL_ERROR 15889
#define IDS_POLICY_PROXY_MODE_FIXED_SERVERS_ERROR 15890
#define IDS_POLICY_PROXY_MODE_SYSTEM_ERROR 15891
#define IDS_POLICY_PROXY_BOTH_SPECIFIED_ERROR 15892
#define IDS_POLICY_PROXY_NEITHER_SPECIFIED_ERROR 15893
#define IDS_POLICY_OVERRIDDEN 15894
#define IDS_POLICY_DEPRECATED 15895
#define IDS_POLICY_VALUE_DEPRECATED 15896
#define IDS_POLICY_LEVEL_ERROR 15901
#define IDS_POLICY_OK 15902
#define IDS_POLICY_UNSET 15903
#define IDS_POLICY_UNKNOWN 15904
#define IDS_POLICY_TOOL_CANCEL_RENAME 15905
#define IDS_POLICY_TOOL_CONFIRM_RENAME 15906
#define IDS_POLICY_TOOL_TITLE 15907
#define IDS_EXPORT_POLICIES_LINUX 15908
#define IDS_EXPORT_POLICIES_MAC 15909
#define IDS_POLICY_TOOL_EDIT 15910
#define IDS_POLICY_TOOL_SAVE 15911
#define IDS_POLICY_TOOL_LOAD_SESSION 15912
#define IDS_POLICY_TOOL_REMOVE_SESSION 15913
#define IDS_POLICY_TOOL_RENAME_SESSION 15914
#define IDS_POLICY_TOOL_SESSION_NAME_PLACEHOLDER 15915
#define IDS_POLICY_TOOL_INVALID_TYPE 15916
#define IDS_POLICY_TOOL_SAVING_DISABLED 15917
#define IDS_POLICY_TOOL_INVALID_SESSION_NAME 15918
#define IDS_POLICY_TOOL_ENABLE_EDITING 15919
#define IDS_POLICY_TOOL_CORRUPTED_FILE 15920
#define IDS_POLICY_TOOL_DELETE_FAILED 15921
#define IDS_POLICY_TOOL_SESSION_NOT_EXIST 15922
#define IDS_POLICY_TOOL_SESSION_EXIST 15923
#define IDS_POLICY_TOOL_RENAME_FAILED 15924
#define IDS_POLICY_TITLE 15925
#define IDS_POLICY_FILTER_PLACEHOLDER 15926
#define IDS_POLICY_RELOAD_POLICIES 15927
#define IDS_EXPORT_POLICIES_JSON 15928
#define IDS_POLICY_STATUS 15929
#define IDS_POLICY_STATUS_DEVICE 15930
#define IDS_POLICY_STATUS_USER 15931
#define IDS_POLICY_STATUS_MACHINE 15932
#define IDS_POLICY_LABEL_ENTERPRISE_ENROLLMENT_DOMAIN 15933
#define IDS_POLICY_LABEL_ENTERPRISE_DISPLAY_DOMAIN 15934
#define IDS_POLICY_LABEL_MACHINE_ENROLLMENT_DOMAIN 15935
#define IDS_POLICY_LABEL_MACHINE_ENROLLMENT_TOKEN 15936
#define IDS_POLICY_LABEL_MACHINE_ENROLLMENT_DEVICE_ID 15937
#define IDS_POLICY_LABEL_MACHINE_ENROLLMENT_MACHINE_NAME 15938
#define IDS_POLICY_LABEL_USERNAME 15939
#define IDS_POLICY_LABEL_GAIA_ID 15940
#define IDS_POLICY_LABEL_CLIENT_ID 15941
#define IDS_POLICY_LABEL_ASSET_ID 15942
#define IDS_POLICY_LABEL_LOCATION 15943
#define IDS_POLICY_LABEL_DIRECTORY_API_ID 15944
#define IDS_POLICY_LABEL_TIME_SINCE_LAST_REFRESH 15945
#define IDS_POLICY_NOT_SPECIFIED 15946
#define IDS_POLICY_NEVER_FETCHED 15947
#define IDS_POLICY_LABEL_REFRESH_INTERVAL 15948
#define IDS_POLICY_LABEL_STATUS 15949
#define IDS_POLICY_SHOW_UNSET 15950
#define IDS_POLICY_NO_POLICIES_SET 15951
#define IDS_POLICY_HEADER_SCOPE 15952
#define IDS_POLICY_HEADER_LEVEL 15953
#define IDS_POLICY_HEADER_NAME 15954
#define IDS_POLICY_HEADER_VALUE 15955
#define IDS_POLICY_HEADER_STATUS 15956
#define IDS_POLICY_HEADER_SOURCE 15957
#define IDS_POLICY_SHOW_EXPANDED_VALUE 15958
#define IDS_POLICY_HIDE_EXPANDED_VALUE 15959
#define IDS_POLICY_LEARN_MORE 15960
#define IDS_POLICY_SCOPE_USER 15961
#define IDS_POLICY_SCOPE_DEVICE 15962
#define IDS_POLICY_LEVEL_RECOMMENDED 15963
#define IDS_POLICY_LEVEL_MANDATORY 15964
#define IDS_POLICY_SOURCE_ENTERPRISE_DEFAULT 15965
#define IDS_POLICY_SOURCE_CLOUD 15966
#define IDS_POLICY_SOURCE_ACTIVE_DIRECTORY 15967
#define IDS_POLICY_SOURCE_PLATFORM 15968
#define IDS_POLICY_SOURCE_PUBLIC_SESSION_OVERRIDE 15969
#define IDS_POLICY_RISK_TAG_FULL_ADMIN_ACCESS 15970
#define IDS_POLICY_RISK_TAG_SYSTEM_SECURITY 15971
#define IDS_POLICY_RISK_TAG_WEBSITE_SHARING 15972
#define IDS_POLICY_RISK_TAG_ADMIN_SHARING 15973
#define IDS_POLICY_RISK_TAG_FILTERING 15974
#define IDS_POLICY_RISK_TAG_LOCAL_DATA_ACCESS 15975
#define IDS_POLICY_RISK_TAG_GOOGLE_SHARING 15976
#define IDS_RESET_PASSWORD_TITLE 15978
#define IDS_RESET_PASSWORD_WARNING_HEADING 15979
#define IDS_RESET_PASSWORD_HEADING 15980
#define IDS_RESET_PASSWORD_WARNING_EXPLANATION_PARAGRAPH 15981
#define IDS_RESET_PASSWORD_WARNING_EXPLANATION_PARAGRAPH_WITH_ORG_NAME 15982
#define IDS_RESET_PASSWORD_BUTTON 15983
#define IDS_RESET_PASSWORD_EXPLANATION_PARAGRAPH 15984
#define IDS_RESET_PASSWORD_EXPLANATION_PARAGRAPH_WITH_ORG_NAME 15985
#define IDS_SB_UNDER_CONSTRUCTION 15986
#define IDS_SSL_OPEN_DETAILS_BUTTON 15987
#define IDS_SSL_CLOSE_DETAILS_BUTTON 15988
#define IDS_CAPTIVE_PORTAL_AUTHORIZATION_DIALOG_NAME 15989
#define IDS_CAPTIVE_PORTAL_HEADING_WIRED 15990
#define IDS_CAPTIVE_PORTAL_HEADING_WIFI 15991
#define IDS_CAPTIVE_PORTAL_PRIMARY_PARAGRAPH_WIRED 15992
#define IDS_CAPTIVE_PORTAL_PRIMARY_PARAGRAPH_WIFI 15993
#define IDS_CAPTIVE_PORTAL_PRIMARY_PARAGRAPH_WIFI_SSID 15994
#define IDS_CAPTIVE_PORTAL_PRIMARY_PARAGRAPH_NO_LOGIN_URL_WIRED 15995
#define IDS_CAPTIVE_PORTAL_PRIMARY_PARAGRAPH_NO_LOGIN_URL_WIFI 15996
#define IDS_CAPTIVE_PORTAL_PRIMARY_PARAGRAPH_NO_LOGIN_URL_WIFI_SSID 15997
#define IDS_CAPTIVE_PORTAL_BUTTON_OPEN_LOGIN_PAGE 15998
#define IDS_MITM_SOFTWARE_HEADING 15999
#define IDS_MITM_SOFTWARE_PRIMARY_PARAGRAPH_ENTERPRISE 16000
#define IDS_MITM_SOFTWARE_PRIMARY_PARAGRAPH_NONENTERPRISE 16001
#define IDS_MITM_SOFTWARE_EXPLANATION_ENTERPRISE 16002
#define IDS_MITM_SOFTWARE_EXPLANATION_NONENTERPRISE 16003
#define IDS_MITM_SOFTWARE_EXPLANATION 16004
#define IDS_CLOCK_ERROR_TITLE 16005
#define IDS_CLOCK_ERROR_AHEAD_HEADING 16006
#define IDS_CLOCK_ERROR_BEHIND_HEADING 16007
#define IDS_CLOCK_ERROR_UPDATE_DATE_AND_TIME 16008
#define IDS_CLOCK_ERROR_PRIMARY_PARAGRAPH 16009
#define IDS_CLOCK_ERROR_EXPLANATION 16010
#define IDS_SSL_V2_TITLE 16011
#define IDS_SSL_V2_HEADING 16012
#define IDS_SSL_V2_PRIMARY_PARAGRAPH 16013
#define IDS_SSL_V2_RECURRENT_ERROR_PARAGRAPH 16014
#define IDS_SSL_SUPERFISH_HEADING 16015
#define IDS_SSL_SUPERFISH_PRIMARY_PARAGRAPH 16016
#define IDS_SSL_OVERRIDABLE_SAFETY_BUTTON 16017
#define IDS_SSL_OVERRIDABLE_PROCEED_PARAGRAPH 16018
#define IDS_SSL_RELOAD 16019
#define IDS_SSL_NONOVERRIDABLE_PINNED 16020
#define IDS_SSL_NONOVERRIDABLE_HSTS 16021
#define IDS_SSL_NONOVERRIDABLE_REVOKED 16022
#define IDS_SSL_NONOVERRIDABLE_MORE 16023
#define IDS_SSL_NONOVERRIDABLE_INVALID 16024
#define IDS_SAFEBROWSING_V3_TITLE 16025
#define IDS_SAFEBROWSING_V3_OPEN_DETAILS_BUTTON 16026
#define IDS_SAFEBROWSING_V3_CLOSE_DETAILS_BUTTON 16027
#define IDS_SAFEBROWSING_OVERRIDABLE_SAFETY_BUTTON 16028
#define IDS_MALWARE_V3_HEADING 16029
#define IDS_MALWARE_V3_PRIMARY_PARAGRAPH 16030
#define IDS_MALWARE_V3_EXPLANATION_PARAGRAPH 16031
#define IDS_MALWARE_V3_EXPLANATION_PARAGRAPH_SUBRESOURCE 16032
#define IDS_MALWARE_V3_PROCEED_PARAGRAPH 16033
#define IDS_SAFE_BROWSING_PRIVACY_POLICY_PAGE 16034
#define IDS_SAFE_BROWSING_SCOUT_REPORTING_AGREE 16035
#define IDS_HARMFUL_V3_HEADING 16036
#define IDS_HARMFUL_V3_PRIMARY_PARAGRAPH 16037
#define IDS_HARMFUL_V3_EXPLANATION_PARAGRAPH 16038
#define IDS_HARMFUL_V3_PROCEED_PARAGRAPH 16039
#define IDS_PHISHING_V4_HEADING 16040
#define IDS_PHISHING_V4_PRIMARY_PARAGRAPH 16041
#define IDS_PHISHING_V4_EXPLANATION_PARAGRAPH 16042
#define IDS_PHISHING_V4_PROCEED_AND_REPORT_PARAGRAPH 16043
#define IDS_MALWARE_WEBVIEW_HEADING 16044
#define IDS_MALWARE_WEBVIEW_EXPLANATION_PARAGRAPH 16045
#define IDS_PHISHING_WEBVIEW_HEADING 16046
#define IDS_PHISHING_WEBVIEW_EXPLANATION_PARAGRAPH 16047
#define IDS_HARMFUL_WEBVIEW_HEADING 16048
#define IDS_HARMFUL_WEBVIEW_EXPLANATION_PARAGRAPH 16049
#define IDS_BILLING_WEBVIEW_HEADING 16050
#define IDS_BILLING_WEBVIEW_EXPLANATION_PARAGRAPH 16051
#define IDS_CONNECTION_HELP_SHOW_MORE 16052
#define IDS_CONNECTION_HELP_SHOW_LESS 16053
#define IDS_CONNECTION_HELP_TITLE 16054
#define IDS_CONNECTION_HELP_HEADING 16055
#define IDS_CONNECTION_HELP_GENERAL_HELP 16056
#define IDS_CONNECTION_HELP_SPECIFIC_ERROR_HEADING 16057
#define IDS_CONNECTION_HELP_CONNECTION_NOT_PRIVATE_TITLE 16058
#define IDS_CONNECTION_HELP_CONNECT_TO_NETWORK_TITLE 16059
#define IDS_CONNECTION_HELP_INCORRECT_CLOCK_TITLE 16060
#define IDS_CONNECTION_HELP_CONNECTION_NOT_PRIVATE_DETAILS 16061
#define IDS_CONNECTION_HELP_CONNECT_TO_NETWORK_DETAILS 16062
#define IDS_CONNECTION_HELP_INCORRECT_CLOCK_DETAILS 16063
#define IDS_BILLING_HEADING 16066
#define IDS_BILLING_PRIMARY_PARAGRAPH 16067
#define IDS_BILLING_PRIMARY_BUTTON 16068
#define IDS_BILLING_PROCEED_BUTTON 16069
#define IDS_PRIVATE_USER_DATA_INPUT 16070
#define IDS_PRIVATE_USER_DATA_INPUT_DESCRIPTION 16071
#define IDS_INCOGNITO_NONSECURE 16072
#define IDS_INCOGNITO_NONSECURE_DESCRIPTION 16073
#define IDS_EDITED_NONSECURE 16074
#define IDS_EDITED_NONSECURE_DESCRIPTION 16075
#define IDS_SAFEBROWSING_WARNING 16076
#define IDS_SAFEBROWSING_WARNING_SUMMARY 16077
#define IDS_SAFEBROWSING_WARNING_DESCRIPTION 16078
#define IDS_SHA1 16079
#define IDS_SHA1_DESCRIPTION 16080
#define IDS_SUBJECT_ALT_NAME_MISSING 16081
#define IDS_SUBJECT_ALT_NAME_MISSING_DESCRIPTION 16082
#define IDS_CERTIFICATE_TITLE 16083
#define IDS_CERTIFICATE_CHAIN_ERROR 16084
#define IDS_CERTIFICATE_CHAIN_ERROR_DESCRIPTION_FORMAT 16085
#define IDS_VALID_SERVER_CERTIFICATE 16086
#define IDS_VALID_SERVER_CERTIFICATE_DESCRIPTION 16087
#define IDS_CERTIFICATE_EXPIRING_SOON 16088
#define IDS_CERTIFICATE_EXPIRING_SOON_DESCRIPTION 16089
#define IDS_SSL_CONNECTION_TITLE 16090
#define IDS_STRONG_SSL_SUMMARY 16091
#define IDS_PRIVATE_KEY_PINNING_BYPASSED 16092
#define IDS_PRIVATE_KEY_PINNING_BYPASSED_DESCRIPTION 16093
#define IDS_STRONG_SSL_DESCRIPTION 16094
#define IDS_OBSOLETE_SSL_SUMMARY 16095
#define IDS_OBSOLETE_SSL_DESCRIPTION 16096
#define IDS_CIPHER_WITH_MAC 16097
#define IDS_SSL_AN_OBSOLETE_PROTOCOL 16098
#define IDS_SSL_A_STRONG_PROTOCOL 16099
#define IDS_SSL_AN_OBSOLETE_KEY_EXCHANGE 16100
#define IDS_SSL_A_STRONG_KEY_EXCHANGE 16101
#define IDS_SSL_AN_OBSOLETE_CIPHER 16102
#define IDS_SSL_A_STRONG_CIPHER 16103
#define IDS_SSL_KEY_EXCHANGE_WITH_GROUP 16104
#define IDS_RESOURCE_SECURITY_TITLE 16105
#define IDS_SECURE_RESOURCES_SUMMARY 16106
#define IDS_SECURE_RESOURCES_DESCRIPTION 16107
#define IDS_MIXED_PASSIVE_CONTENT_SUMMARY 16108
#define IDS_MIXED_PASSIVE_CONTENT_DESCRIPTION 16109
#define IDS_MIXED_ACTIVE_CONTENT_SUMMARY 16110
#define IDS_MIXED_ACTIVE_CONTENT_DESCRIPTION 16111
#define IDS_CERT_ERROR_PASSIVE_CONTENT_SUMMARY 16112
#define IDS_CERT_ERROR_PASSIVE_CONTENT_DESCRIPTION 16113
#define IDS_CERT_ERROR_ACTIVE_CONTENT_SUMMARY 16114
#define IDS_CERT_ERROR_ACTIVE_CONTENT_DESCRIPTION 16115
#define IDS_NON_SECURE_FORM_SUMMARY 16116
#define IDS_NON_SECURE_FORM_DESCRIPTION 16117
#define IDS_CERT_ERROR_NO_SUBJECT_ALTERNATIVE_NAMES_DETAILS 16118
#define IDS_CERT_ERROR_COMMON_NAME_INVALID_DETAILS 16119
#define IDS_CERT_ERROR_COMMON_NAME_INVALID_DESCRIPTION 16120
#define IDS_CERT_ERROR_EXPIRED_DETAILS 16121
#define IDS_CERT_ERROR_EXPIRED_DESCRIPTION 16122
#define IDS_CERT_ERROR_NOT_YET_VALID_DETAILS 16123
#define IDS_CERT_ERROR_NOT_YET_VALID_DESCRIPTION 16124
#define IDS_CERT_ERROR_NOT_VALID_AT_THIS_TIME_DETAILS 16125
#define IDS_CERT_ERROR_NOT_VALID_AT_THIS_TIME_DESCRIPTION 16126
#define IDS_CERT_ERROR_AUTHORITY_INVALID_DESCRIPTION 16127
#define IDS_CERT_ERROR_CONTAINS_ERRORS_DETAILS 16128
#define IDS_CERT_ERROR_CONTAINS_ERRORS_DESCRIPTION 16129
#define IDS_CERT_ERROR_UNABLE_TO_CHECK_REVOCATION_DETAILS 16130
#define IDS_CERT_ERROR_UNABLE_TO_CHECK_REVOCATION_DESCRIPTION 16131
#define IDS_CERT_ERROR_NO_REVOCATION_MECHANISM_DETAILS 16132
#define IDS_CERT_ERROR_NO_REVOCATION_MECHANISM_DESCRIPTION 16133
#define IDS_CERT_ERROR_REVOKED_CERT_DETAILS 16134
#define IDS_CERT_ERROR_REVOKED_CERT_DESCRIPTION 16135
#define IDS_CERT_ERROR_INVALID_CERT_DETAILS 16136
#define IDS_CERT_ERROR_INVALID_CERT_DESCRIPTION 16137
#define IDS_CERT_ERROR_WEAK_SIGNATURE_ALGORITHM_DETAILS 16138
#define IDS_CERT_ERROR_WEAK_SIGNATURE_ALGORITHM_DESCRIPTION 16139
#define IDS_CERT_ERROR_WEAK_KEY_DETAILS 16140
#define IDS_CERT_ERROR_WEAK_KEY_DESCRIPTION 16141
#define IDS_CERT_ERROR_NAME_CONSTRAINT_VIOLATION_DETAILS 16142
#define IDS_CERT_ERROR_NAME_CONSTRAINT_VIOLATION_DESCRIPTION 16143
#define IDS_CERT_ERROR_VALIDITY_TOO_LONG_DETAILS 16144
#define IDS_CERT_ERROR_VALIDITY_TOO_LONG_DESCRIPTION 16145
#define IDS_CERT_ERROR_UNKNOWN_ERROR_DETAILS 16146
#define IDS_CERT_ERROR_UNKNOWN_ERROR_DESCRIPTION 16147
#define IDS_CERT_ERROR_SUMMARY_PINNING_FAILURE_DETAILS 16148
#define IDS_CERT_ERROR_SUMMARY_PINNING_FAILURE_DESCRIPTION 16149
#define IDS_CERT_ERROR_CERTIFICATE_TRANSPARENCY_REQUIRED_DETAILS 16150
#define IDS_CERT_ERROR_CERTIFICATE_TRANSPARENCY_REQUIRED_DESCRIPTION 16151
#define IDS_CERT_ERROR_AUTHORITY_INVALID_DETAILS 16152
#define IDS_BLOCK_INTERSTITIAL_TITLE 16153
#define IDS_BLOCK_INTERSTITIAL_HEADER 16154
#define IDS_CHILD_BLOCK_INTERSTITIAL_HEADER 16155
#define IDS_BLOCK_INTERSTITIAL_HEADER_ACCESS_REQUESTS_DISABLED 16156
#define IDS_BLOCK_INTERSTITIAL_HEADER_NOT_SIGNED_IN 16157
#define IDS_CHILD_BLOCK_INTERSTITIAL_MESSAGE 16158
#define IDS_BLOCK_INTERSTITIAL_MESSAGE_SUPERVISED_USERS_DEPRECATED 16159
#define IDS_BACK_BUTTON 16160
#define IDS_BLOCK_INTERSTITIAL_REQUEST_ACCESS_BUTTON 16161
#define IDS_BLOCK_INTERSTITIAL_REQUEST_SENT_MESSAGE 16162
#define IDS_BLOCK_INTERSTITIAL_REQUEST_FAILED_MESSAGE 16163
#define IDS_CHILD_BLOCK_INTERSTITIAL_REQUEST_SENT_MESSAGE_SINGLE_PARENT 16164
#define IDS_CHILD_BLOCK_INTERSTITIAL_REQUEST_SENT_MESSAGE_MULTI_PARENT 16165
#define IDS_CHILD_BLOCK_INTERSTITIAL_REQUEST_FAILED_MESSAGE_SINGLE_PARENT 16166
#define IDS_CHILD_BLOCK_INTERSTITIAL_REQUEST_FAILED_MESSAGE_MULTI_PARENT 16167
#define IDS_BLOCK_INTERSTITIAL_SEND_FEEDBACK 16168
#define IDS_BLOCK_INTERSTITIAL_SHOW_DETAILS 16169
#define IDS_BLOCK_INTERSTITIAL_HIDE_DETAILS 16170
#define IDS_SUPERVISED_USER_BLOCK_HEADER 16171
#define IDS_CHILD_BLOCK_MESSAGE_DEFAULT_SINGLE_PARENT 16172
#define IDS_CHILD_BLOCK_MESSAGE_DEFAULT_MULTI_PARENT 16173
#define IDS_SUPERVISED_USER_BLOCK_MESSAGE_DEFAULT 16174
#define IDS_SUPERVISED_USER_BLOCK_MESSAGE_SAFE_SITES 16175
#define IDS_CHILD_BLOCK_MESSAGE_MANUAL_SINGLE_PARENT 16176
#define IDS_CHILD_BLOCK_MESSAGE_MANUAL_MULTI_PARENT 16177
#define IDS_SUPERVISED_USER_BLOCK_MESSAGE_MANUAL 16178
#define IDS_SUPERVISED_USER_NOT_SIGNED_IN 16179
#define IDS_SYNC_BASIC_ENCRYPTION_DATA 16180
#define IDS_SYNC_CONFIGURE_ENCRYPTION 16181
#define IDS_SYNC_DATATYPE_AUTOFILL 16182
#define IDS_SYNC_DATATYPE_BOOKMARKS 16183
#define IDS_SYNC_DATATYPE_PASSWORDS 16184
#define IDS_SYNC_DATATYPE_PREFERENCES 16185
#define IDS_SYNC_DATATYPE_TABS 16186
#define IDS_SYNC_DATATYPE_TYPED_URLS 16187
#define IDS_SYNC_DATATYPE_READING_LIST 16188
#define IDS_SYNC_EMPTY_PASSPHRASE_ERROR 16189
#define IDS_SYNC_ENCRYPTION_SECTION_TITLE 16190
#define IDS_SYNC_ENTER_GOOGLE_PASSPHRASE_BODY 16191
#define IDS_SYNC_FULL_ENCRYPTION_DATA 16192
#define IDS_SYNC_LOGIN_SETTING_UP 16193
#define IDS_SYNC_PASSPHRASE_LABEL 16194
#define IDS_SYNC_PASSPHRASE_MISMATCH_ERROR 16195
#define IDS_SYNC_SERVICE_UNAVAILABLE 16196
#define IDS_SYNC_ENTER_PASSPHRASE_BODY_WITH_DATE 16197
#define IDS_SYNC_ENTER_PASSPHRASE_BODY 16198
#define IDS_TRANSLATE_INFOBAR_OPTIONS_NEVER_TRANSLATE_LANG 16199
#define IDS_TRANSLATE_INFOBAR_OPTIONS_NEVER_TRANSLATE_SITE 16200
#define IDS_TRANSLATE_INFOBAR_OPTIONS_ALWAYS 16201
#define IDS_TRANSLATE_INFOBAR_OPTIONS_REPORT_ERROR 16202
#define IDS_TRANSLATE_INFOBAR_OPTIONS_ABOUT 16203
#define IDS_TRANSLATE_INFOBAR_ACCEPT 16205
#define IDS_TRANSLATE_INFOBAR_DENY 16206
#define IDS_TRANSLATE_INFOBAR_NEVER_TRANSLATE 16207
#define IDS_TRANSLATE_INFOBAR_ALWAYS_TRANSLATE 16208
#define IDS_TRANSLATE_INFOBAR_TRANSLATING_TO 16209
#define IDS_TRANSLATE_INFOBAR_AFTER_MESSAGE 16210
#define IDS_TRANSLATE_INFOBAR_AFTER_MESSAGE_AUTODETERMINED_SOURCE_LANGUAGE 16211
#define IDS_TRANSLATE_INFOBAR_REVERT 16212
#define IDS_TRANSLATE_INFOBAR_RETRY 16213
#define IDS_TRANSLATE_INFOBAR_ERROR_CANT_CONNECT 16214
#define IDS_TRANSLATE_INFOBAR_ERROR_CANT_TRANSLATE 16215
#define IDS_TRANSLATE_INFOBAR_UNKNOWN_PAGE_LANGUAGE 16216
#define IDS_TRANSLATE_INFOBAR_ERROR_SAME_LANGUAGE 16217
#define IDS_TRANSLATE_INFOBAR_UNSUPPORTED_PAGE_LANGUAGE 16218
#define IDS_BOOKMARK_BAR_UNDO_DESCRIPTION 16219
#define IDS_BOOKMARK_BAR_UNDO 16220
#define IDS_BOOKMARK_BAR_REDO 16221
#define IDS_BOOKMARK_BAR_UNDO_ADD 16222
#define IDS_BOOKMARK_BAR_REDO_ADD 16223
#define IDS_BOOKMARK_BAR_UNDO_DELETE 16224
#define IDS_BOOKMARK_BAR_REDO_DELETE 16225
#define IDS_BOOKMARK_BAR_UNDO_EDIT 16226
#define IDS_BOOKMARK_BAR_REDO_EDIT 16227
#define IDS_BOOKMARK_BAR_UNDO_MOVE 16228
#define IDS_BOOKMARK_BAR_REDO_MOVE 16229
#define IDS_BOOKMARK_BAR_UNDO_REORDER 16230
#define IDS_BOOKMARK_BAR_REDO_REORDER 16231
#define IDS_VERSION_UI_TITLE 16232
#define IDS_VERSION_UI_OFFICIAL 16233
#define IDS_VERSION_UI_UNOFFICIAL 16234
#define IDS_VERSION_UI_32BIT 16235
#define IDS_VERSION_UI_64BIT 16236
#define IDS_VERSION_UI_REVISION 16237
#define IDS_VERSION_UI_OS 16238
#define IDS_VERSION_UI_USER_AGENT 16240
#define IDS_VERSION_UI_COMMAND_LINE 16241
#define IDS_VERSION_UI_EXECUTABLE_PATH 16245
#define IDS_VERSION_UI_PROFILE_PATH 16246
#define IDS_VERSION_UI_PATH_NOTFOUND 16247
#define IDS_VERSION_UI_VARIATIONS 16248
#define IDS_VERSION_UI_VARIATIONS_CMD 16249
#define IDS_MANAGEMENT_TITLE 16251
#define IDS_MANAGEMENT_DEVICE_NOT_MANAGED 16252
#define IDS_MANAGEMENT_DEVICE_MANAGED_BY 16253
#define IDS_MANAGEMENT_DEVICE_MANAGED 16254
#define IDS_MANAGEMENT_DEVICE_REPORTING 16255
#define IDS_MANAGEMENT_DEVICE_CONFIGURATION 16256
#define IDS_MANAGEMENT_LOG_UPLOAD_ENABLED 16257
#define IDS_MANAGEMENT_REPORT_DEVICE_ACTIVITY_TIMES 16258
#define IDS_MANAGEMENT_REPORT_DEVICE_HARDWARE_STATUS 16259
#define IDS_MANAGEMENT_REPORT_DEVICE_NETWORK_INTERFACES 16260
#define IDS_MANAGEMENT_REPORT_DEVICE_USERS 16261
#define IDS_MANAGEMENT_EXTENSION_REPORTING 16262
#define IDS_MANAGEMENT_EXTENSIONS_INSTALLED 16263
#define IDS_MANAGEMENT_EXTENSIONS_NAME 16264
#define IDS_MANAGEMENT_EXTENSIONS_PERMISSIONS 16265
#define IDS_CANCEL 16266
#define IDS_CLOSE 16267
#define IDS_DONE 16268
#define IDS_LEARN_MORE 16269
#define IDS_OK 16270
#define IDS_ADD 16271
#define IDS_SAVE 16272
#define IDS_NO_THANKS 16273
#define IDS_NOT_NOW 16274
#define IDS_PLUGIN_NOT_SUPPORTED 16275
#define IDS_PRINT 16276
#define IDS_RECENTLY_CLOSED 16277
#define IDS_CHOOSE 16278
#define IDS_ACCNAME_BACK 16279
#define IDS_ACCNAME_FORWARD 16280
#define IDS_ACCNAME_OK 16281
#define IDS_ACCNAME_CANCEL 16282
#define IDS_ACCNAME_DONE 16283
#define IDS_ACCNAME_SAVE 16284
#define IDS_ACCNAME_CLOSE 16285
#define IDS_ACCNAME_OPEN 16286
#define IDS_ACCNAME_PREVIOUS 16287
#define IDS_ACCNAME_NEXT 16288
#define IDS_ACCNAME_LOCATION 16289
#define IDS_UTILITY_PROCESS_JSON_PARSER_NAME 16290
#define IDS_SESSION_CRASHED_VIEW_RESTORE_BUTTON 16291
#define IDS_SESSION_CRASHED_VIEW_STARTUP_PAGES_BUTTON 16292
#define IDS_OPTIONS_ADVANCED_SECTION_TITLE_PRIVACY 16293

// ---------------------------------------------------------------------------
// From content_strings.h:

#define IDS_DETAILS_WITHOUT_SUMMARY_LABEL 20100
#define IDS_FORM_CALENDAR_CLEAR 20101
#define IDS_FORM_CALENDAR_TODAY 20102
#define IDS_FORM_SUBMIT_LABEL 20103
#define IDS_FORM_INPUT_ALT 20104
#define IDS_FORM_RESET_LABEL 20105
#define IDS_FORM_FILE_BUTTON_LABEL 20106
#define IDS_FORM_MULTIPLE_FILES_BUTTON_LABEL 20107
#define IDS_FORM_FILE_NO_FILE_LABEL 20108
#define IDS_FORM_FILE_MULTIPLE_UPLOAD 20109
#define IDS_FORM_OTHER_COLOR_LABEL 20110
#define IDS_FORM_OTHER_DATE_LABEL 20111
#define IDS_FORM_OTHER_MONTH_LABEL 20112
#define IDS_FORM_OTHER_WEEK_LABEL 20113
#define IDS_FORM_PLACEHOLDER_FOR_DAY_OF_MONTH_FIELD 20114
#define IDS_FORM_PLACEHOLDER_FOR_MONTH_FIELD 20115
#define IDS_FORM_PLACEHOLDER_FOR_YEAR_FIELD 20116
#define IDS_FORM_SELECT_MENU_LIST_TEXT 20117
#define IDS_FORM_THIS_MONTH_LABEL 20118
#define IDS_FORM_THIS_WEEK_LABEL 20119
#define IDS_FORM_WEEK_NUMBER_LABEL 20120
#define IDS_AX_CALENDAR_SHOW_DATE_PICKER 20121
#define IDS_AX_CALENDAR_SHOW_MONTH_SELECTOR 20122
#define IDS_AX_CALENDAR_SHOW_NEXT_MONTH 20123
#define IDS_AX_CALENDAR_SHOW_PREVIOUS_MONTH 20124
#define IDS_AX_CALENDAR_WEEK_DESCRIPTION 20125
#define IDS_AX_ROLE_ARTICLE 20126
#define IDS_AX_ROLE_BANNER 20127
#define IDS_AX_ROLE_COMPLEMENTARY 20128
#define IDS_AX_ROLE_CONTENT_DELETION 20129
#define IDS_AX_ROLE_CONTENT_INSERTION 20130
#define IDS_AX_ROLE_CHECK_BOX 20131
#define IDS_AX_ROLE_CONTENT_INFO 20132
#define IDS_AX_ROLE_DEFINITION 20133
#define IDS_AX_ROLE_DESCRIPTION_LIST 20134
#define IDS_AX_ROLE_DESCRIPTION_TERM 20135
#define IDS_AX_ROLE_DISCLOSURE_TRIANGLE 20136
#define IDS_AX_ROLE_DOC_ABSTRACT 20137
#define IDS_AX_ROLE_DOC_ACKNOWLEDGMENTS 20138
#define IDS_AX_ROLE_DOC_AFTERWORD 20139
#define IDS_AX_ROLE_DOC_APPENDIX 20140
#define IDS_AX_ROLE_DOC_BACKLINK 20141
#define IDS_AX_ROLE_DOC_BIBLIO_ENTRY 20142
#define IDS_AX_ROLE_DOC_BIBLIOGRAPHY 20143
#define IDS_AX_ROLE_DOC_BIBLIO_REF 20144
#define IDS_AX_ROLE_DOC_CHAPTER 20145
#define IDS_AX_ROLE_DOC_COLOPHON 20146
#define IDS_AX_ROLE_DOC_CONCLUSION 20147
#define IDS_AX_ROLE_DOC_COVER 20148
#define IDS_AX_ROLE_DOC_CREDIT 20149
#define IDS_AX_ROLE_DOC_CREDITS 20150
#define IDS_AX_ROLE_DOC_DEDICATION 20151
#define IDS_AX_ROLE_DOC_ENDNOTE 20152
#define IDS_AX_ROLE_DOC_ENDNOTES 20153
#define IDS_AX_ROLE_DOC_EPIGRAPH 20154
#define IDS_AX_ROLE_DOC_EPILOGUE 20155
#define IDS_AX_ROLE_DOC_ERRATA 20156
#define IDS_AX_ROLE_DOC_EXAMPLE 20157
#define IDS_AX_ROLE_DOC_FOOTNOTE 20158
#define IDS_AX_ROLE_DOC_FOREWORD 20159
#define IDS_AX_ROLE_DOC_GLOSSARY 20160
#define IDS_AX_ROLE_DOC_GLOSS_REF 20161
#define IDS_AX_ROLE_DOC_INDEX 20162
#define IDS_AX_ROLE_DOC_INTRODUCTION 20163
#define IDS_AX_ROLE_DOC_NOTE_REF 20164
#define IDS_AX_ROLE_DOC_NOTICE 20165
#define IDS_AX_ROLE_DOC_PAGE_BREAK 20166
#define IDS_AX_ROLE_DOC_PAGE_LIST 20167
#define IDS_AX_ROLE_DOC_PART 20168
#define IDS_AX_ROLE_DOC_PREFACE 20169
#define IDS_AX_ROLE_DOC_PROLOGUE 20170
#define IDS_AX_ROLE_DOC_PULLQUOTE 20171
#define IDS_AX_ROLE_DOC_QNA 20172
#define IDS_AX_ROLE_DOC_SUBTITLE 20173
#define IDS_AX_ROLE_DOC_TIP 20174
#define IDS_AX_ROLE_DOC_TOC 20175
#define IDS_AX_ROLE_FEED 20176
#define IDS_AX_ROLE_FIGURE 20177
#define IDS_AX_ROLE_FORM 20178
#define IDS_AX_ROLE_FOOTER 20179
#define IDS_AX_ROLE_GRAPHICS_DOCUMENT 20180
#define IDS_AX_ROLE_GRAPHICS_OBJECT 20181
#define IDS_AX_ROLE_GRAPHICS_SYMBOL 20182
#define IDS_AX_AUTOFILL_POPUP_ACCESSIBLE_NODE_DATA 20183
#define IDS_AX_ROLE_TOGGLE_BUTTON 20185
#define IDS_AX_ROLE_HEADING 20186
#define IDS_AX_ROLE_LINK 20187
#define IDS_AX_ROLE_MAIN_CONTENT 20188
#define IDS_AX_ROLE_MARK 20189
#define IDS_AX_ROLE_MATH 20190
#define IDS_AX_ROLE_NAVIGATIONAL_LINK 20191
#define IDS_AX_ROLE_REGION 20192
#define IDS_AX_ROLE_SEARCH_BOX 20193
#define IDS_AX_ROLE_STATUS 20194
#define IDS_AX_ROLE_SWITCH 20195
#define IDS_AX_ROLE_WEB_AREA 20196
#define IDS_AX_AM_PM_FIELD_TEXT 20244
#define IDS_AX_DAY_OF_MONTH_FIELD_TEXT 20245
#define IDS_AX_HOUR_FIELD_TEXT 20246
#define IDS_AX_MEDIA_DEFAULT 20247
#define IDS_AX_MEDIA_AUDIO_ELEMENT 20248
#define IDS_AX_MEDIA_VIDEO_ELEMENT 20249
#define IDS_AX_MEDIA_MUTE_BUTTON 20250
#define IDS_AX_MEDIA_UNMUTE_BUTTON 20251
#define IDS_AX_MEDIA_PLAY_BUTTON 20252
#define IDS_AX_MEDIA_PAUSE_BUTTON 20253
#define IDS_AX_MEDIA_CURRENT_TIME_DISPLAY 20254
#define IDS_AX_MEDIA_TIME_REMAINING_DISPLAY 20255
#define IDS_AX_MEDIA_ENTER_FULL_SCREEN_BUTTON 20256
#define IDS_AX_MEDIA_EXIT_FULL_SCREEN_BUTTON 20257
#define IDS_AX_MEDIA_DISPLAY_CUT_OUT_FULL_SCREEN_BUTTON 20258
#define IDS_AX_MEDIA_ENTER_PICTURE_IN_PICTURE_BUTTON 20259
#define IDS_AX_MEDIA_EXIT_PICTURE_IN_PICTURE_BUTTON 20260
#define IDS_AX_MEDIA_SHOW_CLOSED_CAPTIONS_BUTTON 20261
#define IDS_AX_MEDIA_HIDE_CLOSED_CAPTIONS_BUTTON 20262
#define IDS_AX_MEDIA_CAST_OFF_BUTTON 20263
#define IDS_AX_MEDIA_CAST_ON_BUTTON 20264
#define IDS_AX_MEDIA_DOWNLOAD_BUTTON 20265
#define IDS_AX_MEDIA_OVERFLOW_BUTTON 20266
#define IDS_AX_MEDIA_AUDIO_ELEMENT_HELP 20267
#define IDS_AX_MEDIA_VIDEO_ELEMENT_HELP 20268
#define IDS_AX_MEDIA_AUDIO_SLIDER_HELP 20269
#define IDS_AX_MEDIA_VIDEO_SLIDER_HELP 20270
#define IDS_AX_MEDIA_VOLUME_SLIDER_HELP 20271
#define IDS_AX_MEDIA_CURRENT_TIME_DISPLAY_HELP 20272
#define IDS_AX_MEDIA_TIME_REMAINING_DISPLAY_HELP 20273
#define IDS_AX_MEDIA_OVERFLOW_BUTTON_HELP 20274
#define IDS_AX_MILLISECOND_FIELD_TEXT 20275
#define IDS_AX_MINUTE_FIELD_TEXT 20276
#define IDS_AX_MONTH_FIELD_TEXT 20277
#define IDS_AX_SECOND_FIELD_TEXT 20278
#define IDS_AX_WEEK_OF_YEAR_FIELD_TEXT 20279
#define IDS_AX_YEAR_FIELD_TEXT 20280
#define IDS_FORM_INPUT_WEEK_TEMPLATE 20281
#define IDS_FORM_VALIDATION_VALUE_MISSING_MULTIPLE_FILE 20282
#define IDS_FORM_VALIDATION_TYPE_MISMATCH 20283
#define IDS_FORM_VALIDATION_TYPE_MISMATCH_EMAIL_EMPTY 20284
#define IDS_FORM_VALIDATION_TYPE_MISMATCH_EMAIL_EMPTY_DOMAIN 20285
#define IDS_FORM_VALIDATION_TYPE_MISMATCH_EMAIL_EMPTY_LOCAL 20286
#define IDS_FORM_VALIDATION_TYPE_MISMATCH_EMAIL_INVALID_DOMAIN 20287
#define IDS_FORM_VALIDATION_TYPE_MISMATCH_EMAIL_INVALID_DOTS 20288
#define IDS_FORM_VALIDATION_TYPE_MISMATCH_EMAIL_INVALID_LOCAL 20289
#define IDS_FORM_VALIDATION_TYPE_MISMATCH_EMAIL_NO_AT_SIGN 20290
#define IDS_FORM_VALIDATION_TYPE_MISMATCH_MULTIPLE_EMAIL 20291
#define IDS_FORM_VALIDATION_RANGE_UNDERFLOW 20292
#define IDS_FORM_VALIDATION_RANGE_UNDERFLOW_DATETIME 20293
#define IDS_FORM_VALIDATION_RANGE_OVERFLOW 20294
#define IDS_FORM_VALIDATION_RANGE_OVERFLOW_DATETIME 20295
#define IDS_FORM_VALIDATION_BAD_INPUT_DATETIME 20296
#define IDS_FORM_VALIDATION_BAD_INPUT_NUMBER 20297
#define IDS_FORM_VALIDATION_VALUE_MISSING 20298
#define IDS_FORM_VALIDATION_VALUE_MISSING_CHECKBOX 20299
#define IDS_FORM_VALIDATION_VALUE_MISSING_FILE 20300
#define IDS_FORM_VALIDATION_VALUE_MISSING_RADIO 20301
#define IDS_FORM_VALIDATION_VALUE_MISSING_SELECT 20302
#define IDS_FORM_VALIDATION_TYPE_MISMATCH_EMAIL 20303
#define IDS_FORM_VALIDATION_TYPE_MISMATCH_URL 20304
#define IDS_FORM_VALIDATION_PATTERN_MISMATCH 20305
#define IDS_FORM_VALIDATION_STEP_MISMATCH 20306
#define IDS_FORM_VALIDATION_STEP_MISMATCH_CLOSE_TO_LIMIT 20307
#define IDS_FORM_VALIDATION_TOO_LONG 20308
#define IDS_FORM_VALIDATION_TOO_SHORT 20309
#define IDS_FORM_VALIDATION_TOO_SHORT_PLURAL 20310
#define IDS_MEDIA_OVERFLOW_MENU_CLOSED_CAPTIONS 20311
#define IDS_MEDIA_OVERFLOW_MENU_CLOSED_CAPTIONS_SUBMENU_TITLE 20312
#define IDS_MEDIA_OVERFLOW_MENU_CAST 20313
#define IDS_MEDIA_OVERFLOW_MENU_ENTER_FULLSCREEN 20314
#define IDS_MEDIA_OVERFLOW_MENU_EXIT_FULLSCREEN 20315
#define IDS_MEDIA_OVERFLOW_MENU_MUTE 20316
#define IDS_MEDIA_OVERFLOW_MENU_UNMUTE 20317
#define IDS_MEDIA_OVERFLOW_MENU_PLAY 20318
#define IDS_MEDIA_OVERFLOW_MENU_PAUSE 20319
#define IDS_MEDIA_OVERFLOW_MENU_DOWNLOAD 20320
#define IDS_MEDIA_OVERFLOW_MENU_ENTER_PICTURE_IN_PICTURE 20321
#define IDS_MEDIA_OVERFLOW_MENU_EXIT_PICTURE_IN_PICTURE 20322
#define IDS_MEDIA_PICTURE_IN_PICTURE_INTERSTITIAL_TEXT 20323
#define IDS_MEDIA_REMOTING_CAST_TEXT 20324
#define IDS_MEDIA_REMOTING_CAST_TO_UNKNOWN_DEVICE_TEXT 20325
#define IDS_MEDIA_REMOTING_STOP_TEXT 20326
#define IDS_MEDIA_REMOTING_STOP_BY_PLAYBACK_QUALITY_TEXT 20327
#define IDS_MEDIA_REMOTING_STOP_BY_ERROR_TEXT 20328
#define IDS_MEDIA_SCRUBBING_MESSAGE_TEXT 20329
#define IDS_MEDIA_TRACKS_NO_LABEL 20330
#define IDS_MEDIA_TRACKS_OFF 20331
#define IDS_PLUGIN_INITIALIZATION_ERROR 20332
#define IDS_UNITS_KIBIBYTES 20333
#define IDS_UNITS_MEBIBYTES 20334
#define IDS_UNITS_GIBIBYTES 20335
#define IDS_UNITS_TEBIBYTES 20336
#define IDS_UNITS_PEBIBYTES 20337

// ---------------------------------------------------------------------------
// From extensions_strings.h:

#define IDS_EXTENSION_BAD_FILE_ENCODING 24620
#define IDS_EXTENSION_CANT_GET_ABSOLUTE_PATH 24621
#define IDS_EXTENSION_CONTAINS_PRIVATE_KEY 24622
#define IDS_EXTENSION_CRX_EXISTS 24623
#define IDS_EXTENSION_DIRECTORY_NO_EXISTS 24624
#define IDS_EXTENSION_ERROR_WHILE_SIGNING 24625
#define IDS_EXTENSION_FAILED_DURING_PACKAGING 24626
#define IDS_EXTENSION_LOAD_ABOUT_PAGE_FAILED 24627
#define IDS_EXTENSION_LOAD_BACKGROUND_SCRIPT_FAILED 24628
#define IDS_EXTENSION_LOAD_BACKGROUND_PAGE_FAILED 24629
#define IDS_EXTENSION_LOAD_CSS_FAILED 24630
#define IDS_EXTENSION_LOAD_ICON_FAILED 24631
#define IDS_EXTENSION_LOAD_ICON_NOT_SUFFICIENTLY_VISIBLE 24632
#define IDS_EXTENSION_LOAD_JAVASCRIPT_FAILED 24633
#define IDS_EXTENSION_LOAD_OPTIONS_PAGE_FAILED 24634
#define IDS_EXTENSION_LOCALES_NO_DEFAULT_LOCALE_SPECIFIED 24635
#define IDS_EXTENSION_MANIFEST_UNREADABLE 24636
#define IDS_EXTENSION_MANIFEST_INVALID 24637
#define IDS_EXTENSION_PACKAGE_DIRECTORY_ERROR 24638
#define IDS_EXTENSION_PACKAGE_IMAGE_PATH_ERROR 24639
#define IDS_EXTENSION_PACKAGE_IMAGE_ERROR 24640
#define IDS_EXTENSION_PACKAGE_UNZIP_ERROR 24641
#define IDS_EXTENSION_PRIVATE_KEY_EXISTS 24642
#define IDS_EXTENSION_PRIVATE_KEY_FAILED_TO_READ 24643
#define IDS_EXTENSION_PRIVATE_KEY_FAILED_TO_EXPORT 24644
#define IDS_EXTENSION_PRIVATE_KEY_FAILED_TO_GENERATE 24645
#define IDS_EXTENSION_PRIVATE_KEY_FAILED_TO_OUTPUT 24646
#define IDS_EXTENSION_PRIVATE_KEY_INVALID 24647
#define IDS_EXTENSION_PRIVATE_KEY_NO_EXISTS 24648
#define IDS_EXTENSION_PRIVATE_KEY_INVALID_PATH 24649
#define IDS_EXTENSION_PRIVATE_KEY_INVALID_FORMAT 24650
#define IDS_EXTENSION_PUBLIC_KEY_FAILED_TO_EXPORT 24651
#define IDS_LOAD_STATE_PARAMETER_EXTENSION 24652
#define IDS_EXTENSION_SHARING_VIOLATION 24653
#define IDS_EXTENSION_CANT_INSTALL_POLICY_BLOCKED 24654
#define IDS_EXTENSION_CANT_MODIFY_POLICY_REQUIRED 24655
#define IDS_EXTENSION_CANT_UNINSTALL_POLICY_REQUIRED 24656
#define IDS_EXTENSION_DISABLED_UPDATE_REQUIRED_BY_POLICY 24657
#define IDS_DEVICE_NAME_WITH_PRODUCT_SERIAL 24658
#define IDS_DEVICE_NAME_WITH_PRODUCT_UNKNOWN_VENDOR 24659
#define IDS_DEVICE_NAME_WITH_PRODUCT_UNKNOWN_VENDOR_SERIAL 24660
#define IDS_DEVICE_NAME_WITH_PRODUCT_VENDOR 24661
#define IDS_DEVICE_NAME_WITH_PRODUCT_VENDOR_SERIAL 24662
#define IDS_DEVICE_NAME_WITH_UNKNOWN_PRODUCT_UNKNOWN_VENDOR 24663
#define IDS_DEVICE_NAME_WITH_UNKNOWN_PRODUCT_UNKNOWN_VENDOR_SERIAL 24664
#define IDS_DEVICE_NAME_WITH_UNKNOWN_PRODUCT_VENDOR 24665
#define IDS_DEVICE_NAME_WITH_UNKNOWN_PRODUCT_VENDOR_SERIAL 24666
#define IDS_DEVICE_PERMISSIONS_PROMPT_SINGLE_SELECTION 24667
#define IDS_DEVICE_PERMISSIONS_PROMPT_MULTIPLE_SELECTION 24668
#define IDS_CAMERA_FACING_USER 24669
#define IDS_CAMERA_FACING_ENVIRONMENT 24670
#define IDS_EXTENSION_USB_DEVICE_PRODUCT_NAME_AND_VENDOR 24671
#define IDS_EXTENSION_TASK_MANAGER_APPVIEW_TAG_PREFIX 24672
#define IDS_EXTENSION_TASK_MANAGER_EXTENSIONOPTIONS_TAG_PREFIX 24673
#define IDS_EXTENSION_TASK_MANAGER_EXTENSIONVIEW_TAG_PREFIX 24674
#define IDS_EXTENSION_TASK_MANAGER_MIMEHANDLERVIEW_TAG_PREFIX 24675
#define IDS_EXTENSION_TASK_MANAGER_WEBVIEW_TAG_PREFIX 24676
#define IDS_EXTENSION_WARNINGS_NETWORK_DELAY 24677
#define IDS_EXTENSION_WARNINGS_DOWNLOAD_FILENAME_CONFLICT 24678
#define IDS_EXTENSION_WARNING_RELOAD_TOO_FREQUENT 24679
#define IDS_EXTENSION_WARNING_RULESET_FAILED_TO_LOAD 24680
#define IDS_EXTENSION_INSTALL_PROCESS_CRASHED 24681
#define IDS_EXTENSION_PACKAGE_ERROR_CODE 24682
#define IDS_EXTENSION_PACKAGE_ERROR_MESSAGE 24683
#define IDS_EXTENSION_PACKAGE_INSTALL_ERROR 24684
#define IDS_EXTENSION_UNPACK_FAILED 24685
#define IDS_EXTENSION_WEBGL_NOT_SUPPORTED 24686

// ---------------------------------------------------------------------------
// From generated_resources.h:

#define IDS_BOOKMARKS_NO_ITEMS 800
#define IDS_BOOKMARK_BAR_IMPORT_LINK 801
#define IDS_BOOKMARK_GROUP_FROM_FIREFOX 804
#define IDS_BOOKMARK_GROUP_FROM_SAFARI 805
#define IDS_BOOKMARK_GROUP 806
#define IDS_BOOKMARK_BAR_SHOW_APPS_SHORTCUT 807
#define IDS_BOOKMARK_BAR_SHOW_MANAGED_BOOKMARKS_DEFAULT_NAME 808
#define IDS_BOOKMARK_BAR_SHOW_MANAGED_BOOKMARKS 809
#define IDS_BOOKMARK_BAR_APPS_SHORTCUT_NAME 810
#define IDS_BOOKMARK_BAR_APPS_SHORTCUT_TOOLTIP 811
#define IDS_BOOKMARK_BAR_OPEN_ALL 812
#define IDS_BOOKMARK_BAR_OPEN_ALL_NEW_WINDOW 813
#define IDS_BOOKMARK_BAR_OPEN_ALL_INCOGNITO 814
#define IDS_BOOKMARK_BAR_OPEN_ALL_COUNT 815
#define IDS_BOOKMARK_BAR_OPEN_ALL_COUNT_NEW_WINDOW 816
#define IDS_BOOKMARK_BAR_OPEN_ALL_COUNT_INCOGNITO 817
#define IDS_BOOKMARK_BAR_OPEN_IN_NEW_TAB 818
#define IDS_BOOKMARK_BAR_OPEN_IN_NEW_WINDOW 819
#define IDS_BOOKMARK_BAR_OPEN_INCOGNITO 820
#define IDS_BOOKMARK_BAR_EDIT 821
#define IDS_BOOKMARK_BAR_RENAME_FOLDER 822
#define IDS_BOOKMARK_BAR_REMOVE 823
#define IDS_BOOKMARK_BAR_ADD_NEW_BOOKMARK 824
#define IDS_BOOKMARK_BAR_NEW_FOLDER 825
#define IDS_SHOW_BOOKMARK_BAR 826
#define IDS_BOOKMARK_BAR_SHOULD_OPEN_ALL 827
#define IDS_BOOKMARK_BUBBLE_PAGE_BOOKMARKED 828
#define IDS_BOOKMARK_BUBBLE_PAGE_BOOKMARK 829
#define IDS_BOOKMARK_BUBBLE_NAME_LABEL 830
#define IDS_BOOKMARK_AX_BUBBLE_NAME_LABEL 831
#define IDS_BOOKMARK_BUBBLE_FOLDER_LABEL 832
#define IDS_BOOKMARK_AX_BUBBLE_FOLDER_LABEL 833
#define IDS_BOOKMARK_BUBBLE_OPTIONS 834
#define IDS_BOOKMARK_BUBBLE_CHOOSER_ANOTHER_FOLDER 835
#define IDS_BOOKMARK_SYNC_PROMO_MESSAGE 836
#define IDS_BOOKMARK_DICE_PROMO_SIGNIN_MESSAGE 837
#define IDS_BOOKMARK_DICE_PROMO_SYNC_MESSAGE 838
#define IDS_BOOKMARK_EDITOR_NAME_LABEL 843
#define IDS_BOOKMARK_AX_EDITOR_NAME_LABEL 844
#define IDS_BOOKMARK_AX_EDITOR_URL_LABEL 846
#define IDS_BOOKMARK_EDITOR_URL_LABEL 847
#define IDS_BOOKMARK_EDITOR_CONFIRM_DELETE 848
#define IDS_BOOKMARK_EDITOR_NEW_FOLDER_BUTTON 849
#define IDS_BOOKMARK_EDITOR_NEW_FOLDER_MENU_ITEM 850
#define IDS_BOOKMARK_FOLDER_EDITOR_WINDOW_TITLE 851
#define IDS_BOOKMARK_FOLDER_EDITOR_WINDOW_TITLE_NEW 852
#define IDS_BOOKMARK_ALL_TABS_DIALOG_TITLE 853
#define IDS_BOOKMARK_MANAGER_TITLE 854
#define IDS_BOOKMARK_MANAGER_SEARCH_BUTTON 855
#define IDS_BOOKMARK_MANAGER 856
#define IDS_BOOKMARK_MANAGER_FOLDERS_MENU 857
#define IDS_BOOKMARK_MANAGER_ORGANIZE_MENU 858
#define IDS_BOOKMARK_MANAGER_SHOW_IN_FOLDER 859
#define IDS_BOOKMARK_MANAGER_SORT 860
#define IDS_BOOKMARK_MANAGER_IMPORT_MENU 861
#define IDS_BOOKMARK_MANAGER_EXPORT_MENU 862
#define IDS_BOOKMARK_MANAGER_INVALID_URL 863
#define IDS_BOOKMARK_MANAGER_RECENT 864
#define IDS_BOOKMARK_MANAGER_SEARCH 865
#define IDS_EXPORT_BOOKMARKS_DEFAULT_FILENAME 866
#define IDS_MD_BOOKMARK_MANAGER_ADD_BOOKMARK_TITLE 867
#define IDS_MD_BOOKMARK_MANAGER_ADD_FOLDER_TITLE 868
#define IDS_MD_BOOKMARK_MANAGER_CLEAR_SEARCH 869
#define IDS_MD_BOOKMARK_MANAGER_EMPTY_LIST 870
#define IDS_MD_BOOKMARK_MANAGER_EMPTY_UNMODIFIABLE_LIST 871
#define IDS_MD_BOOKMARK_MANAGER_FOLDER_LABEL 872
#define IDS_MD_BOOKMARK_MANAGER_FOLDER_RENAME_TITLE 873
#define IDS_MD_BOOKMARK_MANAGER_FOLDER_LIST_CHANGED 874
#define IDS_MD_BOOKMARK_MANAGER_LIST_AX_LABEL 875
#define IDS_MD_BOOKMARK_MANAGER_MENU_ADD_BOOKMARK 876
#define IDS_MD_BOOKMARK_MANAGER_MENU_ADD_FOLDER 877
#define IDS_MD_BOOKMARK_MANAGER_MENU_COPY_URL 878
#define IDS_MD_BOOKMARK_MANAGER_MENU_EXPORT 879
#define IDS_MD_BOOKMARK_MANAGER_MENU_HELP_CENTER 880
#define IDS_MD_BOOKMARK_MANAGER_MENU_IMPORT 881
#define IDS_MD_BOOKMARK_MANAGER_MENU_OPEN_ALL 882
#define IDS_MD_BOOKMARK_MANAGER_MENU_OPEN_ALL_NEW_WINDOW 883
#define IDS_MD_BOOKMARK_MANAGER_MENU_OPEN_ALL_INCOGNITO 884
#define IDS_MD_BOOKMARK_MANAGER_MENU_OPEN_IN_NEW_TAB 885
#define IDS_MD_BOOKMARK_MANAGER_MENU_OPEN_IN_NEW_WINDOW 886
#define IDS_MD_BOOKMARK_MANAGER_MENU_OPEN_INCOGNITO 887
#define IDS_MD_BOOKMARK_MANAGER_MENU_RENAME 888
#define IDS_MD_BOOKMARK_MANAGER_MENU_SHOW_IN_FOLDER 889
#define IDS_MD_BOOKMARK_MANAGER_MENU_SORT 890
#define IDS_MD_BOOKMARK_MANAGER_MORE_ACTIONS 891
#define IDS_MD_BOOKMARK_MANAGER_MORE_ACTIONS_AX_LABEL 892
#define IDS_MD_BOOKMARK_MANAGER_OPEN_DIALOG_TITLE 893
#define IDS_MD_BOOKMARK_MANAGER_OPEN_DIALOG_CONFIRM 894
#define IDS_MD_BOOKMARK_MANAGER_ITEMS_SELECTED 895
#define IDS_MD_BOOKMARK_MANAGER_SIDEBAR_AX_LABEL 896
#define IDS_MD_BOOKMARK_MANAGER_SIDEBAR_NODE_COLLAPSE_AX_LABEL 897
#define IDS_MD_BOOKMARK_MANAGER_SIDEBAR_NODE_EXPAND_AX_LABEL 898
#define IDS_MD_BOOKMARK_MANAGER_TITLE 899
#define IDS_MD_BOOKMARK_MANAGER_TOAST_FOLDER_SORTED 900
#define IDS_MD_BOOKMARK_MANAGER_TOAST_ITEM_DELETED 901
#define IDS_MD_BOOKMARK_MANAGER_TOAST_ITEMS_DELETED 902
#define IDS_MD_BOOKMARK_MANAGER_TOAST_URL_COPIED 903
#define IDS_MD_BOOKMARK_MANAGER_TOAST_ITEM_COPIED 904
#define IDS_MD_BOOKMARK_MANAGER_TOAST_ITEMS_COPIED 905
#define IDS_BOOKMARKS_MENU 906
#define IDS_BOOKMARK_THIS_PAGE 907
#define IDS_BOOKMARK_OPEN_PAGES 908
#define IDS_TOOLTIP_STARRED 909
#define IDS_MEDIA_ROUTER_TITLE 910
#define IDS_MEDIA_ROUTER_ICON_TOOLTIP_TEXT 911
#define IDS_MEDIA_ROUTER_MENU_ITEM_TITLE 912
#define IDS_MEDIA_ROUTER_CAST_DIALOG_TITLE 913
#define IDS_MEDIA_ROUTER_BACK_BUTTON_TITLE 914
#define IDS_MEDIA_ROUTER_CLOSE_BUTTON_TITLE 915
#define IDS_MEDIA_ROUTER_SEARCH_BUTTON_TITLE 916
#define IDS_MEDIA_ROUTER_VIEW_CAST_MODE_LIST_BUTTON_TITLE 917
#define IDS_MEDIA_ROUTER_VIEW_DEVICE_LIST_BUTTON_TITLE 918
#define IDS_MEDIA_ROUTER_STOP_CASTING_BUTTON_ACCESSIBLE_NAME 919
#define IDS_MEDIA_ROUTER_AUTO_CAST_MODE 920
#define IDS_MEDIA_ROUTER_PRESENTATION_CAST_MODE 921
#define IDS_MEDIA_ROUTER_DESKTOP_MIRROR_CAST_MODE 922
#define IDS_MEDIA_ROUTER_TAB_MIRROR_CAST_MODE 923
#define IDS_MEDIA_ROUTER_LOCAL_FILE_CAST_MODE 924
#define IDS_MEDIA_ROUTER_SELECT_CAST_MODE_HEADER 925
#define IDS_MEDIA_ROUTER_SHARE_YOUR_SCREEN_SUBHEADING 926
#define IDS_MEDIA_ROUTER_CAST_LOCAL_MEDIA_SUBHEADING 927
#define IDS_MEDIA_ROUTER_CAST_LOCAL_MEDIA_TITLE 928
#define IDS_MEDIA_ROUTER_ALTERNATIVE_SOURCES_BUTTON 929
#define IDS_MEDIA_ROUTER_ABOUT 930
#define IDS_MEDIA_ROUTER_CLOUD_SERVICES_TOGGLE 931
#define IDS_MEDIA_ROUTER_HELP 932
#define IDS_MEDIA_ROUTER_ALWAYS_SHOW_TOOLBAR_ACTION 933
#define IDS_MEDIA_ROUTER_REPORT_ISSUE 934
#define IDS_MEDIA_ROUTER_MANAGE_DEVICES 935
#define IDS_MEDIA_ROUTER_SHOWN_BY_POLICY 936
#define IDS_MEDIA_ROUTER_TOGGLE_MEDIA_REMOTING 937
#define IDS_MEDIA_ROUTER_FIRST_RUN_FLOW_CLOUD_PREF_TEXT 938
#define IDS_MEDIA_ROUTER_FIRST_RUN_FLOW_TITLE 939
#define IDS_MEDIA_ROUTER_FIRST_RUN_FLOW_TEXT 940
#define IDS_MEDIA_ROUTER_FIRST_RUN_FLOW_BUTTON 941
#define IDS_MEDIA_ROUTER_DISMISS_BUTTON 942
#define IDS_MEDIA_ROUTER_ISSUE_HEADER 943
#define IDS_MEDIA_ROUTER_ISSUE_CREATE_ROUTE_TIMEOUT 944
#define IDS_MEDIA_ROUTER_ISSUE_CREATE_ROUTE_TIMEOUT_FOR_DESKTOP 945
#define IDS_MEDIA_ROUTER_ISSUE_CREATE_ROUTE_TIMEOUT_FOR_TAB 946
#define IDS_MEDIA_ROUTER_ISSUE_PENDING_ROUTE 947
#define IDS_MEDIA_ROUTER_ISSUE_UNABLE_TO_CAST_DESKTOP 948
#define IDS_MEDIA_ROUTER_ISSUE_FILE_CAST_GENERIC_ERROR 949
#define IDS_MEDIA_ROUTER_ISSUE_FILE_CAST_ERROR 950
#define IDS_MEDIA_ROUTER_CASTING_ACTIVITY_STATUS 951
#define IDS_MEDIA_ROUTER_START_CASTING_BUTTON 952
#define IDS_MEDIA_ROUTER_STOP_CASTING_BUTTON 953
#define IDS_MEDIA_ROUTER_ROUTE_DETAILS_PLAY_TITLE 954
#define IDS_MEDIA_ROUTER_ROUTE_DETAILS_PAUSE_TITLE 955
#define IDS_MEDIA_ROUTER_ROUTE_DETAILS_MUTE_TITLE 956
#define IDS_MEDIA_ROUTER_ROUTE_DETAILS_UNMUTE_TITLE 957
#define IDS_MEDIA_ROUTER_ROUTE_DETAILS_SEEK_TITLE 958
#define IDS_MEDIA_ROUTER_ROUTE_DETAILS_VOLUME_TITLE 959
#define IDS_MEDIA_ROUTER_ROUTE_DETAILS_CURRENT_TIME_LABEL 960
#define IDS_MEDIA_ROUTER_ROUTE_DETAILS_DURATION_LABEL 961
#define IDS_MEDIA_ROUTER_ROUTE_DETAILS_HANGOUTS_LOCAL_PRESENT_TITLE 962
#define IDS_MEDIA_ROUTER_ROUTE_DETAILS_HANGOUTS_LOCAL_PRESENT_SUBTITLE 963
#define IDS_MEDIA_ROUTER_ROUTE_DETAILS_ALWAYS_USE_MIRRORING_TITLE 964
#define IDS_MEDIA_ROUTER_ROUTE_DETAILS_FULLSCREEN_VIDEOS_DROPDOWN_TITLE 965
#define IDS_MEDIA_ROUTER_ROUTE_DETAILS_FULLSCREEN_VIDEOS_BOTH_SCREENS 966
#define IDS_MEDIA_ROUTER_ROUTE_DETAILS_FULLSCREEN_VIDEOS_REMOTE_SCREEN 967
#define IDS_MEDIA_ROUTER_STATUS_LOOKING_FOR_DEVICES 968
#define IDS_MEDIA_ROUTER_STATUS_NO_DEVICES_FOUND 969
#define IDS_MEDIA_ROUTER_NO_DEVICES_FOUND_BUTTON 970
#define IDS_MEDIA_ROUTER_DESTINATION_MISSING 971
#define IDS_MEDIA_ROUTER_SINK_AVAILABLE 972
#define IDS_MEDIA_ROUTER_SINK_CONNECTING 973
#define IDS_MEDIA_ROUTER_SEARCH_LABEL 974
#define IDS_MEDIA_ROUTER_SEARCH_NO_MATCHES 975
#define IDS_MEDIA_ROUTER_FILE_DIALOG_AUDIO_VIDEO_FILTER 976
#define IDS_MEDIA_ROUTER_REMOTING_DIALOG_TITLE 977
#define IDS_MEDIA_ROUTER_REMOTING_DIALOG_BODY_TEXT 978
#define IDS_MEDIA_ROUTER_REMOTING_DIALOG_CHECKBOX 979
#define IDS_MEDIA_ROUTER_REMOTING_DIALOG_OPTIMIZE_BUTTON 980
#define IDS_MEDIA_ROUTER_REMOTING_DIALOG_CANCEL_BUTTON 981
#define IDS_MEDIA_ROUTER_REMOTING_DIALOG_CANCEL_BUTTON_MACOS 982
#define IDS_MEDIA_ROUTER_CLOUD_SERVICES_DIALOG_TITLE 983
#define IDS_MEDIA_ROUTER_CLOUD_SERVICES_DIALOG_BODY 984
#define IDS_MEDIA_ROUTER_CLOUD_SERVICES_DIALOG_ENABLE 985
#define IDS_MEDIA_ROUTER_CLOUD_SERVICES_DIALOG_CANCEL 986
#define IDS_MEDIA_ROUTER_WIRED_DISPLAY_ROUTE_DESCRIPTION 987
#define IDS_MEDIA_ROUTER_WIRED_DISPLAY_SINK_NAME 988
#define IDS_LEGACY_SUPERVISED_USER_INFO 989
#define IDS_CHILD_INFO_ONE_CUSTODIAN 990
#define IDS_CHILD_INFO_TWO_CUSTODIANS 991
#define IDS_LEGACY_SUPERVISED_USER_AVATAR_LABEL 992
#define IDS_GENERIC_USER_AVATAR_LABEL 993
#define IDS_AVATAR_BUTTON_INCOGNITO_TOOLTIP 994
#define IDS_AVATAR_BUTTON_SYNC_ERROR 995
#define IDS_AVATAR_BUTTON_SYNC_ERROR_TOOLTIP 996
#define IDS_AVATAR_BUTTON_SYNC_PAUSED 997
#define IDS_AVATAR_BUTTON_SYNC_PAUSED_TOOLTIP 998
#define IDS_LEGACY_SUPERVISED_USER_NEW_AVATAR_LABEL 999
#define IDS_CHILD_AVATAR_LABEL 1000
#define IDS_BLOCK_INTERSTITIAL_DEFAULT_FEEDBACK_TEXT 1001
#define IDS_PROFILES_OPTIONS_GROUP_NAME 1002
#define IDS_PROFILES_PROFILE_SIGNOUT_BUTTON 1004
#define IDS_PROFILES_EXIT_PROFILE_BUTTON 1005
#define IDS_PROFILES_GAIA_SIGNIN_TITLE 1006
#define IDS_PROFILES_ACCOUNT_REMOVAL_TITLE 1007
#define IDS_PROFILES_SETTINGS_LINK 1008
#define IDS_PROFILES_SYNC_COMPLETE_TITLE 1009
#define IDS_PROFILES_DICE_SIGNIN_BUTTON 1010
#define IDS_PROFILES_DICE_NOT_SYNCING_TITLE 1011
#define IDS_PROFILES_DICE_SIGNIN_FIRST_ACCOUNT_BUTTON 1012
#define IDS_PROFILES_DICE_SIGNIN_FIRST_ACCOUNT_BUTTON_NO_NAME 1013
#define IDS_PROFILES_DICE_SYNC_DISABLED_TITLE 1014
#define IDS_PROFILES_DICE_SYNC_PAUSED_TITLE 1015
#define IDS_PROFILES_ACCOUNT_REMOVAL_BUTTON 1016
#define IDS_PROFILES_EXIT_GUEST 1017
#define IDS_PROFILES_SIGNIN_PROMO 1018
#define IDS_PROFILES_PASSWORDS_LINK 1019
#define IDS_PROFILES_CREDIT_CARDS_LINK 1020
#define IDS_PROFILES_ADDRESSES_LINK 1021
#define IDS_PROFILES_DICE_SIGNIN_WITH_ANOTHER_ACCOUNT_BUTTON 1022
#define IDS_PROFILES_DICE_USE_ANOTHER_ACCOUNT_BUTTON 1023
#define IDS_PROFILES_PROFILE_ADD_ACCOUNT_BUTTON 1024
#define IDS_PROFILES_PROFILE_MANAGE_ACCOUNTS_BUTTON 1025
#define IDS_PROFILES_PROFILE_HIDE_MANAGE_ACCOUNTS_BUTTON 1026
#define IDS_PROFILES_MANAGE_USERS_BUTTON 1027
#define IDS_PROFILES_OPEN_GUEST_PROFILE_BUTTON 1028
#define IDS_PROFILES_CLOSE_ALL_WINDOWS_BUTTON 1029
#define IDS_PROFILES_EDIT_PROFILE_ACCESSIBLE_NAME 1030
#define IDS_PROFILES_EDIT_SIGNED_IN_PROFILE_ACCESSIBLE_NAME 1031
#define IDS_PROFILES_GUEST_PROFILE_NAME 1032
#define IDS_DEFAULT_PROFILE_NAME 1033
#define IDS_LEGACY_DEFAULT_PROFILE_NAME 1034
#define IDS_NUMBERED_PROFILE_NAME 1035
#define IDS_NEW_NUMBERED_PROFILE_NAME 1036
#define IDS_SINGLE_PROFILE_DISPLAY_NAME 1037
#define IDS_GUEST_PROFILE_NAME 1038
#define IDS_DEFAULT_AVATAR_NAME_8 1039
#define IDS_DEFAULT_AVATAR_NAME_9 1040
#define IDS_DEFAULT_AVATAR_NAME_10 1041
#define IDS_DEFAULT_AVATAR_NAME_11 1042
#define IDS_DEFAULT_AVATAR_NAME_12 1043
#define IDS_DEFAULT_AVATAR_NAME_13 1044
#define IDS_DEFAULT_AVATAR_NAME_14 1045
#define IDS_DEFAULT_AVATAR_NAME_15 1046
#define IDS_DEFAULT_AVATAR_NAME_16 1047
#define IDS_DEFAULT_AVATAR_NAME_17 1048
#define IDS_DEFAULT_AVATAR_NAME_18 1049
#define IDS_DEFAULT_AVATAR_NAME_19 1050
#define IDS_DEFAULT_AVATAR_NAME_20 1051
#define IDS_DEFAULT_AVATAR_NAME_21 1052
#define IDS_DEFAULT_AVATAR_NAME_22 1053
#define IDS_DEFAULT_AVATAR_NAME_23 1054
#define IDS_DEFAULT_AVATAR_NAME_24 1055
#define IDS_DEFAULT_AVATAR_NAME_25 1056
#define IDS_DEFAULT_AVATAR_NAME_26 1057
#define IDS_DEFAULT_AVATAR_LABEL_0 1058
#define IDS_DEFAULT_AVATAR_LABEL_1 1059
#define IDS_DEFAULT_AVATAR_LABEL_2 1060
#define IDS_DEFAULT_AVATAR_LABEL_3 1061
#define IDS_DEFAULT_AVATAR_LABEL_4 1062
#define IDS_DEFAULT_AVATAR_LABEL_5 1063
#define IDS_DEFAULT_AVATAR_LABEL_6 1064
#define IDS_DEFAULT_AVATAR_LABEL_7 1065
#define IDS_DEFAULT_AVATAR_LABEL_8 1066
#define IDS_DEFAULT_AVATAR_LABEL_9 1067
#define IDS_DEFAULT_AVATAR_LABEL_10 1068
#define IDS_DEFAULT_AVATAR_LABEL_11 1069
#define IDS_DEFAULT_AVATAR_LABEL_12 1070
#define IDS_DEFAULT_AVATAR_LABEL_13 1071
#define IDS_DEFAULT_AVATAR_LABEL_14 1072
#define IDS_DEFAULT_AVATAR_LABEL_15 1073
#define IDS_DEFAULT_AVATAR_LABEL_16 1074
#define IDS_DEFAULT_AVATAR_LABEL_17 1075
#define IDS_DEFAULT_AVATAR_LABEL_18 1076
#define IDS_DEFAULT_AVATAR_LABEL_19 1077
#define IDS_DEFAULT_AVATAR_LABEL_20 1078
#define IDS_DEFAULT_AVATAR_LABEL_21 1079
#define IDS_DEFAULT_AVATAR_LABEL_22 1080
#define IDS_DEFAULT_AVATAR_LABEL_23 1081
#define IDS_DEFAULT_AVATAR_LABEL_24 1082
#define IDS_DEFAULT_AVATAR_LABEL_25 1083
#define IDS_PROFILES_LOCAL_PROFILE_STATE 1084
#define IDS_PROFILES_CREATE_BUTTON_LABEL 1085
#define IDS_PROFILES_MANAGE_BUTTON_LABEL 1086
#define IDS_PROFILES_DEFAULT_NAME 1087
#define IDS_SYNC_LOGIN_NAME_PROHIBITED 1088
#define IDS_SUPERVISED_USER_NOT_ALLOWED_BY_POLICY 1089
#define IDS_OLD_PROFILES_DISABLED_TITLE 1090
#define IDS_OLD_PROFILES_DISABLED_MESSAGE 1091
#define IDS_OLD_PROFILES_DISABLED_ADD_PERSON_SUGGESTION 1092
#define IDS_OLD_PROFILES_DISABLED_ADD_PERSON_SUGGESTION_WITH_DOMAIN 1093
#define IDS_OLD_PROFILES_DISABLED_REMOVED_OLD_PROFILE 1094
#define IDS_SYNC_USER_NAME_IN_USE_ERROR 1095
#define IDS_SYNC_USER_NAME_IN_USE_BY_ERROR 1096
#define IDS_PROFILES_CREATE_TITLE 1097
#define IDS_PROFILES_CREATE_LOCAL_ERROR 1098
#define IDS_PROFILES_CREATE_DESKTOP_SHORTCUT_LABEL 1099
#define IDS_PROFILES_CREATE_SUPERVISED_JUST_SIGNED_IN 1100
#define IDS_IMPORT_EXISTING_LEGACY_SUPERVISED_USER_TITLE 1101
#define IDS_IMPORT_EXISTING_LEGACY_SUPERVISED_USER_TEXT 1102
#define IDS_CREATE_NEW_LEGACY_SUPERVISED_USER_LINK 1103
#define IDS_IMPORT_EXISTING_LEGACY_SUPERVISED_USER_OK 1104
#define IDS_ADD_USER_BUTTON 1105
#define IDS_LOGIN_POD_USER_REMOVE_WARNING_BUTTON 1106
#define IDS_CREATE_LEGACY_SUPERVISED_USER_MENU_LABEL 1107
#define IDS_SCREEN_LOCK_SIGN_OUT 1108
#define IDS_BROWSE_AS_GUEST_BUTTON 1110
#define IDS_MORE_OPTIONS_BUTTON 1111
#define IDS_SCREEN_LOCK_ACTIVE_USER 1112
#define IDS_LOGIN_ERROR_AUTHENTICATING 1121
#define IDS_LOGIN_ERROR_AUTHENTICATING_OFFLINE 1122
#define IDS_LOGIN_POD_EMPTY_PASSWORD_TEXT 1123
#define IDS_LOGIN_POD_SIGNING_IN 1124
#define IDS_LOGIN_POD_PASSWORD_FIELD_ACCESSIBLE_NAME 1125
#define IDS_LOGIN_POD_SUBMIT_BUTTON_ACCESSIBLE_NAME 1126
#define IDS_LOGIN_POD_MENU_BUTTON_ACCESSIBLE_NAME 1127
#define IDS_LOGIN_POD_MENU_REMOVE_ITEM_ACCESSIBLE_NAME 1128
#define IDS_LOGIN_POD_LEGACY_SUPERVISED_USER_REMOVE_WARNING 1129
#define IDS_LOGIN_POD_NON_OWNER_USER_REMOVE_WARNING 1130
#define IDS_USER_MANAGER_GO_GUEST_PROFILES_LOCKED_ERROR 1131
#define IDS_USER_MANAGER_REMOVE_PROFILE_PROFILES_LOCKED_ERROR 1132
#define IDS_USER_MANAGER_ADD_PROFILE_PROFILES_LOCKED_ERROR 1133
#define IDS_USER_MANAGER_PROMPT_MESSAGE 1134
#define IDS_LOGIN_POD_USER_REMOVE_WARNING_NONSYNC 1135
#define IDS_LOGIN_POD_USER_REMOVE_WARNING_HISTORY 1136
#define IDS_LOGIN_POD_USER_REMOVE_WARNING_PASSWORDS 1137
#define IDS_LOGIN_POD_USER_REMOVE_WARNING_BOOKMARKS 1138
#define IDS_LOGIN_POD_USER_REMOVE_WARNING_AUTOFILL 1139
#define IDS_LOGIN_POD_USER_REMOVE_WARNING_CALCULATING 1140
#define IDS_USER_MANAGER_TUTORIAL_NEXT 1141
#define IDS_USER_MANAGER_TUTORIAL_DONE 1142
#define IDS_USER_MANAGER_TUTORIAL_SLIDE_GUEST_TITLE 1143
#define IDS_USER_MANAGER_TUTORIAL_SLIDE_FRIENDS_TITLE 1144
#define IDS_USER_MANAGER_TUTORIAL_SLIDE_OUTRO_TITLE 1145
#define IDS_USER_MANAGER_TUTORIAL_SLIDE_OUTRO_USER_NOT_FOUND 1146
#define IDS_SETTINGS_EMPTY_STRING 2905
#define IDS_SETTINGS_MORE_ACTIONS 2907
#define IDS_SETTINGS_TURN_ON 2908
#define IDS_SETTINGS_ABOUT_PAGE_BROWSER_VERSION 2909
#define IDS_SETTINGS_ABOUT_PAGE_RELAUNCH 2921
#define IDS_SETTINGS_ABOUT_UPGRADE_CHECK_STARTED 2948
#define IDS_SETTINGS_ACCESSIBILITY 2951
#define IDS_SETTINGS_ACCESSIBILITY_WEB_STORE 2952
#define IDS_SETTINGS_MORE_FEATURES_LINK 2953
#define IDS_SETTINGS_MORE_FEATURES_LINK_DESCRIPTION 2954
#define IDS_SETTINGS_APPEARANCE 3055
#define IDS_SETTINGS_CUSTOM_WEB_ADDRESS 3056
#define IDS_SETTINGS_ENTER_CUSTOM_WEB_ADDRESS 3057
#define IDS_SETTINGS_HOME_BUTTON_DISABLED 3058
#define IDS_SETTINGS_SET_WALLPAPER 3059
#define IDS_SETTINGS_THEMES 3060
#define IDS_SETTINGS_SYSTEM_THEME 3061
#define IDS_SETTINGS_USE_SYSTEM_THEME 3062
#define IDS_SETTINGS_CLASSIC_THEME 3063
#define IDS_SETTINGS_USE_CLASSIC_THEME 3064
#define IDS_SETTINGS_SHOW_HOME_BUTTON 3066
#define IDS_SETTINGS_SHOW_BOOKMARKS_BAR 3067
#define IDS_SETTINGS_HOME_PAGE_NTP 3068
#define IDS_SETTINGS_CHANGE_HOME_PAGE 3069
#define IDS_SETTINGS_WEB_STORE 3070
#define IDS_SETTINGS_OPEN_WALLPAPER_APP 3071
#define IDS_SETTINGS_ADVANCED 3073
#define IDS_SETTINGS_BASIC 3074
#define IDS_SETTINGS_MENU_BUTTON_LABEL 3075
#define IDS_SETTINGS_MENU_EXTENSIONS_LINK_TOOLTIP 3076
#define IDS_SETTINGS_SEARCH_PROMPT 3077
#define IDS_SETTINGS_SEARCH_NO_RESULTS_HELP 3078
#define IDS_SETTINGS_SETTINGS 3079
#define IDS_SETTINGS_RESTART 3080
#define IDS_SETTINGS_CONTROLLED_BY_EXTENSION 3083
#define IDS_SETTINGS_CLEAR 3084
#define IDS_SETTINGS_EDIT 3085
#define IDS_SETTINGS_TOGGLE_ON 3086
#define IDS_SETTINGS_TOGGLE_OFF 3087
#define IDS_SETTINGS_NOT_VALID 3088
#define IDS_SETTINGS_NOT_VALID_WEB_ADDRESS 3089
#define IDS_SETTINGS_RETRY 3090
#define IDS_SETTINGS_PASSWORDS_AND_AUTOFILL_PAGE_TITLE 3091
#define IDS_SETTINGS_AUTOFILL 3092
#define IDS_SETTINGS_GOOGLE_PAYMENTS 3093
#define IDS_SETTINGS_AUTOFILL_ADDRESSES_ADD_TITLE 3094
#define IDS_SETTINGS_AUTOFILL_ADDRESSES_EDIT_TITLE 3095
#define IDS_SETTINGS_AUTOFILL_ADDRESSES_COUNTRY 3096
#define IDS_SETTINGS_AUTOFILL_ADDRESSES_PHONE 3097
#define IDS_SETTINGS_AUTOFILL_ADDRESSES_EMAIL 3098
#define IDS_SETTINGS_AUTOFILL_CREDIT_CARD_HEADING 3099
#define IDS_SETTINGS_AUTOFILL_CREDIT_CARD_DETAIL 3100
#define IDS_SETTINGS_AUTOFILL_CREDIT_CARD_TYPE_COLUMN_LABEL 3101
#define IDS_SETTINGS_AUTOFILL_DETAIL 3102
#define IDS_SETTINGS_ADDRESS_REMOVE 3103
#define IDS_SETTINGS_CREDIT_CARD_REMOVE 3104
#define IDS_SETTINGS_CREDIT_CARD_CLEAR 3105
#define IDS_SETTINGS_EDIT_CREDIT_CARD_TITLE 3106
#define IDS_SETTINGS_ADD_CREDIT_CARD_TITLE 3107
#define IDS_SETTINGS_SINGLE_MIGRATABLE_CARD_LABEL 3108
#define IDS_SETTINGS_MULTIPLE_MIGRATABLE_CARDS_LABEL 3109
#define IDS_SETTINGS_SINGLE_MIGRATABLE_CARD_INFO 3110
#define IDS_SETTINGS_MULTIPLE_MIGRATABLE_CARDS_INFO 3111
#define IDS_SETTINGS_NAME_ON_CREDIT_CARD 3112
#define IDS_SETTINGS_CREDIT_CARD_NUMBER 3113
#define IDS_SETTINGS_CREDIT_CARD_EXPIRATION_DATE 3114
#define IDS_SETTINGS_CREDIT_CARD_EXPIRATION_MONTH 3115
#define IDS_SETTINGS_CREDIT_CARD_EXPIRATION_YEAR 3116
#define IDS_SETTINGS_CREDIT_CARD_EXPIRED 3117
#define IDS_SETTINGS_PASSWORDS 3118
#define IDS_SETTINGS_PASSWORDS_AUTOFILL_HOME 3119
#define IDS_SETTINGS_PASSWORDS_SAVE_PASSWORDS_TOGGLE_LABEL 3120
#define IDS_SETTINGS_PASSWORDS_AUTOSIGNIN_CHECKBOX_LABEL 3121
#define IDS_SETTINGS_PASSWORDS_AUTOSIGNIN_CHECKBOX_DESC 3122
#define IDS_SETTINGS_PASSWORDS_DETAIL 3123
#define IDS_SETTINGS_PASSWORDS_SAVED_HEADING 3124
#define IDS_SETTINGS_PASSWORDS_EXCEPTIONS_HEADING 3125
#define IDS_SETTINGS_PASSWORDS_DELETE_EXCEPTION 3126
#define IDS_SETTINGS_PASSWORD_REMOVE 3127
#define IDS_SETTINGS_PASSWORD_SEARCH 3128
#define IDS_SETTINGS_PASSWORD_SHOW 3129
#define IDS_SETTINGS_PASSWORD_HIDE 3130
#define IDS_SETTINGS_PASSWORDS_VIEW_DETAILS_TITLE 3131
#define IDS_SETTINGS_PASSWORD_DETAILS 3132
#define IDS_SETTINGS_PASSWORDS_WEBSITE 3133
#define IDS_SETTINGS_PASSWORDS_USERNAME 3134
#define IDS_SETTINGS_PASSWORDS_PASSWORD 3135
#define IDS_SETTINGS_ADDRESS_NONE 3136
#define IDS_SETTINGS_CREDIT_CARD_NONE 3137
#define IDS_SETTINGS_PAYMENT_METHODS_NONE 3138
#define IDS_SETTINGS_PASSWORDS_NONE 3139
#define IDS_SETTINGS_PASSWORDS_EXCEPTIONS_NONE 3140
#define IDS_SETTINGS_PASSWORD_UNDO 3141
#define IDS_SETTINGS_PASSWORD_DELETED_PASSWORD 3142
#define IDS_SETTINGS_PASSWORDS_MANAGE_PASSWORDS 3143
#define IDS_SETTINGS_PASSWORDS_EXPORT_MENU_ITEM 3144
#define IDS_SETTINGS_PASSWORDS_EXPORT_TITLE 3145
#define IDS_SETTINGS_PASSWORDS_EXPORT_DESCRIPTION 3146
#define IDS_SETTINGS_PASSWORDS_EXPORT 3147
#define IDS_SETTINGS_PASSWORDS_EXPORT_TRY_AGAIN 3148
#define IDS_SETTINGS_PASSWORDS_EXPORTING_TITLE 3149
#define IDS_SETTINGS_PASSWORDS_EXPORTING_FAILURE_TITLE 3150
#define IDS_SETTINGS_PASSWORDS_EXPORTING_FAILURE_TIPS 3151
#define IDS_SETTINGS_PASSWORDS_EXPORTING_FAILURE_TIP_ENOUGH_SPACE 3152
#define IDS_SETTINGS_PASSWORDS_EXPORTING_FAILURE_TIP_ANOTHER_FOLDER 3153
#define IDS_SETTINGS_PASSWORD_ROW_MORE_ACTIONS 3154
#define IDS_SETTINGS_PASSWORD_ROW_FEDERATED_MORE_ACTIONS 3155
#define IDS_SETTINGS_DEFAULT_BROWSER 3156
#define IDS_SETTINGS_DEFAULT_BROWSER_MAKE_DEFAULT_BUTTON 3157
#define IDS_SETTINGS_CERTIFICATE_MANAGER_YOUR_CERTIFICATES 3197
#define IDS_SETTINGS_CERTIFICATE_MANAGER_EXPAND_ACCESSIBILITY_LABEL 3198
#define IDS_SETTINGS_CERTIFICATE_MANAGER_YOUR_CERTIFICATES_DESCRIPTION 3199
#define IDS_SETTINGS_CERTIFICATE_MANAGER_SERVERS 3200
#define IDS_SETTINGS_CERTIFICATE_MANAGER_SERVERS_DESCRIPTION 3201
#define IDS_SETTINGS_CERTIFICATE_MANAGER_NO_CERTIFICATES 3202
#define IDS_SETTINGS_CERTIFICATE_MANAGER_AUTHORITIES 3203
#define IDS_SETTINGS_CERTIFICATE_MANAGER_AUTHORITIES_DESCRIPTION 3204
#define IDS_SETTINGS_CERTIFICATE_MANAGER_VIEW 3205
#define IDS_SETTINGS_CERTIFICATE_MANAGER_IMPORT 3206
#define IDS_SETTINGS_CERTIFICATE_MANAGER_IMPORT_AND_BIND 3207
#define IDS_SETTINGS_CERTIFICATE_MANAGER_EXPORT 3208
#define IDS_SETTINGS_CERTIFICATE_MANAGER_DELETE 3209
#define IDS_SETTINGS_CERTIFICATE_MANAGER_OTHERS 3210
#define IDS_SETTINGS_CERTIFICATE_MANAGER_OTHERS_DESCRIPTION 3211
#define IDS_SETTINGS_CERTIFICATE_MANAGER_USAGE_SSL_CLIENT 3212
#define IDS_SETTINGS_CERTIFICATE_MANAGER_UNTRUSTED 3213
#define IDS_SETTINGS_CERTIFICATE_MANAGER_CA_TRUST_EDIT_DIALOG_TITLE 3214
#define IDS_SETTINGS_CERTIFICATE_MANAGER_CA_TRUST_EDIT_DIALOG_DESCRIPTION 3215
#define IDS_SETTINGS_CERTIFICATE_MANAGER_CA_TRUST_EDIT_DIALOG_EXPLANATION 3216
#define IDS_SETTINGS_CERTIFICATE_MANAGER_CA_TRUST_EDIT_DIALOG_SSL 3217
#define IDS_SETTINGS_CERTIFICATE_MANAGER_CA_TRUST_EDIT_DIALOG_EMAIL 3218
#define IDS_SETTINGS_CERTIFICATE_MANAGER_CA_TRUST_EDIT_DIALOG_OBJ_SIGN 3219
#define IDS_SETTINGS_CERTIFICATE_MANAGER_DELETE_USER_TITLE 3220
#define IDS_SETTINGS_CERTIFICATE_MANAGER_DELETE_USER_DESCRIPTION 3221
#define IDS_SETTINGS_CERTIFICATE_MANAGER_DELETE_SERVER_TITLE 3222
#define IDS_SETTINGS_CERTIFICATE_MANAGER_DELETE_SERVER_DESCRIPTION 3223
#define IDS_SETTINGS_CERTIFICATE_MANAGER_DELETE_CA_TITLE 3224
#define IDS_SETTINGS_CERTIFICATE_MANAGER_DELETE_CA_DESCRIPTION 3225
#define IDS_SETTINGS_CERTIFICATE_MANAGER_DELETE_OTHER_TITLE 3226
#define IDS_SETTINGS_CERTIFICATE_MANAGER_ENCRYPT_PASSWORD_TITLE 3227
#define IDS_SETTINGS_CERTIFICATE_MANAGER_DECRYPT_PASSWORD_TITLE 3228
#define IDS_SETTINGS_CERTIFICATE_MANAGER_ENCRYPT_PASSWORD_DESCRIPTION 3229
#define IDS_SETTINGS_CERTIFICATE_MANAGER_PASSWORD 3230
#define IDS_SETTINGS_CERTIFICATE_MANAGER_CONFIRM_PASSWORD 3231
#define IDS_SETTINGS_CERTIFICATE_MANAGER_BAD_PASSWORD 3232
#define IDS_SETTINGS_CERTIFICATE_MANAGER_CA_IMPORT_ERROR_TITLE 3233
#define IDS_SETTINGS_CERTIFICATE_MANAGER_CERT_PARSE_ERROR 3234
#define IDS_SETTINGS_CERTIFICATE_MANAGER_DELETE_CERT_ERROR_TITLE 3235
#define IDS_SETTINGS_CERTIFICATE_MANAGER_ERROR_CERT_ALREADY_EXISTS 3236
#define IDS_SETTINGS_CERTIFICATE_MANAGER_ERROR_NOT_CA 3237
#define IDS_SETTINGS_CERTIFICATE_MANAGER_IMPORT_ALL_NOT_IMPORTED 3238
#define IDS_SETTINGS_CERTIFICATE_MANAGER_IMPORT_ERROR_TITLE 3239
#define IDS_SETTINGS_CERTIFICATE_MANAGER_IMPORT_INVALID_FILE 3240
#define IDS_SETTINGS_CERTIFICATE_MANAGER_IMPORT_INVALID_MAC 3241
#define IDS_SETTINGS_CERTIFICATE_MANAGER_IMPORT_MISSING_KEY 3242
#define IDS_SETTINGS_CERTIFICATE_MANAGER_IMPORT_SINGLE_NOT_IMPORTED 3243
#define IDS_SETTINGS_CERTIFICATE_MANAGER_IMPORT_SOME_NOT_IMPORTED 3244
#define IDS_SETTINGS_CERTIFICATE_MANAGER_IMPORT_UNSUPPORTED 3245
#define IDS_SETTINGS_CERTIFICATE_MANAGER_PKCS12_EXPORT_ERROR_TITLE 3246
#define IDS_SETTINGS_CERTIFICATE_MANAGER_PKCS12_FILES 3247
#define IDS_SETTINGS_CERTIFICATE_MANAGER_READ_ERROR_FORMAT 3248
#define IDS_SETTINGS_CERTIFICATE_MANAGER_IMPORT_ERROR_FORMAT 3249
#define IDS_SETTINGS_CERTIFICATE_MANAGER_SERVER_IMPORT_ERROR_TITLE 3250
#define IDS_SETTINGS_CERTIFICATE_MANAGER_SET_TRUST_ERROR_TITLE 3251
#define IDS_SETTINGS_CERTIFICATE_MANAGER_UNKNOWN_ERROR 3252
#define IDS_SETTINGS_CERTIFICATE_MANAGER_WRITE_ERROR_FORMAT 3253
#define IDS_SETTINGS_CLEAR_PERIOD_TITLE 3254
#define IDS_SETTINGS_CLEAR_BROWSING_DATA_WITH_SYNC 3255
#define IDS_SETTINGS_CLEAR_BROWSING_DATA_WITH_SYNC_ERROR 3256
#define IDS_SETTINGS_CLEAR_BROWSING_DATA_WITH_SYNC_PASSPHRASE_ERROR 3257
#define IDS_SETTINGS_CLEAR_BROWSING_DATA_WITH_SYNC_PAUSED 3258
#define IDS_SETTINGS_CLEAR_BROWSING_HISTORY 3259
#define IDS_SETTINGS_CLEAR_COOKIES_AND_SITE_DATA_SUMMARY_BASIC 3260
#define IDS_SETTINGS_CLEAR_COOKIES_AND_SITE_DATA_SUMMARY_BASIC_WITH_EXCEPTION 3261
#define IDS_SETTINGS_CLEAR_BROWSING_HISTORY_SUMMARY 3262
#define IDS_SETTINGS_CLEAR_BROWSING_HISTORY_SUMMARY_SIGNED_IN 3263
#define IDS_SETTINGS_CLEAR_BROWSING_HISTORY_SUMMARY_SYNCED 3264
#define IDS_SETTINGS_CLEAR_DOWNLOAD_HISTORY 3265
#define IDS_SETTINGS_CLEAR_CACHE 3266
#define IDS_SETTINGS_CLEAR_COOKIES 3267
#define IDS_SETTINGS_CLEAR_COOKIES_FLASH 3268
#define IDS_SETTINGS_CLEAR_PASSWORDS 3269
#define IDS_SETTINGS_CLEAR_FORM_DATA 3270
#define IDS_SETTINGS_CLEAR_HOSTED_APP_DATA 3271
#define IDS_SETTINGS_CLEAR_MEDIA_LICENSES 3272
#define IDS_SETTINGS_CLEAR_PERIOD_HOUR 3273
#define IDS_SETTINGS_CLEAR_PERIOD_24_HOURS 3274
#define IDS_SETTINGS_CLEAR_PERIOD_7_DAYS 3275
#define IDS_SETTINGS_CLEAR_PERIOD_FOUR_WEEKS 3276
#define IDS_SETTINGS_CLEAR_PERIOD_EVERYTHING 3277
#define IDS_SETTINGS_NOTIFICATION_WARNING 3278
#define IDS_SETTINGS_PRINTING 3279
#define IDS_SETTINGS_PRINTING_CLOUD_PRINT_LEARN_MORE_LABEL 3280
#define IDS_SETTINGS_PRINTING_NOTIFICATIONS_LABEL 3281
#define IDS_SETTINGS_PRINTING_MANAGE_CLOUD_PRINT_DEVICES 3282
#define IDS_SETTINGS_PRINTING_LOCAL_PRINTERS_TITLE 3333
#define IDS_SETTINGS_PRINTING_CLOUD_PRINTERS 3334
#define IDS_SETTINGS_DOWNLOADS 3335
#define IDS_SETTINGS_DOWNLOAD_LOCATION 3336
#define IDS_SETTINGS_CHANGE_DOWNLOAD_LOCATION 3337
#define IDS_SETTINGS_PROMPT_FOR_DOWNLOAD 3338
#define IDS_SETTINGS_DISCONNECT_GOOGLE_DRIVE 3339
#define IDS_SETTINGS_OPEN_FILE_TYPES_AUTOMATICALLY 3340
#define IDS_SETTINGS_ON_STARTUP 3615
#define IDS_SETTINGS_ON_STARTUP_OPEN_NEW_TAB 3616
#define IDS_SETTINGS_ON_STARTUP_CONTINUE 3617
#define IDS_SETTINGS_ON_STARTUP_OPEN_SPECIFIC 3618
#define IDS_SETTINGS_ON_STARTUP_USE_CURRENT 3619
#define IDS_SETTINGS_ON_STARTUP_ADD_NEW_PAGE 3620
#define IDS_SETTINGS_ON_STARTUP_EDIT_PAGE 3621
#define IDS_SETTINGS_ON_STARTUP_SITE_URL 3622
#define IDS_SETTINGS_ON_STARTUP_REMOVE 3623
#define IDS_SETTINGS_ON_STARTUP_PAGE_TOOLTIP 3624
#define IDS_SETTINGS_INVALID_URL 3625
#define IDS_SETTINGS_URL_TOOL_LONG 3626
#define IDS_SETTINGS_LANGUAGES_PAGE_TITLE 3627
#define IDS_SETTINGS_LANGUAGES_LANGUAGES_LIST_TITLE 3628
#define IDS_SETTINGS_LANGUAGE_SEARCH 3629
#define IDS_SETTINGS_LANGUAGES_EXPAND_ACCESSIBILITY_LABEL 3630
#define IDS_SETTINGS_LANGUAGES_LANGUAGES_LIST_ORDERING_INSTRUCTIONS 3631
#define IDS_SETTINGS_LANGUAGES_LANGUAGES_LIST_MOVE_TO_TOP 3632
#define IDS_SETTINGS_LANGUAGES_LANGUAGES_LIST_MOVE_UP 3633
#define IDS_SETTINGS_LANGUAGES_LANGUAGES_LIST_MOVE_DOWN 3634
#define IDS_SETTINGS_LANGUAGES_LANGUAGES_LIST_REMOVE 3635
#define IDS_SETTINGS_LANGUAGES_LANGUAGES_ADD 3636
#define IDS_SETTINGS_LANGUAGES_OFFER_TO_TRANSLATE_IN_THIS_LANGUAGE 3637
#define IDS_SETTINGS_LANGUAGES_OFFER_TO_ENABLE_TRANSLATE 3638
#define IDS_SETTINGS_LANGUAGES_MANAGE_LANGUAGES_TITLE 3647
#define IDS_SETTINGS_LANGUAGES_ALL_LANGUAGES 3648
#define IDS_SETTINGS_LANGUAGES_ENABLED_LANGUAGES 3649
#define IDS_SETTINGS_LANGUAGES_SPELL_CHECK_LIST_TITLE 3650
#define IDS_SETTINGS_LANGUAGES_SPELL_CHECK_EXPAND_ACCESSIBILITY_LABEL 3651
#define IDS_SETTINGS_LANGUAGES_SPELL_CHECK_SUMMARY_TWO_LANGUAGES 3652
#define IDS_SETTINGS_LANGUAGES_SPELL_CHECK_SUMMARY_THREE_LANGUAGES 3653
#define IDS_SETTINGS_LANGUAGES_SPELL_CHECK_SUMMARY_MULTIPLE_LANGUAGES 3654
#define IDS_SETTINGS_LANGUAGES_SPELL_CHECK_MANAGE 3655
#define IDS_SETTINGS_LANGUAGES_EDIT_DICTIONARY_TITLE 3656
#define IDS_SETTINGS_LANGUAGES_ADD_DICTIONARY_WORD 3657
#define IDS_SETTINGS_LANGUAGES_ADD_DICTIONARY_WORD_BUTTON 3658
#define IDS_SETTINGS_LANGUAGES_ADD_DICTIONARY_WORD_DUPLICATE_ERROR 3659
#define IDS_SETTINGS_LANGUAGES_ADD_DICTIONARY_WORD_LENGTH_ERROR 3660
#define IDS_SETTINGS_LANGUAGES_DICTIONARY_WORDS 3661
#define IDS_SETTINGS_LANGUAGES_DICTIONARY_WORDS_NONE 3662
#define IDS_SETTINGS_LANGUAGES_SPELL_CHECK_DISABLED 3663
#define IDS_SETTINGS_LANGUAGES_DICTIONARY_DOWNLOAD_FAILED 3664
#define IDS_SETTINGS_LANGUAGES_DICTIONARY_DOWNLOAD_FAILED_HELP 3665
#define IDS_SETTINGS_PRIVACY 3666
#define IDS_SETTINGS_LINKDOCTOR_PREF 3667
#define IDS_SETTINGS_LINKDOCTOR_PREF_UNIFIED_CONSENT 3668
#define IDS_SETTINGS_LINKDOCTOR_PREF_DESC_UNIFIED_CONSENT 3669
#define IDS_SETTINGS_SUGGEST_PREF 3670
#define IDS_SETTINGS_SUGGEST_PREF_UNIFIED_CONSENT 3671
#define IDS_SETTINGS_SUGGEST_PREF_DESC_UNIFIED_CONSENT 3672
#define IDS_SETTINGS_NETWORK_PREDICTION_ENABLED_LABEL 3673
#define IDS_SETTINGS_NETWORK_PREDICTION_ENABLED_LABEL_UNIFIED_CONSENT 3674
#define IDS_SETTINGS_NETWORK_PREDICTION_ENABLED_DESC_UNIFIED_CONSENT 3675
#define IDS_SETTINGS_SAFEBROWSING_ENABLEPROTECTION 3676
#define IDS_SETTINGS_SAFEBROWSING_ENABLEPROTECTION_DESC 3677
#define IDS_SETTINGS_SAFEBROWSING_ENABLE_REPORTING 3678
#define IDS_SETTINGS_SAFEBROWSING_ENABLE_REPORTING_DESC 3679
#define IDS_SETTINGS_SPELLING_PREF 3680
#define IDS_SETTINGS_SPELLING_DESCRIPTION 3681
#define IDS_SETTINGS_SPELLING_PREF_UNIFIED_CONSENT 3682
#define IDS_SETTINGS_SPELLING_TURN_ON_HINT_UNIFIED_CONSENT 3683
#define IDS_SETTINGS_SPELLING_TURN_ON_HINT_UNIFIED_CONSENT_MAC 3684
#define IDS_SETTINGS_ENABLE_LOGGING 3685
#define IDS_SETTINGS_ENABLE_LOGGING_DIAGNOSTIC_AND_USAGE_DATA 3686
#define IDS_SETTINGS_ENABLE_LOGGING_UNIFIED_CONSENT 3687
#define IDS_SETTINGS_ENABLE_LOGGING_DESC_UNIFIED_CONSENT 3688
#define IDS_SETTINGS_ENABLE_URL_KEYED_ANONYMIZED_DATA_COLLECTION 3689
#define IDS_SETTINGS_ENABLE_URL_KEYED_ANONYMIZED_DATA_COLLECTION_DESC 3690
#define IDS_SETTINGS_ENABLE_DO_NOT_TRACK 3691
#define IDS_SETTINGS_ENABLE_DO_NOT_TRACK_DIALOG_TITLE 3692
#define IDS_SETTINGS_ENABLE_DO_NOT_TRACK_DIALOG_TEXT 3693
#define IDS_SETTINGS_ENABLE_CONTENT_PROTECTION_ATTESTATION 3694
#define IDS_SETTINGS_WAKE_ON_WIFI_DESCRIPTION 3695
#define IDS_SETTINGS_MANAGE_CERTIFICATES 3696
#define IDS_SETTINGS_MANAGE_CERTIFICATES_DESCRIPTION 3697
#define IDS_SETTINGS_CONTENT_SETTINGS 3698
#define IDS_SETTINGS_SITE_SETTINGS 3699
#define IDS_SETTINGS_SITE_SETTINGS_DESCRIPTION 3700
#define IDS_SETTINGS_CLEAR_DATA 3701
#define IDS_SETTINGS_CLEAR_BROWSING_DATA 3702
#define IDS_SETTINGS_CLEAR_DATA_DESCRIPTION 3703
#define IDS_SETTINGS_TITLE_AND_COUNT 3704
#define IDS_SETTINGS_PRIVACY_MORE_SETTINGS 3705
#define IDS_SETTINGS_PRIVACY_MORE_SETTINGS_UNIFIED_CONSENT 3706
#define IDS_SETTINGS_RESET 3707
#define IDS_SETTINGS_RESET_SETTINGS_TRIGGER 3708
#define IDS_SETTINGS_RESET_AUTOMATED_DIALOG_TITLE 3709
#define IDS_SETTINGS_RESET_BANNER_TEXT 3710
#define IDS_SETTINGS_RESET_BANNER_RESET_BUTTON_TEXT 3711
#define IDS_SETTINGS_SEARCH 3718
#define IDS_SETTINGS_SEARCH_EXPLANATION 3720
#define IDS_SETTINGS_SEARCH_MANAGE_SEARCH_ENGINES 3721
#define IDS_SETTINGS_SEARCH_ENGINES 3726
#define IDS_SETTINGS_SEARCH_ENGINES_SEARCH 3727
#define IDS_SETTINGS_SEARCH_ENGINES_ADD_SEARCH_ENGINE 3728
#define IDS_SETTINGS_SEARCH_ENGINES_EDIT_SEARCH_ENGINE 3729
#define IDS_SETTINGS_SEARCH_ENGINES_DEFAULT_ENGINES 3730
#define IDS_SETTINGS_SEARCH_ENGINES_OTHER_ENGINES 3731
#define IDS_SETTINGS_SEARCH_ENGINES_NO_OTHER_ENGINES 3732
#define IDS_SETTINGS_SEARCH_ENGINES_EXTENSION_ENGINES 3733
#define IDS_SETTINGS_SEARCH_ENGINES_SEARCH_ENGINE 3734
#define IDS_SETTINGS_SEARCH_ENGINES_KEYWORD 3735
#define IDS_SETTINGS_SEARCH_ENGINES_QUERY_URL 3736
#define IDS_SETTINGS_SEARCH_ENGINES_QUERY_URL_EXPLANATION 3737
#define IDS_SETTINGS_SEARCH_ENGINES_MAKE_DEFAULT 3738
#define IDS_SETTINGS_SEARCH_ENGINES_REMOVE_FROM_LIST 3739
#define IDS_SETTINGS_SEARCH_ENGINES_MANAGE_EXTENSION 3740
#define IDS_SETTINGS_EXCEPTIONS_EMBEDDED_ON_HOST 3751
#define IDS_SETTINGS_EXCEPTIONS_EMBEDDED_ON_ANY_HOST 3752
#define IDS_SETTINGS_SITE_SETTINGS_CATEGORY 3753
#define IDS_SETTINGS_SITE_SETTINGS_ALL_SITES 3754
#define IDS_SETTINGS_SITE_SETTINGS_ALL_SITES_DESCRIPTION 3755
#define IDS_SETTINGS_SITE_SETTINGS_ALL_SITES_SEARCH 3756
#define IDS_SETTINGS_SITE_SETTINGS_ALL_SITES_SORT 3757
#define IDS_SETTINGS_SITE_SETTINGS_ALL_SITES_SORT_METHOD_MOST_VISITED 3758
#define IDS_SETTINGS_SITE_SETTINGS_ALL_SITES_SORT_METHOD_STORAGE 3759
#define IDS_SETTINGS_SITE_SETTINGS_ALL_SITES_SORT_METHOD_NAME 3760
#define IDS_SETTINGS_SITE_SETTINGS_SITE_REPRESENTATION_SEPARATOR 3761
#define IDS_SETTINGS_SITE_SETTINGS_ADS 3762
#define IDS_SETTINGS_SITE_SETTINGS_AUTOMATIC_DOWNLOADS 3763
#define IDS_SETTINGS_SITE_SETTINGS_BACKGROUND_SYNC 3764
#define IDS_SETTINGS_SITE_SETTINGS_CAMERA 3765
#define IDS_SETTINGS_SITE_SETTINGS_CAMERA_LABEL 3766
#define IDS_SETTINGS_SITE_SETTINGS_CLIPBOARD 3767
#define IDS_SETTINGS_SITE_SETTINGS_CLIPBOARD_ASK 3768
#define IDS_SETTINGS_SITE_SETTINGS_CLIPBOARD_ASK_RECOMMENDED 3769
#define IDS_SETTINGS_SITE_SETTINGS_CLIPBOARD_BLOCK 3770
#define IDS_SETTINGS_SITE_SETTINGS_COOKIES 3771
#define IDS_SETTINGS_SITE_SETTINGS_HANDLERS 3772
#define IDS_SETTINGS_SITE_SETTINGS_LOCATION 3773
#define IDS_SETTINGS_SITE_SETTINGS_MIC 3774
#define IDS_SETTINGS_SITE_SETTINGS_MIC_LABEL 3775
#define IDS_SETTINGS_SITE_SETTINGS_NOTIFICATIONS 3776
#define IDS_SETTINGS_SITE_SETTINGS_IMAGES 3777
#define IDS_SETTINGS_SITE_SETTINGS_JAVASCRIPT 3778
#define IDS_SETTINGS_SITE_SETTINGS_FLASH 3779
#define IDS_SETTINGS_SITE_SETTINGS_PAYMENT_HANDLER 3780
#define IDS_SETTINGS_SITE_SETTINGS_PAYMENT_HANDLER_ALLOW 3781
#define IDS_SETTINGS_SITE_SETTINGS_PAYMENT_HANDLER_ALLOW_RECOMMENDED 3782
#define IDS_SETTINGS_SITE_SETTINGS_PAYMENT_HANDLER_BLOCK 3783
#define IDS_SETTINGS_SITE_SETTINGS_PDF_DOCUMENTS 3784
#define IDS_SETTINGS_SITE_SETTINGS_PDF_DOWNLOAD_PDFS 3785
#define IDS_SETTINGS_SITE_SETTINGS_POPUPS 3786
#define IDS_SETTINGS_SITE_SETTINGS_PROTECTED_CONTENT 3787
#define IDS_SETTINGS_SITE_SETTINGS_PROTECTED_CONTENT_IDENTIFIERS 3788
#define IDS_SETTINGS_SITE_SETTINGS_PROTECTED_CONTENT_ENABLE 3789
#define IDS_SETTINGS_SITE_SETTINGS_UNSANDBOXED_PLUGINS 3792
#define IDS_SETTINGS_SITE_SETTINGS_MIDI_DEVICES 3793
#define IDS_SETTINGS_SITE_SETTINGS_MIDI_DEVICES_ASK 3794
#define IDS_SETTINGS_SITE_SETTINGS_MIDI_DEVICES_ASK_RECOMMENDED 3795
#define IDS_SETTINGS_SITE_SETTINGS_MIDI_DEVICES_BLOCK 3796
#define IDS_SETTINGS_SITE_SETTINGS_SOUND 3797
#define IDS_SETTINGS_SITE_SETTINGS_SENSORS 3798
#define IDS_SETTINGS_SITE_SETTINGS_USB_DEVICES 3799
#define IDS_SETTINGS_SITE_SETTINGS_USB_DEVICES_ASK 3800
#define IDS_SETTINGS_SITE_SETTINGS_USB_DEVICES_ASK_RECOMMENDED 3801
#define IDS_SETTINGS_SITE_SETTINGS_USB_DEVICES_BLOCK 3802
#define IDS_SETTINGS_SITE_SETTINGS_REMOVE_ZOOM_LEVEL 3803
#define IDS_SETTINGS_SITE_SETTINGS_ZOOM_LEVELS 3804
#define IDS_SETTINGS_SITE_SETTINGS_MAY_SAVE_COOKIES 3805
#define IDS_SETTINGS_SITE_SETTINGS_ASK_FIRST 3806
#define IDS_SETTINGS_SITE_SETTINGS_ASK_FIRST_RECOMMENDED 3807
#define IDS_SETTINGS_SITE_SETTINGS_ASK_BEFORE_ACCESSING 3808
#define IDS_SETTINGS_SITE_SETTINGS_ASK_BEFORE_ACCESSING_RECOMMENDED 3809
#define IDS_SETTINGS_SITE_SETTINGS_ASK_BEFORE_SENDING 3810
#define IDS_SETTINGS_SITE_SETTINGS_ASK_BEFORE_SENDING_RECOMMENDED 3811
#define IDS_SETTINGS_SITE_SETTINGS_DONT_SHOW_IMAGES 3812
#define IDS_SETTINGS_SITE_SETTINGS_SHOW_ALL 3813
#define IDS_SETTINGS_SITE_SETTINGS_SHOW_ALL_RECOMMENDED 3814
#define IDS_SETTINGS_SITE_SETTINGS_COOKIES_ALLOW_SITES 3815
#define IDS_SETTINGS_SITE_SETTINGS_COOKIES_ALLOW_SITES_RECOMMENDED 3816
#define IDS_SETTINGS_SITE_SETTINGS_FLASH_BLOCK 3817
#define IDS_SETTINGS_SITE_SETTINGS_FLASH_PERMISSIONS_ARE_EPHEMERAL 3818
#define IDS_SETTINGS_SITE_SETTINGS_FLASH_DETECT_IMPORTANT_RECOMMENDED 3819
#define IDS_SETTINGS_SITE_SETTINGS_FLASH_DETECT_IMPORTANT 3820
#define IDS_SETTINGS_SITE_SETTINGS_ALLOW_RECENTLY_CLOSED_SITES 3821
#define IDS_SETTINGS_SITE_SETTINGS_ALLOW_RECENTLY_CLOSED_SITES_RECOMMENDED 3822
#define IDS_SETTINGS_SITE_SETTINGS_BACKGROUND_SYNC_BLOCKED 3823
#define IDS_SETTINGS_SITE_SETTINGS_HANDLERS_ASK 3824
#define IDS_SETTINGS_SITE_SETTINGS_HANDLERS_ASK_RECOMMENDED 3825
#define IDS_SETTINGS_SITE_SETTINGS_HANDLERS_BLOCKED 3826
#define IDS_SETTINGS_SITE_SETTINGS_ADS_BLOCK 3827
#define IDS_SETTINGS_SITE_SETTINGS_ADS_BLOCK_RECOMMENDED 3828
#define IDS_SETTINGS_SITE_SETTINGS_SOUND_ALLOW 3829
#define IDS_SETTINGS_SITE_SETTINGS_SOUND_ALLOW_RECOMMENDED 3830
#define IDS_SETTINGS_SITE_SETTINGS_SOUND_BLOCK 3831
#define IDS_SETTINGS_SITE_SETTINGS_SENSORS_ALLOW 3832
#define IDS_SETTINGS_SITE_SETTINGS_SENSORS_BLOCK 3833
#define IDS_SETTINGS_SITE_SETTINGS_AUTOMATIC_DOWNLOAD_ASK 3834
#define IDS_SETTINGS_SITE_SETTINGS_AUTOMATIC_DOWNLOAD_ASK_RECOMMENDED 3835
#define IDS_SETTINGS_SITE_SETTINGS_AUTOMATIC_DOWNLOAD_BLOCK 3836
#define IDS_SETTINGS_SITE_SETTINGS_UNSANDBOXED_PLUGINS_ASK 3837
#define IDS_SETTINGS_SITE_SETTINGS_UNSANDBOXED_PLUGINS_ASK_RECOMMENDED 3838
#define IDS_SETTINGS_SITE_SETTINGS_UNSANDBOXED_PLUGINS_BLOCK 3839
#define IDS_SETTINGS_SITE_SETTINGS_ALLOWED 3840
#define IDS_SETTINGS_SITE_SETTINGS_ALLOWED_RECOMMENDED 3841
#define IDS_SETTINGS_SITE_SETTINGS_BLOCKED 3842
#define IDS_SETTINGS_SITE_SETTINGS_BLOCKED_RECOMMENDED 3843
#define IDS_SETTINGS_SITE_SETTINGS_ALLOW 3844
#define IDS_SETTINGS_SITE_SETTINGS_BLOCK 3845
#define IDS_SETTINGS_SITE_SETTINGS_BLOCK_SOUND 3846
#define IDS_SETTINGS_SITE_SETTINGS_SESSION_ONLY 3847
#define IDS_SETTINGS_SITE_SETTINGS_SITE_URL 3848
#define IDS_SETTINGS_SITE_SETTINGS_ASK_DEFAULT_MENU 3849
#define IDS_SETTINGS_SITE_SETTINGS_ALLOW_DEFAULT_MENU 3850
#define IDS_SETTINGS_SITE_SETTINGS_AUTOMATIC_DEFAULT_MENU 3851
#define IDS_SETTINGS_SITE_SETTINGS_BLOCK_DEFAULT_MENU 3852
#define IDS_SETTINGS_SITE_SETTINGS_MUTE_DEFAULT_MENU 3853
#define IDS_SETTINGS_SITE_SETTINGS_ALLOW_MENU 3854
#define IDS_SETTINGS_SITE_SETTINGS_BLOCK_MENU 3855
#define IDS_SETTINGS_SITE_SETTINGS_ASK_MENU 3856
#define IDS_SETTINGS_SITE_SETTINGS_MUTE_MENU 3857
#define IDS_SETTINGS_SITE_SETTINGS_RESET_MENU 3858
#define IDS_SETTINGS_SITE_SETTINGS_SESSION_ONLY_MENU 3859
#define IDS_SETTINGS_SITE_SETTINGS_USAGE 3860
#define IDS_SETTINGS_SITE_SETTINGS_USAGE_NONE 3861
#define IDS_SETTINGS_SITE_SETTINGS_PERMISSIONS 3862
#define IDS_SETTINGS_SITE_SETTINGS_SOURCE_DRM_DISABLED 3863
#define IDS_SETTINGS_SITE_SETTINGS_ADS_BLOCK_BLACKLISTED_SINGULAR 3864
#define IDS_SETTINGS_SITE_SETTINGS_ADS_BLOCK_NOT_BLACKLISTED_SINGULAR 3865
#define IDS_SETTINGS_SITE_SETTINGS_SOURCE_KILL_SWITCH 3866
#define IDS_SETTINGS_SITE_SETTINGS_SOURCE_INSECURE_ORIGIN 3867
#define IDS_SETTINGS_SITE_SETTINGS_RESET_BUTTON 3868
#define IDS_SETTINGS_SITE_SETTINGS_DELETE 3869
#define IDS_SETTINGS_SITE_SETTINGS_COOKIE_HEADER 3870
#define IDS_SETTINGS_SITE_SETTINGS_COOKIE_LINK 3871
#define IDS_SETTINGS_SITE_SETTINGS_COOKIE_REMOVE 3872
#define IDS_SETTINGS_SITE_SETTINGS_COOKIE_REMOVE_ALL 3873
#define IDS_SETTINGS_SITE_SETTINGS_COOKIE_REMOVE_ALL_SHOWN 3874
#define IDS_SETTINGS_SITE_SETTINGS_COOKIE_REMOVE_DIALOG_TITLE 3875
#define IDS_SETTINGS_SITE_SETTINGS_COOKIE_SUBPAGE 3876
#define IDS_SETTINGS_SITE_SETTINGS_SITE_RESET_CONFIRMATION 3877
#define IDS_SETTINGS_SITE_SETTINGS_SITE_CLEAR_STORAGE_DIALOG_TITLE 3878
#define IDS_SETTINGS_SITE_SETTINGS_SITE_CLEAR_STORAGE_CONFIRMATION 3879
#define IDS_SETTINGS_SITE_SETTINGS_SITE_GROUP_RESET_DIALOG_TITLE 3880
#define IDS_SETTINGS_SITE_SETTINGS_SITE_GROUP_RESET_CONFIRMATION 3881
#define IDS_SETTINGS_SITE_SETTINGS_COOKIE_REMOVE_MULTIPLE 3882
#define IDS_SETTINGS_SITE_SETTINGS_COOKIE_REMOVE_SITE 3883
#define IDS_SETTINGS_SITE_SETTINGS_COOKIES_CLEAR_ALL 3884
#define IDS_SETTINGS_SITE_SETTINGS_SITE_RESET_ALL 3885
#define IDS_SETTINGS_SITE_SETTINGS_SITE_CLEAR_STORAGE 3886
#define IDS_SETTINGS_SITE_SETTINGS_COOKIE_SEARCH 3887
#define IDS_SETTINGS_SITE_SETTINGS_THIRD_PARTY_COOKIE 3888
#define IDS_SETTINGS_SITE_SETTINGS_THIRD_PARTY_COOKIE_SUBLABEL 3889
#define IDS_SETTINGS_SITE_SETTINGS_DELETE_DATA_POST_SESSION 3890
#define IDS_SETTINGS_SITE_SETTINGS_ADOBE_FLASH_SETTINGS 3891
#define IDS_SETTINGS_SITE_SETTINGS_HANDLER_IS_DEFAULT 3892
#define IDS_SETTINGS_SITE_SETTINGS_HANDLER_SET_DEFAULT 3893
#define IDS_SETTINGS_SITE_SETTINGS_REMOVE 3894
#define IDS_SETTINGS_SITE_SETTINGS_INCOGNITO_ONLY 3895
#define IDS_SETTINGS_SITE_SETTINGS_INCOGNITO 3896
#define IDS_SETTINGS_SITE_SETTINGS_INCOGNITO_EMBEDDED 3897
#define IDS_SETTINGS_SITE_SETTINGS_NO_ZOOMED_SITES 3898
#define IDS_SETTINGS_SITE_NO_SITES_ADDED 3899
#define IDS_SETTINGS_SITE_SETTINGS_BLOCK_AUTOPLAY 3900
#define IDS_SETTINGS_NO_USB_DEVICES_FOUND 3901
#define IDS_SETTINGS_ADD_SITE_EXCEPTION_PLACEHOLDER 3902
#define IDS_SETTINGS_ADD_SITE_TITLE 3903
#define IDS_SETTINGS_EDIT_SITE_TITLE 3904
#define IDS_SETTINGS_ADD_SITE 3905
#define IDS_SETTINGS_COOKIES_COOKIE_NAME_LABEL 3907
#define IDS_SETTINGS_COOKIES_COOKIE_CONTENT_LABEL 3908
#define IDS_SETTINGS_COOKIES_COOKIE_DOMAIN_LABEL 3909
#define IDS_SETTINGS_COOKIES_COOKIE_PATH_LABEL 3910
#define IDS_SETTINGS_COOKIES_COOKIE_SENDFOR_LABEL 3911
#define IDS_SETTINGS_COOKIES_COOKIE_ACCESSIBLE_TO_SCRIPT_LABEL 3912
#define IDS_SETTINGS_COOKIES_COOKIE_CREATED_LABEL 3913
#define IDS_SETTINGS_COOKIES_COOKIE_EXPIRES_LABEL 3914
#define IDS_SETTINGS_COOKIES_APPLICATION_CACHE 3915
#define IDS_SETTINGS_COOKIES_FLASH_LSO 3916
#define IDS_SETTINGS_COOKIES_APPLICATION_CACHE_MANIFEST_LABEL 3917
#define IDS_SETTINGS_SITE_SETTINGS_NUM_COOKIES 3918
#define IDS_SETTINGS_COOKIES_WEB_DATABASE_DESCRIPTION_LABEL 3919
#define IDS_SETTINGS_COOKIES_LOCAL_STORAGE_ORIGIN_LABEL 3920
#define IDS_SETTINGS_COOKIES_LOCAL_STORAGE_SIZE_ON_DISK_LABEL 3921
#define IDS_SETTINGS_COOKIES_LOCAL_STORAGE_LAST_MODIFIED_LABEL 3922
#define IDS_SETTINGS_COOKIES_DATABASE_STORAGE 3923
#define IDS_SETTINGS_COOKIES_LOCAL_STORAGE 3924
#define IDS_SETTINGS_COOKIES_MEDIA_LICENSE 3925
#define IDS_SETTINGS_COOKIES_FILE_SYSTEM 3926
#define IDS_SETTINGS_COOKIES_FILE_SYSTEM_TEMPORARY_USAGE_LABEL 3927
#define IDS_SETTINGS_COOKIES_FILE_SYSTEM_PERSISTENT_USAGE_LABEL 3928
#define IDS_SETTINGS_COOKIES_LAST_ACCESSED_LABEL 3929
#define IDS_SETTINGS_COOKIES_CHANNEL_ID 3930
#define IDS_SETTINGS_COOKIES_CHANNEL_ID_ORIGIN_LABEL 3931
#define IDS_SETTINGS_COOKIES_CHANNEL_ID_TYPE_LABEL 3932
#define IDS_SETTINGS_COOKIES_CHANNEL_ID_CREATED_LABEL 3933
#define IDS_SETTINGS_COOKIES_CHANNEL_ID_EXPIRES_LABEL 3934
#define IDS_SETTINGS_COOKIES_SERVICE_WORKER 3935
#define IDS_SETTINGS_COOKIES_SERVICE_WORKER_SCOPES_LABEL 3936
#define IDS_SETTINGS_COOKIES_SHARED_WORKER 3937
#define IDS_SETTINGS_COOKIES_SHARED_WORKER_WORKER_LABEL 3938
#define IDS_SETTINGS_COOKIES_CACHE_STORAGE 3939
#define IDS_SETTINGS_PEOPLE 3940
#define IDS_SETTINGS_PEOPLE_MANAGE_OTHER_PEOPLE 3941
#define IDS_SETTINGS_CHANGE_PICTURE_PROFILE_PHOTO 3942
#define IDS_SETTINGS_PEOPLE_SYNC_UNIFIED_CONSENT_TOGGLE_TITLE 3943
#define IDS_SETTINGS_PEOPLE_SIGN_OUT 3944
#define IDS_SETTINGS_PEOPLE_DOMAIN_MANAGED_PROFILE 4006
#define IDS_SETTINGS_PEOPLE_SIGN_IN 4007
#define IDS_SETTINGS_PEOPLE_SIGN_IN_PROMPT 4008
#define IDS_SETTINGS_PEOPLE_SYNC_ANOTHER_ACCOUNT 4009
#define IDS_SETTINGS_PEOPLE_SYNCING_TO_ACCOUNT 4010
#define IDS_SETTINGS_PEOPLE_SYNC_TURN_OFF 4011
#define IDS_SETTINGS_PEOPLE_SYNC_NOT_WORKING 4012
#define IDS_SETTINGS_PEOPLE_SYNC_PAUSED 4013
#define IDS_SETTINGS_SYNC_DISCONNECT_MANAGED_PROFILE_EXPLANATION 4014
#define IDS_SETTINGS_EDIT_PERSON 4015
#define IDS_SETTINGS_PROFILE_SHORTCUT_TOGGLE_LABEL 4016
#define IDS_SETTINGS_TURN_OFF_SYNC_AND_SIGN_OUT_DIALOG_TITLE 4017
#define IDS_SETTINGS_TURN_OFF_SYNC_AND_SIGN_OUT_DIALOG_TITLE_UNIFIED_CONSENT 4018
#define IDS_SETTINGS_TURN_OFF_SYNC_DIALOG_MANAGED_CONFIRM 4019
#define IDS_SETTINGS_TURN_OFF_SYNC_DIALOG_CHECKBOX 4020
#define IDS_SETTINGS_SYNC_SETTINGS_SAVED_TOAST_LABEL 4021
#define IDS_SETTINGS_SYNC_OVERVIEW 4022
#define IDS_SETTINGS_SYNC_DISCONNECT_EXPLANATION 4023
#define IDS_SETTINGS_SYNC_DISCONNECT_AND_SIGN_OUT_EXPLANATION 4024
#define IDS_SETTINGS_SYNC_DISCONNECT_AND_SIGN_OUT_EXPLANATION_UNIFIED_CONSENT 4025
#define IDS_SETTINGS_SYNC_DISCONNECT_EXPAND_ACCESSIBILITY_LABEL 4026
#define IDS_SETTINGS_SYNC_DISCONNECT_DELETE_PROFILE 4027
#define IDS_SETTINGS_SYNC_DISCONNECT_CONFIRM 4028
#define IDS_SETTINGS_SYNC 4029
#define IDS_SETTINGS_SYNC_UNIFIED_CONSENT 4030
#define IDS_SETTINGS_SYNC_DESCRIPTION 4031
#define IDS_SETTINGS_SYNC_DESCRIPTION_UNIFIED_CONSENT 4032
#define IDS_SETTINGS_SYNC_SECTION_ACCESSIBILITY_LABEL 4033
#define IDS_SETTINGS_NON_PERSONALIZED_SERVICES_SECTION_LABEL 4034
#define IDS_SETTINGS_NON_PERSONALIZED_SERVICES_SECTION_ACCESSIBILITY_LABEL 4035
#define IDS_SETTINGS_SYNC_SYNC_AND_NON_PERSONALIZED_SERVICES 4036
#define IDS_SETTINGS_SYNC_PAGE_TITLE 4037
#define IDS_SETTINGS_SYNC_LOADING 4038
#define IDS_SETTINGS_SYNC_WILL_START 4039
#define IDS_SETTINGS_SYNC_SETTINGS_CANCEL_SYNC 4040
#define IDS_SETTINGS_SYNC_TIMEOUT 4041
#define IDS_SETTINGS_SYNC_EVERYTHING_CHECKBOX_LABEL 4042
#define IDS_SETTINGS_APPS_CHECKBOX_LABEL 4043
#define IDS_SETTINGS_EXTENSIONS_CHECKBOX_LABEL 4044
#define IDS_SETTINGS_SETTINGS_CHECKBOX_LABEL 4045
#define IDS_SETTINGS_AUTOFILL_CHECKBOX_LABEL 4046
#define IDS_SETTINGS_HISTORY_CHECKBOX_LABEL 4047
#define IDS_SETTINGS_THEMES_AND_WALLPAPERS_CHECKBOX_LABEL 4048
#define IDS_SETTINGS_BOOKMARKS_CHECKBOX_LABEL 4049
#define IDS_SETTINGS_PASSWORDS_CHECKBOX_LABEL 4050
#define IDS_SETTINGS_ENABLE_PAYMENTS_INTEGRATION_CHECKBOX_LABEL 4051
#define IDS_SETTINGS_OPEN_TABS_CHECKBOX_LABEL 4052
#define IDS_DRIVE_SUGGEST_PREF 4053
#define IDS_SETTINGS_USER_EVENTS_CHECKBOX_LABEL 4054
#define IDS_SETTINGS_USER_EVENTS_CHECKBOX_TEXT 4055
#define IDS_SETTINGS_MANAGE_SYNCED_DATA_TITLE 4056
#define IDS_SETTINGS_EXISTING_PASSPHRASE_TITLE 4057
#define IDS_SETTINGS_ENCRYPTION_OPTIONS 4058
#define IDS_SETTINGS_ENCRYPT_WITH_GOOGLE_CREDENTIALS_LABEL 4059
#define IDS_SETTINGS_ENCRYPT_WITH_SYNC_PASSPHRASE_LABEL 4060
#define IDS_SETTINGS_PASSPHRASE_EXPLANATION_TEXT 4061
#define IDS_SETTINGS_PASSPHRASE_RESET_HINT_ENCRYPTION 4062
#define IDS_SETTINGS_PASSPHRASE_RESET_HINT_TOGGLE 4063
#define IDS_SETTINGS_EMPTY_PASSPHRASE_ERROR 4064
#define IDS_SETTINGS_MISMATCHED_PASSPHRASE_ERROR 4065
#define IDS_SETTINGS_INCORRECT_PASSPHRASE_ERROR 4066
#define IDS_SETTINGS_PASSPHRASE_RECOVER 4067
#define IDS_SETTINGS_PASSPHRASE_PLACEHOLDER 4068
#define IDS_SETTINGS_PASSPHRASE_CONFIRMATION_PLACEHOLDER 4069
#define IDS_SETTINGS_SUBMIT_PASSPHRASE 4070
#define IDS_SETTINGS_USE_DEFAULT_SETTINGS 4071
#define IDS_SETTINGS_PERSONALIZE_GOOGLE_SERVICES_TITLE 4072
#define IDS_SETTINGS_IMPORT_SETTINGS_TITLE 4073
#define IDS_SETTINGS_IMPORT_FROM_LABEL 4074
#define IDS_SETTINGS_IMPORT_ITEMS_LABEL 4075
#define IDS_SETTINGS_IMPORT_LOADING_PROFILES 4076
#define IDS_SETTINGS_IMPORT_HISTORY_CHECKBOX 4077
#define IDS_SETTINGS_IMPORT_FAVORITES_CHECKBOX 4078
#define IDS_SETTINGS_IMPORT_PASSWORDS_CHECKBOX 4079
#define IDS_SETTINGS_IMPORT_SEARCH_ENGINES_CHECKBOX 4080
#define IDS_SETTINGS_IMPORT_AUTOFILL_FORM_DATA_CHECKBOX 4081
#define IDS_SETTINGS_IMPORT_CHOOSE_FILE 4082
#define IDS_SETTINGS_IMPORT_COMMIT 4083
#define IDS_SETTINGS_IMPORT_SUCCESS 4084
#define IDS_SETTINGS_IMPORT_NO_PROFILE_FOUND 4085
#define IDS_SETTINGS_WEB_CONTENT 4094
#define IDS_SETTINGS_PAGE_ZOOM_LABEL 4095
#define IDS_SETTINGS_FONT_SIZE_LABEL 4096
#define IDS_SETTINGS_VERY_SMALL_FONT 4097
#define IDS_SETTINGS_SMALL_FONT 4098
#define IDS_SETTINGS_MEDIUM_FONT 4099
#define IDS_SETTINGS_LARGE_FONT 4100
#define IDS_SETTINGS_VERY_LARGE_FONT 4101
#define IDS_SETTINGS_CUSTOM 4102
#define IDS_SETTINGS_CUSTOMIZE_FONTS 4103
#define IDS_SETTINGS_FONTS 4104
#define IDS_SETTINGS_STANDARD_FONT_LABEL 4105
#define IDS_SETTINGS_SERIF_FONT_LABEL 4106
#define IDS_SETTINGS_SANS_SERIF_FONT_LABEL 4107
#define IDS_SETTINGS_FIXED_WIDTH_FONT_LABEL 4108
#define IDS_SETTINGS_MINIMUM_FONT_SIZE_LABEL 4109
#define IDS_SETTINGS_TINY_FONT_SIZE 4110
#define IDS_SETTINGS_HUGE_FONT_SIZE 4111
#define IDS_SETTINGS_LOREM_IPSUM 4112
#define IDS_SETTINGS_LOADING 4113
#define IDS_SETTINGS_ADVANCED_FONT_SETTINGS 4114
#define IDS_SETTINGS_OPEN_ADVANCED_FONT_SETTINGS 4115
#define IDS_SETTINGS_QUICK_BROWN_FOX 4116
#define IDS_SETTINGS_REQUIRES_WEB_STORE_EXTENSION 4117
#define IDS_SETTINGS_SYSTEM 4253
#define IDS_SETTINGS_SYSTEM_HARDWARE_ACCELERATION_LABEL 4254
#define IDS_SETTINGS_SYSTEM_PROXY_SETTINGS_LABEL 4255
#define IDS_SETTINGS_CHANGE_PASSWORD_TITLE 4273
#define IDS_SETTINGS_CHANGE_PASSWORD_DETAIL 4274
#define IDS_SETTINGS_CHANGE_PASSWORD_BUTTON 4275
#define IDS_PAGE_NOT_AVAILABLE_FOR_GUEST_HEADING 4319
#define IDS_EXTENSIONS_ALLOW_FILE_ACCESS 4324
#define IDS_EXTENSIONS_ALLOW_ON_ALL_URLS 4325
#define IDS_EXTENSIONS_BACKGROUND_PAGE 4326
#define IDS_EXTENSIONS_CORRUPTED_EXTENSION 4327
#define IDS_EXTENSIONS_ENABLE_ERROR_COLLECTION 4328
#define IDS_EXTENSIONS_ERROR_NO_ERRORS_CODE_MESSAGE 4329
#define IDS_EXTENSIONS_INSTALL_DROP_TARGET 4330
#define IDS_EXTENSIONS_INSTALL_WARNINGS 4331
#define IDS_EXTENSIONS_LOG_LEVEL_ERROR 4332
#define IDS_EXTENSIONS_LOG_LEVEL_INFO 4333
#define IDS_EXTENSIONS_LOG_LEVEL_WARN 4334
#define IDS_EXTENSIONS_PATH 4335
#define IDS_EXTENSIONS_RELOAD_TERMINATED 4336
#define IDS_EXTENSIONS_REPAIR_CORRUPTED 4337
#define IDS_EXTENSIONS_VIEW_IFRAME 4338
#define IDS_EXTENSIONS_VIEW_INACTIVE 4339
#define IDS_EXTENSIONS_VIEW_INCOGNITO 4340
#define IDS_MD_EXTENSIONS_DEVELOPER_MODE 4341
#define IDS_MD_EXTENSIONS_DISABLED_UPDATE_REQUIRED_BY_POLICY 4342
#define IDS_MD_EXTENSIONS_MENU_BUTTON_LABEL 4343
#define IDS_MD_EXTENSIONS_ERROR_PAGE_HEADING 4344
#define IDS_MD_EXTENSIONS_ERROR_ANONYMOUS_FUNCTION 4345
#define IDS_MD_EXTENSIONS_ERROR_CONTEXT 4346
#define IDS_MD_EXTENSIONS_ERROR_CONTEXT_UNKNOWN 4347
#define IDS_MD_EXTENSIONS_ERROR_CLEAR_ALL 4348
#define IDS_MD_EXTENSIONS_A11Y_CLEAR_ENTRY 4349
#define IDS_MD_EXTENSIONS_ERROR_STACK_TRACE 4350
#define IDS_MD_EXTENSIONS_ERROR_LINES_NOT_SHOWN 4351
#define IDS_MD_EXTENSIONS_HOST_PERMISSIONS_EDIT 4352
#define IDS_MD_EXTENSIONS_HOST_PERMISSIONS_LEARN_MORE 4353
#define IDS_MD_EXTENSIONS_ITEM_ERRORS 4354
#define IDS_MD_EXTENSIONS_ITEM_HOST_PERMISSIONS_HEADING 4355
#define IDS_MD_EXTENSIONS_HOST_ACCESS_ON_CLICK 4356
#define IDS_MD_EXTENSIONS_HOST_ACCESS_ON_SPECIFIC_SITES 4357
#define IDS_MD_EXTENSIONS_HOST_ACCESS_ON_ALL_SITES 4358
#define IDS_EXTENSIONS_ITEM_ALLOWED_HOSTS 4359
#define IDS_MD_EXTENSIONS_ACCESSIBILITY_ERROR_LINE 4360
#define IDS_MD_EXTENSIONS_ACCESSIBILITY_ERROR_MULTI_LINE 4361
#define IDS_MD_EXTENSIONS_ITEM_ID 4362
#define IDS_MD_EXTENSIONS_ITEM_INSPECT_VIEWS 4363
#define IDS_MD_EXTENSIONS_ITEM_INSPECT_VIEWS_EXTRA 4364
#define IDS_MD_EXTENSIONS_ITEM_NO_ACTIVE_VIEWS 4365
#define IDS_MD_EXTENSIONS_ITEM_ALLOW_INCOGNITO 4366
#define IDS_MD_EXTENSIONS_ITEM_DEPENDENCIES 4367
#define IDS_MD_EXTENSIONS_DEPENDENT_ENTRY 4368
#define IDS_MD_EXTENSIONS_ITEM_DESCRIPTION 4369
#define IDS_MD_EXTENSIONS_ITEM_DETAILS 4370
#define IDS_MD_EXTENSIONS_EXTENSION_A11Y_ASSOCIATION 4371
#define IDS_MD_EXTENSIONS_APP_ICON 4372
#define IDS_MD_EXTENSIONS_EXTENSION_ICON 4373
#define IDS_MD_EXTENSIONS_ITEM_ID_HEADING 4374
#define IDS_MD_EXTENSIONS_EXTENSION_ENABLED 4375
#define IDS_MD_EXTENSIONS_APP_ENABLED 4376
#define IDS_MD_EXTENSIONS_ITEM_OFF 4377
#define IDS_MD_EXTENSIONS_ITEM_ON 4378
#define IDS_MD_EXTENSIONS_ITEM_EXTENSION_WEBSITE 4379
#define IDS_MD_EXTENSIONS_ITEM_CHROME_WEB_STORE 4380
#define IDS_MD_EXTENSIONS_ITEM_OPTIONS 4381
#define IDS_MD_EXTENSIONS_ITEM_PERMISSIONS 4382
#define IDS_MD_EXTENSIONS_ITEM_PERMISSIONS_EMPTY 4383
#define IDS_MD_EXTENSIONS_ITEM_REMOVE_EXTENSION 4384
#define IDS_MD_EXTENSIONS_ITEM_SOURCE 4385
#define IDS_MD_EXTENSIONS_ITEM_SOURCE_POLICY 4386
#define IDS_MD_EXTENSIONS_ITEM_SOURCE_SIDELOADED 4387
#define IDS_MD_EXTENSIONS_ITEM_SOURCE_UNPACKED 4388
#define IDS_MD_EXTENSIONS_ITEM_SOURCE_WEBSTORE 4389
#define IDS_MD_EXTENSIONS_ITEM_VERSION 4390
#define IDS_MD_EXTENSIONS_LOAD_ERROR_HEADING 4391
#define IDS_MD_EXTENSIONS_LOAD_ERROR_ERROR_LABEL 4392
#define IDS_MD_EXTENSIONS_LOAD_ERROR_FILE_LABEL 4393
#define IDS_MD_EXTENSIONS_LOAD_ERROR_COULD_NOT_LOAD_MANIFEST 4394
#define IDS_MD_EXTENSIONS_LOAD_ERROR_RETRY 4395
#define IDS_MD_EXTENSIONS_NO_INSTALLED_ITEMS 4396
#define IDS_MD_EXTENSIONS_NO_DESCRIPTION 4397
#define IDS_MD_EXTENSIONS_PACK_DIALOG_TITLE 4398
#define IDS_MD_EXTENSIONS_PACK_DIALOG_WARNING_TITLE 4399
#define IDS_MD_EXTENSIONS_PACK_DIALOG_ERROR_TITLE 4400
#define IDS_MD_EXTENSIONS_PACK_DIALOG_PROCEED_ANYWAY 4401
#define IDS_MD_EXTENSIONS_PACK_DIALOG_BROWSE_BUTTON 4402
#define IDS_MD_EXTENSIONS_PACK_DIALOG_EXTENSION_ROOT_LABEL 4403
#define IDS_MD_EXTENSIONS_PACK_DIALOG_KEY_FILE_LABEL 4404
#define IDS_MD_EXTENSIONS_PACK_DIALOG_CONFIRM_BUTTON 4405
#define IDS_MD_EXTENSIONS_TOOLBAR_TITLE 4406
#define IDS_MD_EXTENSIONS_SEARCH 4407
#define IDS_MD_EXTENSIONS_SHORTCUT_NOT_SET 4408
#define IDS_MD_EXTENSIONS_SHORTCUT_SCOPE_LABEL 4409
#define IDS_MD_EXTENSIONS_SHORTCUT_SCOPE_GLOBAL 4410
#define IDS_MD_EXTENSIONS_APPS_TITLE 4411
#define IDS_MD_EXTENSIONS_REMOVE 4412
#define IDS_MD_EXTENSIONS_RUNTIME_HOSTS_DIALOG_TITLE 4413
#define IDS_MD_EXTENSIONS_RUNTIME_HOSTS_DIALOG_INPUT_ERROR 4414
#define IDS_MD_EXTENSIONS_RUNTIME_HOSTS_DIALOG_INPUT_LABEL 4415
#define IDS_MD_EXTENSIONS_SIDEBAR_EXTENSIONS 4416
#define IDS_MD_EXTENSIONS_SIDEBAR_OPEN_CHROME_WEB_STORE 4417
#define IDS_MD_EXTENSIONS_SIDEBAR_KEYBOARD_SHORTCUTS 4418
#define IDS_MD_EXTENSIONS_TOOLBAR_LOAD_UNPACKED 4419
#define IDS_MD_EXTENSIONS_TOOLBAR_PACK 4420
#define IDS_MD_EXTENSIONS_TOOLBAR_UPDATE_NOW 4421
#define IDS_MD_EXTENSIONS_TOOLBAR_UPDATE_NOW_TOOLTIP 4422
#define IDS_MD_EXTENSIONS_TOOLBAR_UPDATE_DONE 4423
#define IDS_MD_EXTENSIONS_TOOLBAR_UPDATING_TOAST 4424
#define IDS_MD_EXTENSIONS_TYPE_A_SHORTCUT 4425
#define IDS_MD_EXTENSIONS_INCLUDE_START_MODIFIER 4426
#define IDS_MD_EXTENSIONS_TOO_MANY_MODIFIERS 4427
#define IDS_MD_EXTENSIONS_NEED_CHARACTER 4428
#define IDS_NUX_EMAIL_GET_STARTED 4439
#define IDS_NUX_EMAIL_PROMPT 4440
#define IDS_NUX_EMAIL_WELCOME_TITLE 4441
#define IDS_NUX_EMAIL_BOOKMARK_ADDED 4442
#define IDS_NUX_EMAIL_BOOKMARK_REMOVED 4443
#define IDS_NUX_EMAIL_BOOKMARK_REPLACED 4444
#define IDS_NUX_GOOGLE_APPS_GET_STARTED 4445
#define IDS_NUX_GOOGLE_APPS_DESCRIPTION 4446
#define IDS_NUX_GOOGLE_APPS_DESCRIPTION_PROMO_BUBBLE 4447
#define IDS_UTILITY_PROCESS_PDF_COMPOSITOR_SERVICE_NAME 4448
#define IDS_PRINT_INVALID_PRINTER_SETTINGS 4450
#define IDS_DEFAULT_PRINT_DOCUMENT_TITLE 4556
#define IDS_PRINT_SPOOL_FAILED_TITLE_TEXT 4557
#define IDS_PRINT_SPOOL_FAILED_ERROR_TEXT 4558
#define IDS_CLOUD_PRINT_REGISTER_PRINTER_FAILED 4559
#define IDS_CLOUD_PRINT_ZOMBIE_PRINTER 4560
#define IDS_CLOUD_PRINT_ENUM_FAILED 4561
#define IDS_SERVICE_CRASH_RECOVERY_CONTENT 4562
#define IDS_PRESS_APP_TO_EXIT 4563
#define IDS_ISOLATED_XR_PROCESS_NAME 4564
#define IDS_VR_SHELL_SITE_IS_TRACKING_LOCATION 4565
#define IDS_VR_SHELL_SITE_IS_USING_MICROPHONE 4566
#define IDS_VR_SHELL_SITE_IS_USING_BLUETOOTH 4567
#define IDS_VR_SHELL_SITE_IS_USING_CAMERA 4568
#define IDS_VR_SHELL_SITE_IS_SHARING_SCREEN 4569
#define IDS_VR_SHELL_BG_IS_USING_MICROPHONE 4570
#define IDS_VR_SHELL_BG_IS_USING_BLUETOOTH 4571
#define IDS_VR_SHELL_BG_IS_USING_CAMERA 4572
#define IDS_VR_SHELL_BG_IS_SHARING_SCREEN 4573
#define IDS_VR_SHELL_SITE_CAN_TRACK_LOCATION 4574
#define IDS_VR_SHELL_SITE_CAN_USE_MICROPHONE 4575
#define IDS_VR_SHELL_SITE_CAN_USE_BLUETOOTH 4576
#define IDS_VR_SHELL_SITE_CAN_USE_CAMERA 4577
#define IDS_VR_SHELL_SITE_CAN_SHARE_SCREEN 4578
#define IDS_VR_UPDATE_KEYBOARD_PROMPT 4579
#define IDS_VR_SHELL_EXIT_PROMPT_DESCRIPTION 4580
#define IDS_VR_SHELL_EXIT_PROMPT_DESCRIPTION_SITE_INFO 4581
#define IDS_VR_SHELL_AUDIO_PERMISSION_PROMPT_DESCRIPTION 4582
#define IDS_VR_SHELL_AUDIO_PERMISSION_PROMPT_ABORT_BUTTON 4583
#define IDS_VR_SHELL_AUDIO_PERMISSION_PROMPT_CONTINUE_BUTTON 4584
#define IDS_VR_SHELL_EXIT_PROMPT_EXIT_VR_BUTTON 4585
#define IDS_VR_BROWSER_UNSUPPORTED_PAGE 4586
#define IDS_VR_WEB_VR_TIMEOUT_MESSAGE 4587
#define IDS_VR_WEB_VR_EXIT_BUTTON_LABEL 4588
#define IDS_VR_NO_SPEECH_RECOGNITION_RESULT 4589
#define IDS_VR_BUTTON_TRACKPAD 4590
#define IDS_VR_BUTTON_EXIT 4591
#define IDS_VR_BUTTON_BACK 4592
#define IDS_VR_BUTTON_TRACKPAD_REPOSITION 4593
#define IDS_VR_BUTTON_APP_REPOSITION 4594
#define IDS_VR_MENU_NEW_INCOGNITO_TAB 4595
#define IDS_VR_MENU_NEW_PRIVATE_TAB 4596
#define IDS_VR_MENU_PREFERENCES 4597
#define IDS_VR_MENU_CLOSE_INCOGNITO_TABS 4598
#define IDS_VR_MENU_CLOSE_PRIVATE_TABS 4599
#define IDS_VR_TABS_BUTTON_REGULAR 4600
#define IDS_VR_TABS_BUTTON_INCOGNITO 4601
#define IDS_BACKGROUND_CRASHED_APP_BALLOON_MESSAGE 4604
#define IDS_BACKGROUND_CRASHED_EXTENSION_BALLOON_MESSAGE 4605
#define IDS_BACKGROUND_APP_NOT_INSTALLED 4606
#define IDS_PERMISSIONS_BUBBLE_PROMPT 4607
#define IDS_PERMISSION_ALLOW 4608
#define IDS_PERMISSION_DENY 4609
#define IDS_PERMISSION_CUSTOMIZE 4610
#define IDS_ALTERNATE_NAV_URL_VIEW_LABEL 4612
#define IDS_DOWNLOAD_TITLE 4613
#define IDS_TAB_LOADING_TITLE 4614
#define IDS_MD_HISTORY_SEARCH_PROMPT 4615
#define IDS_MD_HISTORY_CLEAR_SEARCH 4616
#define IDS_MD_HISTORY_DELETE 4617
#define IDS_MD_HISTORY_ITEMS_SELECTED 4618
#define IDS_MD_HISTORY_HISTORY_MENU_DESCRIPTION 4619
#define IDS_MD_HISTORY_HISTORY_MENU_ITEM 4620
#define IDS_MD_HISTORY_NO_SYNCED_RESULTS 4621
#define IDS_MD_HISTORY_OPEN_TABS_MENU_ITEM 4622
#define IDS_MD_HISTORY_SIGN_IN_BUTTON 4623
#define IDS_MD_HISTORY_SIGN_IN_PROMO 4624
#define IDS_MD_HISTORY_SIGN_IN_PROMO_DESC 4625
#define IDS_MD_HISTORY_MENU_PROMO 4626
#define IDS_MD_HISTORY_CLOSE_MENU_PROMO 4627
#define IDS_UNDO_DELETE 4628
#define IDS_EDIT 4629
#define IDS_CONFIRM 4630
#define IDS_DISABLE 4631
#define IDS_SEARCH_RESULTS 4632
#define IDS_SEARCH_NO_RESULTS 4633
#define IDS_SHOW_BUBBLE_INACTIVE_DESCRIPTION 4634
#define IDS_CONTENT_CONTEXT_INSPECTELEMENT 4635
#define IDS_CONTENT_CONTEXT_BACK 4636
#define IDS_CONTENT_CONTEXT_FORWARD 4637
#define IDS_CONTENT_CONTEXT_SAVEPAGEAS 4638
#define IDS_CONTENT_CONTEXT_PRINT 4639
#define IDS_CONTENT_CONTEXT_VIEWPAGESOURCE 4640
#define IDS_CONTENT_CONTEXT_OPENLINKWITH 4641
#define IDS_CONTENT_CONTEXT_OPENLINKWITH_CONFIGURE 4642
#define IDS_CONTENT_CONTEXT_INSPECTBACKGROUNDPAGE 4643
#define IDS_CONTENT_CONTEXT_RELOAD 4644
#define IDS_CONTENT_CONTEXT_RESTART_APP 4645
#define IDS_CONTENT_CONTEXT_RELOAD_PACKAGED_APP 4646
#define IDS_CONTENT_CONTEXT_TRANSLATE 4647
#define IDS_CONTENT_CONTEXT_EXIT_FULLSCREEN 4648
#define IDS_CONTENT_CONTEXT_RELOADFRAME 4649
#define IDS_CONTENT_CONTEXT_VIEWFRAMESOURCE 4650
#define IDS_CONTENT_CONTEXT_OPENLINKNEWTAB 4651
#define IDS_CONTENT_CONTEXT_OPENLINKNEWWINDOW 4652
#define IDS_CONTENT_CONTEXT_OPENLINKOFFTHERECORD 4653
#define IDS_CONTENT_CONTEXT_OPENLINKINPROFILES 4654
#define IDS_CONTENT_CONTEXT_OPENLINKINPROFILE 4655
#define IDS_CONTENT_CONTEXT_OPENLINKBOOKMARKAPP 4656
#define IDS_CONTENT_CONTEXT_OPENLINKBOOKMARKAPP_SAMEAPP 4657
#define IDS_CONTENT_CONTEXT_SAVELINKAS 4658
#define IDS_CONTENT_CONTEXT_COPYLINKLOCATION 4659
#define IDS_CONTENT_CONTEXT_COPYEMAILADDRESS 4660
#define IDS_CONTENT_CONTEXT_COPYLINKTEXT 4661
#define IDS_CONTENT_CONTEXT_SAVEIMAGEAS 4662
#define IDS_CONTENT_CONTEXT_COPYIMAGELOCATION 4663
#define IDS_CONTENT_CONTEXT_COPYIMAGE 4664
#define IDS_CONTENT_CONTEXT_OPENIMAGENEWTAB 4665
#define IDS_CONTENT_CONTEXT_OPEN_ORIGINAL_IMAGE_NEW_TAB 4666
#define IDS_CONTENT_CONTEXT_LOAD_ORIGINAL_IMAGE 4667
#define IDS_CONTENT_CONTEXT_LOOP 4668
#define IDS_CONTENT_CONTEXT_CONTROLS 4669
#define IDS_CONTENT_CONTEXT_ROTATECW 4670
#define IDS_CONTENT_CONTEXT_ROTATECCW 4671
#define IDS_CONTENT_CONTEXT_SAVEVIDEOAS 4672
#define IDS_CONTENT_CONTEXT_COPYVIDEOLOCATION 4673
#define IDS_CONTENT_CONTEXT_OPENVIDEONEWTAB 4674
#define IDS_CONTENT_CONTEXT_SAVEAUDIOAS 4675
#define IDS_CONTENT_CONTEXT_COPYAUDIOLOCATION 4676
#define IDS_CONTENT_CONTEXT_OPENAUDIONEWTAB 4677
#define IDS_CONTENT_CONTEXT_PICTUREINPICTURE 4678
#define IDS_CONTENT_CONTEXT_UNDO 4679
#define IDS_CONTENT_CONTEXT_REDO 4680
#define IDS_CONTENT_CONTEXT_CUT 4681
#define IDS_CONTENT_CONTEXT_COPY 4682
#define IDS_CONTENT_CONTEXT_PASTE 4683
#define IDS_CONTENT_CONTEXT_PASTE_AND_MATCH_STYLE 4684
#define IDS_CONTENT_CONTEXT_DELETE 4685
#define IDS_CONTENT_CONTEXT_ADD_TO_DICTIONARY 4686
#define IDS_CONTENT_CONTEXT_SPELLING_ASK_GOOGLE 4687
#define IDS_CONTENT_CONTEXT_SPELLING_BUBBLE_ENABLE 4688
#define IDS_CONTENT_CONTEXT_SPELLING_BUBBLE_DISABLE 4689
#define IDS_CONTENT_CONTEXT_SPELLING_CHECKING 4690
#define IDS_CONTENT_CONTEXT_SPELLING_NO_SUGGESTIONS_FROM_GOOGLE 4691
#define IDS_CONTENT_CONTEXT_SELECTALL 4692
#define IDS_CONTENT_CONTEXT_SEARCHWEBFOR 4693
#define IDS_CONTENT_CONTEXT_SEARCHWEBFORIMAGE 4694
#define IDS_CONTENT_CONTEXT_GOTOURL 4695
#define IDS_CONTENT_CONTEXT_GENERATEPASSWORD 4696
#define IDS_CONTENT_CONTEXT_MORE_APPS 4697
#define IDS_CONTENT_CONTEXT_OPEN_WITH_APP 4698
#define IDS_CONTENT_CONTEXT_PLUGIN_RUN 4699
#define IDS_CONTENT_CONTEXT_PLUGIN_HIDE 4700
#define IDS_CONTENT_CONTEXT_ENABLE_FLASH 4701
#define IDS_CONTENT_CONTEXT_SPELLCHECK_MENU 4703
#define IDS_CONTENT_CONTEXT_LANGUAGE_SETTINGS 4702
#define IDS_CONTENT_CONTEXT_SPELLCHECK_MULTI_LINGUAL 4704
#define IDS_CONTENT_CONTEXT_CHECK_SPELLING_WHILE_TYPING 4705
#define IDS_NEW_TAB 4706
#define IDS_SHOW_AS_TAB 4707
#define IDS_NEW_WINDOW 4708
#define IDS_NEW_INCOGNITO_WINDOW 4709
#define IDS_PIN_TO_START_SCREEN 4710
#define IDS_EDIT2 4711
#define IDS_CUT 4712
#define IDS_COPY 4713
#define IDS_PASTE 4714
#define IDS_DELETE 4715
#define IDS_FIND 4716
#define IDS_SAVE_PAGE 4717
#define IDS_DISTILL_PAGE 4718
#define IDS_MORE_TOOLS_MENU 4719
#define IDS_ZOOM_MENU 4720
#define IDS_ZOOM_MENU2 4721
#define IDS_ZOOM_PLUS 4722
#define IDS_ZOOM_PLUS2 4723
#define IDS_ZOOM_NORMAL 4724
#define IDS_ZOOM_MINUS 4725
#define IDS_ZOOM_MINUS2 4726
#define IDS_COPY_URL 4727
#define IDS_OPEN_IN_APP_WINDOW 4728
#define IDS_ACCNAME_ZOOM_PLUS2 4730
#define IDS_ACCNAME_ZOOM_MINUS2 4731
#define IDS_VIEW_SOURCE 4732
#define IDS_FEEDBACK 4733
#define IDS_DEV_TOOLS 4734
#define IDS_DEV_TOOLS_CONSOLE 4735
#define IDS_DEV_TOOLS_DEVICES 4736
#define IDS_TASK_MANAGER 4737
#define IDS_TAKE_SCREENSHOT 4738
#define IDS_RESTORE_TAB 4739
#define IDS_RESTORE_WINDOW 4740
#define IDS_PREFERENCES 4741
#define IDS_HELP_MENU 4743
#define IDS_IMPORT_SETTINGS_MENU_LABEL 4744
#define IDS_PROFILING_ENABLED 4745
#define IDS_FULLSCREEN 4746
#define IDS_CLEAR_BROWSING_DATA 4747
#define IDS_SHOW_DOWNLOADS 4748
#define IDS_SHOW_EXTENSIONS 4749
#define IDS_SETTINGS 4750
#define IDS_OPTIONS 4751
#define IDS_HELP_PAGE 4752
#define IDS_BETA_FORUM 4753
#define IDS_GET_HELP 4754
#define IDS_EXIT 4755
#define IDS_AUTOCOMPLETE_MATCH_DESCRIPTION_SEPARATOR 4756
#define IDS_EDIT_SEARCH_ENGINES 4757
#define IDS_SEARCH_ENGINES_EDITOR_KEYWORD_COLUMN 4758
#define IDS_SEARCH_ENGINES_EDITOR_DESCRIPTION_COLUMN 4759
#define IDS_SEARCH_ENGINES_EDITOR_DEFAULT_ENGINE 4760
#define IDS_ACCNAME_DOWNLOADS_BAR 4761
#define IDS_HIDE_DOWNLOADS 4762
#define IDS_SHOW_ALL_DOWNLOADS 4763
#define IDS_DOWNLOAD_STARTED 4764
#define IDS_DOWNLOAD_INTERRUPTED_STATUS 4765
#define IDS_DOWNLOAD_INTERRUPTED_STATUS_ACCESS_DENIED 4766
#define IDS_DOWNLOAD_INTERRUPTED_DESCRIPTION_ACCESS_DENIED 4767
#define IDS_DOWNLOAD_INTERRUPTED_STATUS_PATH_TOO_LONG 4768
#define IDS_DOWNLOAD_INTERRUPTED_DESCRIPTION_PATH_TOO_LONG 4769
#define IDS_DOWNLOAD_INTERRUPTED_STATUS_DISK_FULL 4770
#define IDS_DOWNLOAD_INTERRUPTED_DESCRIPTION_DISK_FULL 4771
#define IDS_DOWNLOAD_INTERRUPTED_STATUS_FILE_TOO_LARGE 4772
#define IDS_DOWNLOAD_INTERRUPTED_DESCRIPTION_FILE_TOO_LARGE 4773
#define IDS_DOWNLOAD_INTERRUPTED_STATUS_TEMPORARY_PROBLEM 4774
#define IDS_DOWNLOAD_INTERRUPTED_DESCRIPTION_TEMPORARY_PROBLEM 4775
#define IDS_DOWNLOAD_INTERRUPTED_STATUS_VIRUS 4776
#define IDS_DOWNLOAD_INTERRUPTED_DESCRIPTION_VIRUS 4777
#define IDS_DOWNLOAD_INTERRUPTED_STATUS_BLOCKED 4778
#define IDS_DOWNLOAD_INTERRUPTED_DESCRIPTION_BLOCKED 4779
#define IDS_DOWNLOAD_INTERRUPTED_STATUS_CONTENT_LENGTH_MISMATCH 4780
#define IDS_DOWNLOAD_INTERRUPTED_DESCRIPTION_CONTENT_LENGTH_MISMATCH 4781
#define IDS_DOWNLOAD_INTERRUPTED_STATUS_SECURITY_CHECK_FAILED 4782
#define IDS_DOWNLOAD_INTERRUPTED_DESCRIPTION_SECURITY_CHECK_FAILED 4783
#define IDS_DOWNLOAD_INTERRUPTED_STATUS_FILE_TOO_SHORT 4784
#define IDS_DOWNLOAD_INTERRUPTED_DESCRIPTION_FILE_TOO_SHORT 4785
#define IDS_DOWNLOAD_INTERRUPTED_STATUS_FILE_SAME_AS_SOURCE 4786
#define IDS_DOWNLOAD_INTERRUPTED_DESCRIPTION_FILE_SAME_AS_SOURCE 4787
#define IDS_DOWNLOAD_INTERRUPTED_STATUS_NETWORK_TIMEOUT 4788
#define IDS_DOWNLOAD_INTERRUPTED_DESCRIPTION_NETWORK_TIMEOUT 4789
#define IDS_DOWNLOAD_INTERRUPTED_STATUS_NETWORK_DISCONNECTED 4790
#define IDS_DOWNLOAD_INTERRUPTED_DESCRIPTION_NETWORK_DISCONNECTED 4791
#define IDS_DOWNLOAD_INTERRUPTED_STATUS_SERVER_DOWN 4792
#define IDS_DOWNLOAD_INTERRUPTED_DESCRIPTION_SERVER_DOWN 4793
#define IDS_DOWNLOAD_INTERRUPTED_STATUS_NETWORK_ERROR 4794
#define IDS_DOWNLOAD_INTERRUPTED_DESCRIPTION_NETWORK_ERROR 4795
#define IDS_DOWNLOAD_INTERRUPTED_STATUS_NO_FILE 4796
#define IDS_DOWNLOAD_INTERRUPTED_DESCRIPTION_NO_FILE 4797
#define IDS_DOWNLOAD_INTERRUPTED_STATUS_SERVER_PROBLEM 4798
#define IDS_DOWNLOAD_INTERRUPTED_DESCRIPTION_SERVER_PROBLEM 4799
#define IDS_DOWNLOAD_INTERRUPTED_STATUS_SHUTDOWN 4800
#define IDS_DOWNLOAD_INTERRUPTED_DESCRIPTION_SHUTDOWN 4801
#define IDS_DOWNLOAD_INTERRUPTED_STATUS_CRASH 4802
#define IDS_DOWNLOAD_INTERRUPTED_DESCRIPTION_CRASH 4803
#define IDS_DOWNLOAD_INTERRUPTED_STATUS_UNAUTHORIZED 4804
#define IDS_DOWNLOAD_INTERRUPTED_DESCRIPTION_UNAUTHORIZED 4805
#define IDS_DOWNLOAD_INTERRUPTED_STATUS_SERVER_CERT_PROBLEM 4806
#define IDS_DOWNLOAD_INTERRUPTED_DESCRIPTION_SERVER_CERT_PROBLEM 4807
#define IDS_DOWNLOAD_INTERRUPTED_STATUS_FORBIDDEN 4808
#define IDS_DOWNLOAD_INTERRUPTED_DESCRIPTION_FORBIDDEN 4809
#define IDS_DOWNLOAD_INTERRUPTED_STATUS_UNREACHABLE 4810
#define IDS_DOWNLOAD_INTERRUPTED_DESCRIPTION_UNREACHABLE 4811
#define IDS_DOWNLOAD_NOTIFICATION_LABEL_OPEN_WHEN_COMPLETE 4812
#define IDS_DOWNLOAD_NOTIFICATION_LABEL_OPEN 4813
#define IDS_DOWNLOAD_STATUS_STARTING 4814
#define IDS_DOWNLOAD_STATUS_IN_PROGRESS 4822
#define IDS_DOWNLOAD_STATUS_SIZES 4823
#define IDS_DOWNLOAD_STATUS_OPEN_IN 4824
#define IDS_DOWNLOAD_STATUS_OPEN_WHEN_COMPLETE 4825
#define IDS_DOWNLOAD_STATUS_OPENING 4826
#define IDS_DOWNLOAD_STATUS_IN_PROGRESS_SHORT 4827
#define IDS_DOWNLOAD_STATUS_CANCELLED 4828
#define IDS_DOWNLOAD_STATUS_REMOVED 4829
#define IDS_DOWNLOAD_STATUS_INTERRUPTED 4830
#define IDS_DOWNLOAD_UNCONFIRMED_PREFIX 4831
#define IDS_PROMPT_DANGEROUS_DOWNLOAD 4832
#define IDS_PROMPT_DANGEROUS_DOWNLOAD_EXTENSION 4833
#define IDS_PROMPT_UNCOMMON_DOWNLOAD_CONTENT 4834
#define IDS_BLOCK_REASON_UNCOMMON_DOWNLOAD 4835
#define IDS_BLOCK_REASON_GENERIC_DOWNLOAD 4836
#define IDS_CONFIRM_KEEP_DANGEROUS_DOWNLOAD_TITLE 4838
#define IDS_KEEP_DANGEROUS_DOWNLOAD_TITLE 4839
#define IDS_KEEP_UNCOMMON_DOWNLOAD_TITLE 4840
#define IDS_PROMPT_CONFIRM_KEEP_DANGEROUS_DOWNLOAD 4841
#define IDS_PROMPT_CONFIRM_KEEP_MALICIOUS_DOWNLOAD_BODY 4842
#define IDS_CONFIRM_DOWNLOAD_AGAIN 4843
#define IDS_CONFIRM_DOWNLOAD 4844
#define IDS_CONFIRM_DOWNLOAD_RESTORE 4845
#define IDS_CONTINUE_EXTENSION_DOWNLOAD 4846
#define IDS_DISCARD_DOWNLOAD 4847
#define IDS_DOWNLOAD_LINK_PAUSE 4848
#define IDS_MD_DOWNLOAD_SEARCH 4849
#define IDS_DOWNLOAD_CLEAR_SEARCH 4850
#define IDS_MD_DOWNLOAD_NO_DOWNLOADS 4851
#define IDS_DOWNLOAD_ITEM_DROPDOWN_BUTTON_ACCESSIBLE_TEXT 4852
#define IDS_DOWNLOAD_LINK_RESUME 4853
#define IDS_DOWNLOAD_LINK_REMOVE 4854
#define IDS_DOWNLOAD_LINK_CANCEL 4855
#define IDS_MD_DOWNLOAD_LINK_RETRY 4856
#define IDS_DOWNLOAD_LINK_SHOW 4857
#define IDS_DOWNLOAD_TAB_CANCELLED 4858
#define IDS_DOWNLOAD_FILE_REMOVED 4859
#define IDS_DOWNLOAD_TAB_PROGRESS_STATUS_TIME_UNKNOWN 4860
#define IDS_DOWNLOAD_TAB_PROGRESS_STATUS 4861
#define IDS_DOWNLOAD_TAB_PROGRESS_SIZE 4862
#define IDS_DOWNLOAD_PROGRESS_PAUSED 4863
#define IDS_DOWNLOAD_LINK_CLEAR_ALL 4864
#define IDS_DOWNLOAD_LINK_OPEN_DOWNLOADS_FOLDER 4865
#define IDS_DOWNLOAD_MORE_ACTIONS 4866
#define IDS_DOWNLOAD_BY_EXTENSION_URL 4867
#define IDS_DOWNLOAD_IN_INCOGNITO 4868
#define IDS_DOWNLOAD_STATUS_IN_PROGRESS_ACCESSIBLE_ALERT 4869
#define IDS_DOWNLOAD_STATUS_PERCENT_COMPLETE_ACCESSIBLE_ALERT 4870
#define IDS_DOWNLOAD_STATUS_TIME_REMAINING_ACCESSIBLE_ALERT 4871
#define IDS_DOWNLOAD_FAILED_ACCESSIBLE_ALERT 4872
#define IDS_DOWNLOAD_CANCELLED_ACCESSIBLE_ALERT 4873
#define IDS_DOWNLOAD_COMPLETE_ACCESSIBLE_ALERT 4874
#define IDS_DOWNLOAD_NOTIFICATION_COPY_TO_CLIPBOARD 4875
#define IDS_DOWNLOAD_NOTIFICATION_ANNOTATE 4876
#define IDS_DOWNLOAD_MENU_SHOW 4877
#define IDS_DOWNLOAD_MENU_OPEN_WHEN_COMPLETE 4878
#define IDS_DOWNLOAD_MENU_OPEN 4879
#define IDS_DOWNLOAD_MENU_ALWAYS_OPEN_TYPE 4880
#define IDS_DOWNLOAD_MENU_PLATFORM_OPEN 4881
#define IDS_DOWNLOAD_MENU_PLATFORM_OPEN_ALWAYS 4882
#define IDS_DOWNLOAD_MENU_CANCEL 4883
#define IDS_DOWNLOAD_MENU_PAUSE_ITEM 4884
#define IDS_DOWNLOAD_MENU_RESUME_ITEM 4885
#define IDS_DOWNLOAD_MENU_DISCARD 4886
#define IDS_DOWNLOAD_MENU_KEEP 4887
#define IDS_DOWNLOAD_MENU_LEARN_MORE_SCANNING 4888
#define IDS_DOWNLOAD_MENU_LEARN_MORE_INTERRUPTED 4889
#define IDS_ABANDON_DOWNLOAD_DIALOG_TITLE 4899
#define IDS_ABANDON_DOWNLOAD_DIALOG_CONTINUE_BUTTON 4900
#define IDS_ABANDON_DOWNLOAD_DIALOG_INCOGNITO_MESSAGE 4901
#define IDS_ABANDON_DOWNLOAD_DIALOG_EXIT_BUTTON 4902
#define IDS_FEEDBACK_SERVICE_DIALOG_EXPLANATION_SCOUT 4903
#define IDS_FEEDBACK_SERVICE_DIALOG_OK_BUTTON_LABEL 4904
#define IDS_FEEDBACK_SERVICE_DIALOG_CANCEL_BUTTON_LABEL 4905
#define IDS_ADD_TO_OS_LAUNCH_SURFACE_BUBBLE_TITLE 4907
#define IDS_CREATE_SHORTCUTS_BUTTON_LABEL 4908
#define IDS_INSTALL_TO_OS_LAUNCH_SURFACE_BUBBLE_TITLE 4909
#define IDS_INSTALL_PWA_BUTTON_LABEL 4910
#define IDS_BOOKMARK_APP_AX_BUBBLE_NAME_LABEL 4911
#define IDS_BOOKMARK_APP_BUBBLE_OPEN_AS_WINDOW 4912
#define IDS_ADD_TO_OS_LAUNCH_SURFACE 4917
#define IDS_INSTALL_TO_OS_LAUNCH_SURFACE 4918
#define IDS_UNINSTALL_FROM_OS_LAUNCH_SURFACE 4919
#define IDS_APPLICATION_INFO_WEB_STORE_LINK 4920
#define IDS_APPLICATION_INFO_HOMEPAGE_LINK 4921
#define IDS_ARC_APPLICATION_INFO_MANAGE_LINK 4922
#define IDS_APPLICATION_INFO_APP_OVERVIEW_TITLE 4923
#define IDS_APPLICATION_INFO_APP_PERMISSIONS_TITLE 4924
#define IDS_APPLICATION_INFO_UNINSTALL_BUTTON_TEXT 4925
#define IDS_APPLICATION_INFO_LICENSES_BUTTON_TEXT 4926
#define IDS_APPLICATION_INFO_SIZE_LABEL 4927
#define IDS_APPLICATION_INFO_VERSION_LABEL 4928
#define IDS_APPLICATION_INFO_CREATE_SHORTCUTS_BUTTON_TEXT 4929
#define IDS_APPLICATION_INFO_LAUNCH_OPTIONS_ACCNAME 4930
#define IDS_APPLICATION_INFO_SIZE_LOADING_LABEL 4931
#define IDS_APPLICATION_INFO_SIZE_SMALL_LABEL 4932
#define IDS_APPLICATION_INFO_REVOKE_PERMISSION_ALT_TEXT 4933
#define IDS_APPLICATION_INFO_APP_NO_PERMISSIONS_TEXT 4934
#define IDS_APPLICATION_INFO_EXTENSION_NO_PERMISSIONS_TEXT 4935
#define IDS_APPLICATION_INFO_RETAINED_FILES 4936
#define IDS_APPLICATION_INFO_RETAINED_DEVICES 4937
#define IDS_CREATE_SHORTCUTS_TITLE 4938
#define IDS_CREATE_SHORTCUTS_LABEL 4939
#define IDS_CREATE_SHORTCUTS_DESKTOP_CHKBOX 4940
#define IDS_CREATE_SHORTCUTS_MENU_CHKBOX 4941
#define IDS_CREATE_SHORTCUTS_COMMIT 4942
#define IDS_WEBSHARE_TARGET_PICKER_TITLE 4946
#define IDS_WEBSHARE_TARGET_PICKER_LABEL 4947
#define IDS_WEBSHARE_TARGET_PICKER_COMMIT 4948
#define IDS_WEBSHARE_TARGET_DIALOG_ITEM_TEXT 4949
#define IDS_MANAGE 4950
#define IDS_LIST_BULLET 4951
#define IDS_AUTOMATIC_DOWNLOADS_TAB_LABEL 4952
#define IDS_BLOCKED_DOWNLOAD_NO_ACTION 4953
#define IDS_BLOCKED_DOWNLOAD_UNBLOCK 4954
#define IDS_BLOCKED_DOWNLOADS_LINK 4955
#define IDS_ALLOWED_DOWNLOAD_TITLE 4956
#define IDS_BLOCKED_DOWNLOAD_TITLE 4957
#define IDS_BLOCKED_DOWNLOADS_EXPLANATION 4958
#define IDS_ALLOWED_DOWNLOAD_NO_ACTION 4959
#define IDS_ALLOWED_DOWNLOAD_BLOCK 4960
#define IDS_BLOCKED_COOKIES_TITLE 4961
#define IDS_ACCESSED_COOKIES_TITLE 4962
#define IDS_BLOCKED_COOKIES_MESSAGE 4963
#define IDS_ACCESSED_COOKIES_MESSAGE 4964
#define IDS_BLOCKED_COOKIES_LINK 4965
#define IDS_BLOCKED_COOKIES_INFO 4966
#define IDS_BLOCKED_IMAGES_TITLE 4967
#define IDS_BLOCKED_IMAGES_MESSAGE 4968
#define IDS_BLOCKED_COOKIES_UNBLOCK 4969
#define IDS_BLOCKED_IMAGES_UNBLOCK 4970
#define IDS_BLOCKED_COOKIES_NO_ACTION 4971
#define IDS_ALLOWED_COOKIES_NO_ACTION 4972
#define IDS_ALLOWED_COOKIES_BLOCK 4973
#define IDS_BLOCKED_IMAGES_NO_ACTION 4974
#define IDS_BLOCKED_POPUPS_TOOLTIP 4975
#define IDS_BLOCKED_POPUPS_TITLE 4976
#define IDS_BLOCKED_POPUPS_REDIRECTS_UNBLOCK 4977
#define IDS_BLOCKED_POPUPS_REDIRECTS_NO_ACTION 4978
#define IDS_BLOCKED_POPUPS_LINK 4979
#define IDS_BLOCKED_MEDIASTREAM_MIC_AND_CAMERA_ALLOW 4980
#define IDS_BLOCKED_MEDIASTREAM_MIC_ALLOW 4981
#define IDS_BLOCKED_MEDIASTREAM_CAMERA_ALLOW 4982
#define IDS_BLOCKED_MEDIASTREAM_MIC_AND_CAMERA_ASK 4983
#define IDS_BLOCKED_MEDIASTREAM_MIC_ASK 4984
#define IDS_BLOCKED_MEDIASTREAM_CAMERA_ASK 4985
#define IDS_ALLOWED_MEDIASTREAM_MIC_AND_CAMERA_BLOCK 4986
#define IDS_ALLOWED_MEDIASTREAM_MIC_BLOCK 4987
#define IDS_ALLOWED_MEDIASTREAM_CAMERA_BLOCK 4988
#define IDS_BLOCKED_MEDIASTREAM_MIC_AND_CAMERA_NO_ACTION 4989
#define IDS_BLOCKED_MEDIASTREAM_MIC_NO_ACTION 4990
#define IDS_BLOCKED_MEDIASTREAM_CAMERA_NO_ACTION 4991
#define IDS_ALLOWED_MEDIASTREAM_MIC_AND_CAMERA_NO_ACTION 4992
#define IDS_ALLOWED_MEDIASTREAM_MIC_NO_ACTION 4993
#define IDS_ALLOWED_MEDIASTREAM_CAMERA_NO_ACTION 4994
#define IDS_BLOCKED_POPUPS_EXPLANATORY_TEXT 4995
#define IDS_BLOCKED_PLUGIN_EXPLANATORY_TEXT 4996
#define IDS_BLOCKED_JAVASCRIPT_TITLE 4997
#define IDS_BLOCKED_JAVASCRIPT_MESSAGE 4998
#define IDS_BLOCKED_JAVASCRIPT_UNBLOCK 4999
#define IDS_BLOCKED_JAVASCRIPT_NO_ACTION 5000
#define IDS_BLOCKED_PLUGINS_TITLE 5001
#define IDS_BLOCKED_PLUGINS_MESSAGE 5002
#define IDS_BLOCKED_PLUGINS_LOAD_ALL 5003
#define IDS_BLOCKED_SOUND_TITLE 5004
#define IDS_BLOCKED_SOUND_UNBLOCK 5005
#define IDS_BLOCKED_SOUND_NO_ACTION 5006
#define IDS_CERT_SELECTOR_SUBJECT_COLUMN 5007
#define IDS_CERT_SELECTOR_ISSUER_COLUMN 5008
#define IDS_CERT_SELECTOR_PROVIDER_COLUMN 5009
#define IDS_CERT_SELECTOR_SERIAL_COLUMN 5010
#define IDS_CERT_INFO_SUBJECT_GROUP 5011
#define IDS_CERT_INFO_ISSUER_GROUP 5012
#define IDS_CERT_INFO_COMMON_NAME_LABEL 5013
#define IDS_CERT_INFO_ORGANIZATION_LABEL 5014
#define IDS_CERT_INFO_ORGANIZATIONAL_UNIT_LABEL 5015
#define IDS_CERT_INFO_SERIAL_NUMBER_LABEL 5016
#define IDS_CERT_INFO_VALIDITY_GROUP 5017
#define IDS_CERT_INFO_ISSUED_ON_LABEL 5018
#define IDS_CERT_INFO_EXPIRES_ON_LABEL 5019
#define IDS_CERT_INFO_FINGERPRINTS_GROUP 5020
#define IDS_CERT_INFO_SHA256_FINGERPRINT_LABEL 5021
#define IDS_CERT_INFO_SHA1_FINGERPRINT_LABEL 5022
#define IDS_CERT_DETAILS_EXTENSIONS 5023
#define IDS_CERT_X509_SUBJECT_ALT_NAME 5024
#define IDS_CERT_EXPORT_TYPE_BASE64 5025
#define IDS_CERT_EXPORT_TYPE_BASE64_CHAIN 5026
#define IDS_CERT_EXPORT_TYPE_DER 5027
#define IDS_CERT_EXPORT_TYPE_PKCS7 5028
#define IDS_CERT_EXPORT_TYPE_PKCS7_CHAIN 5029
#define IDS_CERT_INFO_DIALOG_TITLE 5030
#define IDS_CERT_INFO_GENERAL_TAB_LABEL 5031
#define IDS_CERT_INFO_DETAILS_TAB_LABEL 5032
#define IDS_CERT_INFO_VERIFIED_USAGES_GROUP 5033
#define IDS_CERT_USAGE_SSL_CLIENT 5034
#define IDS_CERT_USAGE_SSL_SERVER 5035
#define IDS_CERT_USAGE_SSL_SERVER_WITH_STEPUP 5036
#define IDS_CERT_USAGE_EMAIL_SIGNER 5037
#define IDS_CERT_USAGE_EMAIL_RECEIVER 5038
#define IDS_CERT_USAGE_OBJECT_SIGNER 5039
#define IDS_CERT_USAGE_SSL_CA 5040
#define IDS_CERT_USAGE_STATUS_RESPONDER 5041
#define IDS_CERT_INFO_IDN_VALUE_FORMAT 5042
#define IDS_CERT_INFO_FIELD_NOT_PRESENT 5043
#define IDS_CERT_DETAILS_CERTIFICATE_HIERARCHY_LABEL 5044
#define IDS_CERT_DETAILS_CERTIFICATE_FIELDS_LABEL 5045
#define IDS_CERT_DETAILS_CERTIFICATE_FIELD_VALUE_LABEL 5046
#define IDS_CERT_DETAILS_CERTIFICATE 5047
#define IDS_CERT_DETAILS_VERSION 5048
#define IDS_CERT_DETAILS_VERSION_FORMAT 5049
#define IDS_CERT_DETAILS_SERIAL_NUMBER 5050
#define IDS_CERT_DETAILS_CERTIFICATE_SIG_ALG 5051
#define IDS_CERT_DETAILS_ISSUER 5052
#define IDS_CERT_DETAILS_VALIDITY 5053
#define IDS_CERT_DETAILS_NOT_BEFORE 5054
#define IDS_CERT_DETAILS_NOT_AFTER 5055
#define IDS_CERT_DETAILS_SUBJECT 5056
#define IDS_CERT_DETAILS_SUBJECT_KEY_INFO 5057
#define IDS_CERT_DETAILS_SUBJECT_KEY_ALG 5058
#define IDS_CERT_DETAILS_SUBJECT_KEY 5059
#define IDS_CERT_RSA_PUBLIC_KEY_DUMP_FORMAT 5060
#define IDS_CERT_DETAILS_CERTIFICATE_SIG_VALUE 5061
#define IDS_CERT_DETAILS_EXPORT_CERTIFICATE 5062
#define IDS_CERT_OID_AVA_COMMON_NAME 5063
#define IDS_CERT_OID_AVA_STATE_OR_PROVINCE 5064
#define IDS_CERT_OID_AVA_ORGANIZATION_NAME 5065
#define IDS_CERT_OID_AVA_ORGANIZATIONAL_UNIT_NAME 5066
#define IDS_CERT_OID_AVA_DN_QUALIFIER 5067
#define IDS_CERT_OID_AVA_COUNTRY_NAME 5068
#define IDS_CERT_OID_AVA_SERIAL_NUMBER 5069
#define IDS_CERT_OID_AVA_LOCALITY 5070
#define IDS_CERT_OID_AVA_DC 5071
#define IDS_CERT_OID_RFC1274_MAIL 5072
#define IDS_CERT_OID_RFC1274_UID 5073
#define IDS_CERT_OID_PKCS9_EMAIL_ADDRESS 5074
#define IDS_CERT_OID_BUSINESS_CATEGORY 5075
#define IDS_CERT_OID_EV_INCORPORATION_LOCALITY 5076
#define IDS_CERT_OID_EV_INCORPORATION_STATE 5077
#define IDS_CERT_OID_EV_INCORPORATION_COUNTRY 5078
#define IDS_CERT_OID_AVA_STREET_ADDRESS 5079
#define IDS_CERT_OID_AVA_POSTAL_CODE 5080
#define IDS_CERT_OID_PKCS1_RSA_ENCRYPTION 5081
#define IDS_CERT_OID_PKCS1_MD2_WITH_RSA_ENCRYPTION 5082
#define IDS_CERT_OID_PKCS1_MD4_WITH_RSA_ENCRYPTION 5083
#define IDS_CERT_OID_PKCS1_MD5_WITH_RSA_ENCRYPTION 5084
#define IDS_CERT_OID_PKCS1_SHA1_WITH_RSA_ENCRYPTION 5085
#define IDS_CERT_OID_PKCS1_SHA256_WITH_RSA_ENCRYPTION 5086
#define IDS_CERT_OID_PKCS1_SHA384_WITH_RSA_ENCRYPTION 5087
#define IDS_CERT_OID_PKCS1_SHA512_WITH_RSA_ENCRYPTION 5088
#define IDS_CERT_OID_ANSIX962_ECDSA_SHA1_SIGNATURE 5089
#define IDS_CERT_OID_ANSIX962_ECDSA_SHA256_SIGNATURE 5090
#define IDS_CERT_OID_ANSIX962_ECDSA_SHA384_SIGNATURE 5091
#define IDS_CERT_OID_ANSIX962_ECDSA_SHA512_SIGNATURE 5092
#define IDS_CERT_OID_ANSIX962_EC_PUBLIC_KEY 5093
#define IDS_CERT_OID_SECG_EC_SECP256R1 5094
#define IDS_CERT_OID_SECG_EC_SECP384R1 5095
#define IDS_CERT_OID_SECG_EC_SECP521R1 5096
#define IDS_CERT_EXT_NS_CERT_TYPE 5097
#define IDS_CERT_EXT_NS_CERT_TYPE_EMAIL 5098
#define IDS_CERT_EXT_NS_CERT_TYPE_EMAIL_CA 5099
#define IDS_CERT_EXT_NS_CERT_BASE_URL 5100
#define IDS_CERT_EXT_NS_CERT_REVOCATION_URL 5101
#define IDS_CERT_EXT_NS_CA_REVOCATION_URL 5102
#define IDS_CERT_EXT_NS_CERT_RENEWAL_URL 5103
#define IDS_CERT_EXT_NS_CA_POLICY_URL 5104
#define IDS_CERT_EXT_NS_SSL_SERVER_NAME 5105
#define IDS_CERT_EXT_NS_COMMENT 5106
#define IDS_CERT_EXT_NS_LOST_PASSWORD_URL 5107
#define IDS_CERT_EXT_NS_CERT_RENEWAL_TIME 5108
#define IDS_CERT_X509_SUBJECT_DIRECTORY_ATTR 5109
#define IDS_CERT_X509_SUBJECT_KEYID 5110
#define IDS_CERT_KEYID_FORMAT 5111
#define IDS_CERT_ISSUER_FORMAT 5112
#define IDS_CERT_SERIAL_NUMBER_FORMAT 5113
#define IDS_CERT_X509_KEY_USAGE 5114
#define IDS_CERT_X509_ISSUER_ALT_NAME 5115
#define IDS_CERT_X509_BASIC_CONSTRAINTS 5116
#define IDS_CERT_X509_NAME_CONSTRAINTS 5117
#define IDS_CERT_X509_CRL_DIST_POINTS 5118
#define IDS_CERT_X509_CERT_POLICIES 5119
#define IDS_CERT_X509_POLICY_MAPPINGS 5120
#define IDS_CERT_X509_POLICY_CONSTRAINTS 5121
#define IDS_CERT_X509_AUTH_KEYID 5122
#define IDS_CERT_X509_EXT_KEY_USAGE 5123
#define IDS_CERT_X509_AUTH_INFO_ACCESS 5124
#define IDS_CERT_X509_KEY_USAGE_SIGNING 5125
#define IDS_CERT_X509_KEY_USAGE_NONREP 5126
#define IDS_CERT_X509_KEY_USAGE_ENCIPHERMENT 5127
#define IDS_CERT_X509_KEY_USAGE_DATA_ENCIPHERMENT 5128
#define IDS_CERT_X509_KEY_USAGE_KEY_AGREEMENT 5129
#define IDS_CERT_X509_KEY_USAGE_CERT_SIGNER 5130
#define IDS_CERT_X509_KEY_USAGE_CRL_SIGNER 5131
#define IDS_CERT_X509_KEY_USAGE_ENCIPHER_ONLY 5132
#define IDS_CERT_X509_BASIC_CONSTRAINT_IS_CA 5133
#define IDS_CERT_X509_BASIC_CONSTRAINT_IS_NOT_CA 5134
#define IDS_CERT_X509_BASIC_CONSTRAINT_PATH_LEN 5135
#define IDS_CERT_X509_BASIC_CONSTRAINT_PATH_LEN_UNLIMITED 5136
#define IDS_CERT_PKIX_CPS_POINTER_QUALIFIER 5137
#define IDS_CERT_PKIX_USER_NOTICE_QUALIFIER 5138
#define IDS_CERT_REVOCATION_REASON_UNUSED 5139
#define IDS_CERT_REVOCATION_REASON_KEY_COMPROMISE 5140
#define IDS_CERT_REVOCATION_REASON_CA_COMPROMISE 5141
#define IDS_CERT_REVOCATION_REASON_AFFILIATION_CHANGED 5142
#define IDS_CERT_REVOCATION_REASON_SUPERSEDED 5143
#define IDS_CERT_REVOCATION_REASON_CESSATION_OF_OPERATION 5144
#define IDS_CERT_REVOCATION_REASON_CERTIFICATE_HOLD 5145
#define IDS_CERT_OCSP_RESPONDER_FORMAT 5146
#define IDS_CERT_CA_ISSUERS_FORMAT 5147
#define IDS_CERT_UNKNOWN_OID_INFO_FORMAT 5148
#define IDS_CERT_EXT_KEY_USAGE_FORMAT 5149
#define IDS_CERT_MULTILINE_INFO_START_FORMAT 5150
#define IDS_CERT_GENERAL_NAME_RFC822_NAME 5151
#define IDS_CERT_GENERAL_NAME_DNS_NAME 5152
#define IDS_CERT_GENERAL_NAME_X400_ADDRESS 5153
#define IDS_CERT_GENERAL_NAME_DIRECTORY_NAME 5154
#define IDS_CERT_GENERAL_NAME_EDI_PARTY_NAME 5155
#define IDS_CERT_GENERAL_NAME_URI 5156
#define IDS_CERT_GENERAL_NAME_IP_ADDRESS 5157
#define IDS_CERT_GENERAL_NAME_REGISTERED_ID 5158
#define IDS_CERT_EXT_MS_CERT_TYPE 5159
#define IDS_CERT_EXT_MS_CA_VERSION 5160
#define IDS_CERT_EXT_MS_NT_PRINCIPAL_NAME 5161
#define IDS_CERT_EXT_MS_NTDS_REPLICATION 5162
#define IDS_CERT_EKU_TLS_WEB_SERVER_AUTHENTICATION 5163
#define IDS_CERT_EKU_TLS_WEB_CLIENT_AUTHENTICATION 5164
#define IDS_CERT_EKU_CODE_SIGNING 5165
#define IDS_CERT_EKU_EMAIL_PROTECTION 5166
#define IDS_CERT_EKU_TIME_STAMPING 5167
#define IDS_CERT_EKU_OCSP_SIGNING 5168
#define IDS_CERT_EKU_MS_INDIVIDUAL_CODE_SIGNING 5169
#define IDS_CERT_EKU_MS_COMMERCIAL_CODE_SIGNING 5170
#define IDS_CERT_EKU_MS_TRUST_LIST_SIGNING 5171
#define IDS_CERT_EKU_MS_TIME_STAMPING 5172
#define IDS_CERT_EKU_MS_SERVER_GATED_CRYPTO 5173
#define IDS_CERT_EKU_MS_ENCRYPTING_FILE_SYSTEM 5174
#define IDS_CERT_EKU_MS_FILE_RECOVERY 5175
#define IDS_CERT_EKU_MS_WINDOWS_HARDWARE_DRIVER_VERIFICATION 5176
#define IDS_CERT_EKU_MS_QUALIFIED_SUBORDINATION 5177
#define IDS_CERT_EKU_MS_KEY_RECOVERY 5178
#define IDS_CERT_EKU_MS_DOCUMENT_SIGNING 5179
#define IDS_CERT_EKU_MS_LIFETIME_SIGNING 5180
#define IDS_CERT_EKU_MS_SMART_CARD_LOGON 5181
#define IDS_CERT_EKU_MS_KEY_RECOVERY_AGENT 5182
#define IDS_CERT_EKU_NETSCAPE_INTERNATIONAL_STEP_UP 5183
#define IDS_CERT_EXTENSION_CRITICAL 5184
#define IDS_CERT_EXTENSION_NON_CRITICAL 5185
#define IDS_CERT_EXTENSION_DUMP_ERROR 5186
#define IDS_CERTIFICATE_MANAGER_TITLE 5187
#define IDS_CERT_MANAGER_HARDWARE_BACKED_KEY_FORMAT 5188
#define IDS_CERT_MANAGER_HARDWARE_BACKED 5189
#define IDS_CERT_MANAGER_EXTENSION_PROVIDED_FORMAT 5190
#define IDS_DEV_TOOLS_INFOBAR_LABEL 5191
#define IDS_DEV_TOOLS_CONFIRM_ADD_FILE_SYSTEM_MESSAGE 5192
#define IDS_DEV_TOOLS_CONFIRM_ALLOW_BUTTON 5193
#define IDS_DEV_TOOLS_CONFIRM_DENY_BUTTON 5194
#define IDS_RELOAD_MENU_NORMAL_RELOAD_ITEM 5195
#define IDS_RELOAD_MENU_HARD_RELOAD_ITEM 5196
#define IDS_RELOAD_MENU_EMPTY_AND_HARD_RELOAD_ITEM 5197
#define IDS_EXIT_FULLSCREEN_MODE 5198
#define IDS_TASK_MANAGER_KILL 5199
#define IDS_TASK_MANAGER_PROCESS_ID_COLUMN 5200
#define IDS_TASK_MANAGER_GDI_HANDLES_COLUMN 5201
#define IDS_TASK_MANAGER_USER_HANDLES_COLUMN 5202
#define IDS_TASK_MANAGER_TASK_COLUMN 5203
#define IDS_TASK_MANAGER_NACL_DEBUG_STUB_PORT_COLUMN 5204
#define IDS_TASK_MANAGER_NET_COLUMN 5205
#define IDS_TASK_MANAGER_CPU_COLUMN 5206
#define IDS_TASK_MANAGER_START_TIME_COLUMN 5207
#define IDS_TASK_MANAGER_CPU_TIME_COLUMN 5208
#define IDS_TASK_MANAGER_MEM_FOOTPRINT_COLUMN 5209
#define IDS_TASK_MANAGER_SWAPPED_MEM_COLUMN 5210
#define IDS_TASK_MANAGER_PROFILE_NAME_COLUMN 5211
#define IDS_TASK_MANAGER_IDLE_WAKEUPS_COLUMN 5212
#define IDS_TASK_MANAGER_HARD_FAULTS_COLUMN 5213
#define IDS_TASK_MANAGER_OPEN_FD_COUNT_COLUMN 5214
#define IDS_TASK_MANAGER_PROCESS_PRIORITY_COLUMN 5215
#define IDS_TASK_MANAGER_WEBCORE_IMAGE_CACHE_COLUMN 5216
#define IDS_TASK_MANAGER_WEBCORE_SCRIPTS_CACHE_COLUMN 5217
#define IDS_TASK_MANAGER_WEBCORE_CSS_CACHE_COLUMN 5218
#define IDS_TASK_MANAGER_VIDEO_MEMORY_COLUMN 5219
#define IDS_TASK_MANAGER_SQLITE_MEMORY_USED_COLUMN 5220
#define IDS_TASK_MANAGER_JAVASCRIPT_MEMORY_ALLOCATED_COLUMN 5221
#define IDS_TASK_MANAGER_MEMORY_STATE_COLUMN 5222
#define IDS_TASK_MANAGER_KEEPALIVE_COUNT_COLUMN 5223
#define IDS_TASK_MANAGER_MEM_CELL_TEXT 5224
#define IDS_TASK_MANAGER_CACHE_SIZE_CELL_TEXT 5225
#define IDS_TASK_MANAGER_NA_CELL_TEXT 5226
#define IDS_TASK_MANAGER_BACKGROUNDED_TEXT 5227
#define IDS_TASK_MANAGER_FOREGROUNDED_TEXT 5228
#define IDS_TASK_MANAGER_UNKNOWN_VALUE_TEXT 5229
#define IDS_TASK_MANAGER_DISABLED_NACL_DBG_TEXT 5230
#define IDS_TASK_MANAGER_MEMORY_STATE_NORMAL_TEXT 5231
#define IDS_TASK_MANAGER_MEMORY_STATE_THROTTLED_TEXT 5232
#define IDS_TASK_MANAGER_MEMORY_STATE_SUSPENDED_TEXT 5233
#define IDS_TASK_MANAGER_HANDLES_CELL_TEXT 5234
#define IDS_TASK_MANAGER_WEB_BROWSER_CELL_TEXT 5235
#define IDS_TASK_MANAGER_EXTENSION_PREFIX 5236
#define IDS_TASK_MANAGER_EXTENSION_INCOGNITO_PREFIX 5237
#define IDS_TASK_MANAGER_APP_PREFIX 5238
#define IDS_TASK_MANAGER_APP_INCOGNITO_PREFIX 5239
#define IDS_TASK_MANAGER_TAB_PREFIX 5240
#define IDS_TASK_MANAGER_TAB_INCOGNITO_PREFIX 5241
#define IDS_TASK_MANAGER_BACKGROUND_APP_PREFIX 5242
#define IDS_TASK_MANAGER_BACKGROUND_PREFIX 5243
#define IDS_TASK_MANAGER_PLUGIN_PREFIX 5244
#define IDS_TASK_MANAGER_PLUGIN_BROKER_PREFIX 5245
#define IDS_TASK_MANAGER_PRERENDER_PREFIX 5246
#define IDS_TASK_MANAGER_RENDERER_PREFIX 5247
#define IDS_TASK_MANAGER_UNKNOWN_PLUGIN_NAME 5248
#define IDS_TASK_MANAGER_UTILITY_PREFIX 5249
#define IDS_TASK_MANAGER_NACL_PREFIX 5250
#define IDS_TASK_MANAGER_NACL_BROKER_PREFIX 5251
#define IDS_TASK_MANAGER_GPU_PREFIX 5252
#define IDS_TASK_MANAGER_PRINT_PREFIX 5253
#define IDS_TASK_MANAGER_SUBFRAME_PREFIX 5254
#define IDS_TASK_MANAGER_SUBFRAME_INCOGNITO_PREFIX 5255
#define IDS_TASK_MANAGER_ARC_PREFIX 5256
#define IDS_TASK_MANAGER_ARC_PREFIX_BACKGROUND_SERVICE 5257
#define IDS_TASK_MANAGER_ARC_PREFIX_RECEIVER 5258
#define IDS_TASK_MANAGER_ARC_SYSTEM 5259
#define IDS_TASK_MANAGER_LINUX_VM_PREFIX 5260
#define IDS_UTILITY_PROCESS_IMAGE_DECODER_NAME 5261
#define IDS_UTILITY_PROCESS_PROXY_RESOLVER_NAME 5262
#define IDS_UTILITY_PROCESS_FILE_UTILITY_NAME 5265
#define IDS_UTILITY_PROCESS_PROFILE_IMPORTER_NAME 5266
#define IDS_UTILITY_PROCESS_IMAGE_WRITER_NAME 5268
#define IDS_UTILITY_PROCESS_MEDIA_GALLERY_UTILITY_NAME 5269
#define IDS_UTILITY_PROCESS_PATCH_NAME 5270
#define IDS_UTILITY_PROCESS_PROFILING_SERVICE_NAME 5271
#define IDS_UTILITY_PROCESS_UNZIP_NAME 5272
#define IDS_THEME_INSTALL_INFOBAR_LABEL 5273
#define IDS_THEME_INSTALL_INFOBAR_UNDO_BUTTON 5274
#define IDS_CRITICAL_NOTIFICATION_RESTART 5275
#define IDS_CRITICAL_NOTIFICATION_DISMISS 5276
#define IDS_EXTENSION_DISABLED_ERROR_LABEL 5277
#define IDS_EXTENSION_IS_BLACKLISTED 5278
#define IDS_EXTENSION_DISABLED_REMOTE_INSTALL_ERROR_TITLE 5279
#define IDS_EXTENSION_DISABLED_ERROR_TITLE 5280
#define IDS_EXTENSION_BLOCKED_ACTION_BUBBLE_HEADING 5281
#define IDS_EXTENSION_BLOCKED_ACTION_BUBBLE_OK_BUTTON 5282
#define IDS_APP_UNINSTALL_PROMPT_TITLE 5283
#define IDS_NON_PLATFORM_APP_UNINSTALL_PROMPT_HEADING 5284
#define IDS_ARC_APP_UNINSTALL_PROMPT_DATA_REMOVAL_WARNING 5285
#define IDS_EXTENSION_UNINSTALL_PROMPT_TITLE 5286
#define IDS_EXTENSION_CONFIRM_PERMISSIONS 5287
#define IDS_EXTENSION_DELEGATED_INSTALL_PROMPT_TITLE 5288
#define IDS_EXTENSION_INSTALL_PROMPT_TITLE 5289
#define IDS_EXTENSION_UNINSTALL_PROMPT_HEADING 5290
#define IDS_EXTENSION_PROGRAMMATIC_UNINSTALL_PROMPT_HEADING 5291
#define IDS_EXTENSION_RE_ENABLE_PROMPT_TITLE 5292
#define IDS_EXTENSION_PERMISSIONS_PROMPT_TITLE 5293
#define IDS_EXTENSION_POST_INSTALL_PERMISSIONS_PROMPT_TITLE 5294
#define IDS_EXTENSION_REMOTE_INSTALL_PROMPT_TITLE 5295
#define IDS_EXTENSION_REPAIR_PROMPT_TITLE 5296
#define IDS_EXTENSION_EXTERNAL_INSTALL_PROMPT_TITLE_APP 5297
#define IDS_EXTENSION_EXTERNAL_INSTALL_PROMPT_TITLE_EXTENSION 5298
#define IDS_EXTENSION_EXTERNAL_INSTALL_PROMPT_TITLE_THEME 5299
#define IDS_EXTENSION_EXTERNAL_INSTALL_PROMPT_ACCEPT_BUTTON_EXTENSION 5300
#define IDS_EXTENSION_EXTERNAL_INSTALL_PROMPT_ACCEPT_BUTTON_APP 5301
#define IDS_EXTENSION_EXTERNAL_INSTALL_PROMPT_ACCEPT_BUTTON_THEME 5302
#define IDS_EXTENSION_EXTERNAL_INSTALL_PROMPT_ABORT_BUTTON 5303
#define IDS_EXTENSION_ALERT_TITLE 5304
#define IDS_EXTENSION_ALERT_ITEM_EXTERNAL 5305
#define IDS_EXTENSION_ALERT_ITEM_BLACKLISTED 5306
#define IDS_APP_ALERT_ITEM_EXTERNAL 5307
#define IDS_APP_ALERT_ITEM_BLACKLISTED 5308
#define IDS_EXTENSION_ALERT_ITEM_OK 5309
#define IDS_EXTENSION_ALERT_ITEM_DETAILS 5310
#define IDS_EXTENSION_PROMPT_APP_CONNECT_FROM_INCOGNITO 5311
#define IDS_EXTENSION_PROMPT_EXTENSION_CONNECT_FROM_INCOGNITO 5312
#define IDS_EXTENSION_PROMPT_WILL_HAVE_ACCESS_TO 5313
#define IDS_EXTENSION_PROMPT_WILL_NOW_HAVE_ACCESS_TO 5314
#define IDS_EXTENSION_PROMPT_WANTS_ACCESS_TO 5315
#define IDS_EXTENSION_PROMPT_CAN_ACCESS 5316
#define IDS_EXTENSION_NO_SPECIAL_PERMISSIONS 5317
#define IDS_EXTENSION_PERMISSION_LINE 5318
#define IDS_EXTENSION_RATING_COUNT 5319
#define IDS_EXTENSION_PROMPT_RATING_ACCESSIBLE_TEXT 5320
#define IDS_EXTENSION_PROMPT_NO_RATINGS_ACCESSIBLE_TEXT 5321
#define IDS_EXTENSION_USER_COUNT 5322
#define IDS_EXTENSION_PROMPT_STORE_LINK 5323
#define IDS_EXTENSION_PROMPT_RETAINED_FILES 5324
#define IDS_EXTENSION_PROMPT_RETAINED_DEVICES 5325
#define IDS_EXTENSION_PROMPT_WARNING_FULL_ACCESS 5326
#define IDS_EXTENSION_PROMPT_WARNING_ALL_HOSTS 5327
#define IDS_EXTENSION_PROMPT_WARNING_CURRENT_HOST 5328
#define IDS_EXTENSION_PROMPT_WARNING_ALL_HOSTS_READ_ONLY 5329
#define IDS_EXTENSION_PROMPT_WARNING_AUDIO_CAPTURE 5330
#define IDS_EXTENSION_PROMPT_WARNING_VIDEO_CAPTURE 5331
#define IDS_EXTENSION_PROMPT_WARNING_AUDIO_AND_VIDEO_CAPTURE 5332
#define IDS_EXTENSION_PROMPT_WARNING_BLUETOOTH 5333
#define IDS_EXTENSION_PROMPT_WARNING_BLUETOOTH_DEVICES 5334
#define IDS_EXTENSION_PROMPT_WARNING_BLUETOOTH_PRIVATE 5335
#define IDS_EXTENSION_PROMPT_WARNING_BLUETOOTH_SERIAL 5336
#define IDS_EXTENSION_PROMPT_WARNING_BOOKMARKS 5337
#define IDS_EXTENSION_PROMPT_WARNING_CLIPBOARD 5338
#define IDS_EXTENSION_PROMPT_WARNING_CLIPBOARD_READWRITE 5339
#define IDS_EXTENSION_PROMPT_WARNING_CLIPBOARD_WRITE 5340
#define IDS_EXTENSION_PROMPT_WARNING_DEBUGGER 5341
#define IDS_EXTENSION_PROMPT_WARNING_DECLARATIVE_WEB_REQUEST 5342
#define IDS_EXTENSION_PROMPT_WARNING_DECLARATIVE_NET_REQUEST 5343
#define IDS_EXTENSION_PROMPT_WARNING_DOCUMENT_SCAN 5344
#define IDS_EXTENSION_PROMPT_WARNING_ENTERPRISE_HARDWARE_PLATFORM 5345
#define IDS_EXTENSION_PROMPT_WARNING_FAVICON 5346
#define IDS_EXTENSION_PROMPT_WARNING_GEOLOCATION 5347
#define IDS_EXTENSION_PROMPT_WARNING_HISTORY_READ 5348
#define IDS_EXTENSION_PROMPT_WARNING_HISTORY_READ_AND_SESSIONS 5349
#define IDS_EXTENSION_PROMPT_WARNING_HISTORY_WRITE 5350
#define IDS_EXTENSION_PROMPT_WARNING_HISTORY_WRITE_AND_SESSIONS 5351
#define IDS_EXTENSION_PROMPT_WARNING_HOME_PAGE_SETTING_OVERRIDE 5352
#define IDS_EXTENSION_PROMPT_WARNING_1_HOST 5353
#define IDS_EXTENSION_PROMPT_WARNING_1_HOST_READ_ONLY 5354
#define IDS_EXTENSION_PROMPT_WARNING_2_HOSTS 5355
#define IDS_EXTENSION_PROMPT_WARNING_2_HOSTS_READ_ONLY 5356
#define IDS_EXTENSION_PROMPT_WARNING_3_HOSTS 5357
#define IDS_EXTENSION_PROMPT_WARNING_3_HOSTS_READ_ONLY 5358
#define IDS_EXTENSION_PROMPT_WARNING_HOSTS_LIST 5359
#define IDS_EXTENSION_PROMPT_WARNING_HOSTS_LIST_READ_ONLY 5360
#define IDS_EXTENSION_PROMPT_WARNING_HOST_AND_SUBDOMAIN 5361
#define IDS_EXTENSION_PROMPT_WARNING_HOST_AND_SUBDOMAIN_LIST 5362
#define IDS_EXTENSION_PROMPT_WARNING_INPUT 5363
#define IDS_EXTENSION_PROMPT_WARNING_MANAGEMENT 5364
#define IDS_EXTENSION_PROMPT_WARNING_MDNS 5365
#define IDS_EXTENSION_PROMPT_WARNING_NETWORK_STATE 5366
#define IDS_EXTENSION_PROMPT_WARNING_NETWORKING_CONFIG 5367
#define IDS_EXTENSION_PROMPT_WARNING_NETWORKING_PRIVATE 5368
#define IDS_EXTENSION_PROMPT_WARNING_SEARCH_SETTINGS_OVERRIDE 5369
#define IDS_EXTENSION_PROMPT_WARNING_SERIAL 5370
#define IDS_EXTENSION_PROMPT_WARNING_SOCKET_ANY_HOST 5371
#define IDS_EXTENSION_PROMPT_WARNING_SOCKET_HOSTS_IN_DOMAIN 5372
#define IDS_EXTENSION_PROMPT_WARNING_SOCKET_HOSTS_IN_DOMAINS 5373
#define IDS_EXTENSION_PROMPT_WARNING_SOCKET_SPECIFIC_HOST 5374
#define IDS_EXTENSION_PROMPT_WARNING_SOCKET_SPECIFIC_HOSTS 5375
#define IDS_EXTENSION_PROMPT_WARNING_START_PAGE_SETTING_OVERRIDE 5376
#define IDS_EXTENSION_PROMPT_WARNING_SYSTEM_STORAGE 5377
#define IDS_EXTENSION_PROMPT_WARNING_TOPSITES 5378
#define IDS_EXTENSION_PROMPT_WARNING_TTS_ENGINE 5379
#define IDS_EXTENSION_PROMPT_WARNING_U2F_DEVICES 5380
#define IDS_EXTENSION_PROMPT_WARNING_NOTIFICATIONS 5381
#define IDS_EXTENSION_PROMPT_WARNING_USB_DEVICE 5382
#define IDS_EXTENSION_PROMPT_WARNING_USB_DEVICE_LIST 5383
#define IDS_EXTENSION_PROMPT_WARNING_USB_DEVICE_LIST_ITEM_UNKNOWN_PRODUCT 5384
#define IDS_EXTENSION_PROMPT_WARNING_USB_DEVICE_LIST_ITEM_UNKNOWN_VENDOR 5385
#define IDS_EXTENSION_PROMPT_WARNING_USB_DEVICE_UNKNOWN_PRODUCT 5386
#define IDS_EXTENSION_PROMPT_WARNING_USB_DEVICE_UNKNOWN_VENDOR 5387
#define IDS_EXTENSION_PROMPT_WARNING_VPN 5388
#define IDS_EXTENSION_PROMPT_WARNING_WEB_CONNECTABLE 5389
#define IDS_EXTENSION_PROMPT_WARNING_CONTENT_SETTINGS 5390
#define IDS_EXTENSION_PROMPT_WARNING_PRIVACY 5391
#define IDS_EXTENSION_PROMPT_WARNING_SIGNED_IN_DEVICES 5392
#define IDS_EXTENSION_PROMPT_WARNING_DOWNLOADS 5393
#define IDS_EXTENSION_PROMPT_WARNING_DOWNLOADS_OPEN 5394
#define IDS_EXTENSION_PROMPT_WARNING_IDENTITY_EMAIL 5395
#define IDS_EXTENSION_PROMPT_WARNING_WALLPAPER 5396
#define IDS_EXTENSION_PROMPT_WARNING_FILE_SYSTEM_DIRECTORY 5397
#define IDS_EXTENSION_PROMPT_WARNING_FILE_SYSTEM_WRITE_DIRECTORY 5398
#define IDS_EXTENSION_PROMPT_WARNING_MEDIA_GALLERIES_READ 5399
#define IDS_EXTENSION_PROMPT_WARNING_MEDIA_GALLERIES_READ_WRITE 5400
#define IDS_EXTENSION_PROMPT_WARNING_MEDIA_GALLERIES_READ_DELETE 5401
#define IDS_EXTENSION_PROMPT_WARNING_MEDIA_GALLERIES_READ_WRITE_DELETE 5402
#define IDS_EXTENSION_PROMPT_WARNING_SYNCFILESYSTEM 5403
#define IDS_EXTENSION_PROMPT_WARNING_MUSIC_MANAGER_PRIVATE 5404
#define IDS_EXTENSION_PROMPT_WARNING_NATIVE_MESSAGING 5405
#define IDS_EXTENSION_PROMPT_WARNING_SCREENLOCK_PRIVATE 5406
#define IDS_EXTENSION_PROMPT_WARNING_OVERRIDE_BOOKMARKS_UI 5407
#define IDS_EXTENSION_PROMPT_WARNING_ACTIVITY_LOG_PRIVATE 5408
#define IDS_EXTENSION_PROMPT_WARNING_DESKTOP_CAPTURE 5409
#define IDS_EXTENSION_PROMPT_WARNING_ACCESSIBILITY_FEATURES_MODIFY 5410
#define IDS_EXTENSION_PROMPT_WARNING_ACCESSIBILITY_FEATURES_READ 5411
#define IDS_EXTENSION_PROMPT_WARNING_ACCESSIBILITY_FEATURES_READ_MODIFY 5412
#define IDS_EXTENSION_PROMPT_WARNING_PLATFORMKEYS 5413
#define IDS_EXTENSION_PROMPT_WARNING_CERTIFICATEPROVIDER 5414
#define IDS_EXTENSION_PROMPT_WARNING_SETTINGS_PRIVATE 5415
#define IDS_EXTENSION_PROMPT_WARNING_AUTOFILL_PRIVATE 5416
#define IDS_EXTENSION_PROMPT_WARNING_PASSWORDS_PRIVATE 5417
#define IDS_EXTENSION_PROMPT_WARNING_USERS_PRIVATE 5418
#define IDS_EXTENSION_PROMPT_WARNING_DISPLAY_SOURCE 5419
#define IDS_EXTENSION_PROMPT_WARNING_NEW_TAB_PAGE_OVERRIDE 5420
#define IDS_EXTENSION_CANT_DOWNGRADE_VERSION 5421
#define IDS_APP_CANT_DOWNGRADE_VERSION 5422
#define IDS_EXTENSION_MOVE_DIRECTORY_TO_PROFILE_FAILED 5425
#define IDS_EXTENSION_INSTALL_NOT_ENABLED 5426
#define IDS_EXTENSION_INSTALL_INCORRECT_APP_CONTENT_TYPE 5427
#define IDS_EXTENSION_INSTALL_INCORRECT_INSTALL_HOST 5428
#define IDS_EXTENSION_INSTALL_UNEXPECTED_ID 5429
#define IDS_EXTENSION_INSTALL_DISALLOWED_ON_SITE 5430
#define IDS_EXTENSION_INSTALL_UNEXPECTED_VERSION 5431
#define IDS_EXTENSION_INSTALL_DEPENDENCY_OLD_VERSION 5432
#define IDS_EXTENSION_INSTALL_DEPENDENCY_NOT_SHARED_MODULE 5433
#define IDS_EXTENSION_INSTALL_DEPENDENCY_NOT_WHITELISTED 5434
#define IDS_EXTENSION_INSTALL_GALLERY_ONLY 5435
#define IDS_EXTENSION_INSTALL_KIOSK_MODE_ONLY 5436
#define IDS_EXTENSION_OVERLAPPING_WEB_EXTENT 5437
#define IDS_EXTENSION_INVALID_IMAGE_PATH 5438
#define IDS_EXTENSION_LOAD_ICON_FOR_PAGE_ACTION_FAILED 5439
#define IDS_EXTENSION_LOAD_ICON_FOR_BROWSER_ACTION_FAILED 5440
#define IDS_EXTENSION_INSTALLED_PAGE_ACTION_INFO 5444
#define IDS_EXTENSION_INSTALLED_PAGE_ACTION_INFO_WITH_SHORTCUT 5445
#define IDS_EXTENSION_INSTALLED_BROWSER_ACTION_INFO 5446
#define IDS_EXTENSION_INSTALLED_BROWSER_ACTION_INFO_WITH_SHORTCUT 5447
#define IDS_EXTENSION_INSTALLED_OMNIBOX_KEYWORD_INFO 5448
#define IDS_EXTENSION_INSTALLED_MANAGE_INFO 5449
#define IDS_EXTENSION_INSTALLED_MANAGE_SHORTCUTS 5450
#define IDS_EXTENSION_INSTALLED_SYNC_PROMO_NEW 5451
#define IDS_EXTENSION_INSTALLED_DICE_PROMO_SIGNIN_MESSAGE 5452
#define IDS_EXTENSION_INSTALLED_DICE_PROMO_SYNC_MESSAGE 5453
#define IDS_EXTENSIONS_DIRECTORY_CONFIRMATION_DIALOG_TITLE 5454
#define IDS_EXTENSIONS_DIRECTORY_CONFIRMATION_DIALOG_MESSAGE_READ_ONLY 5455
#define IDS_EXTENSIONS_DIRECTORY_CONFIRMATION_DIALOG_MESSAGE_WRITABLE 5456
#define IDS_EXTENSIONS_LOAD_ERROR_HEADING 5457
#define IDS_EXTENSIONS_LOAD_ERROR_MESSAGE 5458
#define IDS_EXTENSIONS_WANTS_ACCESS_TO_SITE 5459
#define IDS_EXTENSIONS_HAS_ACCESS_TO_SITE 5460
#define IDS_EXTENSIONS_CONTEXT_MENU_PAGE_ACCESS 5461
#define IDS_EXTENSIONS_CONTEXT_MENU_PAGE_ACCESS_RUN_ON_CLICK 5462
#define IDS_EXTENSIONS_CONTEXT_MENU_PAGE_ACCESS_RUN_ON_SITE 5463
#define IDS_EXTENSIONS_CONTEXT_MENU_PAGE_ACCESS_RUN_ON_ALL_SITES 5464
#define IDS_EXTENSIONS_CONTEXT_MENU_PAGE_ACCESS_LEARN_MORE 5465
#define IDS_EXTENSIONS_OPTIONS_MENU_ITEM 5466
#define IDS_EXTENSIONS_INSTALLED_BY_ADMIN 5467
#define IDS_EXTENSIONS_DISABLE 5468
#define IDS_EXTENSIONS_HIDE_BUTTON 5469
#define IDS_EXTENSIONS_KEEP_BUTTON_IN_TOOLBAR 5470
#define IDS_EXTENSIONS_SHOW_BUTTON_IN_TOOLBAR 5471
#define IDS_MANAGE_EXTENSION 5472
#define IDS_EXTENSION_ACTION_INSPECT_POPUP 5473
#define IDS_EXTENSIONS_LOCKED_SUPERVISED_USER 5474
#define IDS_EXTENSIONS_INSTALLED_BY_CHILD_CUSTODIAN 5475
#define IDS_EXTENSIONS_INSTALLED_BY_SUPERVISED_USER_CUSTODIAN 5476
#define IDS_EXTENSION_LOAD_FROM_DIRECTORY 5477
#define IDS_EXTENSION_COMMANDS_GENERIC_ACTIVATE 5478
#define IDS_EXTENSION_PACK_DIALOG_HEADING 5479
#define IDS_EXTENSION_PACK_DIALOG_SELECT_KEY 5480
#define IDS_EXTENSION_PACK_DIALOG_KEY_FILE_TYPE_DESCRIPTION 5481
#define IDS_EXTENSION_PACK_DIALOG_ERROR_ROOT_REQUIRED 5482
#define IDS_EXTENSION_PACK_DIALOG_ERROR_ROOT_INVALID 5483
#define IDS_EXTENSION_PACK_DIALOG_ERROR_KEY_INVALID 5484
#define IDS_EXTENSION_PACK_DIALOG_SUCCESS_BODY_NEW 5485
#define IDS_EXTENSION_PACK_DIALOG_SUCCESS_BODY_UPDATE 5486
#define IDS_EXTENSION_PROMPT_INSTALL_BUTTON 5487
#define IDS_EXTENSION_INSTALL_PROMPT_ACCEPT_BUTTON_EXTENSION 5488
#define IDS_EXTENSION_INSTALL_PROMPT_ACCEPT_BUTTON_APP 5489
#define IDS_EXTENSION_INSTALL_PROMPT_ACCEPT_BUTTON_THEME 5490
#define IDS_EXTENSION_PROMPT_UNINSTALL_BUTTON 5491
#define IDS_EXTENSION_PROMPT_UNINSTALL_REPORT_ABUSE 5492
#define IDS_EXTENSION_PROMPT_UNINSTALL_REPORT_ABUSE_FROM_EXTENSION 5493
#define IDS_EXTENSION_PROMPT_UNINSTALL_TITLE 5494
#define IDS_EXTENSION_PROMPT_UNINSTALL_APP_BUTTON 5495
#define IDS_EXTENSION_PROMPT_UNINSTALL_TRIGGERED_BY_EXTENSION 5496
#define IDS_EXTENSION_PROMPT_RE_ENABLE_BUTTON 5497
#define IDS_EXTENSION_PROMPT_PERMISSIONS_BUTTON 5498
#define IDS_EXTENSION_PROMPT_PERMISSIONS_ACCEPT_BUTTON 5499
#define IDS_EXTENSION_PROMPT_PERMISSIONS_ABORT_BUTTON 5500
#define IDS_EXTENSION_PROMPT_PERMISSIONS_CLEAR_RETAINED_FILES_BUTTON 5501
#define IDS_EXTENSION_PROMPT_PERMISSIONS_CLEAR_RETAINED_DEVICES_BUTTON 5502
#define IDS_EXTENSION_PROMPT_PERMISSIONS_CLEAR_RETAINED_FILES_AND_DEVICES_BUTTON 5503
#define IDS_EXTENSION_PROMPT_REMOTE_INSTALL_BUTTON_EXTENSION 5504
#define IDS_EXTENSION_PROMPT_REMOTE_INSTALL_BUTTON_APP 5505
#define IDS_EXTENSION_PROMPT_REPAIR_BUTTON_EXTENSION 5506
#define IDS_EXTENSION_PROMPT_REPAIR_BUTTON_APP 5507
#define IDS_EXTENSION_WEB_STORE_TITLE 5508
#define IDS_EXTENSION_WEB_STORE_TITLE_SHORT 5509
#define IDS_EXTENSIONS_SHOW_DETAILS 5510
#define IDS_EXTENSIONS_HIDE_DETAILS 5511
#define IDS_WEBSTORE_DOWNLOAD_ACCESS_DENIED 5512
#define IDS_EXTENSION_WARNINGS_WRENCH_MENU_ITEM 5513
#define IDS_EXTENSION_EXTERNAL_INSTALL_ALERT_EXTENSION 5514
#define IDS_EXTENSION_EXTERNAL_INSTALL_ALERT_APP 5515
#define IDS_EXTENSION_EXTERNAL_INSTALL_ALERT_THEME 5516
#define IDS_EXTENSION_EXTERNAL_INSTALL_ALERT_BUBBLE_TITLE 5517
#define IDS_EXTENSION_EXTERNAL_INSTALL_ALERT_BUBBLE_HEADING_APP 5518
#define IDS_EXTENSION_EXTERNAL_INSTALL_ALERT_BUBBLE_HEADING_EXTENSION 5519
#define IDS_EXTENSION_EXTERNAL_INSTALL_ALERT_BUBBLE_HEADING_THEME 5520
#define IDS_EXTENSIONS_UNSUPPORTED_DISABLED_TITLE 5521
#define IDS_EXTENSIONS_DISABLED_AND_N_MORE 5522
#define IDS_EXTENSIONS_UNSUPPORTED_DISABLED_BUTTON 5523
#define IDS_EXTENSIONS_ADDED_WITHOUT_KNOWLEDGE 5524
#define IDS_EXTENSIONS_DISABLE_DEVELOPER_MODE_TITLE 5525
#define IDS_EXTENSIONS_DISABLE_DEVELOPER_MODE_BODY 5526
#define IDS_EXTENSIONS_SETTINGS_API_TITLE_HOME_PAGE_BUBBLE 5527
#define IDS_EXTENSIONS_SETTINGS_API_TITLE_STARTUP_PAGES_BUBBLE 5528
#define IDS_EXTENSIONS_SETTINGS_API_TITLE_SEARCH_ENGINE_BUBBLE 5529
#define IDS_EXTENSIONS_NTP_CONTROLLED_TITLE_HOME_PAGE_BUBBLE 5530
#define IDS_EXTENSIONS_PROXY_CONTROLLED_TITLE_HOME_PAGE_BUBBLE 5531
#define IDS_EXTENSIONS_SETTINGS_API_FIRST_LINE_SEARCH_ENGINE_SPECIFIC 5532
#define IDS_EXTENSIONS_SETTINGS_API_FIRST_LINE_SEARCH_ENGINE 5533
#define IDS_EXTENSIONS_SETTINGS_API_FIRST_LINE_HOME_PAGE_SPECIFIC 5534
#define IDS_EXTENSIONS_SETTINGS_API_FIRST_LINE_HOME_PAGE 5535
#define IDS_EXTENSIONS_SETTINGS_API_SECOND_LINE_SEARCH_ENGINE 5536
#define IDS_EXTENSIONS_SETTINGS_API_SECOND_LINE_HOME_PAGE 5537
#define IDS_EXTENSIONS_SETTINGS_API_SECOND_LINE_HOME_AND_SEARCH 5538
#define IDS_EXTENSIONS_NTP_CONTROLLED_FIRST_LINE 5539
#define IDS_EXTENSIONS_PROXY_CONTROLLED_FIRST_LINE 5540
#define IDS_EXTENSIONS_PROXY_CONTROLLED_FIRST_LINE_EXTENSION_SPECIFIC 5541
#define IDS_EXTENSIONS_SETTINGS_API_THIRD_LINE_CONFIRMATION 5542
#define IDS_EXTENSION_CONTROLLED_RESTORE_SETTINGS 5543
#define IDS_EXTENSION_CONTROLLED_KEEP_CHANGES 5544
#define IDS_HOSTED_APPMENU_TOOLTIP 5545
#define IDS_COMPONENTS_TITLE 5546
#define IDS_COMPONENTS_VERSION 5547
#define IDS_COMPONENTS_NONE_INSTALLED 5548
#define IDS_COMPONENTS_NO_COMPONENTS 5549
#define IDS_COMPONENTS_CHECK_FOR_UPDATE 5550
#define IDS_COMPONENTS_STATUS_LABEL 5551
#define IDS_COMPONENTS_CHECKING_LABEL 5552
#define IDS_COMPONENTS_SVC_STATUS_NEW 5553
#define IDS_COMPONENTS_SVC_STATUS_CHECKING 5554
#define IDS_COMPONENTS_SVC_STATUS_UPDATE 5555
#define IDS_COMPONENTS_SVC_STATUS_DNL_DIFF 5556
#define IDS_COMPONENTS_SVC_STATUS_DNL 5557
#define IDS_COMPONENTS_SVC_STATUS_DOWNLOADED 5558
#define IDS_COMPONENTS_SVC_STATUS_UPDT_DIFF 5559
#define IDS_COMPONENTS_SVC_STATUS_UPDATING 5560
#define IDS_COMPONENTS_SVC_STATUS_UPDATED 5561
#define IDS_COMPONENTS_SVC_STATUS_UPTODATE 5562
#define IDS_COMPONENTS_SVC_STATUS_UPDATE_ERROR 5563
#define IDS_COMPONENTS_UNKNOWN 5564
#define IDS_COMPONENTS_EVT_STATUS_STARTED 5565
#define IDS_COMPONENTS_EVT_STATUS_SLEEPING 5566
#define IDS_COMPONENTS_EVT_STATUS_FOUND 5567
#define IDS_COMPONENTS_EVT_STATUS_READY 5568
#define IDS_COMPONENTS_EVT_STATUS_UPDATED 5569
#define IDS_COMPONENTS_EVT_STATUS_NOTUPDATED 5570
#define IDS_COMPONENTS_EVT_STATUS_UPDATE_ERROR 5571
#define IDS_COMPONENTS_EVT_STATUS_DOWNLOADING 5572
#define IDS_PLUGINS_DISABLED_PLUGIN 5573
#define IDS_PASSWORD_MANAGER_ACCOUNT_CHOOSER_TITLE 5574
#define IDS_PASSWORD_MANAGER_CONFIRM_SAVED_TITLE 5575
#define IDS_PASSWORD_GENERATION_SUGGESTION 5576
#define IDS_PASSWORD_GENERATION_EDITING_SUGGESTION 5577
#define IDS_SAVE_PASSWORD 5578
#define IDS_SAVE_ACCOUNT 5579
#define IDS_UPDATE_PASSWORD 5580
#define IDS_SAVE_PASSWORD_DIFFERENT_DOMAINS_TITLE 5581
#define IDS_UPDATE_PASSWORD_DIFFERENT_DOMAINS_TITLE 5582
#define IDS_SAVE_PASSWORD_FOOTER 5583
#define IDS_PASSWORD_MANAGER_ACCOUNT_CHOOSER_SIGN_IN 5584
#define IDS_PASSWORD_MANAGER_MANAGE_PASSWORDS_BUTTON 5585
#define IDS_PASSWORD_MANAGER_SIGNIN_PROMO_SIGN_IN 5586
#define IDS_PASSWORD_MANAGER_SIGNIN_PROMO_LABEL 5587
#define IDS_PASSWORD_MANAGER_DICE_PROMO_SIGNIN_MESSAGE 5588
#define IDS_PASSWORD_MANAGER_DICE_PROMO_SYNC_MESSAGE 5589
#define IDS_PREVIEWS_INFOBAR_SAVED_DATA_TITLE 5595
#define IDS_PREVIEWS_INFOBAR_FASTER_PAGE_TITLE 5596
#define IDS_PREVIEWS_INFOBAR_LINK 5597
#define IDS_PREVIEWS_INFOBAR_TIMESTAMP_MINUTES 5598
#define IDS_PREVIEWS_INFOBAR_TIMESTAMP_ONE_HOUR 5599
#define IDS_PREVIEWS_INFOBAR_TIMESTAMP_HOURS 5600
#define IDS_PREVIEWS_INFOBAR_TIMESTAMP_UPDATED_NOW 5601
#define IDS_PAGE_CAPPING_TITLE 5602
#define IDS_PAGE_CAPPING_STOPPED_TITLE 5603
#define IDS_PAGE_CAPPING_CONTINUE_MESSAGE 5604
#define IDS_PAGE_CAPPING_STOP_MESSAGE 5605
#define IDS_LITE_PAGE_PREVIEWS_MESSAGE 5606
#define IDS_LITE_PAGE_PREVIEWS_SETTINGS_LINK 5607
#define IDS_WEBRTC_LOGS_TITLE 5608
#define IDS_WEBRTC_TEXT_LOGS_LOG_COUNT_BANNER_FORMAT 5609
#define IDS_WEBRTC_EVENT_LOGS_LOG_COUNT_BANNER_FORMAT 5610
#define IDS_WEBRTC_LOGS_LOG_HEADER_FORMAT 5611
#define IDS_WEBRTC_LOGS_LOG_LOCAL_FILE_LABEL_FORMAT 5612
#define IDS_WEBRTC_LOGS_NO_LOCAL_LOG_FILE_MESSAGE 5613
#define IDS_WEBRTC_LOGS_LOG_UPLOAD_TIME_FORMAT 5614
#define IDS_WEBRTC_LOGS_LOG_FAILED_UPLOAD_TIME_FORMAT 5615
#define IDS_WEBRTC_LOGS_LOG_REPORT_ID_FORMAT 5616
#define IDS_WEBRTC_LOGS_BUG_LINK_LABEL 5617
#define IDS_WEBRTC_LOGS_LOG_PENDING_MESSAGE 5618
#define IDS_WEBRTC_LOGS_LOG_ACTIVELY_UPLOADED_MESSAGE 5619
#define IDS_WEBRTC_LOGS_LOG_NOT_UPLOADED_MESSAGE 5620
#define IDS_WEBRTC_LOGS_EVENT_LOG_LOCAL_LOG_ID 5621
#define IDS_WEBRTC_LOGS_NO_TEXT_LOGS_MESSAGE 5622
#define IDS_WEBRTC_LOGS_NO_EVENT_LOGS_MESSAGE 5623
#define IDS_PLUGIN_HIDE 5624
#define IDS_PLUGIN_UPDATE 5625
#define IDS_PLUGIN_BLOCKED 5626
#define IDS_PLUGIN_BLOCKED_BY_POLICY 5627
#define IDS_PLUGIN_BLOCKED_NO_LOADING 5628
#define IDS_PLUGIN_OUTDATED 5630
#define IDS_PLUGIN_NOT_AUTHORIZED 5631
#define IDS_PLUGIN_DOWNLOADING 5632
#define IDS_PLUGIN_DOWNLOAD_ERROR 5633
#define IDS_PLUGIN_DOWNLOAD_ERROR_SHORT 5634
#define IDS_PLUGIN_UPDATING 5635
#define IDS_PLUGIN_DISABLED 5636
#define IDS_PLUGIN_PREFER_HTML_BY_DEFAULT 5637
#define IDS_SESSION_CRASHED_BUBBLE_TITLE 5638
#define IDS_SESSION_CRASHED_BUBBLE_UMA_LINK_TEXT 5639
#define IDS_BAD_FLAGS_WARNING_MESSAGE 5640
#define IDS_BAD_FEATURES_WARNING_MESSAGE 5641
#define IDS_PEPPER_BROKER_MESSAGE 5642
#define IDS_PEPPER_BROKER_ALLOW_BUTTON 5643
#define IDS_PEPPER_BROKER_DENY_BUTTON 5644
#define IDS_BLOCKED_PPAPI_BROKER_TITLE 5645
#define IDS_ALLOWED_PPAPI_BROKER_TITLE 5646
#define IDS_BLOCKED_PPAPI_BROKER_MESSAGE 5647
#define IDS_ALLOWED_PPAPI_BROKER_MESSAGE 5648
#define IDS_BLOCKED_PPAPI_BROKER_UNBLOCK 5649
#define IDS_BLOCKED_PPAPI_BROKER_NO_ACTION 5650
#define IDS_ALLOWED_PPAPI_BROKER_NO_ACTION 5651
#define IDS_ALLOWED_PPAPI_BROKER_BLOCK 5652
#define IDS_BLOCKED_DISPLAYING_INSECURE_CONTENT_TITLE 5653
#define IDS_BLOCKED_DISPLAYING_INSECURE_CONTENT 5654
#define IDS_ALLOW_INSECURE_CONTENT_BUTTON 5655
#define IDS_ADD_TO_SHELF_INFOBAR_TITLE 5656
#define IDS_ADD_TO_SHELF_INFOBAR_ADD_BUTTON 5657
#define IDS_ABOUT_SYS_TITLE 5658
#define IDS_ABOUT_SYS_DESC 5659
#define IDS_ABOUT_SYS_TABLE_TITLE 5660
#define IDS_ABOUT_SYS_LOG_FILE_TABLE_TITLE 5661
#define IDS_ABOUT_SYS_EXPAND_ALL 5662
#define IDS_ABOUT_SYS_COLLAPSE_ALL 5663
#define IDS_ABOUT_SYS_EXPAND 5664
#define IDS_ABOUT_SYS_COLLAPSE 5665
#define IDS_ABOUT_SYS_PARSE_ERROR 5666
#define IDS_FLASH_LOADING_MESSAGE 5667
#define IDS_FLASH_TITLE_MESSAGE 5668
#define IDS_NACL_APP_MISSING_ARCH_MESSAGE 5669
#define IDS_OMNIBOX_PLACEHOLDER_TEXT 5674
#define IDS_PASTE_AND_GO 5675
#define IDS_PASTE_AND_SEARCH 5676
#define IDS_OMNIBOX_KEYWORD_HINT 5677
#define IDS_OMNIBOX_EXTENSION_KEYWORD_HINT 5678
#define IDS_OMNIBOX_KEYWORD_HINT_KEY_ACCNAME 5679
#define IDS_OMNIBOX_KEYWORD_HINT_TOUCH 5680
#define IDS_OMNIBOX_EXTENSION_KEYWORD_HINT_TOUCH 5681
#define IDS_OMNIBOX_KEYWORD_TEXT 5682
#define IDS_OMNIBOX_KEYWORD_TEXT_MD 5683
#define IDS_CLICK_TO_VIEW_DOODLE 5684
#define IDS_OMNIBOX_CLEAR_ALL 5685
#define IDS_SEARCH_OR_TYPE_WEB_ADDRESS 5686
#define IDS_GOOGLE_SEARCH_BOX_EMPTY_HINT 5687
#define IDS_GOOGLE_SEARCH_BOX_EMPTY_HINT_MD 5688
#define IDS_NTP_CUSTOM_LINKS_ADD_SHORTCUT_TOOLTIP 5689
#define IDS_NTP_CUSTOM_LINKS_ADD_SHORTCUT_TITLE 5690
#define IDS_NTP_CUSTOM_LINKS_EDIT_SHORTCUT_TOOLTIP 5691
#define IDS_NTP_CUSTOM_LINKS_EDIT_SHORTCUT 5692
#define IDS_UPLOAD_IMAGE_FORMAT 5693
#define IDS_NTP_CUSTOM_LINKS_NAME 5694
#define IDS_NTP_CUSTOM_LINKS_URL 5695
#define IDS_NTP_CUSTOM_LINKS_REMOVE 5696
#define IDS_NTP_CUSTOM_LINKS_CANCEL 5697
#define IDS_NTP_CUSTOM_LINKS_DONE 5698
#define IDS_NTP_CUSTOM_LINKS_INVALID_URL 5699
#define IDS_NTP_CUSTOM_LINKS_SHORTCUT_EXISTS 5700
#define IDS_NTP_CUSTOM_LINKS_CANT_CREATE 5701
#define IDS_NTP_CUSTOM_LINKS_CANT_EDIT 5702
#define IDS_NTP_CUSTOM_LINKS_CANT_REMOVE 5703
#define IDS_NTP_CONFIRM_MSG_SHORTCUT_REMOVED 5704
#define IDS_NTP_CONFIRM_MSG_SHORTCUT_EDITED 5705
#define IDS_NTP_CONFIRM_MSG_SHORTCUT_ADDED 5706
#define IDS_NTP_CONFIRM_MSG_RESTORE_DEFAULTS 5707
#define IDS_NTP_CUSTOM_BG_CUSTOMIZE_BACKGROUND 5708
#define IDS_NTP_CUSTOM_BG_GOOGLE_PHOTOS 5709
#define IDS_NTP_CUSTOM_BG_CHROME_WALLPAPERS 5710
#define IDS_NTP_CUSTOM_BG_UPLOAD_AN_IMAGE 5711
#define IDS_NTP_CUSTOM_BG_SELECT_A_COLLECTION 5712
#define IDS_NTP_CUSTOM_BG_SELECT_GOOGLE_ALBUM 5713
#define IDS_NTP_CUSTOM_BG_DAILY_REFRESH 5714
#define IDS_NTP_CUSTOM_BG_SURPRISE_ME 5715
#define IDS_NTP_CUSTOM_BG_RESTORE_DEFAULT 5716
#define IDS_NTP_CUSTOM_BG_CANCEL 5717
#define IDS_NTP_CONNECTION_ERROR_NO_PERIOD 5718
#define IDS_NTP_CONNECTION_ERROR 5719
#define IDS_NTP_ERROR_MORE_INFO 5720
#define IDS_NTP_CUSTOM_BG_BACKGROUNDS_UNAVAILABLE 5721
#define IDS_NTP_CUSTOM_BG_IMAGE_UNAVAILABLE 5722
#define IDS_NTP_CUSTOM_BG_IMAGE_NOT_USABLE 5723
#define IDS_NTP_CUSTOM_BG_BACK_LABEL 5724
#define IDS_NTP_CUSTOM_BG_CUSTOMIZE_NTP_LABEL 5725
#define IDS_NTP_CUSTOM_BG_GOOGLE_PHOTO_LABEL 5726
#define IDS_NTP_CUSTOM_BG_PHOTO_SELECTED 5727
#define IDS_TOOLTIP_BACK 5728
#define IDS_ACCDESCRIPTION_BACK 5729
#define IDS_TOOLTIP_FORWARD 5730
#define IDS_ACCDESCRIPTION_FORWARD 5731
#define IDS_TOOLTIP_HOME 5732
#define IDS_TOOLTIP_RELOAD 5733
#define IDS_TOOLTIP_RELOAD_WITH_MENU 5734
#define IDS_TOOLTIP_STOP 5735
#define IDS_TOOLTIP_LOCATION_ICON 5737
#define IDS_TOOLTIP_NEW_TAB 5738
#define IDS_TOOLTIP_MIC_SEARCH 5739
#define IDS_TOOLTIP_SAVE_CREDIT_CARD 5740
#define IDS_TOOLTIP_MIGRATE_LOCAL_CARD 5741
#define IDS_TOOLTIP_TRANSLATE 5742
#define IDS_TOOLTIP_ZOOM 5743
#define IDS_TOOLTIP_ZOOM_EXTENSION_ICON 5744
#define IDS_ZOOM_SET_DEFAULT 5745
#define IDS_TOOLTIP_FIND 5746
#define IDS_ACCESSIBLE_INCOGNITO_WINDOW_TITLE_FORMAT 5748
#define IDS_ACCESSIBLE_WINDOW_TITLE_WITH_PROFILE_FORMAT 5749
#define IDS_ACCNAME_APP_UPGRADE_RECOMMENDED 5750
#define IDS_ACCNAME_FULLSCREEN 5751
#define IDS_ACCNAME_HOME 5752
#define IDS_ACCNAME_RELOAD 5753
#define IDS_ACCNAME_FIND 5754
#define IDS_ACCNAME_BOOKMARKS 5755
#define IDS_ACCNAME_BOOKMARKS_CHEVRON 5756
#define IDS_ACCNAME_BOOKMARKS_MENU 5757
#define IDS_ACCNAME_SEPARATOR 5758
#define IDS_ACCNAME_EXTENSIONS 5759
#define IDS_ACCNAME_NEWTAB 5760
#define IDS_ACCNAME_MINIMIZE 5761
#define IDS_ACCNAME_MAXIMIZE 5762
#define IDS_ACCNAME_RESTORE 5763
#define IDS_ACCNAME_CLOSE_TAB 5764
#define IDS_ACCNAME_ZOOM_SET_DEFAULT 5765
#define IDS_ACCESSIBILITY_EVENTS_PERMISSION_FRAGMENT 5766
#define IDS_CLIPBOARD_PERMISSION_FRAGMENT 5768
#define IDS_ALLOWED_CLIPBOARD_TITLE 5770
#define IDS_BLOCKED_CLIPBOARD_TITLE 5771
#define IDS_ALLOWED_CLIPBOARD_MESSAGE 5772
#define IDS_ALLOWED_CLIPBOARD_BLOCK 5773
#define IDS_ALLOWED_CLIPBOARD_NO_ACTION 5774
#define IDS_BLOCKED_CLIPBOARD_MESSAGE 5775
#define IDS_BLOCKED_CLIPBOARD_UNBLOCK 5776
#define IDS_BLOCKED_CLIPBOARD_NO_ACTION 5777
#define IDS_BOOKMARK_PROMO_0 5778
#define IDS_BOOKMARK_PROMO_1 5779
#define IDS_BOOKMARK_PROMO_2 5780
#define IDS_INCOGNITOWINDOW_PROMO_0 5781
#define IDS_INCOGNITOWINDOW_PROMO_1 5782
#define IDS_INCOGNITOWINDOW_PROMO_2 5783
#define IDS_INCOGNITOWINDOW_PROMO_3 5784
#define IDS_NEWTAB_PROMO_0 5785
#define IDS_NEWTAB_PROMO_1 5786
#define IDS_NEWTAB_PROMO_2 5787
#define IDS_BROWSER_HANGMONITOR_RENDERER_TITLE 5789
#define IDS_BROWSER_HANGMONITOR_RENDERER 5790
#define IDS_BROWSER_HANGMONITOR_RENDERER_INFOBAR 5791
#define IDS_BROWSER_HANGMONITOR_IFRAME_TITLE 5792
#define IDS_BROWSER_HANGMONITOR_RENDERER_INFOBAR_END 5793
#define IDS_BROWSER_HANGMONITOR_RENDERER_WAIT 5794
#define IDS_BROWSER_HANGMONITOR_RENDERER_END 5795
#define IDS_BROWSER_HANGMONITOR_PLUGIN_INFOBAR 5796
#define IDS_BROWSER_HANGMONITOR_PLUGIN_INFOBAR_KILLBUTTON 5797
#define IDS_BROWSER_BLOATED_RENDERER_INFOBAR 5798
#define IDS_PASSWORDS_AUTO_SIGNIN_TITLE 5799
#define IDS_PASSWORDS_AUTO_SIGNIN_DESCRIPTION 5800
#define IDS_PASSWORDS_VIA_FEDERATION 5801
#define IDS_PASSWORDS_PAGE_VIEW_HIDE_BUTTON 5802
#define IDS_CONFIRM_MESSAGEBOX_YES_BUTTON_LABEL 5803
#define IDS_CONFIRM_MESSAGEBOX_NO_BUTTON_LABEL 5804
#define IDS_PASSWORD_MANAGER_CANCEL_BUTTON 5805
#define IDS_PASSWORD_MANAGER_SAVE_BUTTON 5806
#define IDS_PASSWORD_MANAGER_UPDATE_BUTTON 5807
#define IDS_PASSWORD_MANAGER_BUBBLE_BLACKLIST_BUTTON 5808
#define IDS_PASSWORD_MANAGER_TOOLTIP_SAVE 5809
#define IDS_PASSWORD_MANAGER_TOOLTIP_MANAGE 5810
#define IDS_PASSWORD_MANAGER_IMPORT_BUTTON 5811
#define IDS_PASSWORD_MANAGER_IMPORT_DIALOG_TITLE 5812
#define IDS_PASSWORD_MANAGER_EXPORT_DIALOG_TITLE 5813
#define IDS_PASSWORD_MANAGER_USERNAME_LABEL 5814
#define IDS_PASSWORD_MANAGER_PASSWORD_LABEL 5815
#define IDS_IMPORT_FROM_FIREFOX 5823
#define IDS_IMPORT_FROM_ICEWEASEL 5824
#define IDS_IMPORT_FROM_SAFARI 5825
#define IDS_IMPORT_FROM_BOOKMARKS_HTML_FILE 5826
#define IDS_QUIT_ACCELERATOR_TUTORIAL 5830
#define IDS_IMPORTER_LOCK_TITLE 5831
#define IDS_IMPORTER_LOCK_TEXT 5832
#define IDS_IMPORTER_LOCK_OK 5833
#define IDS_FEEDBACK_REPORT_PAGE_TITLE 5834
#define IDS_FEEDBACK_REPORT_PAGE_TITLE_SAD_TAB_FLOW 5835
#define IDS_FEEDBACK_MINIMIZE_BUTTON_LABEL 5836
#define IDS_FEEDBACK_CLOSE_BUTTON_LABEL 5837
#define IDS_FEEDBACK_REPORT_URL_LABEL 5838
#define IDS_FEEDBACK_USER_EMAIL_LABEL 5839
#define IDS_FEEDBACK_ANONYMOUS_EMAIL_OPTION 5840
#define IDS_FEEDBACK_SCREENSHOT_LABEL 5841
#define IDS_FEEDBACK_INCLUDE_PERFORMANCE_TRACE_CHECKBOX 5842
#define IDS_FEEDBACK_BLUETOOTH_LOGS_CHECKBOX 5843
#define IDS_FEEDBACK_BLUETOOTH_LOGS_MESSAGE 5844
#define IDS_FEEDBACK_OFFLINE_DIALOG_TITLE 5845
#define IDS_FEEDBACK_OFFLINE_DIALOG_TEXT 5846
#define IDS_FEEDBACK_INCLUDE_SYSTEM_INFORMATION_CHKBOX 5847
#define IDS_FEEDBACK_ATTACH_FILE_NOTE 5850
#define IDS_FEEDBACK_ATTACH_FILE_LABEL 5851
#define IDS_FEEDBACK_READING_FILE 5852
#define IDS_FEEDBACK_ATTACH_FILE_TO_BIG 5853
#define IDS_FEEDBACK_IWLWIFI_DEBUG_DUMP_EXPLAINER 5854
#define IDS_FEEDBACK_PRIVACY_NOTE 5855
#define IDS_FEEDBACK_NO_DESCRIPTION 5856
#define IDS_FEEDBACK_SEND_REPORT 5857
#define IDS_FEEDBACK_SYSINFO_PAGE_TITLE 5858
#define IDS_FEEDBACK_SYSINFO_PAGE_LOADING 5859
#define IDS_FEEDBACK_ADDITIONAL_INFO_LABEL 5860
#define IDS_FEEDBACK_SRT_PROMPT_BODY 5861
#define IDS_FEEDBACK_SRT_PROMPT_ACCEPT_BUTTON 5862
#define IDS_FEEDBACK_SRT_PROMPT_DECLINE_BUTTON 5863
#define IDS_CLEAR_BROWSING_DATA_TITLE 5864
#define IDS_FLASH_PERMISSION_FRAGMENT 5865
#define IDS_CLEAR_BROWSING_DATA_HISTORY_NOTICE 5866
#define IDS_CLEAR_BROWSING_DATA_HISTORY_NOTICE_TITLE 5867
#define IDS_CLEAR_BROWSING_DATA_HISTORY_NOTICE_OK 5868
#define IDS_MEDIA_SELECTED_MIC_LABEL 5869
#define IDS_MEDIA_SELECTED_CAMERA_LABEL 5870
#define IDS_MEDIA_MENU_NO_DEVICE_TITLE 5871
#define IDS_HANDLERS_BUBBLE_MANAGE_LINK 5874
#define IDS_ZOOMLEVELS_CHROME_ERROR_PAGES_LABEL 5875
#define IDS_REPORT_AN_ISSUE 5886
#define IDS_SETTINGS_RESET_PROMPT_TITLE_SEARCH_ENGINE 5893
#define IDS_SETTINGS_RESET_PROMPT_TITLE_STARTUP_PAGE 5894
#define IDS_SETTINGS_RESET_PROMPT_TITLE_HOMEPAGE 5895
#define IDS_SETTINGS_RESET_PROMPT_ACCEPT_BUTTON_LABEL 5896
#define IDS_SETTINGS_RESET_PROMPT_EXPLANATION_FOR_SEARCH_ENGINE_NO_EXTENSIONS 5897
#define IDS_SETTINGS_RESET_PROMPT_EXPLANATION_FOR_STARTUP_PAGE_SINGLE_NO_EXTENSIONS 5898
#define IDS_SETTINGS_RESET_PROMPT_EXPLANATION_FOR_STARTUP_PAGE_MULTIPLE_NO_EXTENSIONS 5899
#define IDS_SETTINGS_RESET_PROMPT_EXPLANATION_FOR_HOMEPAGE_NO_EXTENSIONS 5900
#define IDS_REENABLE_UPDATES 5901
#define IDS_PICTURE_IN_PICTURE_TITLE_TEXT 5902
#define IDS_PICTURE_IN_PICTURE_PAUSE_CONTROL_TEXT 5903
#define IDS_PICTURE_IN_PICTURE_PLAY_CONTROL_TEXT 5904
#define IDS_PICTURE_IN_PICTURE_CLOSE_CONTROL_TEXT 5905
#define IDS_PICTURE_IN_PICTURE_RESIZE_HANDLE_TEXT 5906
#define IDS_PICTURE_IN_PICTURE_PLAY_PAUSE_CONTROL_ACCESSIBLE_TEXT 5907
#define IDS_PICTURE_IN_PICTURE_CONFIRM_CLOSE_TITLE 5908
#define IDS_PICTURE_IN_PICTURE_CONFIRM_LEAVE_TITLE 5909
#define IDS_PICTURE_IN_PICTURE_CONFIRM_DESCRIPTION 5910
#define IDS_PICTURE_IN_PICTURE_CONFIRM_CLOSE_TEXT 5911
#define IDS_PICTURE_IN_PICTURE_CONFIRM_LEAVE_TEXT 5912
#define IDS_PICTURE_IN_PICTURE_CANCEL_TEXT 5913
#define IDS_LOAD_STATE_WAITING_FOR_SOCKET_SLOT 5914
#define IDS_LOAD_STATE_WAITING_FOR_DELEGATE 5915
#define IDS_LOAD_STATE_WAITING_FOR_DELEGATE_GENERIC 5916
#define IDS_LOAD_STATE_WAITING_FOR_CACHE 5917
#define IDS_LOAD_STATE_WAITING_FOR_APPCACHE 5918
#define IDS_LOAD_STATE_ESTABLISHING_PROXY_TUNNEL 5919
#define IDS_LOAD_STATE_RESOLVING_PROXY_FOR_URL 5920
#define IDS_LOAD_STATE_RESOLVING_HOST_IN_PAC_FILE 5921
#define IDS_LOAD_STATE_DOWNLOADING_PAC_FILE 5922
#define IDS_LOAD_STATE_RESOLVING_HOST 5923
#define IDS_LOAD_STATE_CONNECTING 5924
#define IDS_LOAD_STATE_SSL_HANDSHAKE 5925
#define IDS_LOAD_STATE_SENDING_REQUEST 5926
#define IDS_LOAD_STATE_SENDING_REQUEST_WITH_PROGRESS 5927
#define IDS_LOAD_STATE_WAITING_FOR_RESPONSE 5928
#define IDS_TAB_CXMENU_NEWTAB 5929
#define IDS_TAB_CXMENU_RELOAD 5930
#define IDS_TAB_CXMENU_DUPLICATE 5931
#define IDS_TAB_CXMENU_CLOSETAB 5932
#define IDS_TAB_CXMENU_CLOSETABS 5933
#define IDS_TAB_CXMENU_CLOSEOTHERTABS 5934
#define IDS_TAB_CXMENU_CLOSETABSTORIGHT 5935
#define IDS_TAB_CXMENU_PIN_TAB 5936
#define IDS_TAB_CXMENU_PIN_TABS 5937
#define IDS_TAB_CXMENU_UNPIN_TAB 5938
#define IDS_TAB_CXMENU_UNPIN_TABS 5939
#define IDS_TAB_CXMENU_AUDIO_MUTE_TAB 5940
#define IDS_TAB_CXMENU_AUDIO_MUTE_TABS 5941
#define IDS_TAB_CXMENU_AUDIO_UNMUTE_TAB 5942
#define IDS_TAB_CXMENU_AUDIO_UNMUTE_TABS 5943
#define IDS_TAB_CXMENU_SOUND_MUTE_SITE 5944
#define IDS_TAB_CXMENU_SOUND_MUTE_SITES 5945
#define IDS_TAB_CXMENU_SOUND_UNMUTE_SITE 5946
#define IDS_TAB_CXMENU_SOUND_UNMUTE_SITES 5947
#define IDS_TAB_CXMENU_BOOKMARK_ALL_TABS 5948
#define IDS_APP_MENU_RELOAD 5949
#define IDS_APP_MENU_NEW_WEB_PAGE 5950
#define IDS_MEDIA_SCREEN_CAPTURE_CONFIRMATION_TITLE 5951
#define IDS_MEDIA_SCREEN_CAPTURE_CONFIRMATION_TEXT 5952
#define IDS_MEDIA_SCREEN_AND_AUDIO_CAPTURE_CONFIRMATION_TEXT 5953
#define IDS_MEDIA_SCREEN_CAPTURE_NOTIFICATION_TEXT 5954
#define IDS_MEDIA_SCREEN_CAPTURE_NOTIFICATION_TEXT_DELEGATED 5955
#define IDS_MEDIA_SCREEN_CAPTURE_WITH_AUDIO_NOTIFICATION_TEXT 5956
#define IDS_MEDIA_SCREEN_CAPTURE_WITH_AUDIO_NOTIFICATION_TEXT_DELEGATED 5957
#define IDS_MEDIA_WINDOW_CAPTURE_NOTIFICATION_TEXT 5958
#define IDS_MEDIA_WINDOW_CAPTURE_NOTIFICATION_TEXT_DELEGATED 5959
#define IDS_MEDIA_TAB_CAPTURE_NOTIFICATION_TEXT 5960
#define IDS_MEDIA_TAB_CAPTURE_NOTIFICATION_TEXT_DELEGATED 5961
#define IDS_MEDIA_TAB_CAPTURE_WITH_AUDIO_NOTIFICATION_TEXT 5962
#define IDS_MEDIA_TAB_CAPTURE_WITH_AUDIO_NOTIFICATION_TEXT_DELEGATED 5963
#define IDS_MEDIA_SCREEN_CAPTURE_NOTIFICATION_STOP 5964
#define IDS_PLATFORM_KEYS_SELECT_CERT_DIALOG_TEXT 5965
#define IDS_UNSAFE_FRAME_MESSAGE 5966
#define IDS_CLIENT_CERT_DIALOG_TITLE 5967
#define IDS_CLIENT_CERT_DIALOG_TEXT 5968
#define IDS_CRYPTO_MODULE_AUTH_DIALOG_TITLE 5969
#define IDS_CRYPTO_MODULE_AUTH_DIALOG_TEXT_CERT_ENROLLMENT 5970
#define IDS_CRYPTO_MODULE_AUTH_DIALOG_TEXT_CLIENT_AUTH 5971
#define IDS_CRYPTO_MODULE_AUTH_DIALOG_TEXT_LIST_CERTS 5972
#define IDS_CRYPTO_MODULE_AUTH_DIALOG_TEXT_CERT_IMPORT 5973
#define IDS_CRYPTO_MODULE_AUTH_DIALOG_TEXT_CERT_EXPORT 5974
#define IDS_CRYPTO_MODULE_AUTH_DIALOG_PASSWORD_FIELD 5975
#define IDS_CRYPTO_MODULE_AUTH_DIALOG_OK_BUTTON_LABEL 5976
#define IDS_CRASHED_TAB_FEEDBACK_MESSAGE 5982
#define IDS_CRASHED_TAB_FEEDBACK_LINK 5983
#define IDS_KILLED_TAB_FEEDBACK_MESSAGE 5985
#define IDS_RELAUNCH_BUTTON 5987
#define IDS_TOOLBAR_INFORM_SET_HOME_PAGE 5990
#define IDS_AUTOFILL_POPUP_ACCESSIBLE_NODE_DATA 5991
#define IDS_AUTOFILL_FIELD_LABEL_PHONE 5992
#define IDS_AUTOFILL_FIELD_LABEL_NAME_ON_CARD 5993
#define IDS_AUTOFILL_FIELD_LABEL_CREDIT_CARD_NUMBER 5994
#define IDS_AUTOFILL_FIELD_LABEL_EXPIRATION_DATE 5995
#define IDS_AUTOFILL_FIELD_LABEL_EXPIRATION_MONTH 5996
#define IDS_AUTOFILL_FIELD_LABEL_EXPIRATION_YEAR 5997
#define IDS_AUTOFILL_FIELD_LABEL_BILLING_ADDRESS 5998
#define IDS_MANAGE_EXTENSIONS_SETTING_WINDOWS_TITLE 5999
#define IDS_GOOGLE_CLOUD_PRINT 6000
#define IDS_CLOUD_PRINT_CONNECTOR_DISABLED_BUTTON 6001
#define IDS_CLOUD_PRINT_CONNECTOR_ENABLED_LABEL 6002
#define IDS_CLOUD_PRINT_CONNECTOR_ENABLED_BUTTON 6003
#define IDS_CLOUD_PRINT_CONNECTOR_ENABLING_BUTTON 6004
#define IDS_CONTROLLED_SETTING_POLICY 6005
#define IDS_CONTROLLED_SETTING_EXTENSION 6006
#define IDS_CONTROLLED_SETTING_EXTENSION_WITHOUT_NAME 6007
#define IDS_CONTROLLED_SETTING_RECOMMENDED 6008
#define IDS_CONTROLLED_SETTING_HAS_RECOMMENDATION 6009
#define IDS_EXTENSIONS_INSTALL_LOCATION_UNKNOWN 6010
#define IDS_EXTENSIONS_INSTALL_LOCATION_3RD_PARTY 6011
#define IDS_EXTENSIONS_INSTALL_LOCATION_ENTERPRISE 6012
#define IDS_EXTENSIONS_INSTALL_LOCATION_SHARED_MODULE 6013
#define IDS_EXTENSIONS_BLACKLISTED_MALWARE 6014
#define IDS_EXTENSIONS_BLACKLISTED_SECURITY_VULNERABILITY 6015
#define IDS_EXTENSIONS_BLACKLISTED_CWS_POLICY_VIOLATION 6016
#define IDS_EXTENSIONS_BLACKLISTED_POTENTIALLY_UNWANTED 6017
#define IDS_RESET_PROFILE_SETTINGS_EXPLANATION 6018
#define IDS_TRIGGERED_RESET_PROFILE_SETTINGS_TITLE 6019
#define IDS_TRIGGERED_RESET_PROFILE_SETTINGS_EXPLANATION 6020
#define IDS_TRIGGERED_RESET_PROFILE_SETTINGS_DEFAULT_TOOL_NAME 6021
#define IDS_RESET_PROFILE_SETTINGS_LOCALE 6022
#define IDS_RESET_PROFILE_SETTINGS_STARTUP_URLS 6023
#define IDS_RESET_PROFILE_SETTINGS_STARTUP_TYPE 6024
#define IDS_RESET_PROFILE_SETTINGS_HOMEPAGE 6025
#define IDS_RESET_PROFILE_SETTINGS_HOMEPAGE_IS_NTP 6026
#define IDS_RESET_PROFILE_SETTINGS_YES 6027
#define IDS_RESET_PROFILE_SETTINGS_NO 6028
#define IDS_RESET_PROFILE_SETTINGS_SHOW_HOME_BUTTON 6029
#define IDS_RESET_PROFILE_SETTINGS_DSE 6030
#define IDS_RESET_PROFILE_SETTINGS_EXTENSIONS 6031
#define IDS_RESET_PROFILE_SETTINGS_SHORTCUTS 6032
#define IDS_RESET_PROFILE_SETTINGS_PROCESSING_SHORTCUTS 6033
#define IDS_AUTOFILL_DIALOG_PLACEHOLDER_EXPIRY_MONTH 6035
#define IDS_AUTOFILL_DIALOG_PLACEHOLDER_EXPIRY_YEAR 6036
#define IDS_AUTOFILL_FROM_GOOGLE_ACCOUNT 6037
#define IDS_SHOW_WINDOW_DECORATIONS 6038
#define IDS_COLLECTED_COOKIES_DIALOG_TITLE 6039
#define IDS_COLLECTED_COOKIES_ALLOWED_COOKIES_LABEL 6040
#define IDS_COLLECTED_COOKIES_BLOCKED_COOKIES_LABEL 6041
#define IDS_COLLECTED_COOKIES_BLOCKED_THIRD_PARTY_BLOCKING_ENABLED 6042
#define IDS_COLLECTED_COOKIES_ALLOW_BUTTON 6043
#define IDS_COLLECTED_COOKIES_SESSION_ONLY_BUTTON 6044
#define IDS_COLLECTED_COOKIES_BLOCK_BUTTON 6045
#define IDS_COLLECTED_COOKIES_ALLOW_RULE_CREATED 6046
#define IDS_COLLECTED_COOKIES_BLOCK_RULE_CREATED 6047
#define IDS_COLLECTED_COOKIES_SESSION_RULE_CREATED 6048
#define IDS_COLLECTED_COOKIES_ALLOWED_COOKIES_TAB_LABEL 6052
#define IDS_COLLECTED_COOKIES_BLOCKED_COOKIES_TAB_LABEL 6053
#define IDS_COLLECTED_COOKIES_ALLOWED_AUX_TEXT 6054
#define IDS_COLLECTED_COOKIES_BLOCKED_AUX_TEXT 6055
#define IDS_COLLECTED_COOKIES_CLEAR_ON_EXIT_AUX_TEXT 6056
#define IDS_COLLECTED_COOKIES_INFOBAR_MESSAGE 6057
#define IDS_COLLECTED_COOKIES_INFOBAR_BUTTON 6058
#define IDS_ACCNAME_INFOBAR_CONTAINER 6059
#define IDS_ACCNAME_INFOBAR 6060
#define IDS_ONE_CLICK_BUBBLE_UNDO 6061
#define IDS_ONE_CLICK_SIGNIN_BUBBLE_MESSAGE 6062
#define IDS_ONE_CLICK_SIGNIN_DIALOG_OK_BUTTON 6063
#define IDS_ONE_CLICK_SIGNIN_DIALOG_UNDO_BUTTON 6064
#define IDS_ONE_CLICK_SIGNIN_DIALOG_ADVANCED 6065
#define IDS_ENTERPRISE_SIGNIN_CANCEL 6066
#define IDS_ENTERPRISE_SIGNIN_CREATE_NEW_PROFILE 6067
#define IDS_ENTERPRISE_SIGNIN_CONTINUE 6068
#define IDS_ENTERPRISE_SIGNIN_ALERT 6069
#define IDS_ENTERPRISE_FORCE_SIGNOUT_TITLE 6070
#define IDS_ENTERPRISE_FORCE_SIGNOUT_CLOSE_CONFIRM 6071
#define IDS_ENTERPRISE_FORCE_SIGNOUT_CLOSE_DELAY 6072
#define IDS_ENTERPRISE_FORCE_SIGNOUT_ADDITIONAL_EXPLANATION 6073
#define IDS_COOKIES_REMOVE_LABEL 6074
#define IDS_COOKIES_COOKIE_NAME_LABEL 6075
#define IDS_COOKIES_COOKIE_CONTENT_LABEL 6076
#define IDS_COOKIES_COOKIE_DOMAIN_LABEL 6077
#define IDS_COOKIES_COOKIE_PATH_LABEL 6078
#define IDS_COOKIES_COOKIE_SENDFOR_LABEL 6079
#define IDS_COOKIES_COOKIE_CREATED_LABEL 6080
#define IDS_COOKIES_COOKIE_EXPIRES_LABEL 6081
#define IDS_COOKIES_COOKIE_EXPIRES_SESSION 6082
#define IDS_COOKIES_COOKIE_SENDFOR_ANY 6083
#define IDS_COOKIES_COOKIE_SENDFOR_SECURE 6084
#define IDS_COOKIES_COOKIE_SENDFOR_SAME_SITE 6085
#define IDS_COOKIES_COOKIE_SENDFOR_SECURE_SAME_SITE 6086
#define IDS_COOKIES_COOKIE_ACCESSIBLE_TO_SCRIPT_YES 6087
#define IDS_COOKIES_COOKIE_ACCESSIBLE_TO_SCRIPT_NO 6088
#define IDS_COOKIES_COOKIE_NONESELECTED 6089
#define IDS_COOKIES_WEB_DATABASE_DESCRIPTION_LABEL 6090
#define IDS_COOKIES_WEB_DATABASE_UNNAMED_NAME 6091
#define IDS_COOKIES_LOCAL_STORAGE_ORIGIN_LABEL 6094
#define IDS_COOKIES_LOCAL_STORAGE_SIZE_ON_DISK_LABEL 6095
#define IDS_COOKIES_LOCAL_STORAGE_LAST_MODIFIED_LABEL 6096
#define IDS_COOKIES_COOKIES 6097
#define IDS_COOKIES_APPLICATION_CACHES 6098
#define IDS_COOKIES_APPLICATION_CACHE 6099
#define IDS_COOKIES_APPLICATION_CACHE_MANIFEST_LABEL 6100
#define IDS_COOKIES_WEB_DATABASES 6102
#define IDS_COOKIES_LOCAL_STORAGE 6104
#define IDS_COOKIES_SESSION_STORAGE 6105
#define IDS_COOKIES_INDEXED_DB 6106
#define IDS_COOKIES_INDEXED_DBS 6107
#define IDS_COOKIES_MEDIA_LICENSE 6108
#define IDS_COOKIES_MEDIA_LICENSES 6109
#define IDS_COOKIES_FILE_SYSTEM 6110
#define IDS_COOKIES_FILE_SYSTEMS 6111
#define IDS_COOKIES_FILE_SYSTEM_USAGE_NONE 6112
#define IDS_COOKIES_LAST_ACCESSED_LABEL 6113
#define IDS_COOKIES_CHANNEL_ID 6114
#define IDS_COOKIES_CHANNEL_IDS 6115
#define IDS_COOKIES_SERVICE_WORKER 6116
#define IDS_COOKIES_SERVICE_WORKERS 6117
#define IDS_COOKIES_SHARED_WORKERS 6118
#define IDS_COOKIES_CACHE_STORAGE 6119
#define IDS_CLIENT_CERT_ECDSA_SIGN 6120
#define IDS_APP_DEFAULT_PAGE_NAME 6121
#define IDS_APP_LAUNCHER_TAB_TITLE 6122
#define IDS_NEW_TAB_GUEST_SESSION_HEADING 6123
#define IDS_NEW_TAB_GUEST_SESSION_DESCRIPTION 6124
#define IDS_NEW_TAB_TILE_GRID_ACCESSIBLE_DESCRIPTION 6125
#define IDS_NEW_TAB_APP_INSTALL_HINT_LABEL 6126
#define IDS_NEW_TAB_MOST_VISITED 6127
#define IDS_NEW_TAB_RESTORE_THUMBNAILS_SHORT_LINK 6128
#define IDS_NEW_TAB_ATTRIBUTION_INTRO 6129
#define IDS_NEW_TAB_THUMBNAIL_REMOVED_NOTIFICATION 6130
#define IDS_NEW_TAB_REMOVE_THUMBNAIL_TOOLTIP 6131
#define IDS_NEW_TAB_PAGE_SWITCHER_CHANGE_TITLE 6132
#define IDS_NEW_TAB_PAGE_SWITCHER_SAME_TITLE 6133
#define IDS_NEW_TAB_VOICE_AUDIO_ERROR 6134
#define IDS_NEW_TAB_VOICE_DETAILS 6135
#define IDS_NEW_TAB_VOICE_LANGUAGE_ERROR 6136
#define IDS_NEW_TAB_VOICE_LISTENING 6137
#define IDS_NEW_TAB_VOICE_NETWORK_ERROR 6138
#define IDS_NEW_TAB_VOICE_NO_TRANSLATION 6139
#define IDS_NEW_TAB_VOICE_NO_VOICE 6140
#define IDS_NEW_TAB_VOICE_OTHER_ERROR 6141
#define IDS_NEW_TAB_VOICE_PERMISSION_ERROR 6142
#define IDS_NEW_TAB_VOICE_READY 6143
#define IDS_NEW_TAB_VOICE_TRY_AGAIN 6144
#define IDS_NEW_TAB_VOICE_WAITING 6145
#define IDS_NEW_TAB_APP_OPTIONS 6146
#define IDS_NEW_TAB_APP_DETAILS 6147
#define IDS_NEW_TAB_APP_CREATE_SHORTCUT 6148
#define IDS_APP_CONTEXT_MENU_SHOW_INFO 6149
#define IDS_APP_CONTEXT_MENU_OPEN_PINNED 6150
#define IDS_APP_CONTEXT_MENU_OPEN_REGULAR 6151
#define IDS_APP_CONTEXT_MENU_OPEN_WINDOW 6152
#define IDS_APP_CONTEXT_MENU_OPEN_FULLSCREEN 6153
#define IDS_APP_CONTEXT_MENU_OPEN_MAXIMIZED 6154
#define IDS_APP_CONTEXT_MENU_OPEN_TAB 6155
#define IDS_SYNC_CONFIRMATION_TITLE 6158
#define IDS_SYNC_CONFIRMATION_DICE_TITLE 6159
#define IDS_SYNC_CONFIRMATION_UNITY_TITLE 6160
#define IDS_SYNC_CONFIRMATION_UNITY_CONSENT_BUMP_TITLE 6161
#define IDS_SYNC_CONFIRMATION_UNITY_MORE_OPTIONS_BUTTON_LABEL 6162
#define IDS_SYNC_CONFIRMATION_UNITY_MORE_OPTIONS_TITLE 6163
#define IDS_SYNC_CONFIRMATION_UNITY_MORE_OPTIONS_SUBTITLE 6164
#define IDS_SYNC_CONFIRMATION_UNITY_OPTIONS_REVIEW_SETTINGS_TITLE 6165
#define IDS_SYNC_CONFIRMATION_UNITY_OPTIONS_MAKE_NO_CHANGES_TITLE 6166
#define IDS_SYNC_CONFIRMATION_UNITY_OPTIONS_MAKE_NO_CHANGES_SUBTITLE 6167
#define IDS_SYNC_CONFIRMATION_UNITY_OPTIONS_USE_DEFAULT_TITLE 6168
#define IDS_SYNC_CONFIRMATION_UNITY_OPTIONS_USE_DEFAULT_SUBTITLE 6169
#define IDS_SYNC_CONFIRMATION_UNITY_OPTIONS_BACK_BUTTON_LABEL 6170
#define IDS_SYNC_CONFIRMATION_CHROME_SYNC_TITLE 6171
#define IDS_SYNC_CONFIRMATION_CHROME_SYNC_MESSAGE 6172
#define IDS_SYNC_CONFIRMATION_DICE_CHROME_SYNC_MESSAGE 6173
#define IDS_SYNC_CONFIRMATION_PERSONALIZE_SERVICES_TITLE 6174
#define IDS_SYNC_CONFIRMATION_PERSONALIZE_SERVICES_BODY 6175
#define IDS_SYNC_CONFIRMATION_DICE_PERSONALIZE_SERVICES_BODY 6176
#define IDS_SYNC_CONFIRMATION_PERSONALIZE_SERVICES_BODY_CHILD_ACCOUNT 6177
#define IDS_SYNC_CONFIRMATION_DICE_GOOGLE_SERVICES_BODY 6178
#define IDS_SYNC_CONFIRMATION_SYNC_SETTINGS_LINK_BODY 6179
#define IDS_SYNC_CONFIRMATION_DICE_SYNC_SETTINGS_LINK_BODY 6180
#define IDS_SYNC_CONFIRMATION_DICE_SYNC_SETTINGS_DESCRIPTION 6181
#define IDS_SYNC_CONFIRMATION_DICE_CONFIRM_BUTTON_LABEL 6182
#define IDS_SYNC_CONFIRMATION_DICE_SETTINGS_BUTTON_LABEL 6183
#define IDS_SYNC_DISABLED_CONFIRMATION_CHROME_SYNC_TITLE 6184
#define IDS_SYNC_DISABLED_CONFIRMATION_DETAILS 6185
#define IDS_SYNC_DISABLED_CONFIRMATION_CONFIRM_BUTTON_LABEL 6186
#define IDS_SYNC_DISABLED_CONFIRMATION_UNDO_BUTTON_LABEL 6187
#define IDS_SIGNIN_ERROR_TITLE 6188
#define IDS_SIGNIN_ERROR_EMAIL_TITLE 6189
#define IDS_SIGNIN_ERROR_DICE_EMAIL_TITLE 6190
#define IDS_SIGNIN_ERROR_CLOSE_BUTTON_LABEL 6191
#define IDS_SIGNIN_ERROR_OK_BUTTON_LABEL 6192
#define IDS_SIGNIN_ERROR_SWITCH_BUTTON_LABEL 6193
#define IDS_SIGNIN_ACCESSIBLE_CLOSE_BUTTON 6194
#define IDS_SIGNIN_ACCESSIBLE_BACK_BUTTON 6195
#define IDS_SIGNIN_EMAIL_CONFIRMATION_CREATE_PROFILE_RADIO_BUTTON_TITLE 6196
#define IDS_SIGNIN_EMAIL_CONFIRMATION_CREATE_PROFILE_RADIO_BUTTON_SUBTITLE 6197
#define IDS_SIGNIN_EMAIL_CONFIRMATION_START_SYNC_RADIO_BUTTON_TITLE 6198
#define IDS_SIGNIN_EMAIL_CONFIRMATION_START_SYNC_RADIO_BUTTON_SUBTITLE 6199
#define IDS_SIGNIN_EMAIL_CONFIRMATION_CLOSE_BUTTON_LABEL 6200
#define IDS_SIGNIN_EMAIL_CONFIRMATION_CONFIRM_BUTTON_LABEL 6201
#define IDS_PLUGIN_OUTDATED_PROMPT 6202
#define IDS_PLUGIN_ENABLE_TEMPORARILY 6203
#define IDS_PLUGIN_CRASHED_PROMPT 6204
#define IDS_RELOAD_PAGE_WITH_PLUGIN 6206
#define IDS_PLUGIN_INITIALIZATION_ERROR_PROMPT 6207
#define IDS_EXTERNAL_PROTOCOL_TITLE 6208
#define IDS_EXTERNAL_PROTOCOL_OK_BUTTON_TEXT 6209
#define IDS_EXTERNAL_PROTOCOL_CANCEL_BUTTON_TEXT 6210
#define IDS_EXTERNAL_PROTOCOL_CHECKBOX_TEXT 6211
#define IDS_DIRECTORY_LISTING_HEADER 6212
#define IDS_DIRECTORY_LISTING_PARENT 6213
#define IDS_DIRECTORY_LISTING_NAME 6214
#define IDS_DIRECTORY_LISTING_SIZE 6215
#define IDS_DIRECTORY_LISTING_DATE_MODIFIED 6216
#define IDS_DIRECTORY_LISTING_PARSING_ERROR_BOX_TEXT 6217
#define IDS_SAVE_PAGE_DESC_HTML_ONLY 6218
#define IDS_SAVE_PAGE_DESC_SINGLE_FILE 6219
#define IDS_SAVE_PAGE_DESC_COMPLETE 6220
#define IDS_PROFILE_ERROR_DIALOG_TITLE 6221
#define IDS_COULDNT_OPEN_PROFILE_ERROR 6222
#define IDS_OPEN_PROFILE_DATA_LOSS 6223
#define IDS_PROFILE_ERROR_DIALOG_CHECKBOX 6224
#define IDS_PROFILE_ERROR_FEEDBACK_DESCRIPTION 6225
#define IDS_COULDNT_STARTUP_PROFILE_ERROR 6226
#define IDS_REFUSE_TO_RUN_AS_ROOT 6227
#define IDS_REFUSE_TO_RUN_AS_ROOT_2 6228
#define IDS_CANT_WRITE_USER_DIRECTORY_TITLE 6230
#define IDS_MULTI_DOWNLOAD_WARNING 6231
#define IDS_MULTI_DOWNLOAD_PERMISSION_FRAGMENT 6232
#define IDS_RECENT_TABS_MENU 6233
#define IDS_RECENTLY_CLOSED_WINDOW 6234
#define IDS_RECENT_TABS_NO_DEVICE_TABS 6235
#define IDS_HISTORY_MENU 6236
#define IDS_DEFAULT_DOWNLOAD_FILENAME 6237
#define IDS_DEFAULT_BROWSER_INFOBAR_OK_BUTTON_LABEL 6239
#define IDS_MINIMIZE_WINDOW_MENU 6240
#define IDS_MAXIMIZE_WINDOW_MENU 6241
#define IDS_RESTORE_WINDOW_MENU 6242
#define IDS_CLOSE_WINDOW_MENU 6243
#define IDS_SHOW_WINDOW_DECORATIONS_MENU 6244
#define IDS_USED_EXISTING_BROWSER 6245
#define IDS_DECLINE_RECOVERY 6246
#define IDS_SYNC_ENTER_GOOGLE_PASSPHRASE_BODY_WITH_DATE 6247
#define IDS_SYNC_ACCOUNT_INFO 6248
#define IDS_SYNC_ACCOUNT_SYNCING 6249
#define IDS_SYNC_ACCOUNT_SYNCING_CUSTOM_DATA_TYPES 6250
#define IDS_SIGNIN_ERROR_DISPLAY_SOURCE 6251
#define IDS_SIGNIN_ERROR_BUBBLE_VIEW_TITLE 6252
#define IDS_SYNC_ERROR_BUBBLE_VIEW_TITLE 6253
#define IDS_SYNC_ERROR_USER_MENU_TITLE 6254
#define IDS_SYNC_ERROR_USER_MENU_SIGNIN_MESSAGE 6255
#define IDS_SYNC_ERROR_USER_MENU_SIGNIN_BUTTON 6256
#define IDS_SYNC_ERROR_USER_MENU_PASSPHRASE_MESSAGE 6257
#define IDS_SYNC_ERROR_USER_MENU_PASSPHRASE_BUTTON 6258
#define IDS_SYNC_ERROR_USER_MENU_SIGNIN_AGAIN_MESSAGE 6259
#define IDS_SYNC_ERROR_USER_MENU_SIGNIN_AGAIN_BUTTON 6260
#define IDS_SYNC_ERROR_USER_MENU_SIGNOUT_MESSAGE 6261
#define IDS_SYNC_ERROR_USER_MENU_SIGNOUT_BUTTON 6262
#define IDS_SYNC_ERROR_USER_MENU_CONFIRM_SYNC_SETTINGS_BUTTON 6263
#define IDS_SYNC_UNAVAILABLE_ERROR_BUBBLE_VIEW_ACCEPT 6264
#define IDS_SYNC_SIGN_IN_ERROR_BUBBLE_VIEW_ACCEPT 6265
#define IDS_SYNC_SIGN_IN_ERROR_WRENCH_MENU_ITEM 6266
#define IDS_SYNC_OVERVIEW 6267
#define IDS_SYNC_START_SYNC_BUTTON_LABEL 6268
#define IDS_SIGNED_IN_WITH_SYNC_DISABLED 6269
#define IDS_SIGNED_IN_WITH_SYNC_SUPPRESSED 6270
#define IDS_SYNC_SETTINGS_NOT_CONFIRMED 6271
#define IDS_SYNC_ACCOUNT_SYNCING_WITH_MANAGE_LINK 6272
#define IDS_SYNC_AUTHENTICATING_LABEL 6273
#define IDS_SYNC_ERROR_SIGNING_IN 6274
#define IDS_SYNC_UNRECOVERABLE_ERROR 6275
#define IDS_SYNC_STATUS_UNRECOVERABLE_ERROR 6276
#define IDS_SYNC_STATUS_UNRECOVERABLE_ERROR_NEEDS_SIGNOUT 6277
#define IDS_SYNC_STATUS_NEEDS_PASSWORD 6278
#define IDS_SYNC_STATUS_NEEDS_PASSWORD_LINK_LABEL 6279
#define IDS_SYNC_STATUS_ENABLE_SYNC_ON_ACCOUNT 6280
#define IDS_SYNC_SERVER_IS_UNREACHABLE 6281
#define IDS_SYNC_RELOGIN_ERROR 6282
#define IDS_SYNC_RELOGIN_LINK_LABEL 6283
#define IDS_SYNC_ADVANCED_OPTIONS 6287
#define IDS_SYNC_NTP_SETUP_IN_PROGRESS 6288
#define IDS_SYNC_PROMO_NTP_BUBBLE_MESSAGE 6289
#define IDS_SYNC_PROMO_NTP_BUBBLE_OK 6290
#define IDS_SYNC_PROMO_NTP_BUBBLE_ADVANCED 6291
#define IDS_SYNC_SETUP_SPINNER_TITLE 6292
#define IDS_SYNC_EVERYTHING 6293
#define IDS_SYNC_FULL_ENCRYPTION_BODY_CUSTOM 6294
#define IDS_SYNC_FULL_ENCRYPTION_BODY_CUSTOM_WITH_DATE 6295
#define IDS_SYNC_FULL_ENCRYPTION_BODY_GOOGLE_WITH_DATE 6296
#define IDS_SYNC_PROMO_NOT_SIGNED_IN_STATUS_HEADER 6297
#define IDS_SYNC_PROMO_NOT_SIGNED_IN_STATUS_SUB_HEADER 6298
#define IDS_SYNC_PROMO_NOT_SIGNED_IN_STATUS_LINK 6299
#define IDS_TRANSLATE_BUBBLE_BEFORE_TRANSLATE_TITLE 6302
#define IDS_TRANSLATE_BUBBLE_BEFORE_TRANSLATE_NEW 6303
#define IDS_TRANSLATE_BUBBLE_ADVANCED_TITLE 6304
#define IDS_TRANSLATE_BUBBLE_TRANSLATED_TITLE 6305
#define IDS_TRANSLATE_BUBBLE_COULD_NOT_TRANSLATE_TITLE 6306
#define IDS_TRANSLATE_BUBBLE_ADVANCED_LINK 6307
#define IDS_TRANSLATE_BUBBLE_ADVANCED_BUTTON 6308
#define IDS_TRANSLATE_BUBBLE_ADVANCED_MENU_BUTTON 6309
#define IDS_TRANSLATE_BUBBLE_ACCEPT 6310
#define IDS_TRANSLATE_BUBBLE_DENY 6311
#define IDS_TRANSLATE_BUBBLE_ALWAYS_TRANSLATE_LANG 6312
#define IDS_TRANSLATE_BUBBLE_NEVER_TRANSLATE_LANG 6313
#define IDS_TRANSLATE_BUBBLE_NEVER_TRANSLATE_SITE 6314
#define IDS_TRANSLATE_BUBBLE_TRANSLATING 6315
#define IDS_TRANSLATE_BUBBLE_TRANSLATED 6316
#define IDS_TRANSLATE_BUBBLE_REVERT 6317
#define IDS_TRANSLATE_BUBBLE_TRY_AGAIN 6318
#define IDS_TRANSLATE_BUBBLE_ALWAYS 6319
#define IDS_TRANSLATE_BUBBLE_ALWAYS_DO_THIS 6320
#define IDS_TRANSLATE_BUBBLE_OPTIONS_MENU_BUTTON 6321
#define IDS_TRANSLATE_BUBBLE_COULD_NOT_TRANSLATE 6322
#define IDS_TRANSLATE_BUBBLE_PAGE_LANGUAGE 6323
#define IDS_TRANSLATE_BUBBLE_TRANSLATION_LANGUAGE 6324
#define IDS_TRANSLATE_BUBBLE_LANGUAGE_SETTINGS 6325
#define IDS_TRANSLATE_BUBBLE_UNKNOWN_LANGUAGE 6326
#define IDS_NOTIFICATIONS_INFOBAR_TEXT 6327
#define IDS_NOTIFICATION_PERMISSIONS_FRAGMENT 6328
#define IDS_NOTIFICATION_BUTTON_SETTINGS 6329
#define IDS_NOTIFICATION_BUTTON_CLOSE 6330
#define IDS_NOTIFICATION_BUTTON_MORE 6331
#define IDS_NOTIFICATION_REPLY_PLACEHOLDER 6332
#define IDS_FILE_MENU_LINUX 6429
#define IDS_EDIT_MENU_LINUX 6430
#define IDS_VIEW_MENU_LINUX 6431
#define IDS_HISTORY_MENU_LINUX 6432
#define IDS_TOOLS_MENU_LINUX 6433
#define IDS_HELP_MENU_LINUX 6434
#define IDS_REOPEN_CLOSED_TABS_LINUX 6435
#define IDS_OPEN_FILE_LINUX 6436
#define IDS_OPEN_LOCATION_LINUX 6437
#define IDS_CLOSE_WINDOW_LINUX 6438
#define IDS_CLOSE_TAB_LINUX 6439
#define IDS_STOP_MENU_LINUX 6440
#define IDS_RELOAD_MENU_LINUX 6441
#define IDS_TEXT_DEFAULT_LINUX 6442
#define IDS_TEXT_BIGGER_LINUX 6443
#define IDS_TEXT_SMALLER_LINUX 6444
#define IDS_HISTORY_HOME_LINUX 6445
#define IDS_HISTORY_BACK_LINUX 6446
#define IDS_HISTORY_FORWARD_LINUX 6447
#define IDS_HISTORY_VISITED_LINUX 6448
#define IDS_HISTORY_CLOSED_LINUX 6449
#define IDS_HISTORY_CLOSED_RESTORE_WINDOW_LINUX 6450
#define IDS_GEOLOCATION_INFOBAR_TEXT 6451
#define IDS_GEOLOCATION_INFOBAR_PERMISSION_FRAGMENT 6452
#define IDS_GEOLOCATION_BUBBLE_SECTION_ALLOWED 6453
#define IDS_GEOLOCATION_BUBBLE_SECTION_DENIED 6454
#define IDS_GEOLOCATION_BUBBLE_REQUIRE_RELOAD_TO_CLEAR 6455
#define IDS_GEOLOCATION_BUBBLE_CLEAR_LINK 6456
#define IDS_GEOLOCATION_BUBBLE_MANAGE_LINK 6457
#define IDS_GEOLOCATION_ALLOWED_TOOLTIP 6458
#define IDS_GEOLOCATION_BLOCKED_TOOLTIP 6459
#define IDS_MIDI_SYSEX_INFOBAR_TEXT 6460
#define IDS_MIDI_SYSEX_PERMISSION_FRAGMENT 6461
#define IDS_MIDI_SYSEX_ALLOWED_TOOLTIP 6462
#define IDS_MIDI_SYSEX_BLOCKED_TOOLTIP 6463
#define IDS_MIDI_SYSEX_BUBBLE_ALLOWED 6464
#define IDS_MIDI_SYSEX_BUBBLE_DENIED 6465
#define IDS_MIDI_SYSEX_BUBBLE_REQUIRE_RELOAD_TO_CLEAR 6466
#define IDS_MIDI_SYSEX_BUBBLE_CLEAR_LINK 6467
#define IDS_MIDI_SYSEX_BUBBLE_MANAGE_LINK 6468
#define IDS_REGISTER_PROTOCOL_HANDLER_TOOLTIP 6469
#define IDS_MEDIASTREAM_BUBBLE_MANAGE_LINK 6470
#define IDS_MICROPHONE_CAMERA_ALLOWED 6471
#define IDS_MICROPHONE_CAMERA_BLOCKED 6472
#define IDS_MICROPHONE_ACCESSED 6473
#define IDS_CAMERA_ACCESSED 6474
#define IDS_MICROPHONE_BLOCKED 6475
#define IDS_CAMERA_BLOCKED 6476
#define IDS_MICROPHONE_CAMERA_ALLOWED_TITLE 6477
#define IDS_MICROPHONE_CAMERA_BLOCKED_TITLE 6478
#define IDS_MICROPHONE_ACCESSED_TITLE 6479
#define IDS_CAMERA_ACCESSED_TITLE 6480
#define IDS_MICROPHONE_BLOCKED_TITLE 6481
#define IDS_CAMERA_BLOCKED_TITLE 6482
#define IDS_MEDIASTREAM_SETTING_CHANGED_MESSAGE 6483
#define IDS_MANAGE_PASSWORDS_CONFIRM_GENERATED_TEXT 6486
#define IDS_PASSWORDS_WEB_LINK 6487
#define IDS_MANAGE_PASSWORDS_LINK 6489
#define IDS_MANAGE_PASSWORDS_TITLE 6490
#define IDS_MANAGE_PASSWORDS_NO_PASSWORDS_TITLE 6491
#define IDS_MANAGE_PASSWORDS_DIFFERENT_DOMAIN_TITLE 6492
#define IDS_MANAGE_PASSWORDS_DIFFERENT_DOMAIN_NO_PASSWORDS_TITLE 6493
#define IDS_MANAGE_PASSWORDS_DELETED 6494
#define IDS_MANAGE_PASSWORDS_UNDO 6495
#define IDS_MANAGE_PASSWORDS_UNDO_TOOLTIP 6496
#define IDS_MANAGE_PASSWORDS_DELETE 6497
#define IDS_MANAGE_PASSWORDS_SHOW_PASSWORD 6498
#define IDS_MANAGE_PASSWORDS_HIDE_PASSWORD 6499
#define IDS_MANAGE_PASSWORDS_AUTO_SIGNIN_TITLE_MD 6500
#define IDS_AUTO_SIGNIN_FIRST_RUN_TITLE_MANY_DEVICES 6501
#define IDS_AUTO_SIGNIN_FIRST_RUN_TITLE_LOCAL_DEVICE 6502
#define IDS_AUTO_SIGNIN_FIRST_RUN_TEXT 6503
#define IDS_AUTO_SIGNIN_FIRST_RUN_OK 6504
#define IDS_AUTO_SIGNIN_FIRST_RUN_TURN_OFF 6505
#define IDS_FILE_SELECTION_DIALOG_INFOBAR 6515
#define IDS_ABOUT_LINUX_PROXY_CONFIG_TITLE 6516
#define IDS_ABOUT_LINUX_PROXY_CONFIG_BODY 6517
#define IDS_IMAGE_FILES 6518
#define IDS_AUDIO_FILES 6519
#define IDS_VIDEO_FILES 6520
#define IDS_CUSTOM_FILES 6521
#define IDS_FULLSCREEN_USER_ENTERED_FULLSCREEN 6522
#define IDS_FULLSCREEN_EXTENSION_TRIGGERED_FULLSCREEN 6523
#define IDS_FULLSCREEN_UNKNOWN_EXTENSION_TRIGGERED_FULLSCREEN 6524
#define IDS_FULLSCREEN_SITE_ENTERED_FULLSCREEN 6525
#define IDS_FULLSCREEN_ENTERED_FULLSCREEN 6526
#define IDS_FULLSCREEN_SITE_ENTERED_FULLSCREEN_MOUSELOCK 6527
#define IDS_FULLSCREEN_ENTERED_FULLSCREEN_MOUSELOCK 6528
#define IDS_FULLSCREEN_SITE_ENTERED_MOUSELOCK 6529
#define IDS_FULLSCREEN_ENTERED_MOUSELOCK 6530
#define IDS_FULLSCREEN_PRESS_ESC_TO_EXIT_FULLSCREEN 6531
#define IDS_FULLSCREEN_PRESS_ESC_TO_EXIT_MOUSELOCK 6532
#define IDS_FULLSCREEN_HOLD_ESC_TO_EXIT_FULLSCREEN 6533
#define IDS_REGISTER_PROTOCOL_HANDLER_MAILTO_NAME 6534
#define IDS_REGISTER_PROTOCOL_HANDLER_WEBCAL_NAME 6535
#define IDS_REGISTER_PROTOCOL_HANDLER_CONFIRM 6536
#define IDS_REGISTER_PROTOCOL_HANDLER_CONFIRM_REPLACE 6537
#define IDS_REGISTER_PROTOCOL_HANDLER_CONFIRM_FRAGMENT 6538
#define IDS_REGISTER_PROTOCOL_HANDLER_CONFIRM_REPLACE_FRAGMENT 6539
#define IDS_REGISTER_PROTOCOL_HANDLER_ACCEPT 6540
#define IDS_REGISTER_PROTOCOL_HANDLER_DENY 6541
#define IDS_REGISTER_PROTOCOL_HANDLER_IGNORE 6542
#define IDS_MEDIA_CAPTURE_AUDIO_AND_VIDEO_INFOBAR_TEXT 6543
#define IDS_MEDIA_CAPTURE_AUDIO_ONLY_INFOBAR_TEXT 6544
#define IDS_MEDIA_CAPTURE_VIDEO_ONLY_INFOBAR_TEXT 6545
#define IDS_MEDIA_CAPTURE_SCREEN_INFOBAR_TEXT 6546
#define IDS_MEDIA_CAPTURE_AUDIO_ONLY_PERMISSION_FRAGMENT 6547
#define IDS_MEDIA_CAPTURE_VIDEO_ONLY_PERMISSION_FRAGMENT 6548
#define IDS_SENSORS_ALLOWED_TOOLTIP 6549
#define IDS_SENSORS_BLOCKED_TOOLTIP 6550
#define IDS_BLOCKED_SENSORS_UNBLOCK 6551
#define IDS_BLOCKED_SENSORS_NO_ACTION 6552
#define IDS_ALLOWED_SENSORS_TITLE 6553
#define IDS_BLOCKED_SENSORS_TITLE 6554
#define IDS_ALLOWED_SENSORS_MESSAGE 6555
#define IDS_BLOCKED_SENSORS_MESSAGE 6556
#define IDS_ALLOWED_SENSORS_NO_ACTION 6557
#define IDS_ALLOWED_SENSORS_BLOCK 6558
#define IDS_REQUEST_QUOTA_INFOBAR_TEXT 6559
#define IDS_REQUEST_LARGE_QUOTA_INFOBAR_TEXT 6560
#define IDS_REQUEST_QUOTA_PERMISSION_FRAGMENT 6561
#define IDS_HIGH_CONTRAST_TITLE 6566
#define IDS_HIGH_CONTRAST_HEADER 6567
#define IDS_HIGH_CONTRAST_EXT 6568
#define IDS_DARK_THEME 6569
#define IDS_MEDIA_GALLERIES_DIALOG_HEADER 6572
#define IDS_MEDIA_GALLERIES_DIALOG_SUBTEXT_READ_WRITE 6573
#define IDS_MEDIA_GALLERIES_DIALOG_SUBTEXT_READ_DELETE 6574
#define IDS_MEDIA_GALLERIES_DIALOG_SUBTEXT_READ_ONLY 6575
#define IDS_MEDIA_GALLERIES_PERMISSION_SUGGESTIONS 6576
#define IDS_MEDIA_GALLERIES_LAST_ATTACHED 6577
#define IDS_MEDIA_GALLERIES_DIALOG_ADD_GALLERY 6578
#define IDS_MEDIA_GALLERIES_DIALOG_CANCEL 6579
#define IDS_MEDIA_GALLERIES_DIALOG_CONFIRM 6580
#define IDS_MEDIA_GALLERIES_DIALOG_ADD_GALLERY_TITLE 6581
#define IDS_MEDIA_GALLERIES_DIALOG_DEVICE_ATTACHED 6582
#define IDS_MEDIA_GALLERIES_DIALOG_DEVICE_NOT_ATTACHED 6583
#define IDS_MEDIA_GALLERIES_DIALOG_DELETE 6584
#define IDS_IDENTITY_INTERNALS_TOKEN_CACHE_TEXT 6599
#define IDS_IDENTITY_INTERNALS_ACCESS_TOKEN 6600
#define IDS_IDENTITY_INTERNALS_EXTENSION_NAME 6601
#define IDS_IDENTITY_INTERNALS_EXTENSION_ID 6602
#define IDS_IDENTITY_INTERNALS_TOKEN_STATUS 6603
#define IDS_IDENTITY_INTERNALS_TOKEN_NOT_FOUND 6604
#define IDS_IDENTITY_INTERNALS_TOKEN_PRESENT 6605
#define IDS_IDENTITY_INTERNALS_EXPIRATION_TIME 6606
#define IDS_IDENTITY_INTERNALS_SCOPES 6607
#define IDS_IDENTITY_INTERNALS_REVOKE 6608
#define IDS_CHROME_SHORTCUT_DESCRIPTION 6609
#define IDS_WEBSTORE_NAME_STORE 6610
#define IDS_EXTENSION_STORAGE_MONITOR_TITLE 6611
#define IDS_EXTENSION_STORAGE_MONITOR_TEXT 6612
#define IDS_EXTENSION_STORAGE_MONITOR_BUTTON_DISMISS_APP 6613
#define IDS_EXTENSION_STORAGE_MONITOR_BUTTON_DISMISS_EXTENSION 6614
#define IDS_EXTENSION_STORAGE_MONITOR_BUTTON_UNINSTALL_APP 6615
#define IDS_EXTENSION_STORAGE_MONITOR_BUTTON_UNINSTALL_EXTENSION 6616
#define IDS_DESKTOP_MEDIA_PICKER_TITLE 6617
#define IDS_DESKTOP_MEDIA_PICKER_TEXT 6618
#define IDS_DESKTOP_MEDIA_PICKER_TEXT_DELEGATED 6619
#define IDS_DESKTOP_MEDIA_PICKER_AUDIO_SHARE 6620
#define IDS_DESKTOP_MEDIA_PICKER_SOURCE_TYPE_SCREEN 6621
#define IDS_DESKTOP_MEDIA_PICKER_SOURCE_TYPE_WINDOW 6622
#define IDS_DESKTOP_MEDIA_PICKER_SINGLE_SCREEN_NAME 6623
#define IDS_DESKTOP_MEDIA_PICKER_MULTIPLE_SCREEN_NAME 6624
#define IDS_LOCAL_DISCOVERY_SERVICE_REGISTER 6625
#define IDS_LOCAL_DISCOVERY_MANAGE_DEVICE 6626
#define IDS_LOCAL_DISCOVERY_NOTIFICATION_TITLE_PRINTER 6627
#define IDS_LOCAL_DISCOVERY_NOTIFICATION_CONTENTS_PRINTER 6628
#define IDS_LOCAL_DISCOVERY_SERVICE_NAME_PRINTER 6629
#define IDS_LOCAL_DISCOVERY_NOTIFICATION_BUTTON_PRINTER 6630
#define IDS_LOCAL_DISCOVERY_DEVICES_PAGE_TITLE 6631
#define IDS_LOCAL_DISCOVERY_REGISTER_USER 6632
#define IDS_LOCAL_DISCOVERY_CONFIRM_REGISTRATION 6633
#define IDS_LOCAL_DISCOVERY_ADDING_PRINTER 6634
#define IDS_LOCAL_DISCOVERY_ERROR_OCURRED 6635
#define IDS_LOCAL_DISCOVERY_ADDING_PRINTER_MESSAGE1 6636
#define IDS_LOCAL_DISCOVERY_ADDING_PRINTER_MESSAGE2 6637
#define IDS_LOCAL_DISCOVERY_ERROR_OCURRED_MESSAGE 6638
#define IDS_LOCAL_DISCOVERY_NO_DESCRIPTION_PRINTER 6639
#define IDS_LOCAL_DISCOVERY_NO_DESCRIPTION_DEVICE 6640
#define IDS_LOCAL_DISCOVERY_PRINTERS_ON_NETWORK_ZERO 6641
#define IDS_LOCAL_DISCOVERY_PRINTERS_ON_NETWORK_ONE 6642
#define IDS_LOCAL_DISCOVERY_PRINTERS_ON_NETWORK_MULTIPLE 6643
#define IDS_LOCAL_DISCOVERY_LOADING 6644
#define IDS_LOCAL_DISCOVERY_ADD_PRINTERS 6645
#define IDS_LOCAL_DISCOVERY_NO_PRINTERS_ON_NETWORK_EXPLANATION 6646
#define IDS_LOCAL_DISCOVERY_CLOUD_DEVICES_UNAVAILABLE 6647
#define IDS_LOCAL_DISCOVERY_RETRY_LOAD_CLOUD_DEVICES 6648
#define IDS_LOCAL_DISCOVERY_CLOUD_DEVICES_NEED_LOGIN 6649
#define IDS_LOCAL_DISCOVERY_REGISTER_NEED_LOGIN 6650
#define IDS_LOCAL_DISCOVERY_CLOUD_DEVICES_LOGIN 6651
#define IDS_LOCAL_DISCOVERY_AVAILABLE_DEVICES 6652
#define IDS_LOCAL_DISCOVERY_MY_DEVICES 6653
#define IDS_LOCAL_DISCOVERY_CLOUD_PRINT_CONNECTOR_DISABLED_LABEL 6654
#define IDS_LOCAL_DISCOVERY_CONNECTOR_SECTION 6655
#define IDS_LOCAL_DISCOVERY_NOTIFICATIONS_DISABLE_BUTTON_LABEL 6656
#define IDS_LOCAL_DISCOVERY_REGISTER_CANCELED_ON_PRINTER 6657
#define IDS_LOCAL_DISCOVERY_REGISTER_TIMEOUT_ON_PRINTER 6658
#define IDS_CLOUD_PRINT_REGISTER_PRINTER_INFORMATION 6659
#define IDS_TOOLTIP_TAB_ALERT_STATE_MEDIA_RECORDING 6660
#define IDS_TOOLTIP_TAB_ALERT_STATE_TAB_CAPTURING 6661
#define IDS_TOOLTIP_TAB_ALERT_STATE_AUDIO_PLAYING 6662
#define IDS_TOOLTIP_TAB_ALERT_STATE_AUDIO_MUTING 6663
#define IDS_TOOLTIP_TAB_ALERT_STATE_BLUETOOTH_CONNECTED 6664
#define IDS_TOOLTIP_TAB_ALERT_STATE_USB_CONNECTED 6665
#define IDS_TOOLTIP_TAB_ALERT_STATE_PIP_PLAYING 6666
#define IDS_TOOLTIP_TAB_ALERT_STATE_DESKTOP_CAPTURING 6667
#define IDS_TAB_AX_LABEL_MEDIA_RECORDING_FORMAT 6668
#define IDS_TAB_AX_LABEL_TAB_CAPTURING_FORMAT 6669
#define IDS_TAB_AX_LABEL_PIP_PLAYING_FORMAT 6670
#define IDS_TAB_AX_LABEL_AUDIO_PLAYING_FORMAT 6671
#define IDS_TAB_AX_LABEL_AUDIO_MUTING_FORMAT 6672
#define IDS_TAB_AX_LABEL_BLUETOOTH_CONNECTED_FORMAT 6673
#define IDS_TAB_AX_LABEL_USB_CONNECTED_FORMAT 6674
#define IDS_TAB_AX_LABEL_NETWORK_ERROR_FORMAT 6675
#define IDS_TAB_AX_LABEL_CRASHED_FORMAT 6676
#define IDS_TAB_AX_LABEL_DESKTOP_CAPTURING_FORMAT 6677
#define IDS_PROFILE_IN_USE_LINUX_QUIT 6678
#define IDS_PROFILE_IN_USE_LINUX_RELAUNCH 6679
#define IDS_DESKTOP_MEDIA_PICKER_SHARE 6687
#define IDS_PUSH_MESSAGING_GENERIC_NOTIFICATION_BODY 6688
#define IDS_DEVICE_PERMISSIONS_DIALOG_SELECT 6689
#define IDS_DEVICE_LOG_TITLE 6690
#define IDS_DEVICE_AUTO_REFRESH 6691
#define IDS_DEVICE_LOG_REFRESH 6692
#define IDS_DEVICE_LOG_LEVEL_SHOW 6693
#define IDS_DEVICE_LOG_LEVEL_ERROR 6694
#define IDS_DEVICE_LOG_LEVEL_USER 6695
#define IDS_DEVICE_LOG_LEVEL_EVENT 6696
#define IDS_DEVICE_LOG_LEVEL_DEBUG 6697
#define IDS_DEVICE_LOG_TYPE_LOGIN 6698
#define IDS_DEVICE_LOG_TYPE_NETWORK 6699
#define IDS_DEVICE_LOG_TYPE_POWER 6700
#define IDS_DEVICE_LOG_TYPE_BLUETOOTH 6701
#define IDS_DEVICE_LOG_TYPE_USB 6702
#define IDS_DEVICE_LOG_TYPE_HID 6703
#define IDS_DEVICE_LOG_TYPE_PRINTER 6704
#define IDS_DEVICE_LOG_FILEINFO 6705
#define IDS_DEVICE_LOG_TIME_DETAIL 6706
#define IDS_DEVICE_LOG_ENTRY 6707
#define IDS_WEBUSB_DEVICE_DETECTED_NOTIFICATION 6713
#define IDS_WEBUSB_DEVICE_DETECTED_NOTIFICATION_TITLE 6714
#define IDS_DEFAULT_AUDIO_DEVICE_NAME 6715
#define IDS_BLUETOOTH_DEVICE_CHOOSER_PROMPT_ORIGIN 6717
#define IDS_BLUETOOTH_DEVICE_CHOOSER_PROMPT_EXTENSION_NAME 6718
#define IDS_BLUETOOTH_DEVICE_CHOOSER_NO_DEVICES_FOUND_PROMPT 6719
#define IDS_BLUETOOTH_DEVICE_CHOOSER_TURN_ADAPTER_OFF 6720
#define IDS_BLUETOOTH_DEVICE_CHOOSER_TURN_ON_BLUETOOTH_LINK_TEXT 6721
#define IDS_BLUETOOTH_DEVICE_CHOOSER_SCANNING 6722
#define IDS_BLUETOOTH_DEVICE_CHOOSER_RE_SCAN 6723
#define IDS_BLUETOOTH_DEVICE_CHOOSER_RE_SCAN_TOOLTIP 6724
#define IDS_BLUETOOTH_DEVICE_CHOOSER_SCANNING_LABEL 6725
#define IDS_BLUETOOTH_DEVICE_CHOOSER_SCANNING_LABEL_TOOLTIP 6726
#define IDS_BLUETOOTH_DEVICE_CHOOSER_PAIR_BUTTON_TEXT 6727
#define IDS_DEVICE_CHOOSER_CANCEL_BUTTON_TEXT 6728
#define IDS_DEVICE_CHOOSER_GET_HELP_LINK_WITH_SCANNING_STATUS 6729
#define IDS_DEVICE_CHOOSER_GET_HELP_LINK_WITH_RE_SCAN_LINK 6730
#define IDS_DEVICE_CHOOSER_PAIRED_STATUS_TEXT 6731
#define IDS_DEVICE_CHOOSER_DEVICE_NAME_AND_PAIRED_STATUS_TEXT 6732
#define IDS_USB_DEVICE_CHOOSER_PROMPT_ORIGIN 6733
#define IDS_USB_DEVICE_CHOOSER_PROMPT_EXTENSION_NAME 6734
#define IDS_DEVICE_CHOOSER_DEVICE_NAME_WITH_ID 6735
#define IDS_DEVICE_CHOOSER_NO_DEVICES_FOUND_PROMPT 6736
#define IDS_USB_DEVICE_CHOOSER_CONNECT_BUTTON_TEXT 6737
#define IDS_DEVICE_CHOOSER_DEVICE_NAME_UNKNOWN_DEVICE_WITH_VENDOR_NAME 6738
#define IDS_DEVICE_CHOOSER_DEVICE_NAME_UNKNOWN_DEVICE_WITH_VENDOR_ID_AND_PRODUCT_ID 6739
#define IDS_IME_API_ACTIVATED_WARNING 6740
#define IDS_IME_API_NEVER_SHOW 6741
#define IDS_ALWAYS_ALLOW_ADS 6742
#define IDS_BLOCKED_ADS_INFOBAR_MESSAGE 6743
#define IDS_BLOCKED_ADS_PROMPT_TITLE 6744
#define IDS_BLOCKED_ADS_PROMPT_EXPLANATION 6745
#define IDS_BLOCKED_ADS_PROMPT_TOOLTIP 6746
#define IDS_REDIRECT_BLOCKED_MESSAGE 6748
#define IDS_REDIRECT_BLOCKED_TITLE 6749
#define IDS_REDIRECT_BLOCKED_TOOLTIP 6750
#define IDS_WELCOME_SUBHEADER 6751
#define IDS_WELCOME_DESCRIPTION 6752
#define IDS_WELCOME_ACCEPT_BUTTON 6753
#define IDS_WELCOME_DECLINE_BUTTON 6754
#define IDS_NTP_DOWNLOAD_SUGGESTIONS_SECTION_HEADER 6774
#define IDS_NTP_DOWNLOADS_SUGGESTIONS_SECTION_EMPTY 6775
#define IDS_CONTROLLED_BY_AUTOMATION 6776
#define IDS_SECURITY_KEY_ATTESTATION_PERMISSION_FRAGMENT 6777
#define IDS_VIDEO_CALL_NOTIFICATION_TEXT_2 6779
#define IDS_AUDIO_CALL_NOTIFICATION_TEXT_2 6780
#define IDS_VIDEO_AUDIO_CALL_NOTIFICATION_TEXT_2 6781
#define IDS_VIDEO_CALL_INCOGNITO_NOTIFICATION_TEXT_2 6782
#define IDS_AUDIO_CALL_INCOGNITO_NOTIFICATION_TEXT_2 6783
#define IDS_VIDEO_AUDIO_CALL_INCOGNITO_NOTIFICATION_TEXT_2 6784
#define IDS_DOWNLOAD_OPEN_CONFIRMATION_DIALOG_TITLE 6785
#define IDS_DOWNLOAD_OPEN_CONFIRMATION_DIALOG_MESSAGE 6786
#define IDS_CONFIRM_FILE_UPLOAD_TITLE 6787
#define IDS_CONFIRM_FILE_UPLOAD_TEXT 6788
#define IDS_CONFIRM_FILE_UPLOAD_OK_BUTTON 6789
#define IDS_RELAUNCH_ACCEPT_BUTTON 6790
#define IDS_RELAUNCH_REQUIRED_CANCEL_BUTTON 6791
#define IDS_WEBAUTHN_GENERIC_TITLE 6792
#define IDS_WEBAUTHN_WELCOME_SCREEN_TITLE 6793
#define IDS_WEBAUTHN_WELCOME_SCREEN_DESCRIPTION 6794
#define IDS_WEBAUTHN_WELCOME_SCREEN_NEXT 6795
#define IDS_WEBAUTHN_TRANSPORT_SELECTION_TITLE 6796
#define IDS_WEBAUTHN_TRANSPORT_SELECTION_DESCRIPTION 6797
#define IDS_WEBAUTHN_TRANSPORT_BLE 6798
#define IDS_WEBAUTHN_TRANSPORT_USB 6799
#define IDS_WEBAUTHN_TRANSPORT_NFC 6800
#define IDS_WEBAUTHN_TRANSPORT_INTERNAL 6801
#define IDS_WEBAUTHN_TRANSPORT_CABLE 6802
#define IDS_WEBAUTHN_USB_ACTIVATE_DESCRIPTION 6803
#define IDS_WEBAUTHN_USB_SUCCESS_TITLE 6804
#define IDS_WEBAUTHN_ERROR_GENERIC_TITLE 6805
#define IDS_WEBAUTHN_ERROR_WRONG_KEY_REGISTER_TITLE 6806
#define IDS_WEBAUTHN_ERROR_WRONG_KEY_REGISTER_DESCRIPTION 6807
#define IDS_WEBAUTHN_ERROR_WRONG_KEY_SIGN_TITLE 6808
#define IDS_WEBAUTHN_ERROR_WRONG_KEY_SIGN_DESCRIPTION 6809
#define IDS_WEBAUTHN_ERROR_TIMEOUT_DESCRIPTION 6810
#define IDS_WEBAUTHN_ERROR_INTERNAL_UNRECOGNIZED_TITLE 6811
#define IDS_WEBAUTHN_ERROR_INTERNAL_UNRECOGNIZED_DESCRIPTION 6812
#define IDS_WEBAUTHN_ERROR_NO_TRANSPORTS_TITLE 6813
#define IDS_WEBAUTHN_ERROR_NO_TRANSPORTS_DESCRIPTION 6814
#define IDS_WEBAUTHN_BLUETOOTH_POWER_ON_AUTO_TITLE 6815
#define IDS_WEBAUTHN_BLUETOOTH_POWER_ON_AUTO_DESCRIPTION 6816
#define IDS_WEBAUTHN_BLUETOOTH_POWER_ON_AUTO_NEXT 6817
#define IDS_WEBAUTHN_BLUETOOTH_POWER_ON_MANUAL_TITLE 6818
#define IDS_WEBAUTHN_BLUETOOTH_POWER_ON_MANUAL_DESCRIPTION 6819
#define IDS_WEBAUTHN_BLUETOOTH_POWER_ON_MANUAL_NEXT 6820
#define IDS_WEBAUTHN_BLE_PAIRING_BEGIN_TITLE 6821
#define IDS_WEBAUTHN_BLE_PAIRING_BEGIN_DESCRIPTION 6822
#define IDS_WEBAUTHN_BLE_PAIRING_BEGIN_NEXT 6823
#define IDS_WEBAUTHN_BLE_ENTER_PAIRING_MODE_TITLE 6824
#define IDS_WEBAUTHN_BLE_ENTER_PAIRING_MODE_DESCRIPTION 6825
#define IDS_WEBAUTHN_BLE_DEVICE_SELECTION_TITLE 6826
#define IDS_WEBAUTHN_BLE_DEVICE_SELECTION_DESCRIPTION 6827
#define IDS_WEBAUTHN_BLE_DEVICE_SELECTION_SEARCHING_LABEL 6828
#define IDS_WEBAUTHN_BLE_DEVICE_SELECTION_REMINDER_LABEL 6829
#define IDS_WEBAUTHN_BLE_PIN_ENTRY_TITLE 6830
#define IDS_WEBAUTHN_BLE_PIN_ENTRY_DESCRIPTION 6831
#define IDS_WEBAUTHN_BLE_PIN_ENTRY_PIN_LABEL 6832
#define IDS_WEBAUTHN_BLE_PIN_ENTRY_NEXT 6833
#define IDS_WEBAUTHN_BLE_OS_PIN_ENTRY_TITLE 6834
#define IDS_WEBAUTHN_BLE_OS_PIN_ENTRY_DESCRIPTION 6835
#define IDS_WEBAUTHN_BLE_VERIFYING_TITLE 6836
#define IDS_WEBAUTHN_BLE_ACTIVATE_DESCRIPTION 6837
#define IDS_WEBAUTHN_TRANSPORT_POPUP_LABEL 6838
#define IDS_WEBAUTHN_TRANSPORT_POPUP_USB 6839
#define IDS_WEBAUTHN_TRANSPORT_POPUP_BLE 6840
#define IDS_WEBAUTHN_TRANSPORT_POPUP_ANOTHER_BLE 6841
#define IDS_WEBAUTHN_TRANSPORT_POPUP_NFC 6842
#define IDS_WEBAUTHN_TRANSPORT_POPUP_INTERNAL 6843
#define IDS_WEBAUTHN_TRANSPORT_POPUP_CABLE 6844
#define IDS_WEBAUTHN_CABLE_ACTIVATE_TITLE 6845
#define IDS_WEBAUTHN_CABLE_ACTIVATE_DESCRIPTION 6846

// ---------------------------------------------------------------------------
// From locale_settings.h:

#define IDS_SPELLCHECK_DICTIONARY 10000
#define IDS_EXTENSION_WIPEOUT_BUBBLE_WIDTH_CHARS 10001
#define IDS_EXTENSION_TOOLBAR_REDESIGN_NOTIFICATION_BUBBLE_WIDTH_CHARS 10002
#define IDS_EDITBOOKMARK_DIALOG_WIDTH_CHARS 10007
#define IDS_EDITBOOKMARK_DIALOG_HEIGHT_LINES 10008
#define IDS_DOWNLOAD_BIG_PROGRESS_SIZE 10009
#define IDS_THEMES_GALLERY_URL 10010
#define IDS_WEBSTORE_URL 10011
#define IDS_FLASH_STORAGE_URL 10012
#define IDS_FLASH_GLOBAL_PRIVACY_URL 10013
#define IDS_FLASH_WEBSITE_PRIVACY_URL 10014
#define IDS_SYNC_UNRECOVERABLE_ERROR_HELP_URL 10015
#define IDS_CREATE_SHORTCUTS_DIALOG_WIDTH_CHARS 10016
#define IDS_MEDIA_GALLERIES_DIALOG_CONTENT_WIDTH_CHARS 10019
#define IDS_SETTINGS_CLEAR_DATA_MYACTIVITY_URL_IN_DIALOG 10023
#define IDS_SETTINGS_CLEAR_DATA_MYACTIVITY_URL_IN_HISTORY 10024

// ---------------------------------------------------------------------------
// From platform_locale_settings.h:

#define IDS_STANDARD_FONT_FAMILY 10100
#define IDS_FIXED_FONT_FAMILY 10101
#define IDS_SERIF_FONT_FAMILY 10102
#define IDS_SANS_SERIF_FONT_FAMILY 10103
#define IDS_NTP_FONT_FAMILY 10104
#define IDS_CURSIVE_FONT_FAMILY 10105
#define IDS_FANTASY_FONT_FAMILY 10106
#define IDS_PICTOGRAPH_FONT_FAMILY 10107
#define IDS_DEFAULT_FONT_SIZE 10108
#define IDS_DEFAULT_FIXED_FONT_SIZE 10109
#define IDS_MINIMUM_FONT_SIZE 10110
#define IDS_MINIMUM_LOGICAL_FONT_SIZE 10111

// ---------------------------------------------------------------------------
// From ui_strings.h:

#define IDS_TIME_SECS 27250
#define IDS_TIME_LONG_SECS 27251
#define IDS_TIME_LONG_SECS_2ND 27252
#define IDS_TIME_MINS 27253
#define IDS_TIME_LONG_MINS 27254
#define IDS_TIME_LONG_MINS_1ST 27255
#define IDS_TIME_LONG_MINS_2ND 27256
#define IDS_TIME_HOURS 27257
#define IDS_TIME_HOURS_1ST 27258
#define IDS_TIME_HOURS_2ND 27259
#define IDS_TIME_DAYS 27260
#define IDS_TIME_DAYS_1ST 27261
#define IDS_TIME_MONTHS 27262
#define IDS_TIME_YEARS 27263
#define IDS_TIME_REMAINING_SECS 27264
#define IDS_TIME_REMAINING_LONG_SECS 27265
#define IDS_TIME_REMAINING_MINS 27266
#define IDS_TIME_REMAINING_LONG_MINS 27267
#define IDS_TIME_REMAINING_HOURS 27268
#define IDS_TIME_REMAINING_DAYS 27269
#define IDS_TIME_REMAINING_MONTHS 27270
#define IDS_TIME_REMAINING_YEARS 27271
#define IDS_TIME_ELAPSED_SECS 27272
#define IDS_TIME_ELAPSED_LONG_SECS 27273
#define IDS_TIME_ELAPSED_MINS 27274
#define IDS_TIME_ELAPSED_LONG_MINS 27275
#define IDS_TIME_ELAPSED_HOURS 27276
#define IDS_TIME_ELAPSED_DAYS 27277
#define IDS_TIME_ELAPSED_MONTHS 27278
#define IDS_TIME_ELAPSED_YEARS 27279
#define IDS_PAST_TIME_TODAY 27280
#define IDS_PAST_TIME_YESTERDAY 27281
#define IDS_APP_MENU_EMPTY_SUBMENU 27282
#define IDS_SELECT_UPLOAD_FOLDER_DIALOG_TITLE 27286
#define IDS_CONTENT_CONTEXT_WRITING_DIRECTION_MENU 27293
#define IDS_CONTENT_CONTEXT_WRITING_DIRECTION_DEFAULT 27294
#define IDS_CONTENT_CONTEXT_WRITING_DIRECTION_LTR 27295
#define IDS_CONTENT_CONTEXT_WRITING_DIRECTION_RTL 27296
#define IDS_SELECT_FOLDER_DIALOG_TITLE 27297
#define IDS_SAVE_AS_DIALOG_TITLE 27298
#define IDS_OPEN_FILE_DIALOG_TITLE 27299
#define IDS_OPEN_FILES_DIALOG_TITLE 27300
#define IDS_SAVEAS_ALL_FILES 27301
#define IDS_SELECT_UPLOAD_FOLDER_DIALOG_UPLOAD_BUTTON 27302
#define IDS_AX_ACTIVATE_ACTION_VERB 27303
#define IDS_AX_CHECK_ACTION_VERB 27304
#define IDS_AX_CLICK_ACTION_VERB 27305
#define IDS_AX_CLICK_ANCESTOR_ACTION_VERB 27306
#define IDS_AX_JUMP_ACTION_VERB 27307
#define IDS_AX_OPEN_ACTION_VERB 27308
#define IDS_AX_PRESS_ACTION_VERB 27309
#define IDS_AX_SELECT_ACTION_VERB 27310
#define IDS_AX_UNCHECK_ACTION_VERB 27311
#define IDS_APP_ACCNAME_BACK 27316
#define IDS_APP_ACCNAME_CLOSE 27317
#define IDS_APP_ACCNAME_MINIMIZE 27318
#define IDS_APP_ACCNAME_MAXIMIZE 27319
#define IDS_APP_ACCNAME_RESTORE 27320
#define IDS_APP_ACCNAME_MENU 27321
#define IDS_APP_ACCNAME_COLOR_CHOOSER_HEX_INPUT 27322
#define IDS_APP_SCROLLBAR_CXMENU_SCROLLHERE 27323
#define IDS_APP_SCROLLBAR_CXMENU_SCROLLLEFTEDGE 27324
#define IDS_APP_SCROLLBAR_CXMENU_SCROLLRIGHTEDGE 27325
#define IDS_APP_SCROLLBAR_CXMENU_SCROLLHOME 27326
#define IDS_APP_SCROLLBAR_CXMENU_SCROLLEND 27327
#define IDS_APP_SCROLLBAR_CXMENU_SCROLLPAGEUP 27328
#define IDS_APP_SCROLLBAR_CXMENU_SCROLLPAGEDOWN 27329
#define IDS_APP_SCROLLBAR_CXMENU_SCROLLLEFT 27330
#define IDS_APP_SCROLLBAR_CXMENU_SCROLLRIGHT 27331
#define IDS_APP_SCROLLBAR_CXMENU_SCROLLUP 27332
#define IDS_APP_SCROLLBAR_CXMENU_SCROLLDOWN 27333
#define IDS_APP_UNDO 27334
#define IDS_APP_CUT 27335
#define IDS_APP_COPY 27336
#define IDS_APP_PASTE 27337
#define IDS_APP_DELETE 27338
#define IDS_APP_SELECT_ALL 27339
#define IDS_CONTENT_CONTEXT_EMOJI 27340
#define IDS_APP_OK 27341
#define IDS_APP_CANCEL 27342
#define IDS_APP_CLOSE 27343
#define IDS_APP_ESC_KEY 27344
#define IDS_APP_TAB_KEY 27345
#define IDS_APP_INSERT_KEY 27346
#define IDS_APP_HOME_KEY 27347
#define IDS_APP_DELETE_KEY 27348
#define IDS_APP_END_KEY 27349
#define IDS_APP_PAGEUP_KEY 27350
#define IDS_APP_PAGEDOWN_KEY 27351
#define IDS_APP_LEFT_ARROW_KEY 27352
#define IDS_APP_RIGHT_ARROW_KEY 27353
#define IDS_APP_UP_ARROW_KEY 27354
#define IDS_APP_DOWN_ARROW_KEY 27355
#define IDS_APP_ENTER_KEY 27356
#define IDS_APP_SPACE_KEY 27357
#define IDS_APP_F1_KEY 27358
#define IDS_APP_F11_KEY 27359
#define IDS_APP_BACKSPACE_KEY 27360
#define IDS_APP_COMMA_KEY 27361
#define IDS_APP_PERIOD_KEY 27362
#define IDS_APP_MEDIA_NEXT_TRACK_KEY 27363
#define IDS_APP_MEDIA_PLAY_PAUSE_KEY 27364
#define IDS_APP_MEDIA_PREV_TRACK_KEY 27365
#define IDS_APP_MEDIA_STOP_KEY 27366
#define IDS_APP_ALT_KEY 27367
#define IDS_APP_COMMAND_KEY 27368
#define IDS_APP_CTRL_KEY 27369
#define IDS_APP_SEARCH_KEY 27370
#define IDS_APP_SHIFT_KEY 27371
#define IDS_APP_ACCELERATOR_WITH_MODIFIER 27373
#define IDS_APP_BYTES 27374
#define IDS_APP_KIBIBYTES 27375
#define IDS_APP_MEBIBYTES 27376
#define IDS_APP_GIBIBYTES 27377
#define IDS_APP_TEBIBYTES 27378
#define IDS_APP_PEBIBYTES 27379
#define IDS_APP_BYTES_PER_SECOND 27380
#define IDS_APP_KIBIBYTES_PER_SECOND 27381
#define IDS_APP_MEBIBYTES_PER_SECOND 27382
#define IDS_APP_GIBIBYTES_PER_SECOND 27383
#define IDS_APP_TEBIBYTES_PER_SECOND 27384
#define IDS_APP_PEBIBYTES_PER_SECOND 27385
#define IDS_MESSAGE_CENTER_ACCESSIBLE_NAME 27386
#define IDS_MESSAGE_CENTER_NOTIFICATION_ACCESSIBLE_NAME 27387
#define IDS_MESSAGE_CENTER_NOTIFICATION_ACCESSIBLE_NAME_PLURAL 27388
#define IDS_MESSAGE_CENTER_NOTIFIER_DISABLE 27389
#define IDS_MESSAGE_CENTER_EXPAND_NOTIFICATION 27390
#define IDS_MESSAGE_CENTER_COLLAPSE_NOTIFICATION 27391
#define IDS_MESSAGE_CENTER_LIST_NOTIFICATION_MESSAGE_WITH_DIVIDER 27392
#define IDS_MESSAGE_CENTER_LIST_NOTIFICATION_HEADER_OVERFLOW_INDICATOR 27393
#define IDS_MESSAGE_CENTER_NOTIFICATION_PROGRESS_PERCENTAGE 27394
#define IDS_MESSAGE_CENTER_NOTIFICATION_CHROMEOS_SYSTEM 27395
#define IDS_MESSAGE_CENTER_NOTIFICATION_INLINE_REPLY_PLACEHOLDER 27396
#define IDS_MESSAGE_NOTIFICATION_NOW_STRING_SHORTEST 27397
#define IDS_MESSAGE_NOTIFICATION_DURATION_MINUTES_SHORTEST 27398
#define IDS_MESSAGE_NOTIFICATION_DURATION_HOURS_SHORTEST 27399
#define IDS_MESSAGE_NOTIFICATION_DURATION_DAYS_SHORTEST 27400
#define IDS_MESSAGE_NOTIFICATION_DURATION_YEARS_SHORTEST 27401
#define IDS_MESSAGE_CENTER_BLOCK_ALL_NOTIFICATIONS_SITE 27402
#define IDS_MESSAGE_CENTER_BLOCK_ALL_NOTIFICATIONS_APP 27403
#define IDS_MESSAGE_CENTER_BLOCK_ALL_NOTIFICATIONS 27404
#define IDS_MESSAGE_CENTER_DONT_BLOCK_NOTIFICATIONS 27405
#define IDS_MESSAGE_CENTER_SETTINGS_DONE 27406
#define IDS_MESSAGE_CENTER_CLOSE_NOTIFICATION_BUTTON_ACCESSIBLE_NAME 27407
#define IDS_MESSAGE_CENTER_CLOSE_NOTIFICATION_BUTTON_TOOLTIP 27408
#define IDS_MESSAGE_NOTIFICATION_SETTINGS_BUTTON_ACCESSIBLE_NAME 27409
#define IDS_SUGGESTED_APPS_INDICATOR 27414
#define IDS_FREQUENTLY_USED_INDICATOR 27415
#define IDS_RECOMMENDED_APPS_INDICATOR 27416
#define IDS_MOST_LIKELY_INDICATOR 27417
#define IDS_APP_SUGGESTIONS_INDICATOR 27418
#define IDS_ALL_APPS_INDICATOR 27419
#define IDS_APP_LIST_BACK 27420
#define IDS_APP_LIST_FOLDER_NAME_PLACEHOLDER 27421
#define IDS_APP_LIST_FOLDER_BUTTON_ACCESSIBILE_NAME 27422
#define IDS_APP_LIST_FOLDER_OPEN_FOLDER_ACCESSIBILE_NAME 27423
#define IDS_APP_LIST_FOLDER_CLOSE_FOLDER_ACCESSIBILE_NAME 27424
#define IDS_APP_LIST_EXPAND_BUTTON 27425
#define IDS_APP_LIST_ALL_APPS_ACCESSIBILITY_ANNOUNCEMENT 27426
#define IDS_APP_LIST_SUGGESTED_APPS_ACCESSIBILITY_ANNOUNCEMENT 27427
#define IDS_APP_LIST_CLEAR_SEARCHBOX 27428
#define IDS_APP_LIST_START_ASSISTANT 27429
#define IDS_APP_LIST_PAGE_SWITCHER 27430
#define IDS_APP_LIST_CONTINUE_READING_ACCESSIBILE_NAME 27431
#define IDS_APP_ACCESSIBILITY_STAR_RATING_ARC 27432
#define IDS_DISPLAY_TOUCH_CALIBRATION_EXIT_LABEL 27433
#define IDS_DISPLAY_TOUCH_CALIBRATION_HINT_LABEL_TEXT 27434
#define IDS_DISPLAY_TOUCH_CALIBRATION_HINT_SUBLABEL_TEXT 27435
#define IDS_DISPLAY_TOUCH_CALIBRATION_TAP_HERE_LABEL 27436
#define IDS_DISPLAY_TOUCH_CALIBRATION_FINISH_LABEL 27437
#define IDS_DISPLAY_NAME_UNKNOWN 27438
#define IDS_DISPLAY_NAME_INTERNAL 27439

#endif  // CEF_INCLUDE_CEF_PACK_STRINGS_H_
